--
--	Grail Zones
--	Written by scott@mithrandir.com
--
--	Version History
--		001	Initial version
--			Translations taken from LibBabble-Zone-3.0 [http://www.wowace.com/addons/libbabble-zone-3-0/localization] 2011-01-24
--		002	Renamed Ironforge to City of Ironforge
--			Added entries for The Nexus, Azjol-Nerub, and Gundrak.
--		003	Added Grail.specialZones that allow mapping of a zone name to another we prefer.
--			Added entries for Karazhan, The Shattered Halls, and Shadow Labyrinth.
--		004	Added entries for Deeprun Tram, The Black Morass, Auchenai Crypts, Mana-Tombs, The Arcatraz, and The Black Temple.
--			Removed Grail.specialZones since switching from using GetZoneText() to GetRealZoneText() seems to eliminate its need.
--		005	Renamed City of Ironforge back to Ironforge since it seems that is what GetRealZoneText() returns.
--		006	Transformed to using map area IDs to match zone names.  Now there is a forward and reverse mapping.
--		007	Added localizations for Molten Front.
--
--	Known issues
--
--	UTF-8 file
--
local Grail_Zones_File_Version = 007

if Grail.zonesVersionNumber < Grail_Zones_File_Version then
	Grail.zonesVersionNumber = Grail_Zones_File_Version
	local theLocale = GetLocale()
	Grail.dungeonMapping = { 523, 764, 761, 690, 749, 688, 691, 760, 762, 686, 524, 692, 687, 756, 721, 704, 765, 763, 750, 718, 733, 680, 699, 755, 766, 717, 535, 799, 797, 710, 727, 728, 724, 722, 732, 781, 779, 731, 521, 798, 534, 528, 526, 520, 529, 533, 530, 522, 601, 604, 602, 603, 753, 759, 757, 609, 767, 769, 768, 747, }
	Grail.otherMapping = { 13, 401, 502, 545, 611, 795, }
	local L = Grail.zoneNameMapping		-- this is initially populated with the basic zones taken from the continent API, so we only need to add here those that cannot be gotten from Blizzard API
if theLocale == "enUS" or theLocale == "enGB" then
	L["Utgarde Keep"]=523
	L["Shadowfang Keep"]=764
	L["The Veiled Sea"]=13
	L["Razorfen Kraul"]=761
	L["The Stockade"]=690
	L["Wailing Caverns"]=749
	L["Blackfathom Deeps"]=688
	L["Gnomeregan"]=691
	L["Razorfen Downs"]=760
	L["Scarlet Monastery"]=762
	L["Zul'Farrak"]=686
	L["Utgarde Pinnacle"]=524
	L["Uldaman"]=692
	L["Sunken Temple"]=687
	L["The Deadmines"]=756
	L["Blackrock Spire"]=721
	L["Blackrock Depths"]=704
	L["Stratholme"]=765
	L["Scholomance"]=763
	L["Maraudon"]=750
	L["Onyxia's Lair"]=718
	L["The Black Morass"]=733
	L["Ragefire Chasm"]=680
	L["Dire Maul"]=699
	L["Alterac Valley"]=401
	L["Blackwing Lair"]=755
	L["Temple of Ahn'Qiraj"]=766
	L["Ruins of Ahn'Qiraj"]=717
	L["Naxxramas"]=535
	L["Karazhan"]=799
	L["Hellfire Ramparts"]=797
	L["The Shattered Halls"]=710
	L["The Steamvault"]=727
	L["The Slave Pens"]=728
	L["Shadow Labyrinth"]=724
	L["Auchenai Crypts"]=722
	L["Mana-Tombs"]=732
	L["Zul'Aman"]=781
	L["Magtheridon's Lair"]=779
	L["The Arcatraz"]=731
	L["The Culling of Stratholme"]=521
	L["Magisters' Terrace"]=798
	L["Drak'Tharon Keep"]=534
	L["The Oculus"]=528
	L["Halls of Stone"]=526
	L["The Nexus"]=520
	L["Ulduar"]=529
	L["Azjol-Nerub"]=533
	L["Plaguelands: The Scarlet Enclave"]=502
	L["Gundrak"]=530
	L["Ahn'kahet: The Old Kingdom"]=522
	L["Gilneas"]=545
	L["Gilneas City"]=611
	L["The Forge of Souls"]=601
	L["Icecrown Citadel"]=604
	L["Pit of Saron"]=602
	L["Halls of Reflection"]=603
	L["Blackrock Caverns"]=753
	L["Halls of Origination"]=759
	L["Grim Batol"]=757
	L["The Ruby Sanctum"]=609
	L["Throne of the Tides"]=767
	L["The Vortex Pinnacle"]=769
	L["The Stonecore"]=768
	L["Lost City of the Tol'vir"]=747
	L["Molten Front"]=795
elseif theLocale == "deDE" then
	L["Burg Utgarde"]=523
	L["Burg Schattenfang"]=764
	L["Das verhüllte Meer"]=13
	L["Kral der Klingenhauer"]=761
	L["Das Verlies"]=690
	L["Die Höhlen des Wehklagens"]=749
	L["Tiefschwarze Grotte"]=688
	L["Gnomeregan"]=691
	L["Hügel der Klingenhauer"]=760
	L["Das Scharlachrote Kloster"]=762
	L["Zul'Farrak"]=686
	L["Turm Utgarde"]=524
	L["Uldaman"]=692
	L["Versunkener Tempel"]=687
	L["Die Todesminen"]=756
	L["Schwarzfelsspitze"]=721
	L["Schwarzfelstiefen"]=704
	L["Stratholme"]=765
	L["Scholomance"]=763
	L["Maraudon"]=750
	L["Onyxias Hort"]=718
	L["Der schwarze Morast"]=733
	L["Der Flammenschlund"]=680
	L["Düsterbruch"]=699
	L["Alteractal"]=401
	L["Pechschwingenhort"]=755
	L["Tempel von Ahn'Qiraj"]=766
	L["Ruinen von Ahn'Qiraj"]=717
	L["Naxxramas"]=535
	L["Karazhan"]=799
	L["Höllenfeuerbollwerk"]=797
	L["Die zerschmetterten Hallen"]=710
	L["Die Dampfkammer"]=727
	L["Die Sklavenunterkünfte"]=728
	L["Schattenlabyrinth"]=724
	L["Auchenaikrypta"]=722
	L["Managruft"]=732
	L["Zul'Aman"]=781
	L["Magtheridons Kammer"]=779
	L["Die Arkatraz"]=731
	L["Das Ausmerzen von Stratholme"]=521
	L["Terrasse der Magister"]=798
	L["Feste Drak'Tharon"]=534
	L["Das Oculus"]=528
	L["Die Hallen des Steins"]=526
	L["Der Nexus"]=520
	L["Ulduar"]=529
	L["Azjol-Nerub"]=533
	L["Pestländer: Die Scharlachrote Enklave"]=502
	L["Gundrak"]=530
	L["Ahn'kahet: Das Alte Königreich"]=522
	L["Gilneas"]=545
	L["Gilneas City"]=611
	L["Die Schmiede der Seelen"]=601
	L["Eiskronenzitadelle"]=604
	L["Grube von Saron"]=602
	L["Hallen der Reflexion"]=603
	L["Schwarzfelshöhlen"]=753
	L["Hallen des Ursprungs"]=759
	L["Grim Batol"]=757
	L["Das Rubinsanktum"]=609
	L["Thron der Gezeiten"]=767
	L["Der Vortexgipfel"]=769
	L["Der Steinerne Kern"]=768
	L["Die Verlorene Stadt der Tol'vir"]=747
	L["Geschmolzene Front"]=795
elseif theLocale == "esES" or theLocale == "esMX" then
	L["Fortaleza de Utgarde"]=523
	L["Castillo de Colmillo Oscuro"]=764
	L["Mar de la Bruma"]=13
	L["Horado Rajacieno"]=761
	L["Las Mazmorras"]=690
	L["Cuevas de los Lamentos"]=749
	L["Cavernas de Brazanegra"]=688
	L["Gnomeregan"]=691
	L["Zahúrda Rajacieno"]=760
	L["Monasterio Escarlata"]=762
	L["Zul'Farrak"]=686
	L["Pináculo de Utgarde"]=524
	L["Uldaman"]=692
	L["El Templo Sumergido"]=687
	L["Las Minas de la Muerte"]=756
	L["Cumbre de Roca Negra"]=721
	L["Profundidades de Roca Negra"]=704
	L["Stratholme"]=765
	L["Scholomance"]=763
	L["Maraudon"]=750
	L["Guarida de Onyxia"]=718
	L["La Ciénaga Negra"]=733
	L["Sima ígnea"]=680
	L["La Masacre"]=699
	L["Valle de Alterac"]=401
	L["Guarida Alanegra"]=755
	L["El Templo de Ahn'Qiraj"]=766
	L["Ruinas de Ahn'Qiraj"]=717
	L["Naxxramas"]=535
	L["Karazhan"]=799
	L["Murallas del Fuego Infernal"]=797
	L["Las Salas Arrasadas"]=710
	L["La Cámara de Vapor"]=727
	L["Recinto de los Esclavos"]=728
	L["Laberinto de las Sombras"]=724
	L["Criptas Auchenai"]=722
	L["Tumbas de Maná"]=732
	L["Zul'Aman"]=781
	L["Guarida de Magtheridon"]=779
	L["El Alcatraz"]=731
	L["La Matanza de Stratholme"]=521
	L["Bancal del Magister"]=798
	L["Fortaleza de Drak'Tharon"]=534
	L["El Oculus"]=528
	L["Cámaras de Piedra"]=526
	L["El Nexo"]=520
	L["Ulduar"]=529
	L["Azjol-Nerub"]=533
	L["Tierras de la Peste del Este: El Enclave Escarlata"]=502
	L["Gundrak"]=530
	L["Ahn'kahet: El Antiguo Reino"]=522
	L["Gilneas"]=545
	L["Ciudad de Gilneas"]=611
	L["La Forja de Almas"]=601
	L["Ciudadela de la Corona de Hielo"]=604
	L["Foso de Saron"]=602
	L["Cámaras de Reflexión"]=603
	L["Cavernas Roca Negra"]=753
	L["Cámaras de los Orígenes"]=759
	L["Grim Batol"]=757
	L["El Sagrario Rubí"]=609
	L["Trono de las Mareas"]=767
	if theLocale == "esES" then
		L["La Cumbre del Vórtice"]=769
	elseif theLocale == "esMX" then
		L["Pináculo del Vórtice"]=769
	end
	L["El Núcleo Pétreo"]=768
	L["Ciudad Perdida de los Tol'vir"]=747
	L["Frente de Magma"]=795
elseif theLocale == "frFR" then
	L["Donjon d'Utgarde"]=523
	L["Donjon d'Ombrecroc"]=764
	L["La Mer voilée"]=13
	L["Kraal de Tranchebauge"]=761
	L["La Prison"]=690
	L["Cavernes des lamentations"]=749
	L["Profondeurs de Brassenoire"]=688
	L["Gnomeregan"]=691
	L["Souilles de Tranchebauge"]=760
	L["Monastère écarlate"]=762
	L["Zul'Farrak"]=686
	L["Cime d'Utgarde"]=524
	L["Uldaman"]=692
	L["Temple englouti"]=687
	L["Les Mortemines"]=756
	L["Pic Rochenoire"]=721
	L["Profondeurs de Rochenoire"]=704
	L["Stratholme"]=765
	L["Scholomance"]=763
	L["Maraudon"]=750
	L["Repaire d'Onyxia"]=718
	L["Le Noir Marécage"]=733
	L["Gouffre de Ragefeu"]=680
	L["Hache-tripes"]=699
	L["Vallée d'Alterac"]=401
	L["Repaire de l'Aile noire"]=755
	L["Le temple d'Ahn'Qiraj"]=766
	L["Ruines d'Ahn'Qiraj"]=717
	L["Naxxramas"]=535
	L["Karazhan"]=799
	L["Remparts des Flammes infernales"]=797
	L["Les Salles brisées"]=710
	L["Le Caveau de la vapeur"]=727
	L["Les enclos aux esclaves"]=728
	L["Labyrinthe des ombres"]=724
	L["Cryptes Auchenaï"]=722
	L["Tombes-mana"]=732
	L["Zul'Aman"]=781
	L["Le repaire de Magtheridon"]=779
	L["L'Arcatraz"]=731
	L["L'Épuration de Stratholme"]=521
	L["Terrasse des Magistères"]=798
	L["Donjon de Drak'Tharon"]=534
	L["L'Oculus"]=528
	L["Les salles de Pierre"]=526
	L["Le Nexus"]=520
	L["Ulduar"]=529
	L["Azjol-Nérub"]=533
	L["Maleterres : l'enclave Écarlate"]=502
	L["Gundrak"]=530
	L["Ahn'kahet : l'Ancien royaume"]=522
	L["Gilnéas"]=545
	L["Gilnéas City"]=611
	L["La Forge des Âmes"]=601
	L["Citadelle de la Couronne de glace"]=604
	L["Fosse de Saron"]=602
	L["Les salles des Reflets"]=603
	L["Cavernes de Rochenoire"]=753
	L["Salles de l'Origine"]=759
	L["Grim Batol"]=757
	L["Le sanctum Rubis"]=609
	L["Trône des marées"]=767
	L["La cime du Vortex"]=769
	L["Le Cœur-de-pierre"]=768
	L["Cité perdue des Tol'vir"]=747
	L["Front du Magma"]=795
elseif theLocale == "koKR" then
	L["우트가드 성채"]=523
	L["그림자송곳니 성채"]=764
	L["장막의 바다"]=13
	L["가시덩굴 우리"]=761
	L["스톰윈드 지하감옥"]=690
	L["통곡의 동굴"]=749
	L["검은심연의 나락"]=688
	L["놈리건"]=691
	L["가시덩굴 구릉"]=760
	L["붉은십자군 수도원"]=762
	L["줄파락"]=686
	L["우트가드 첨탑"]=524
	L["울다만"]=692
	L["가라앉은 사원"]=687
	L["죽음의 폐광"]=756
	L["검은바위 첨탑"]=721
	L["검은바위 나락"]=704
	L["스트라솔름"]=765
	L["스칼로맨스"]=763
	L["마라우돈"]=750
	L["오닉시아의 둥지"]=718
	L["검은늪"]=733
	L["성난불길 협곡"]=680
	L["혈투의 전장"]=699
	L["알터랙 계곡"]=401
	L["검은날개 둥지"]=755
	L["안퀴라즈 사원"]=766
	L["안퀴라즈 폐허"]=717
	L["낙스라마스"]=535
	L["카라잔"]=799
	L["지옥불 성루"]=797
	L["으스러진 손의 전당"]=710
	L["증기 저장고"]=727
	L["강제 노역소"]=728
	L["어둠의 미궁"]=724
	L["아키나이 납골당"]=722
	L["마나 무덤"]=732
	L["줄아만"]=781
	L["마그테리돈의 둥지"]=779
	L["알카트라즈"]=731
	L["옛 스트라솔름"]=521
	L["마법학자의 정원"]=798
	L["드락타론 성채"]=534
	L["마력의 눈"]=528
	L["돌의 전당"]=526
	L["마력의 탑"]=520
	L["울두아르"]=529
	L["아졸네룹"]=533
	L["동부 역병지대: 붉은십자군 초소"]=502
	L["군드락"]=530
	L["안카헤트: 고대 왕국"]=522
	L["길니아스"]=545
	L["길니아스 시"]=611
	L["영혼의 제련소"]=601
	L["얼음왕관 성채"]=604
	L["사론의 구덩이"]=602
	L["투영의 전당"]=603
	L["검은바위 동굴"]=753
	L["시초의 전당"]=759
	L["그림 바톨"]=757
	L["루비 성소"]=609
	L["파도의 왕좌"]=767
	L["소용돌이 누각"]=769
	L["바위심장부"]=768
	L["톨비르의 잃어버린 도시"]=747
	L["녹아내린 전초지"]=795
elseif theLocale == "ruRU" then
	L["Крепость Утгард"]=523
	L["Крепость Темного Клыка"]=764
	L["Сокрытое Море"]=13
	L["Лабиринты Иглошкурых"]=761
	L["Тюрьма"]=690
	L["Пещеры Стенаний"]=749
	L["Непроглядная Пучина"]=688
	L["Гномреган"]=691
	L["Курганы Иглошкурых"]=760
	L["Монастырь Алого ордена"]=762
	L["Зул'Фаррак"]=686
	L["Вершина Утгард"]=524
	L["Ульдаман"]=692
	L["Затонувший храм"]=687
	L["Мертвые копи"]=756
	L["Пик Черной горы"]=721
	L["Глубины Черной горы"]=704
	L["Стратхольм"]=765
	L["Некроситет"]=763
	L["Мародон"]=750
	L["Логово Ониксе"]=718
	L["Черные топи"]=733
	L["Огненная пропасть"]=680
	L["Забытый Город"]=699
	L["Альтеракская долина"]=401
	L["Логово Крыла Тьмы"]=755
	L["Храм Ан'Кираж"]=766
	L["Руины Ан'Киража"]=717
	L["Наксрамас"]=535
	L["Каражан"]=799
	L["Бастионы Адского Пламени"]=797
	L["Разрушенные залы"]=710
	L["Паровое подземелье"]=727
	L["Узилище"]=728
	L["Темный лабиринт"]=724
	L["Аукенайские гробницы"]=722
	L["Гробницы Маны"]=732
	L["Зул'Аман"]=781
	L["Логово Магтеридона"]=779
	L["Аркатрац"]=731
	L["Очищение Стратхольма"]=521
	L["Терраса Магистров"]=798
	L["Крепость Драк'Тарон"]=534
	L["Окулус"]=528
	L["Чертоги Камня"]=526
	L["Нексус"]=520
	L["Ульдуар"]=529
	L["Азжол-Неруб"]=533
	L["Чумные земли: Анклав Алого ордена"]=502
	L["Гундрак"]=530
	L["Ан'кахет: Старое Королевство"]=522
	L["Гилнеас"]=545
	L["Гилнеас город"]=611
	L["Кузня Душ"]=601
	L["Цитадель Ледяной Короны"]=604
	L["Яма Сарона"]=602
	L["Залы Отражений"]=603
	L["Пещеры Черной горы"]=753
	L["Чертоги Созидания"]=759
	L["Грим Батол"]=757
	L["Рубиновое святилище"]=609
	L["Трон Приливов"]=767
	L["Вершина смерча"]=769
	L["Каменные Недра"]=768
	L["Затерянный город Тол'вир"]=747
	L["Огненная передовая"]=795
elseif theLocale == "zhCN" then
	L["乌特加德城堡"]=523
	L["影牙城堡"]=764
	L["迷雾之海"]=13
	L["剃刀沼泽"]=761
	L["监狱"]=690
	L["哀嚎洞穴"]=749
	L["黑暗深渊"]=688
	L["诺莫瑞根"]=691
	L["剃刀高地"]=760
	L["血色修道院"]=762
	L["祖尔法拉克"]=686
	L["乌特加德之巅"]=524
	L["奥达曼"]=692
	L["沉没的神庙"]=687
	L["死亡矿井"]=756
	L["黑石塔"]=721
	L["黑石深渊"]=704
	L["斯坦索姆"]=765
	L["通灵学院"]=763
	L["玛拉顿"]=750
	L["奥妮克希亚的巢穴"]=718
	L["黑色沼泽"]=733
	L["怒焰裂谷"]=680
	L["厄运之槌"]=699
	L["奥特兰克山谷"]=401
	L["黑翼之巢"]=755
	L["安其拉神殿"]=766
	L["安其拉废墟"]=717
	L["纳克萨玛斯"]=535
	L["卡拉赞"]=799
	L["地狱火城墙"]=797
	L["破碎大厅"]=710
	L["蒸汽地窟"]=727
	L["奴隶围栏"]=728
	L["暗影迷宫"]=724
	L["奥金尼地穴"]=722
	L["法力陵墓"]=732
	L["祖阿曼"]=781
	L["玛瑟里顿的巢穴"]=779
	L["禁魔监狱"]=731
	L["净化斯坦索姆"]=521
	L["魔导师平台"]=798
	L["达克萨隆要塞"]=534
	L["魔环"]=528
	L["岩石大厅"]=526
	L["魔枢"]=520
	L["奥杜尔"]=529
	L["艾卓-尼鲁布"]=533
	L["东瘟疫之地：血色领地"]=502
	L["古达克"]=530
	L["安卡赫特：古代王国"]=522
	L["吉尔尼斯"]=545
	L["吉尔尼斯城"]=611
	L["灵魂洪炉"]=601
	L["冰冠堡垒"]=604
	L["萨隆矿坑"]=602
	L["映像大厅"]=603
	L["黑石岩窟"]=753
	L["起源大厅"]=759
	L["格瑞姆巴托"]=757
	L["红玉圣殿"]=609
	L["潮汐王座"]=767
	L["旋云之巅"]=769
	L["巨石之核"]=768
	L["托维尔失落之城"]=747
	L["熔火前线"]=795
elseif theLocale == "zhTW" then
	L["俄特加德要塞"]=523
	L["影牙城堡"]=764
	L["迷霧之海"]=13
	L["剃刀沼澤"]=761
	L["監獄"]=690
	L["哀嚎洞穴"]=749
	L["黑暗深淵"]=688
	L["諾姆瑞根"]=691
	L["剃刀高地"]=760
	L["血色修道院"]=762
	L["祖爾法拉克"]=686
	L["俄特加德之巔"]=524
	L["奧達曼"]=692
	L["沉沒的神廟"]=687
	L["死亡礦坑"]=756
	L["黑石塔"]=721
	L["黑石深淵"]=704
	L["斯坦索姆"]=765
	L["通靈學院"]=763
	L["瑪拉頓"]=750
	L["奧妮克希亞的巢穴"]=718
	L["黑色沼澤"]=733
	L["怒焰裂谷"]=680
	L["厄運之槌"]=699
	L["奧特蘭克山谷"]=401
	L["黑翼之巢"]=755
	L["安其拉神廟"]=766
	L["安其拉廢墟"]=717
	L["納克薩瑪斯"]=535
	L["卡拉贊"]=799
	L["地獄火壁壘"]=797
	L["破碎大廳"]=710
	L["蒸汽洞窟"]=727
	L["奴隸監獄"]=728
	L["暗影迷宮"]=724
	L["奧奇奈地穴"]=722
	L["法力墓地"]=732
	L["祖阿曼"]=781
	L["瑪瑟里頓的巢穴"]=779
	L["亞克崔茲"]=731
	L["斯坦索姆的抉擇"]=521
	L["博學者殿堂"]=798
	L["德拉克薩隆要塞"]=534
	L["奧核之眼"]=528
	L["石之大廳"]=526
	L["奧核之心"]=520
	L["奧杜亞"]=529
	L["阿茲歐-奈幽"]=533
	L["東瘟疫之地: 血色領區"]=502
	L["剛德拉克"]=530
	L["安卡罕特:古王國"]=522
	L["吉爾尼斯"]=545
	L["吉爾尼斯城"]=611
	L["眾魂熔爐"]=601
	L["冰冠城塞"]=604
	L["薩倫之淵"]=602
	L["倒影大廳"]=603
	L["黑石洞穴"]=753
	L["起源大廳"]=759
	L["格瑞姆巴托"]=757
	L["晶紅聖所"]=609
	L["海潮王座"]=767
	L["漩渦尖塔"]=769
	L["石岩之心"]=768
	L["托維爾的失落之城"]=747
	L["熔岩前線"]=795
end

end
