--
--	Grail NPCs
--	Written by scott@mithrandir.com
--
--	Version History
--		001	Initial version.
--		002	Added the Lunar Festival and Harvest Festival NPCs.
--			Removed the Ix codes.
--		003	Added the concept of A:xxx codes where xxx is the real NPC id that is an alias for the NPC with the code
--			Marked Darkmoon Faire NPCs, added Love is in the Air NPCs, updated a bunch of others.
--		004	Added quest markers for Day of the Dead, Noblegarden, Pilgrim's Bounty and some Winter Veil.
--			Updated a bunch of locations.
--		005	Updated a bunch of locations.
--		006	Updated a bunch of locations.
--		007	Updated a bunch of locations.
--			Added more NPCs, especially alias ones that make quest completion a lot more convenient.
--			Started work on D: codes for NPCs that drop items that start quests.
--		008	Updated a bunch of locations.
--			More work on D: codes.
--			Added more NPCs that drop items needed to start quests (from D: codes).
--		009	Updated a bunch of locations.
--			Transformed the internal zone IDs used to be Blizzard map area IDs.
--		010	Updates for Midsummer Fire Festival
--		011	Updates to some locations, and some IDs.
--			Added some of the Firelands NPCs.
--			Added some of the Self alias NPCs.
--		012 Random updates to some starting location information for Horde.
--			Updates to Firelands NPCs.
--			Put in quest pointers (Q: codes) for some of the items that are dropped by other NPCs for better UI for Wholly.
--		013	More updates to some Horde starting locations.
--			Updates to Gilneas.
--			More Q: code additions.
--
--	Known issues
--		Need to update some Cata Day of the Dead NPCs to their real IDs and locations
--		Need to update the Noblegarden NPC locations
--		Process quests and NPCs (adding markers) for the following holidays: 'Brewfest',"Children's Week",'Darkmoon Faire','Midsummer Fire Festival',"Hallow's End"
--		Transform all the item quest starts into D: codes with NPCs that drop the item
--		Make the daily quests have the proper I: markers.
--
--	UTF-8 file
--
Grail_NPCs_File_Version = 013

if Grail.npcsVersionNumber < Grail_NPCs_File_Version then
Grail.npcsVersionNumber = Grail_NPCs_File_Version
Grail.npcs = {
[-795]={[0]='Self',[1]='Z795'},
[-720]={[0]='Self',[1]='Z720'},
[-700]={[0]='Self',[1]='Z700'},
[-640]={[0]='Self',[1]='Z640'},
[-614]={[0]='Self',[1]='Z614'},
[-610]={[0]='Self',[1]='Z610'},
[-606]={[0]='Self',[1]='Z606'},
[-605]={[0]='Self',[1]='Z605'},
[-43]={[0]='Self',[1]='Z43'},
[0]={[0]='Self',[1]='Self'},
[1]={[0]='Cheerful Goblin Spirit',[1]='HD'},	-- placeholder until real ID/location found
[2]={[0]='Cheerful Worgen Spirit',[1]='HD'},	-- placeholder until real ID/location found
[4]={[0]='Orcish Orphan',[1]='HC Near'},	-- placeholder until real ID found
[6]={[0]='Oracle Orphan',[1]='HC Near'},	-- placeholder until real ID found
[114]={[0]='Harvest Watcher',[1]='39:54,36 H:100057935'},
[126]={[0]='Murloc Coastrunner',[1]='39:53,11 H:100001357'},
[197]={[0]='Marshal McBride',[1]='30:48.19,42.06'},
[198]={[0]='Khelden Bremen',[1]='30:49.66,39.40'},
[233]={[0]='Farmer Saldean',[1]='39:56,31.2'},
[234]={[0]='Marshal Gryan Stoutmantle',[1]='39:56.4,47.4 39:56.4,49.5'},
[235]={[0]='Salma Saldean',[1]='39:56.4,30.6'},
[240]={[0]='Marshal Dughan',[1]='30:42.11,65.93'},
[241]={[0]='Remy "Two Times"',[1]='30:42.1,67.2'},
[244]={[0]='Ma Stonefield',[1]='30:34.6,84.4'},
[246]={[0]='"Auntie" Bernice Stonefield',[1]='30:34.4,84.3'},
[247]={[0]='Billy Maclure',[1]='30:43.1,85.8'},
[248]={[0]='Gramma Stonefield',[1]='30:34.9,84'},
[251]={[0]='Maybell Maclure',[1]='30:43.1,89.6'},
[252]={[0]='Tommy Joe Stonefield',[1]='30:29.9,86'},
[253]={[0]='William Pestle',[1]='30:43.3,65.8'},
[255]={[0]='Gerard Tiller',[1]='30:43.10,85.52'},
[261]={[0]='Guard Thomas',[1]='30:73.97,72.18'},
[263]={[0]='Lord Ello Ebonlocke',[1]='34:71.9,46.4'},
[264]={[0]='Commander Althea Ebonlocke',[1]='34:73.6,46.9'},
[265]={[0]='Madame Eva',[1]='34:75.7,45.3'},
[267]={[0]='Clerk Daltry',[1]='34:72.5,46.9'},
[268]={[0]="Sirra Von'Indi",[1]='34:72.6,47.6'},
[272]={[0]='Chef Grual',[1]='34:73.8,43.6'},
[273]={[0]='Tavernkeep Smitts',[1]='34:73.8,44.4'},
[276]={[0]="Viktori Prism'Antras",[1]='34:79.5,47.3'},
[278]={[0]='Sara Timberlain',[1]='30:79.46,68.71'},
[288]={[0]='Jitters',[1]='34:18.7,58.2'},
[289]={[0]='Abercrombie',[1]='34:87.4,35.4'},
[294]={[0]='Marshal Haggard',[1]='30:84.60,69.38'},
[295]={[0]='Innkeeper Farley',[1]='30:43.77,65.82'},
[302]={[0]='Blind Mary',[1]='34:81.9,59.2'},
[311]={[0]='Sven Yorgen',[1]='34:7.8,34.6'},
[331]={[0]='Maginor Dumas',[1]='301:49.2,87.6'},
[332]={[0]='Master Mathias Shaw',[1]='301:81.32,63.51'},
[342]={[0]='Martie Jainrose',[1]='36:22.2,42.7'},
[344]={[0]='Magistrate Solomon',[1]='36:28.9,41'},
[352]={[0]='Dungar Longdrink',[1]='301:70.93,72.48'},
[375]={[0]='Priestess Anetta',[1]='30:49.81,39.49'},
[376]={[0]='High Priestess Laurena',[1]='301:49.7,44.9'},
[379]={[0]='Darcy Parker',[1]='36:15.5,65.8 36:15.7,65.3'},
[382]={[0]='Marshal Marris',[1]='36:29.6,44.4 36:29.6,44.5 36:31.8,44.3 36:31.8,44.8'},
[384]={[0]='Katie Hunter',[1]='30:84.15,65.49'},
[392]={[0]='Captain Grayson',[1]='39:30.5,85.6'},
[397]={[0]='Grand Magus Doane',[1]='36:71.4,44.9'},
[415]={[0]='Verner Osgood',[1]='36:29.4,43.4 36:29.4,43.5 36:29.5,43.1 36:29.8,43.6 36:31.1,47.4 36:31.1,47.5'},
[430]={[0]='Redridge Mystic',[1]='36:22,33 H:100058898'},
[445]={[0]='Redridge Alpha',[1]='36:22,33 H:100058898'},
[446]={[0]='Redridge Basher',[1]='36:22,33 H:100058898'},
[459]={[0]='Drusilla La Salle',[1]='30:49.87,42.65'},
[460]={[0]='Alamar Grimm',[1]='27:33.2,38.4'},
[461]={[0]='Demisette Cloyce',[1]='301:39.4,84.8 301:39.7,84.5'},
[464]={[0]='Watch Captain Parker',[1]='36:15.3,64.8 36:15.4,64.2'},
[466]={[0]='General Marcus Jonathan',[1]='301:69.16,82.73'},
[469]={[0]='Lieutenant Doren',[1]='37:47.5,10.4'},
[514]={[0]='Smith Argus',[1]='30:41.70,65.55'},
[515]={[0]='Murloc Raider',[1]='39:53,9 H:100001357'},
[518]={[0]='Yowler',[1]='36:26.5,22.2 36:27,22.5'},
[576]={[0]='Watcher Ladimore',[1]='34:73.4,46.8 34:73.6,46.9 34:74.1,47.8 34:74.4,46.2 34:74.7,47.5 34:74.8,45.2 34:74.8,45.8 34:75.4,46.5 34:75.5,46.4 34:75.5,46.5'},
[620]={[0]='Chicken',[1]='39:56,31'},
[658]={[0]='Sten Stoutarm',[1]='27:36.59,70.49 27:36.57,70.07'},
[661]={[0]='Jonathan Carevin',[1]='34:75.3,48.9'},
[663]={[0]='Calor',[1]='34:75.3,47.9 34:75.3,48.5'},
[715]={[0]='Hemet Nesingwary Jr.',[1]='37:44,23.2 37:44.1,23.5 689:35.7,10.7'},
[716]={[0]='Barnil Stonepot',[1]='37:44.2,22.2'},
[717]={[0]='Ajeck Rouack',[1]='37:44.4,22.6 37:44.5,22.6'},
[718]={[0]='Sir S. J. Erlgadin',[1]='37:43.8,22.4 37:43.8,22.5'},
[733]={[0]='Sergeant Yohwa',[1]='37:47.4,10.7 37:47.5,10.7'},
[739]={[0]='Brother Nimetz',[1]='37:47.3,11.1'},
[770]={[0]='Corporal Kaleb',[1]='37:47.2,10.8'},
[773]={[0]='Krazek',[1]='37:43.7,23.1 689:27,77.2'},
[786]={[0]='Grelin Whitebeard',[1]='27:32.06,74.17'},
[808]={[0]="Grik'nir the Cold",[1]='27:37.4,78.7'},
[821]={[0]='Captain Danuvin',[1]='39:56.4,47.5'},
[823]={[0]='Sergeant Willem',[1]='30:48.81,38.38'},
[837]={[0]='Branstock Khalder',[1]='27:35.6,64.8'},
[878]={[0]='Scout Galiaan',[1]='39:56.4,47.4'},
[888]={[0]='Watcher Dodds',[1]='34:45.2,66.9'},
[895]={[0]='Thorgas Grimson',[1]='27:36.1,65.9'},
[900]={[0]='Bailiff Conacher',[1]='36:28.6,40.9'},
[911]={[0]='Llane Beshere',[1]='30:50.24,42.28'},
[912]={[0]='Thran Khorman',[1]='27:35.8,65.7'},
[914]={[0]='Ander Germaine',[1]='301:79.7,69.6'},
[915]={[0]='Jorik Kerridan',[1]='30:50.31,39.91'},
[916]={[0]='Solm Hargrin',[1]='27:28.4,67.5 27:35.4,65.9 27:35.5,66'},
[918]={[0]='Osborne the Night Man',[1]='301:77.3,65.5 301:77.4,65.3 301:77.5,64.7 301:77.5,66'},
[925]={[0]='Brother Sammuel',[1]='30:50.43,42.12'},
[926]={[0]='Bromos Grummner',[1]='27:35.8,66.7'},
[928]={[0]='Lord Grayson Shadowbreaker',[1]='301:52.4,45.4 301:52.4,45.5 301:52.7,45.1'},
[951]={[0]='Brother Paxton',[1]='30:48.75,37.82 30:48.56,38.03 30:48.46,38.25'},
[963]={[0]='Deputy Rainer',[1]='30:24.23,74.46'},
[1068]={[0]='Gorn',[1]='17:17.7,43.8'},
[1071]={[0]='Longbraid the Grim',[1]='40:49.9,18.3'},
[1073]={[0]='Ashlan Stonesmirk',[1]='35:64,26.7'},
[1089]={[0]='Mountaineer Cobbleflint',[1]='35:23.4,74.9 35:23.5,75'},
[1090]={[0]='Mountaineer Wallbang',[1]='35:23.4,75 35:23.5,75'},
[1092]={[0]='Captain Rugelfuss',[1]='35:23.4,75 35:23.5,75'},
[1104]={[0]='Grundel Harkin',[1]='27:35.80,66.26'},
[1105]={[0]='Jern Hornhelm',[1]='35:37,46.9 35:37.2,47.5'},
[1139]={[0]='Magistrate Bluntnose',[1]='35:34.6,43.2 35:34.6,44.6 35:34.7,43.6'},
[1141]={[0]='Angus Stern',[1]='301:51.3,93.1 301:51.6,93.4 301:51.7,93.5'},
[1142]={[0]="Mosh'Ogg Brute",[1]='37:46,51 H:100058491'},
[1144]={[0]="Mosh'Ogg Witch Doctor",[1]='37:46,51 H:100058491'},
[1153]={[0]='Torren Squarejaw',[1]='35:37.1,46.3 35:37.2,47.8'},
[1154]={[0]='Marek Ironheart',[1]='35:81.8,61.8'},
[1156]={[0]='Vyrin Swiftwind',[1]='35:81.9,64.4'},
[1187]={[0]='Daryl the Youngling',[1]='35:83.4,65.3'},
[1212]={[0]='Bishop Farthing',[1]='301:49.8,45.3 301:50.1,46 301:50.4,46.5 301:50.5,46.3'},
[1217]={[0]='Glorin Steelbrow',[1]='40:10.6,60.5'},
[1239]={[0]='First Mate Fitzsimmons',[1]='40:10.9,59.6'},
[1243]={[0]='Hegnar Rumbleshot',[1]='27:40.7,65.1 27:47.8,63.4 27:47.8,63.5'},
[1247]={[0]='Innkeeper Belm',[1]='27:54.49,50.85'},
[1252]={[0]='Senir Whitebeard',[1]='27:46.7,53.8 27:53.9,52.1'},
[1254]={[0]='Foreman Stonebrow',[1]='27:76.32,54.67'},
[1261]={[0]='Veron Amberstill',[1]='27:70.67,48.87 27:70.64,48.95'},
[1265]={[0]='Rudra Amberstill',[1]='27:70.3,48.2'},
[1266]={[0]='Tundra MacGrann',[1]='27:34.6,51.6'},
[1267]={[0]='Ragnar Thunderbrew',[1]='27:53.9,50.7'},
[1269]={[0]='Razzle Sprysprocket',[1]='27:53.3,51.9'},
[1274]={[0]='Senator Barin Redstone',[1]='341:39.4,55.6 341:39.4,56.9 341:39.6,55.8 341:39.6,57 341:40,55.4 341:40.4,54 341:40.6,54.1 341:40.7,54.7 341:40.8,56.1'},
[1293]={[0]='Ambo Cash',[1]='488:85.95,50.86',[2]='In mausoleum'},
[1298]={[0]='Frederick Stover',[1]='301:58.6,69.1'},
[1317]={[0]='Lucan Cordell',[1]='301:53,74.2'},
[1323]={[0]='Osric Strang',[1]='301:77.18,61.00'},
[1340]={[0]='Mountaineer Kadrell',[1]='35:35,46.1'},
[1343]={[0]='Mountaineer Stormpike',[1]='35:25.4,18.1'},
[1344]={[0]='Prospector Ironband',[1]='35:65.33,65.98'},
[1345]={[0]='Magmar Fellhew',[1]='35:65,66.6'},
[1354]={[0]='Apprentice Soren',[1]='27:32.16,74.34'},
[1355]={[0]='Cook Ghilm',[1]='27:75.6,52.8'},
[1356]={[0]='Prospector Stormpike',[1]='341:63,23 341:70.2,21.2 341:73.9,13.2 341:74.2,10.3 341:74.2,13.5 341:74.3,10.9 341:74.4,12 341:74.5,12.1 341:74.6,12.5 341:75,11.4 341:75.3,10.2 341:75.5,11.4 341:75.8,11.8'},
[1365]={[0]='Goli Krumn',[1]='341:13.6,99.3 341:29.4,58.1 341:29.4,59.2 341:29.4,59.9 341:29.4,60.7 341:29.5,58.1 341:29.6,59.3 341:30.2,59.9 341:30.4,60.6 341:30.5,60.1 341:30.5,60.6 341:31,58.4 341:31.2,59.1 341:63.1,28.9'},
[1373]={[0]='Jarven Thunderbrew',[1]='27:47.6,52.6 27:54.7,50.9'},
[1374]={[0]='Rejold Barleybrew',[1]='27:54.2,51.2'},
[1375]={[0]='Marleth Barleybrew',[1]='27:30.2,45.6 27:54.2,51.3'},
[1376]={[0]='Beldin Steelgrill',[1]='27:50.4,49.1 27:57.5,47.4'},
[1377]={[0]='Pilot Stonegear',[1]='27:49.6,48.5 27:53.3,51.9'},
[1378]={[0]='Pilot Bellowfiz',[1]='27:49.4,48.4 27:49.5,48.4 27:53.3,51.9'},
[1379]={[0]='Miran',[1]='35:56.3,65.9 35:56.5,65.9 35:58.5,64.5'},
[1416]={[0]='Grimand Elmore',[1]='301:59.7,34 301:59.7,34.6'},
[1422]={[0]='Corporal Sethman',[1]='37:47.1,10.9'},
[1427]={[0]='Harlan Bagley',[1]='301:62.4,67.8 301:62.6,68.4 301:62.6,68.5'},
[1428]={[0]='Rema Schneider',[1]='301:58,67.3 301:58,67.5'},
[1429]={[0]='Thurman Schneider',[1]='301:52.2,84 301:52.5,83.5 301:53,82.9'},
[1431]={[0]='Suzetta Gallina',[1]='301:60.1,76.8'},
[1432]={[0]='Renato Gallina',[1]='301:63.8,73.4 301:63.8,73.5'},
[1435]={[0]='Zardeth of the Black Claw',[1]='301:39.9,85.5 301:40.1,85 301:40.2,84.4'},
[1439]={[0]='Lord Baurles K. Wishock',[1]='301:43.8,72 301:80.4,33.7 301:80.6,33.8 301:80.7,33.2'},
[1449]={[0]='Witch Doctor Unbagwa',[1]='673:54.1,46.4 673:54.1,46.5'},
[1484]={[0]='Derina Rumdnul',[1]='40:11.8,57.9'},
[1495]={[0]='Deathguard Linnea',[1]='20:65.4,60.2 20:65.5,60.2'},
[1496]={[0]='Deathguard Dillinger',[1]='20:52.54,54.82'},
[1499]={[0]='Magistrate Sevren',[1]='20:61,50.6'},
[1500]={[0]='Coleman Farthing',[1]='20:54.6,29.8'},
--[1501]={[0]='Mindless Zombie',[1]='20:29.4,69.6 20:29.5,69.6 20:29.7,71.5 20:29.9,69.3 20:30.2,70.6 20:30.5,70.6 20:30.6,70.3 20:30.9,62.3 20:31.1,69.1 20:31.2,63.5 20:31.3,63.1 20:31.5,70.8 20:31.6,62.3 20:31.7,64.2 20:31.9,69.2 20:31.9,69.6 20:32.1,63.3 20:33.3,64.2'},
[1515]={[0]='Executor Zygand',[1]='20:60.54,51.86'},
[1518]={[0]='Apothecary Johaan',[1]='20:44.6,53.7 20:59.5,52.3'},
[1519]={[0]='Deathguard Simmer',[1]='20:44.7,53.6'},
[1521]={[0]='Gretchen Dedmar',[1]='20:65.3,60.3'},
[1535]={[0]='Scarlet Warrior',[1]='20:34,48 H:100052079'},
[1568]={[0]='Undertaker Mordo',[1]='20:30.06,71.29'},
[1569]={[0]='Shadow Priest Sarvis',[1]='20:30.9,66.2'},
[1570]={[0]='Executor Arren',[1]='20:32.9,61.1'},
[1572]={[0]='Thorgrum Borrelson',[1]='35:33.9,50.9'},
[1573]={[0]='Gryth Thurden',[1]='341:47.4,58.9 341:54.9,48.5 341:55,48.4 341:56,49 341:56.2,48.1'},
[1658]={[0]='Captain Dargol',[1]='20:52.6,26.2 H:100003082'},
[1661]={[0]='Novice Elreth',[1]='20:30.9,66.1'},
[1681]={[0]='Brock Stoneseeker',[1]='35:37.1,47.8 35:37.2,46.9'},
[1694]={[0]='Loslor Rudge',[1]='27:50.1,49.4 27:57.2,47.7'},
[1740]={[0]='Deathguard Saltain',[1]='20:31.63,65.57'},
[1745]={[0]='Deathguard Morris',[1]='20:60.2,52.4'},
[1747]={[0]='Anduin Wrynn',[1]='301:85.71,31.58'},
[1776]={[0]='Magtoor',[1]='38:26.8,33.4 38:26.9,33.7'},
[1777]={[0]='Dakk Blunderblast',[1]='35:35.4,42.9 35:35.9,44.2'},
[1854]={[0]="High Priest Thel'danis",[1]='22:52,82.9 22:52.1,83.5'},
[1872]={[0]='Tharek Blackstone',[1]='27:53.13,49.99'},
[1931]={[0]='Captured Scarlet Zealot',[1]='20:44.6,52.7 20:61.9,51.3'},
[1938]={[0]='Dalar Dawnweaver',[1]='21:47,43.2'},
[1959]={[0]='Mountaineer Barleybrew',[1]='341:41.44,52.29'},
[1960]={[0]='Pilot Hammerfoot',[1]='35:14.00,56.49'},
[1963]={[0]='Vidra Hearthstove',[1]='35:34.9,49.1'},
[1977]={[0]='Senator Mehr Stonehallow',[1]='27:75.90,54.31'},
[1992]={[0]='Tarindrella',[1]='41:42.52,58.18'},
[2055]={[0]='Master Apothecary Faranell',[1]='382:48.4,69.2'},
[2057]={[0]='Huldar',[1]='35:56.3,65.9'},
[2077]={[0]='Melithar Staghelm',[1]='41:58.04,38.79'},
[2078]={[0]='Athridas Bearmantle',[1]='41:55.69,52.00'},
[2079]={[0]='Ilthalaine',[1]='41:57.96,39.19'},
[2080]={[0]='Denalan',[1]='41:59.93,59.76'},	-- TODO: Determine if the original stuff with him can be given to the second location.  I know "The Shimmering Frond" and "Timberling Sprouts" can go to both.  If the early stuff needs to be done at the original dude, I think it would be best to alias the second one and just make other quests be able to be turned in to either one.
[2081]={[0]='Sentinel Kyra Starsong',[1]='41:55.66,51.99'},
[2083]={[0]='Syral Bladeleaf',[1]='41:55.77,50.44'},
[2104]={[0]='Captain Stoutfist',[1]='40:10.6,55.6'},
[2107]={[0]='Gaerolas Talvethren',[1]='41:64.58,51.13',[2]='Upstairs'},
[2119]={[0]='Dannal Stern',[1]='20:32.6,65.6'},
[2122]={[0]='David Trias',[1]='20:32.5,65.6'},
[2123]={[0]='Dark Cleric Duesten',[1]='20:31.1,66.1'},
[2124]={[0]='Isabella',[1]='20:30.9,66.1'},
[2126]={[0]='Maximillion',[1]='20:30.9,66.2'},
[2150]={[0]='Zenn Foulhoof',[1]='41:59.52,49.18'},
[2151]={[0]='Moon Priestess Amara',[1]='41:49.35,44.68'},
[2211]={[0]='Captured Mountaineer',[1]='20:60,52.8'},
[2215]={[0]='High Executor Darthalia',[1]='24:29.2,63.4 24:29.2,63.5'},
[2227]={[0]='Sharlindra',[1]='382:2.2,72.8 382:16.5,11.8 382:31.5,6.2 382:43.8,36.5 382:56.9,92.7 382:56.9,94.9 382:57.3,92.4 382:57.3,93.7 382:57.5,92.3 382:57.5,93.2 382:57.5,93.5 382:57.6,94.6 382:58.6,93.3 382:60,84.9 382:74.4,13.9 382:74.5,13.8'},
[2229]={[0]='Krusk',[1]='24:57.6,46.9'},
[2276]={[0]='Magistrate Henry Maleb',[1]='24:48.2,59.2'},
[2278]={[0]='Melisara',[1]='24:57.2,46.3'},
[2285]={[0]='Count Remington Ridgewell',[1]='301:81.55,34.07'},
[2307]={[0]='Caretaker Caice',[1]='20:30.6,71.4 20:30.6,71.5'},
[2368]={[0]='Daggerspine Shorestalker',[1]='24:56.4,84 H:100063686'},
[2369]={[0]='Daggerspine Shorehunter',[1]='24:52.4,77 H:100063686'},
[2370]={[0]='Daggerspine Screamer',[1]='24:58.2,84 H:100063686'},
[2371]={[0]='Daggerspine Siren',[1]='24:52.6,75.6 H:100063686'},
[2372]={[0]='Mudsnout Gnoll',[1]='24:56.4,74.2 24:57,74.6 24:57.2,74.3 24:57.4,75.6 24:57.6,74.6 24:57.7,74.4 24:57.9,72.3 24:58.2,73.3 24:58.5,73.1 24:58.7,75 24:58.9,74.4'},
[2373]={[0]='Mudsnout Shaman',[1]='24:59.6,73.6'},
[2391]={[0]='Serge Hinott',[1]='24:49.1,66.3'},
[2397]={[0]='Derak Nightfall',[1]='24:57.7,45.3'},
[2418]={[0]='Deathguard Samsa',[1]='24:57.2,45.4 24:57.2,45.5'},
[2419]={[0]='Deathguard Humbert',[1]='24:57.2,45.4 24:57.2,45.5'},
[2437]={[0]="Keeper Bel'varil",[1]='24:57,45.8'},
[2439]={[0]='Major Samuelson',[1]='301:85.68,31.03'},
[2464]={[0]="Commander Aggro'gosh",[1]='37:38.4,50.4 37:38.4,50.5 37:38.5,50.4 37:38.5,50.5'},
[2465]={[0]="Far Seer Mok'thardin",[1]='37:38.4,51'},
[2486]={[0]='Fin Fizracket',[1]='673:41.9,72.9'},
[2487]={[0]='Fleet Master Seahorn',[1]='673:41.1,73.2 673:41.7,73.1'},
[2488]={[0]='Deeg',[1]='673:40.7,73.8'},
[2490]={[0]='First Mate Crazz',[1]='673:42.4,72.2 673:42.6,71.9 689:28.1,76.2'},
[2493]={[0]='Dizzy One-Eye',[1]='673:43.3,71.4 673:43.3,71.5'},
[2495]={[0]='Drizzlik',[1]='37:43.7,23.3 37:43.7,23.5'},
[2496]={[0]='Baron Revilgaz',[1]='673:41.1,73.1 689:27.2,76.9'},
[2497]={[0]='Nimboya',[1]='37:38.4,48.8 37:38.5,48.7'},
[2500]={[0]='Captain Hecklebury Smotts',[1]='673:40.4,67.9 673:40.5,68'},
[2501]={[0]='"Sea Wolf" MacKinley',[1]='673:42,73.4 673:42,73.5 689:27.8,77.1'},
[2502]={[0]='"Shaky" Phillipe',[1]='673:40.4,67.8 673:40.5,67.8'},
[2519]={[0]="Kin'weelay",[1]='37:63.1,41.4 37:63.1,41.5 689:32.2,27.8'},
[2545]={[0]='"Pretty Boy" Duncan',[1]='673:44.4,92.4 673:44.4,92.6 673:44.5,92.7 673:44.6,93.5'},
[2546]={[0]='Fleet Master Firallon',[1]='673:35.9,66.6 673:46.7,95.3'},
[2547]={[0]='Ironpatch',[1]='673:46.7,95'},
[2548]={[0]='Captain Keelhaul',[1]='673:44.4,91.6 673:44.5,91.6'},
[2549]={[0]='Garr Salthoof',[1]='673:44.5,92'},
[2608]={[0]='Commander Amaren',[1]='16:39.9,47.4 16:39.9,47.7 16:40.1,48.5'},
[2610]={[0]="Shakes O'Breen",[1]='16:26,83.9'},
[2634]={[0]='Princess Poobah',[1]='673:59.4,79.2 673:59.5,79.1'},
[2695]={[0]='Sara Balloo',[1]='341:63.5,67.3'},
[2696]={[0]='Foggy MacKreel',[1]='16:43.2,92.6'},
[2700]={[0]='Captain Nials',[1]='16:40,48.8'},
[2705]={[0]='Brewmeister Bilger',[1]='24:52.2,58.6'},
[2712]={[0]='Quae',[1]='16:54.8,55.3'},
[2713]={[0]='Kinelory',[1]='16:54.7,60.9 16:54.8,55.3 16:54.8,55.5 16:54.9,59.2 16:54.9,59.8 16:55,56.7 16:55.6,56.5 16:55.7,56.4 16:55.9,54.4 16:55.9,54.5 16:56.5,54.4 16:56.5,54.5 16:56.9,55.6'},
[2748]={[0]='Archaedas',[1]='692:56.6,53.6'},
[2766]={[0]='Lolo the Lookout',[1]='16:25.2,85.5 16:25.4,85.2 16:25.5,85.2'},
[2768]={[0]='Professor Phizzlethorpe',[1]='16:27.5,83.1 16:28.2,83.5 16:29.1,82.6 16:29.4,82.1 16:29.5,82'},
[2769]={[0]='Captain Steelgut',[1]='16:27.6,83.2'},
[2771]={[0]='Drum Fel',[1]='16:69,34.7'},
[2774]={[0]='Doctor Draxlegauge',[1]='16:27.5,83'},
[2784]={[0]='King Magni Bronzebeard',[1]='341:40,55'},
[2785]={[0]='Theldurin the Lost',[1]='17:26.1,62.4 17:26.1,62.5'},
[2787]={[0]='Zaruk',[1]='16:69.6,36.4 16:69.6,36.5'},
[2789]={[0]='Skuerto',[1]='16:40.3,49'},
[2790]={[0]='Grand Mason Marblesten',[1]='341:37.1,86.9 341:37.2,87.5 341:37.4,86.4 341:38.2,87.5 341:38.3,87.4 341:38.4,85.4 341:38.4,86.3 341:38.6,85.7 341:38.6,87.8 341:38.7,86.9 341:39.2,85.3 341:57.2,35.2'},
[2860]={[0]='Sigrun Ironhew',[1]='17:49.4,37 17:49.5,37.1 17:49.5,37.5'},
[2916]={[0]='Historian Karnik',[1]='341:22.6,90.1 341:70.7,21.1 341:76.4,11.2 341:76.4,11.9 341:76.4,12.5 341:76.6,12.5 341:77.1,10.1 341:77.1,11.8 341:77.2,11.4 341:77.5,11.4 341:77.5,11.7'},
[2918]={[0]='Advisor Belgrum',[1]='341:22.6,89.8 341:63.5,22.7 341:76.3,10.4 341:76.4,10.9 341:76.7,10.6 341:77.1,10'},
[2920]={[0]='Lucien Tosselwrench',[1]='17:26.2,62.5 17:26.3,62.3'},
[2947]={[0]='Harken Windtotem',[1]='9:48.7,58.8'},
[2948]={[0]='Mull Thunderhorn',[1]='9:48.62,59.80'},
[2980]={[0]='Grull Hawkwind',[1]='9:48.9,78.3'},
[2981]={[0]='Chief Hawkwind',[1]='9:45.15,75.46'},
[2984]={[0]='Seer Wiserunner',[1]='9:32.8,36.1'},
[2985]={[0]='Ruul Eagletalon',[1]='9:47.5,61.2'},
[2987]={[0]='Eyahn Eagletalon',[1]='9:49.6,17.4 9:49.6,17.5'},
[2988]={[0]='Morin Cloudstalker',[1]='9:57,60.4 9:57,60.5'},
[2993]={[0]='Baine Bloodhoof',[1]='9:47.4,60.2 9:47.5,60.3'},
[2994]={[0]='Ancestral Spirit',[1]='9:60.8,22.8'},
[2995]={[0]='Tal',[1]='362:46.5,50.7 362:46.8,49.4 362:46.8,49.5'},
[3007]={[0]='Una',[1]='362:41.8,42.8'},
[3032]={[0]='Beram Skychaser',[1]='362:22.2,19.3 362:22.8,19.6'},
[3026]={[0]='Aska Mistrunner',[1]='362:51.75,53.09'},
[3028]={[0]='Kah Mistrunner',[1]='362:56.14,46.37'},
[3034]={[0]='Sheal Runetotem',[1]='362:77,28 362:77.2,27.4 362:77.7,27.4'},
[3039]={[0]='Holt Thunderhorn',[1]='362:57.4,89.2 362:57.4,89.5 362:57.5,88.9'},
[3042]={[0]='Sark Ragetotem',[1]='362:57.3,88.9 362:57.5,88.3 362:57.5,88.5'},
[3045]={[0]='Malakai Cross',[1]='362:24.4,22.1 362:24.8,22.4 362:25.4,23'},
[3047]={[0]='Archmage Shymm',[1]='362:22.5,15.6 362:22.6,15.3'},
[3050]={[0]='Veren Tallstrider',[1]='362:44.1,44.6'},
[3052]={[0]='Skorn Whitecloud',[1]='9:49.6,17.2'},
[3054]={[0]='Zarlman Two-Moons',[1]='9:47.9,57.2'},
[3055]={[0]='Maur Raincaller',[1]='9:47.2,56.7'},
[3056]={[0]='Ghost Howl',[1]='9:44,16 H:100004854'},
[3057]={[0]='Cairne Bloodhoof',[1]='362:60,51.7'},
[3059]={[0]='Harutt Thunderhorn',[1]='9:45,75.4'},
[3060]={[0]='Gart Mistrunner',[1]='9:45.2,75.2'},
[3061]={[0]='Lanka Farshot',[1]='9:45.2,75.4'},
[3062]={[0]='Meela Dawnstrider',[1]='9:45.1,75.1'},
[3079]={[0]='Varg Windwhisper',[1]='9:46.1,58.2'},
--[3101]={[0]='Vile Familiar',[1]='4:42.5,54.4 4:42.8,54.9 4:43.1,57.6 4:43.3,55.5 4:44,54 4:44.1,55.3 4:44.4,59.7 4:44.8,54 4:45.3,55.1 4:45.3,56.5'},
--[3102]={[0]='Felstalker',[1]='4:42.4,53.9 4:42.5,54.3 4:42.8,52.7 4:43.2,52.1 4:43.2,55.4 4:43.2,55.5 4:43.7,52.4 4:43.9,54.5 4:44.3,52.8 4:44.3,54.4 4:44.8,53.4 4:44.9,54.7 4:45.4,55.5 4:45.5,55.3'},
[3139]={[0]="Gar'Thok",[1]='4:51.95,43.50'},
[3140]={[0]='Lar Prowltusk',[1]='4:55.42,75.10'},
[3142]={[0]='Orgnil Soulscar',[1]='4:52.3,43.2'},
[3143]={[0]='Gornek',[1]='4:43.32,68.26'},
[3144]={[0]='Eitrigg',[1]='321:49.1,72.2 321:49.1,72.5'},
[3145]={[0]='Zureetha Fargaze',[1]='4:43.45,67.48'},
[3153]={[0]='Frang',[1]='4:42.9,69.4'},
[3154]={[0]="Jen'shan",[1]='4:42.9,69.3'},
[3155]={[0]='Rwag',[1]='4:41.3,68.1 4:42.4,68.8 4:42.5,68.6 4:76.7,63.3'},
[3156]={[0]='Nartok',[1]='4:42.4,68.1'},
[3157]={[0]='Shikrik',[1]='4:42.4,69'},
[3188]={[0]='Master Gadrin',[1]='4:55.95,74.72'},
[3193]={[0]="Misha Tor'kren",[1]='4:43.38,30.63'},
[3208]={[0]='Margoz',[1]='4:56.4,20.1'},
[3216]={[0]='Neeru Fireblade',[1]='321:49.6,50.5 321:50.5,59.1 321:59.8,54'},
[3230]={[0]='Nazgrel',[1]='465:55,36'},
[3233]={[0]='Lorekeeper Raintotem',[1]='9:49.5,17.2'},
[3287]={[0]="Hana'zua",[1]='4:40.60,62.58'},
[3293]={[0]='Rezlak',[1]='4:46.5,22.9'},
[3309]={[0]='Karus',[1]='321:49.6,69.4'},
[3310]={[0]='Doras',[1]='321[1]:49.67,59.22'},
[3326]={[0]='Zevrost',[1]='321:48.9,55.8 321:49,55.3 321:53.8,36.2'},
[3332]={[0]='Lumak',[1]='321:66.4,41.7'},
[3336]={[0]='Takrin Pathseeker',[1]='4:50.85,43.59'},
[3337]={[0]='Kargal Battlescar',[1]='11:67.7,39.4'},
[3338]={[0]='Sergra Darkthorn',[1]='11:50,59.8'},
[3339]={[0]="Captain Thalo'thas Brightsun",[1]='11:67.7,74'},
[3341]={[0]='Gann Stonespire',[1]='607:49.2,82.4'},
[3344]={[0]='Kardris Dreamseeker',[1]='321:39,47.4'},
[3345]={[0]='Godan',[1]='321:53.4,49.4'},
[3352]={[0]='Ormak Grimshot',[1]='321:64.3,32.4'},
[3353]={[0]='Grezz Ragefist',[1]='321:73.3,45.4'},
[3355]={[0]='Saru Steelfury',[1]='321:76.3,34.6'},
[3362]={[0]='Ogunaro Wolfrunner',[1]='321:61.1,35.2 321:61.2,34 321:61.4,35.5 321:61.5,34.3 321:61.5,35.4 321:61.5,35.5 321:69.2,13.2'},
[3387]={[0]='Jorn Skyseer',[1]='607:41.6,47.1'},
[3389]={[0]='Regthar Deathgate',[1]='11:37.8,55.3'},
[3390]={[0]='Apothecary Helbrim',[1]='11:48.6,58.4'},
[3391]={[0]='Gazlowe',[1]='11:68.41,69.06'},
[3399]={[0]='Zamja',[1]='321:32.3,69.4 321:32.3,69.5 321:32.5,68.9'},
[3411]={[0]="Denni'ka",[1]='81:72,91.2'},
[3412]={[0]='Nogg',[1]='321:56.4,56.4 321:56.4,56.5 321:56.5,56.4 321:56.7,56.8 321:75.4,24.8 321:75.9,25.2'},
[3418]={[0]='Kirge Sternhorn',[1]='607:41.6,46.6'},
[3429]={[0]='Thork',[1]='11:48.7,59.6'},
[3432]={[0]='Mankrik',[1]='11:55.2,41.1'},
[3433]={[0]='Tatternack Steelforge',[1]='607:41.7,46.7'},
[3439]={[0]="Wizzlecrank's Shredder",[1]='11:57.5,18.3 11:59.6,17.7 11:60.9,17.7'},
[3441]={[0]='Melor Stonehoof',[1]='362:18,62.4 362:19.9,32.7 362:27.1,44.7 362:42.3,33.3 362:42.7,34.2 362:46.7,57.9 362:61.1,82 362:61.3,80.3 362:61.3,80.5 362:61.5,80.7 362:61.6,79.8 362:96.9,62.1'},
[3442]={[0]='Sputtervalve',[1]='11:62.3,17.4'},
[3446]={[0]='Mebok Mizzyrix',[1]='11:67.9,71.6'},
[3448]={[0]='Tonga Runetotem',[1]='11:49.4,58.7 11:49.5,58.7'},
[3449]={[0]='Darsok Swiftdagger',[1]='11:30.6,45.9'},
[3453]={[0]='Wharfmaster Dizzywig',[1]='11:69.6,72.9'},
[3454]={[0]='Cannoneer Smythe',[1]='607:68.6,44.5'},
[3464]={[0]='Gazrog',[1]='11:66.9,72.7'},
[3467]={[0]='Baron Longshore',[1]='11:69.91,85.21'},
[3489]={[0]='Zargh',[1]='11:50.6,57.8'},
[3494]={[0]='Tinkerwiz',[1]='11:68.39,69.20'},
[3514]={[0]='Tenaron Stormgrip',[1]='41:58.35,34.60'},
[3515]={[0]='Corithras Moonrage',[1]='41:55.82,53.90'},
[3516]={[0]='Arch Druid Fandral Staghelm',[1]='381:24.4,48.8 381:24.5,48.8 381:33.8,10 381:34.3,8.2 381:34.4,8.5 381:34.5,8.4 381:34.6,10.6 381:34.8,9 381:35.3,9.6 381:35.5,9.1 381:39.4,10.7'},
[3517]={[0]='Rellian Greenspyre',[1]='41:43.96,44.17'},
[3518]={[0]='Thomas Miller',[1]='301:27.7,38 301:43.2,73.6 301:59.9,69.3 301:59.9,70.1 301:60.1,71.3 301:60.2,68 301:60.3,66.8 301:60.3,71.9 301:60.4,72.5 301:60.5,67.6 301:60.5,72.4 301:60.6,67.4 301:60.8,73.1 301:61,73.7 301:61.4,66.4 301:61.4,74.5 301:61.5,74.8 301:61.6,66.5 301:61.8,66.1 301:61.9,73.8 301:62.4,71 301:62.4,71.6 301:62.4,73.3 301:62.6,72.7 301:62.8,65.9 301:62.9,70.3 301:63.3,71.3 301:63.3,72 301:63.5,71.7 301:63.6,66.3 301:63.6,72.5 301:63.7,71.4 301:63.8,66.5 301:64.1,75 301:64.3,70.4 301:64.3,73.7 301:64.4,67.6 301:64.5,66.4 301:64.5,67.4 301:64.5,73.4 301:64.5,74.5 301:64.6,70.2 301:64.7,74.2 301:64.9,68.4 301:65,68.9 301:65,75.5 301:65.2,76.7 301:65.4,70.6 301:65.5,69.4 301:65.5,76.1 301:65.6,74.8 301:66.2,76.8 301:66.4,70.4 301:66.4,71.4 301:66.4,71.9 301:66.5,71.4 301:66.6,71.6 301:67.3,72.5 301:67.6,72.4 301:67.6,72.7'},
[3519]={[0]='Sentinel Arynia Cloudsbreak',[1]='41:39.50,29.86'},
[3521]={[0]="Ak'Zeloth",[1]='11:67.8,40.4 11:67.8,40.5'},
[3535]={[0]='Blackmoss the Fetid',[1]='41:52,63.8 H:100005179'},
[3567]={[0]='Tallonkai Swiftroot',[1]='41:55.55,49.99'},
[3568]={[0]='Mist',[1]='41:34.50,27.82'},
[3593]={[0]='Alyissia',[1]='41:58.84,33.74'},
[3594]={[0]='Frahun Shadewhisper',[1]='41:58.85,33.92'},
[3595]={[0]='Shanda',[1]='41:58.45,35.47'},
[3596]={[0]='Ayanna Everstride',[1]='41:58.85,35.74'},
[3597]={[0]='Mardant Strongoak',[1]='41:58.20,34.78'},
[3615]={[0]='Devrak',[1]='11:48.7,58.7'},
[3663]={[0]='Delgren the Purifier',[1]='43:26.2,38.6'},
[3665]={[0]='Crane Operator Bigglefuzz',[1]='11:69.1,71.4 11:69.1,71.5'},
[3685]={[0]='Harb Clawhoof',[1]='9:47.5,58.5 9:47.6,58'},
[3690]={[0]='Kar Stormsinger',[1]='9:47.7,58'},
[3691]={[0]='Raene Wolfrunner',[1]='43:36.6,49.6'},
[3694]={[0]='Sentinel Selarin',[1]='42:42.5,45.2'},
[3698]={[0]='Bolyun',[1]='43:18,60'},
[3845]={[0]='Shindrell Swiftfire',[1]='43:18.3,20.4 43:18.3,20.5'},
[3846]={[0]='Talen',[1]='43:18.2,20.6 43:18.3,20.4'},
[3847]={[0]='Orendil Broadleaf',[1]='43:26.8,36.7'},
[3848]={[0]='Kayneth Stillwind',[1]='43:85.3,44.4 43:85.3,44.7'},
[3880]={[0]='Sentinel Melyria Frostshadow',[1]='43:59,58.8'},
[3881]={[0]='Grimtak',[1]='4:50.74,42.84'},
[3885]={[0]='Sentinel Velene Starstrike',[1]='43:35.6,71.4 43:35.6,71.5'},
[3891]={[0]="Teronis' Corpse",[1]='43:20.3,38.8'},
[3894]={[0]='Pelturas Whitemoon',[1]='43:37.3,51.8'},
[3897]={[0]='Krolg',[1]='43:50.9,75.1'},
[3901]={[0]='Illiyana',[1]='43:86.3,44.1 43:86.4,43.1 43:86.7,43 43:87,43.5'},
[3916]={[0]="Shael'dryn",[1]='43:59.1,59.7'},
[3920]={[0]='Anilia',[1]='43:78.3,44.9'},
[3936]={[0]='Shandris Feathermoon',[1]='121:46,49.1'},
[3978]={[0]='Sage Truthseeker',[1]='362:33.9,47 362:34,46.4 362:34.1,47.6 362:34.6,47.4 362:34.8,48'},
[3995]={[0]="Witch Doctor Jin'Zil",[1]='81:71.1,91.2'},
[3996]={[0]="Faldreas Goeth'Shael",[1]='43:35.8,49.2'},
[4046]={[0]='Magatha Grimtotem',[1]='362:70.3,30.8 362:70.7,30.7'},
[4079]={[0]='Sentinel Thenysil',[1]='43:34.9,49.8'},
[4087]={[0]="Arias'ta Bladesinger",[1]='381:56,46.5 381:56.4,45.4 381:56.4,46.3 381:56.5,45.4 381:56.5,46.3 381:56.5,46.5'},
[4138]={[0]="Jeen'ra Nightrunner",[1]='381:29.2,42.2 381:43.3,26.6 381:43.4,26.1 381:43.5,25.9 381:43.5,26.5'},
[4155]={[0]='Idriana',[1]='381:43.4,51.3 381:43.6,51.2'},
[4156]={[0]='Astaia',[1]='381:49.10,60.95'},
[4202]={[0]='Gerenzo Wrenchwhistle',[1]='81:63.1,46'},
[4210]={[0]='Alegorn',[1]='381:49.87,36.65'},
[4214]={[0]='Erion Shadewhisper',[1]='381:40,39.7 381:40.4,39.3 381:40.5,39.4'},
[4217]={[0]='Mathrengyl Bearwalker',[1]='381:34.9,7.4 381:35.2,8 381:40.3,27.4 381:40.4,27.7 381:40.5,27.6'},
[4256]={[0]='Golnir Bouldertoe',[1]='341:50.4,26.1 341:51,25.4 341:51,26.3 341:51.1,27.5 341:51.2,27.2 341:51.6,25.2 341:51.6,27.6 341:51.8,27 341:52,25.9'},
[4265]={[0]='Nyoma',[1]='41:56.73,53.51'},
[4484]={[0]='Feero Ironhand',[1]='43:25.6,32.2 43:25.6,33.4 43:25.6,34 43:25.6,36.4 43:25.6,37 43:25.7,27.5 43:25.7,31 43:25.8,30.4 43:25.8,35.2 43:25.9,26.2 43:26.1,38.2 43:26.2,25.1 43:26.2,38.8 43:26.6,24 43:27.2,22.7 43:27.5,22.1 43:28.3,20.9 43:28.6,20.3 43:28.8,14.1 43:29.1,19.1 43:29.2,15.3 43:29.4,16.1 43:29.5,17.9 43:29.6,17.3'},
[4486]={[0]='Genavie Callow',[1]='16:13.7,34'},
[4498]={[0]='Maurin Bonesplitter',[1]='101:52.2,53.5'},
[4500]={[0]="Overlord Mok'Morokk",[1]='141:36.3,31.4 141:36.3,31.5'},
[4501]={[0]="Draz'Zilb",[1]='141:37.1,33'},
[4502]={[0]='Tharg',[1]='141:37.3,31.4 141:37.3,31.5'},
[4508]={[0]='Willix the Importer',[1]='761:52.3,45.7 761:54.1,44.9 761:66,65.3 761:27.4,38.7 761:27.9,35.8 761:28.1,37.9 761:28.2,39.9 761:28.2,40.7 761:28.3,37.3 761:28.8,35.6 761:28.8,36.5 761:28.9,41.2 761:29.1,41.8 761:29.2,33.6 761:29.3,34.7 761:29.6,34.7 761:29.8,34.1 761:30.4,33.1 761:31,33 761:31.1,33.6 761:31.3,32.3 761:31.7,33.2 761:31.7,33.5 761:32.2,32.2 761:32.8,32.3 761:33.1,32.7 761:34.3,32.4 761:34.4,32.6 761:34.8,32.5 761:35,48 761:35.1,32.4 761:35.3,47.4 761:35.5,32 761:35.6,32.5 761:36,48.9 761:36.2,31.4 761:36.6,31.2 761:36.6,51.5 761:36.9,54 761:37.2,52.8 761:37.6,54.6 761:37.7,55.8 761:38.5,58.2 761:39.6,60.6 761:41.6,64.2 761:45.7,49 761:46.2,50.2 761:46.8,51.4 761:47,38.5 761:47.2,51.9 761:47.6,61.6 761:47.7,52.6 761:48.1,61 761:48.2,54.4 761:48.2,56.2 761:48.4,55 761:48.4,57.4 761:48.4,58 761:48.4,58.6 761:48.5,56 761:48.7,57.2 761:49.6,39.6 761:51,41.2 761:51.8,42.4 761:51.9,43 761:51.9,43.6 761:52,44.8 761:52,46 761:52.1,46.6 761:52.1,52.6 761:52.2,52 761:52.3,47.8 761:52.4,49 761:52.4,50.2 761:52.4,51.4 761:52.5,50.8 761:52.7,50.1 761:52.7,54 761:52.8,48 761:53.3,56.4 761:53.7,56 761:54.3,56.5 761:55.4,58.3 761:59,57.9 761:59.6,57.7 761:60.4,58.5 761:60.8,58 761:62,58.3 761:62,75.4 761:62.1,76 761:62.2,74.2 761:62.2,77.2 761:62.2,77.8 761:62.3,72.6 761:62.4,79 761:62.5,72.7 761:62.5,78.4 761:62.5,79 761:62.6,58.5 761:62.7,79.6 761:62.8,72.1 761:63.1,71.3 761:63.4,80.8 761:63.7,70.8 761:64,80.4 761:64,81.1 761:64.4,58.6 761:64.4,81.5 761:64.5,71 761:65,58.3 761:65.2,81.5 761:65.4,81.4 761:65.5,70.6 761:65.5,81.4 761:65.6,58.2 761:65.6,70.2 761:65.8,81.7 761:66.2,58.5 761:66.5,81.9 761:66.8,58.6 761:67.1,69.4 761:67.3,69.7 761:67.9,70.1 761:68,59.3 761:68.3,59.8 761:68.4,68.6 761:68.5,69.3 761:68.6,59.7 761:69,68.3 761:69.2,60.5 761:69.5,60.9 761:69.7,61.5 761:70,63.3 761:70.1,63.9 761:70.1,64.5 761:70.2,67.5 761:70.3,67.3 761:70.4,65.5 761:70.7,66.3 761:71.3,66.5'},
[4544]={[0]='Krueg Skullsplitter',[1]='121:74.7,43.5 121:75,43 121:76,42.8'},
[4551]={[0]='Michael Garrett',[1]='382:44,35.4 382:63,48.4 382:63.4,48.6 382:63.5,48.4 382:64.1,49'},
[4552]={[0]='Eunice Burch',[1]='382:62.2,44.4'},
[4556]={[0]='Gordon Wendham',[1]='382:60.9,74 382:61.7,42 382:62,42.8 382:62.4,41.2 382:62.5,41.3 382:62.5,41.5'},
[4563]={[0]='Kaal Soulreaper',[1]='382:85.3,15.7 382:85.4,15.3 382:85.5,15.7 382:86,15.4'},
[4566]={[0]='Kaelystia Hatebringer',[1]='382:65.9,68.1 382:85.1,15.6 382:85.2,14.3 382:85.3,14.9 382:85.5,14.4 382:85.5,14.9'},
[4573]={[0]='Armand Cromwell',[1]='382:81.6,30.8'},
[4584]={[0]='Gregory Charles',[1]='382:36.7,2.2 382:65.7,80.6 382:80.7,9.2 382:84.2,74.7 382:84.3,72.3 382:84.3,73.5 382:84.4,73.3 382:84.5,73.4 382:84.5,74.6 382:84.6,73.5 382:85.3,72.1 382:85.6,74.3 382:85.6,74.6 382:85.7,72.8'},
[4586]={[0]='Graham Van Talen',[1]='382:6.3,68.3 382:35,2.2 382:63.9,80.6 382:75,74 382:75.1,72.2 382:75.2,74.5 382:75.4,72.8 382:75.6,74.5 382:75.8,73.4 382:75.8,73.6 382:76.2,72.4 382:78.6,9.2'},
[4593]={[0]='Christoph Walker',[1]='382:46.8,16.5 382:47,15.8 382:47.2,15.3 382:47.7,16.3 382:47.8,14.8'},
[4606]={[0]='Aelthalyste',[1]='382:43.6,34.7 382:49.3,18.2 382:49.4,16.3 382:49.4,16.7 382:49.4,18.5 382:49.5,16.9 382:49.5,17.9 382:49.6,18.5 382:49.8,16.1 382:58.3,68.7 382:76.1,40.9'},
[4618]={[0]='Martek the Exiled',[1]='17:26.2,62.4 17:26.2,62.5'},
[4730]={[0]='Lelanai',[1]='381:42.49,32.60'},
[4732]={[0]='Randal Hunter',[1]='30:84.3,65'},
[4752]={[0]='Kildar',[1]='321:61.4,34.4 321:61.4,34.7 321:61.4,35.5 321:61.5,34.4 321:61.5,34.5 321:69.4,12.6'},
[4753]={[0]='Jartsam',[1]='381:42.7,33 381:42.7,33.5'},
[4772]={[0]='Ultham Ironhorn',[1]='27:71.1,48.5 27:71.2,48.4'},
[4773]={[0]='Velma Warnam',[1]='20:61.8,51.9'},
[4787]={[0]='Scout Thaelrid',[1]='688:20.4,74.3 688:20.4,75 688:20.6,75.8 688:20.9,74.3 688:20.9,74.9 688:21.5,74.4 688:21.5,75.5 688:21.8,74.6'},
[4791]={[0]='Nazeer Bloodpike',[1]='141:35.3,30.7'},
[4792]={[0]='"Swamp Eye" Jarl',[1]='141:55.4,26.3 141:55.5,26.3'},
[4794]={[0]='Morgan Stern',[1]='141:66.3,45.4 141:68.2,48.7'},
[4880]={[0]='"Stinky" Ignatz',[1]='141:46.9,17.4 141:46.9,17.6 141:47.3,19.3 141:47.3,20 141:47.3,20.6'},
[4921]={[0]='Guard Byron',[1]='141:66.1,46.1'},
[4926]={[0]='Krog',[1]='141:36.4,31.8 141:36.5,31.8'},
[4941]={[0]='Caz Twosprocket',[1]='141:64.7,50.4 141:64.7,50.5'},
[4943]={[0]='Mosarn',[1]='362:54.2,80.5 362:54.3,80.4 362:54.7,79.8'},
[4944]={[0]='Captain Garran Vimes',[1]='141:68.2,48.5'},
[4948]={[0]='Adjutant Tesoran',[1]='141:68,48.2'},
[4949]={[0]='Thrall',[1]='321:32.3,37.8 321:32.5,38.7 321:32.8,37.8'},
[4968]={[0]='Lady Jaina Proudmoore',[1]='141:66.3,49.1'},
[4983]={[0]='Ogron',[1]='141:40.9,36.4 141:40.9,36.6 141:41.2,37.8 141:41.8,38.2 141:42.5,38'},
[5086]={[0]='Captain Wymor',[1]='141:59.7,41.1'},
[5087]={[0]="Do'gol",[1]='141:36.5,30.9'},
[5089]={[0]='Balos Jacken',[1]='141:36.1,54.3'},
[5111]={[0]='Innkeeper Firebrew',[1]='341:18.4,51.4'},
[5115]={[0]='Daera Brightspear',[1]='341:47.7,59.7 341:69.7,33.7 341:70,90.6 341:70.1,89.5 341:70.2,88.4 341:70.2,89 341:70.9,88.3 341:70.9,90.1 341:71.1,90.7 341:71.2,91.6 341:71.3,89.3 341:71.6,89.8 341:71.6,91.5 341:71.7,88.3 341:71.7,88.7 341:71.7,91'},
[5146]={[0]='Nittlebur Sparkfizzle',[1]='341:25.3,7.5 341:25.9,8 341:26,5.3 341:26.2,6.2 341:26.2,6.8 341:26.5,6.4 341:27,6.7 341:62.4,20.2'},
[5147]={[0]='Valgar Highforge',[1]='341:22.6,5.7 341:23.3,6.5 341:23.4,4.4 341:23.4,5.1 341:23.5,4.9 341:23.7,5.6 341:24,3.9 341:24.4,6.6 341:24.6,3.7 341:24.6,5.4 341:24.6,6.3 341:62,20'},
[5150]={[0]='Nissa Firestone',[1]='341:54.9,58.6 341:55.2,57.4 341:55.3,57.9 341:55.4,59.8 341:55.5,58.4 341:55.5,59.7 341:55.8,59.2'},
[5159]={[0]='Daryl Riknussun',[1]='341:60.06,36.50'},
[5161]={[0]='Grimnur Stonebrand',[1]='341:47.4,8'},
[5165]={[0]='Hulfdan Blackbeard',[1]='341:50.9,15.2 341:51,15.9 341:51.3,14.3 341:51.6,16.1 341:51.7,14.8 341:51.9,14.2 341:52.4,13.4 341:52.6,13.6 341:66.6,21.6'},
[5173]={[0]='Alexander Calder',[1]='341:50,6 341:50.2,6.9 341:50.2,7.6 341:50.3,8.7 341:50.5,7.2 341:50.9,6.1'},
[5174]={[0]='Springspindle Fizzlegear',[1]='341:68.46,43.55'},
[5296]={[0]='Rage Scar Yeti',[1]='121:53.2,31.8 H:100055166,100055167'},
[5297]={[0]='Elder Rage Scar',[1]='121:54.6,33.8 H:100055166,100055167'},
[5299]={[0]='Ferocious Rage Scar',[1]='121:53.6,32 H:100055166,100055167'},
[5385]={[0]='Watcher Mahar Ba',[1]='19:63.1,16.9'},
[5387]={[0]='High Explorer Magellas',[1]='341:21.2,91.3 341:62.3,24.2 341:69,18.4 341:69.3,20.1 341:69.4,17.3 341:69.4,19 341:69.4,22.3 341:69.5,22.2 341:69.7,19.5 341:69.9,18.6 341:70.3,17.7 341:70.4,17.4 341:70.5,18.5 341:70.8,17.2 341:71,17.5'},
[5390]={[0]='Sage Palerunner',[1]='121:75.1,42.8'},
[5391]={[0]='Galen Goodward',[1]='38:53.2,29.3 38:53.3,29.6 38:54.4,28.5 38:54.8,28.5 38:55,28.1 38:56.2,27.5 38:56.6,27.8 38:56.8,27.4 38:57.5,26.7 38:57.9,26.4 38:59.1,26.4 38:59.5,26.6 38:59.8,25.7 38:61.4,26.6 38:61.7,26.5 38:62,26.2 38:63.2,25.7 38:63.5,25.6 38:64.6,25.5 38:64.7,19.8 38:64.7,22.6 38:64.8,21 38:65.1,21.8 38:65.1,24.9 38:65.3,18.8 38:65.4,18.4 38:65.4,23.5 38:65.5,18.4 38:65.5,18.9 38:65.5,24.1 38:65.5,24.7 38:65.6,22.9 38:65.8,21.7'},
[5393]={[0]='Quartermaster Lungertz',[1]='19:60.1,13.6'},
[5395]={[0]='Felgur Twocuts',[1]='101:56.3,59.4 101:56.3,59.5'},
[5396]={[0]='Captain Pentigast',[1]='101:66.7,11'},
[5397]={[0]='Uthek the Wise',[1]='101:36.3,79.2'},
[5398]={[0]='Warug',[1]='101:74.9,68.1'},
[5412]={[0]='Gurda Wildmane',[1]='101:56.3,59.4 101:56.3,59.5'},
[5413]={[0]='Furen Longbeard',[1]='301:64,37.3 301:64.2,37.8 301:64.7,37.4 301:64.7,38.4'},
[5470]={[0]='Raging Dune Smasher',[1]='161:37.4,80.6 H:100008623'},
[5477]={[0]='Noboru the Cudgel',[1]='38:48,38.8 H:100006196'},
[5494]={[0]='Catherine Leland',[1]='301:55.03,69.69'},
[5504]={[0]='Sheldras Moontree',[1]='301:27.6,50.1 301:27.8,49.4 301:27.9,50.5'},
[5511]={[0]='Therum Deepforge',[1]='301:63.3,36.4 301:63.3,36.6 301:63.3,37.5 301:63.5,36.2 301:63.8,37.3 301:63.9,37.8'},
[5518]={[0]='Lilliam Sparkspindle',[1]='301:62.84,31.97'},
[5543]={[0]='Clarice Foster',[1]='362:27.1,24.3 362:27.4,24.9 362:27.5,24.4 362:27.9,25 362:28.3,25.5 362:28.4,27.2 362:28.4,27.9 362:28.5,27 362:28.5,27.6 362:28.8,26.2 362:29.2,24.7 362:35.6,22.1 362:36.2,23.5 362:36.5,23.8 362:89.1,49.2 362:89.4,49.5'},
[5594]={[0]='Alchemist Pestlezugg',[1]='161:50.9,27 161:50.9,28'},
[5636]={[0]='Gryphon Master Talonaxe',[1]='26:10,44.3 26:10.1,44.5'},
[5637]={[0]='Roetten Stonehammer',[1]='341:21.1,91.9 341:47.7,58.4 341:62.2,24.4 341:62.3,24.5 341:66,19.4 341:66.2,21.5 341:66.3,19.5 341:66.4,17.5 341:66.4,21.3 341:66.6,17.3 341:67.1,17.8 341:67.1,22.8 341:67.3,18.7 341:67.3,21 341:67.3,22.2 341:67.4,19.9 341:67.5,17.2 341:67.8,18 341:67.9,20.4 341:67.9,21.7 341:68.2,18.5 341:68.4,20.9 341:68.4,23.1 341:68.4,23.7 341:68.5,17.4 341:68.5,17.8 341:68.5,23.8 341:68.7,18.9 341:68.9,20.3 341:69.3,21.5 341:69.4,21.1 341:69.4,22.6 341:69.5,22 341:69.5,22.6 341:69.5,23.5 341:69.9,20.1 341:69.9,20.8 341:70.2,19.4 341:73.9,54.2 341:79.6,61.1'},
[5638]={[0]='Kreldig Ungor',[1]='101:66.2,9.7'},
[5639]={[0]='Craven Drok',[1]='321:18.7,96.4 321:44.3,52.3 321:44.3,52.7 321:45.1,51.8 321:45.1,60.9 321:45.2,61.5 321:45.3,60.3 321:45.7,61.7 321:45.8,60.5 321:46.4,50.4 321:46.4,50.8 321:46.4,60 321:46.5,50.5 321:46.7,60 321:47,50.4 321:47.1,49.2 321:47.2,58.2 321:47.4,59.2 321:47.6,60.2 321:47.7,50.3 321:47.7,59.3 321:48.3,51.7 321:48.4,49.3 321:48.4,51.1 321:48.4,58.3 321:48.5,51.3 321:48.8,51.7 321:48.9,49 321:48.9,58.5 321:49.2,59.9 321:49.3,48.3 321:49.4,52.5 321:49.4,57.7 321:49.4,60.5 321:49.6,57.6 321:49.7,52.8 321:49.8,60.8 321:49.9,47.8 321:49.9,51.4 321:50,51.7 321:50.4,47.2 321:50.4,56.9 321:50.4,59.2 321:50.4,60.1 321:50.6,50.9 321:50.6,56.7 321:50.7,51.9 321:50.7,59.7 321:50.8,47.3 321:50.8,50.3 321:51.1,46.4 321:51.2,59.1 321:51.4,55.4 321:51.4,55.5 321:51.5,55.7 321:51.6,46.7 321:51.9,45.5 321:52.1,44.9 321:52.1,54.6 321:52.2,44 321:52.4,54 321:52.5,44.3 321:52.5,54.2 321:58.4,44.7 321:34.2,63.6 321:34.8,63.2 321:35.1,62.4 321:35.4,64.4 321:35.6,63.4 321:36.2,64.6 321:36.3,64.1 321:36.4,61.8 321:36.6,63.5 321:36.6,66 321:36.7,63.3 321:36.9,64.5 321:37,61 321:37.3,62 321:37.5,64.4 321:37.6,62.5 321:37.6,66.1 321:37.9,60.3 321:37.9,66.8 321:38.1,61.4 321:38.2,62 321:38.4,65.2 321:38.7,63.7 321:38.8,59.6 321:38.8,61.5 321:38.8,62.7 321:38.9,60.8 321:39,65.2 321:39.6,65.1 321:39.7,60.3 321:39.8,58.9 321:39.9,61.6 321:40,60.5 321:40.5,60.5 321:40.7,57.8 321:41,59.9 321:41.1,59.2 321:41.6,57.5 321:42,59.8 321:42.1,58.8 321:42.3,57.2 321:42.6,58.6 321:42.9,56 321:43.2,58.4 321:43.3,53 321:43.4,56.5 321:43.8,57.9 321:44,54.2 321:44.1,55.2 321:44.2,55.7 321:44.2,56.6 321:44.5,54.1 321:44.6,55.9 321:44.7,51.3 321:44.9,57 321:44.9,57.9 321:45,60.2 321:45,60.8 321:45.1,52.1 321:45.4,50 321:45.4,52.9 321:45.4,55.2 321:45.4,58.7 321:45.5,57 321:45.6,51 321:45.7,52.1 321:45.7,53.8 321:45.8,57.9 321:45.8,59 321:46,54.7 321:46.2,55.7 321:46.3,60 321:46.4,53.1 321:46.5,51.4 321:46.5,56 321:46.5,59.7 321:46.7,54.5 321:46.7,56.6 321:46.7,59 321:46.8,52 321:47,57.9 321:47.1,52.6 321:47.2,54.1 321:47.5,50.4 321:47.5,54.7 321:47.8,53.5 321:47.9,52 321:47.9,57.3 321:48.3,52.8 321:48.4,47.9 321:48.4,51.4 321:48.4,55.6 321:48.7,50.8 321:48.9,49.9 321:48.9,53.7 321:49,49.3 321:49,52.5 321:49,56.5 321:49.2,48.1 321:49.3,55.3 321:49.4,51.6 321:49.4,56 321:49.5,54.1 321:49.6,52.1 321:49.9,48.4 321:50,51.1 321:50,56.4 321:50.1,54.6 321:50.4,49 321:50.4,53.3 321:50.5,48.2 321:50.6,50.6 321:50.6,55 321:50.7,52.9 321:50.9,56.3 321:51,49.2 321:51,50 321:51.2,51.7 321:51.2,57.3 321:51.4,54 321:51.6,54 321:51.7,51.9 321:51.7,55.2 321:51.8,51.3 321:51.8,56.9 321:51.9,55.6 321:52,52.7 321:52.1,48.1 321:52.2,50.2 321:52.4,49 321:52.4,58.1 321:52.5,50.9 321:52.5,51.7 321:52.5,56.1 321:52.7,53.4 321:52.8,58.3 321:52.9,55 321:53,50.2 321:53,54 321:53.1,56.7 321:53.3,48.3 321:53.3,59 321:53.4,49.2 321:53.5,49.6 321:53.5,54 321:53.6,56.3 321:53.7,57.2 321:53.9,50.6 321:53.9,51.8 321:53.9,52.5 321:54,55.4 321:54,59 321:54.2,48.7 321:54.2,60.9 321:54.3,57.7 321:54.4,48.4 321:54.5,57.4 321:54.6,49.8 321:54.6,58.5 321:54.7,56.4 321:54.8,49 321:54.8,50.7 321:54.9,58.3 321:55.2,55 321:55.2,59.9 321:55.2,61.1 321:55.4,47.3 321:55.4,48.4 321:55.6,49.8 321:55.7,50.7 321:55.8,48.2 321:55.8,48.5 321:55.8,59.6 321:55.9,56.4 321:56,61.7 321:56.1,58 321:56.1,59.3 321:56.2,57.2 321:56.3,46.4 321:56.3,47.3 321:56.5,59.3 321:56.6,47.5 321:56.6,50.7 321:56.7,43.7 321:56.8,47.4 321:56.8,49.3 321:56.8,52 321:57,57.3 321:57.2,60.4 321:57.2,61.1 321:57.3,58.2 321:57.4,45.4 321:57.4,46 321:57.4,61.7 321:57.6,46.5 321:57.8,48.7 321:57.8,60.5 321:58,62.5 321:58.1,57.4 321:58.2,56.3 321:58.3,45.6 321:58.3,58.6 321:58.4,45.3 321:58.4,57.5 321:58.4,60.1 321:58.4,61.8 321:58.4,64.4 321:58.6,46.2 321:58.6,46.9 321:58.6,55.5 321:58.9,45 321:58.9,58.5 321:58.9,60.9 321:59,57.5 321:59,59.9 321:59.1,54.8 321:59.1,57.2 321:59.4,44.3 321:59.4,54.2 321:59.4,61.5 321:59.5,60.4 321:59.6,44.6 321:59.6,61.4 321:59.7,57.4 321:60,56.4 321:60.1,43.9 321:60.1,58.4 321:60.2,58.8 321:60.3,43.4 321:60.5,43.6 321:60.5,60.8 321:60.9,42.8 321:60.9,60 321:61.1,42.2 321:61.1,54.2 321:61.1,57.6 321:61.2,56.4 321:61.2,57 321:61.3,59.1 321:61.4,54.8 321:61.5,42.2 321:61.6,43.6 321:61.6,55.4 321:61.6,57.1 321:61.7,56 321:61.9,43 321:61.9,57.5 321:61.9,58.8 321:62.2,40.1 321:62.3,37.6 321:62.3,41.4 321:62.4,54.3 321:62.5,41.6 321:62.6,57.8 321:62.7,54.4 321:62.9,55.2 321:62.9,56.6 321:63,40.3 321:63.1,41 321:63.1,55.5 321:63.3,39 321:63.5,56.2 321:63.6,41.8 321:63.6,42.8 321:63.6,53.4 321:63.6,54.7 321:63.8,40.5 321:63.9,38.4 321:64,40.1 321:64.1,39.4 321:64.1,54.3 321:64.5,41.2 321:64.6,39.8 321:64.7,39.2 321:64.8,36.8 321:64.8,52.4 321:64.9,41.8 321:65,38.2 321:65.2,43.1 321:65.4,36.1 321:65.6,38.8 321:65.9,43 321:65.9,43.6 321:66,35.3 321:66,41.8 321:66.1,37.7 321:66.1,39.6 321:66.3,37 321:66.4,34.4 321:66.4,36.1 321:66.4,40.6 321:66.6,40 321:66.7,37 321:66.8,37.7 321:66.8,38.9 321:66.9,33.2 321:66.9,35.7 321:67,35.3 321:67,43.9 321:67.1,34.3 321:67.2,32.3 321:67.2,42.7 321:67.4,41.5 321:67.5,31.4 321:67.5,40.9 321:67.6,39.7 321:67.7,30.2 321:67.7,33 321:67.7,39.1 321:67.9,28.9 321:67.9,37.6 321:68,36.9 321:68.1,32.4 321:68.1,35.2 321:68.3,35.6 321:68.4,33.6 321:68.6,31.6 321:68.7,28.9 321:68.7,36.3 321:68.9,28 321:68.9,32.5 321:68.9,33.5 321:68.9,34.6 321:69.2,30.5 321:69.3,29.6 321:69.5,33.5 321:69.6,30.7 321:69.7,29 321:69.8,30.1 321:69.8,32.9 321:70.1,31.9'},
[5640]={[0]='Keldran',[1]='321:22.3,54.2 321:22.4,53 321:27.9,62.6 321:28,61.4 321:28,62 321:28.5,62'},
[5641]={[0]='Takata Steelblade',[1]='101:52.6,54.3'},
[5642]={[0]='Vahlarriel Demonslayer',[1]='101:66.44,11.82'},
[5752]={[0]='Corporal Melkins',[1]='101:66.7,10.9'},
[5767]={[0]='Nalpak',[1]='749:51.9,55.4 749:45.9,59.5 749:46.2,57 749:46.4,58.2 749:46.4,58.8 749:46.5,57.3 749:46.5,58.1 749:46.5,58.8'},
[5768]={[0]='Ebru',[1]='749:51.9,55.4 749:46.4,58.3 749:46.4,59.2 749:46.4,59.5 749:46.5,58.4 749:46.5,58.8 749:46.5,59.5'},
[5769]={[0]='Arch Druid Hamuul Runetotem',[1]='362:30.3,68.5 362:30.7,68.4 362:30.9,68.9 362:30.9,69.5 362:45.7,22.7 362:78.1,29.5 362:78.4,28.4 362:78.4,28.7 362:78.5,28.3 362:78.5,28.7'},
[5770]={[0]='Nara Wildmane',[1]='362:75.3,30.5 362:75.5,30.4 362:75.6,31.1 362:75.7,31.5'},
[5887]={[0]='Canaga Earthcaller',[1]='4:42.40,69.18'},
[5888]={[0]='Seer Ravenfeather',[1]='181:25.6,38.1 181:57.5,50.8 22:31.5,63 22:33.4,65.5 301:52.3,45.7 301:69.6,71.4 321:57,46.7 504:38.9,25.1 504:38.9,25.7 504:39,26.5 504:39.5,25.3 504:58.7,39.3 610:42,66.6 610:57.2,29.3 615:57.3,15.9 615:57.5,15.9'},
[5907]={[0]='Kranal Fiss',[1]='11:56.4,40.4 11:56.4,40.6 11:56.8,40.3'},
[6019]={[0]='Hornizz Brimbuzzle',[1]='101:47.9,61.8'},
[6030]={[0]='Thorvald Deepforge',[1]='35:23.6,74.4 35:23.6,74.5'},
[6031]={[0]='Tormus Deepforge',[1]='341:48.3,43.7 341:48.4,43 341:48.6,43.1 341:48.7,44.1 341:49,42.4 341:49.5,42.3 341:49.5,42.6 341:66.1,26.1'},
[6034]={[0]='Lotherias',[1]='381:60.3,37.1 381:60.5,37'},
[6171]={[0]='Duthorian Rall',[1]='301:50.3,46.7 301:50.4,47.8 301:51,47.1 301:51,47.7'},
[6179]={[0]='Tiza Battleforge',[1]='341:26.4,11.9 341:26.4,12.5 341:26.8,10.9 341:27.2,13 341:27.3,10.4 341:27.3,12 341:27.7,10.3 341:27.8,10.9 341:28,11.5 341:28.2,13.6 341:28.3,12.7 341:28.5,12.4 341:28.5,13.3'},
[6212]={[0]='Dark Iron Agent',[1]='691:41.6,71.6 H:100009326'},
[6522]={[0]='Andron Gant',[1]='382:54.6,74.9 382:54.8,75.5'},
[6546]={[0]='Tabetha',[1]='141:46,57.1'},
[6569]={[0]='Gnoarn',[1]='341:47.7,59 341:68.8,51.7 341:69.4,27.4 341:69.4,27.5 341:69.4,50.4 341:69.4,50.7 341:69.5,50.3 341:69.5,50.6 341:69.7,51.8 341:70.1,49.4'},
[6577]={[0]='Bingles Blastenheimer',[1]='35:81.7,64.6'},
[6707]={[0]='Fahrad',[1]='24:70.6,45.7'},
[6736]={[0]='Innkeeper Keldamyr',[1]='41:55.37,52.23'},
[6740]={[0]='Innkeeper Allison',[1]='301:60.4,75.2'},
[6741]={[0]='Innkeeper Norman',[1]='382:62.2,73.2 382:66.9,38.5 382:67,38.4 382:67.5,38.2 382:67.9,38.6'},
[6746]={[0]='Innkeeper Pala',[1]='362:45.4,63.4'},
[6766]={[0]='Ravenholdt Guard',[1]='24:67.2,46.4 24:67.2,46.7 24:69.1,44.2 24:70.5,44.9'},
[6774]={[0]='Falkhaan Isenstrider',[1]='30:45.56,47.75'},
[6780]={[0]='Porthannius',[1]='41:60.17,41.71'},
[6782]={[0]='Hands Springsprocket',[1]='27:40.88,70.67'},
[6826]={[0]='Talvash del Kissel',[1]='341:35.9,3 341:36,2.4 341:36,4.8 341:36.1,4.2 341:36.6,5.3 341:56.9,21.7 341:64,19.9'},
[6887]={[0]='Yalda',[1]='42:39.1,43.1'},
[6929]={[0]='Innkeeper Gryshka',[1]='321[1]:53.63,78.79'},
[7010]={[0]='Zilzibin Drumlore',[1]='321:55.2,55.8'},
[7024]={[0]='Agent Kearnen',[1]='39:68.3,70.4 39:68.3,70.5'},
[7114]={[0]='Jaedenar Enforcer',[1]='182:36.2,57.4 182:36.2,57.7 182:36.9,52 182:37.5,53.4 182:37.9,54.5 182:38.1,46.6 182:38.4,54.2 182:38.5,54.1 182:39.4,47.6 182:40.1,49.5 182:40.8,48.6'},
[7118]={[0]='Jaedenar Darkweaver',[1]='182:36.2,57.2 182:36.5,56.5 182:36.7,56.3 182:37.1,51.7 182:37.3,55.2 182:37.4,51.2 182:37.4,53.2 182:37.5,54.6 182:37.6,53.1 182:38,45.9 182:38.2,54.4 182:38.3,50.7 182:38.5,50.6 182:38.6,54.6 182:38.8,54.3 182:39,46.7 182:40.4,47.4 182:40.4,47.5 182:40.4,48.9 182:40.5,48.1 182:40.9,48.5'},
[7120]={[0]='Jaedenar Warlock',[1]='182:36.2,57.2 182:36.5,56.5 182:36.7,56.3 182:37.1,51.7 182:37.4,51.2 182:37.4,53.2 182:37.4,54.6 182:37.5,54.6 182:38,45.9 182:38,52.8 182:38.2,54.4 182:38.3,50.7 182:38.5,53.7 182:38.6,54.6 182:39,46.7 182:40.4,47.4 182:40.4,47.5 182:40.4,48.9 182:40.5,48.1 182:40.7,48.7'},
[7139]={[0]='Irontree Stomper',[1]='182:45.7,24 182:47.7,26.6 182:48.1,27.7 182:48.7,22.2 182:48.7,29.7 182:49.2,21.4 182:49.6,20.5 182:49.8,18.2 182:49.9,22.1 182:49.9,29.6 182:50,19.7 182:50.4,23 182:50.6,18.8 182:50.8,26 182:50.9,22 182:51,23.4 182:51,25.4 182:51.4,24.3 182:51.5,22.8 182:51.6,26 182:51.6,26.5 182:51.7,25.2 182:51.9,22.3 182:51.9,23.8 182:52.4,21 182:52.5,22.9 182:52.5,26.1 182:52.7,21 182:52.7,23.8 182:53.4,22.4'},
[7149]={[0]='Withered Protector',[1]='182:53,24.1 182:53,24.5'},
[7156]={[0]='Deadwood Den Watcher',[1]='182:63.2,9 H:100020741'},
[7157]={[0]='Deadwood Avenger',[1]='182:62.8,13.6 H:100020741'},
[7158]={[0]='Deadwood Shaman',[1]='182:63.8,6.8 H:100020741'},
[7313]={[0]="Priestess A'moora",[1]='41:39.18,29.88 41:39.25,29.73'},
[7316]={[0]='Sister Aquinne',[1]='381:36.08,53.48'},
[7317]={[0]='Oben Rageclaw',[1]='41:45.03,53.48',[2]="In Ban'ethil Barrow Den"},
[7363]={[0]="Kum'isha the Collector",[1]='19:48.9,31.8'},
[7406]={[0]='Oglethorpe Obnoticus',[1]='673:43,72.1'},
[7407]={[0]='Chief Engineer Bilgewhizzle',[1]='161:52.4,28.4 161:52.4,28.5 686:58,89.1'},
[7434]={[0]='Frostsaber Pride Watcher',[1]='281:44.8,20.3 281:44.8,24 281:44.9,17.4 281:44.9,17.7 281:44.9,27.7 281:45,20.6 281:45,26.8 281:45.3,24.6 281:45.4,15 281:45.4,15.6 281:45.4,18.7 281:45.4,23 281:45.4,25.7 281:45.5,15.1 281:45.6,24.7 281:45.9,20.8 281:46,15.5 281:46,20.3 281:46,23.6 281:46.1,19.1 281:46.1,22.3 281:46.3,22.9 281:46.3,26.3 281:46.4,26.8 281:46.4,28.1 281:46.4,29.4 281:46.5,19 281:46.5,22.8 281:46.5,26.4 281:46.7,21.2 281:46.9,23.6 281:46.9,28.5 281:47,14.1 281:47,30 281:47.1,15.8 281:47.1,26.9 281:47.2,22.4 281:47.2,25.3 281:47.4,15 281:47.4,16.8 281:47.4,27.8 281:47.5,14.8 281:47.5,16.5 281:47.5,26.1 281:47.6,29.3 281:47.7,23 281:47.7,24.6 281:47.7,26.5 281:47.7,31.3 281:47.9,23.8 281:48,32.1 281:48.1,28.4 281:48.1,29.8 281:48.3,9.5 281:48.3,15.9 281:48.4,18.2 281:48.5,12.1 281:48.6,16.4 281:48.6,18 281:48.7,16.6 281:48.9,7.9 281:49.7,7.4 281:49.9,7.8 281:50.4,8.8 281:50.5,8.8 281:51.6,10.3 281:51.9,9.2'},
[7443]={[0]='Shardtooth Mauler',[1]='281:52.4,40.6 281:52.4,42.4 281:52.4,42.6 281:52.6,40.8 281:52.6,42.8 281:53,38.4 281:53,38.5 281:53.2,40 281:53.4,42.1 281:53.7,42 281:53.8,40.9 281:54.1,38.4 281:54.2,39.3 281:54.3,39.5 281:54.5,41.9 281:54.6,36.5 281:54.6,40.6 281:54.7,36.4 281:55,39.5 281:55.1,39.1 281:55.4,37.7 281:55.5,37.8 281:55.6,41.4 281:55.6,41.5 281:55.8,38.8 281:55.8,40 281:55.9,36.4 281:55.9,36.5 281:56.6,39.2 281:56.6,40.7 281:56.7,37.7 281:56.7,39.5 281:56.7,41.8 281:56.9,30 281:57.1,36.4 281:57.1,36.5 281:57.6,40.5 281:57.7,40.3 281:57.8,42.1 281:57.9,38.2 281:57.9,39.2 281:58.1,36.6 281:58.2,36.4'},
[7456]={[0]='Winterspring Screecher',[1]='281:53,34.4 281:53,34.5 281:53.2,33.2 281:53.3,40 281:53.4,41 281:53.5,40.4 281:53.5,40.7 281:53.9,34.2 281:54,33.4 281:54,35.6 281:54.1,35.4 281:54.7,32.4 281:54.7,34.6 281:55,40 281:55,40.5 281:55.1,33.7 281:55.3,35.6 281:55.4,32.7 281:55.4,36.5 281:55.5,32.8 281:55.5,36.4 281:55.5,36.5 281:56,35.1 281:56.4,33.7 281:56.5,33.7 281:56.5,35.8 281:56.7,35.1 281:60.6,35.3 281:61,36 281:61.1,34.4 281:61.4,36.6 281:61.5,33.6 281:61.5,36.6 281:62.3,37.5 281:62.5,37 281:63.2,61.9 281:63.3,38.8 281:63.4,36.2 281:63.4,38.4 281:63.5,38.7 281:63.8,36.5'},
[7505]={[0]='Bloodmage Drazial',[1]='19:39.2,36.2'},
[7506]={[0]='Bloodmage Lynnore',[1]='19:39.2,36.2'},
[7623]={[0]='Dispatch Commander Ruag',[1]='38:49.4,55.4 38:49.4,55.5 38:49.5,55.4 38:49.5,55.5'},
[7740]={[0]='Gracina Spiritmight',[1]='381:26,64.8 381:39.6,12.9 381:40.9,85.4 381:41.3,85.6 381:41.4,86.6 381:42,85.9 381:42.2,85.3 381:42.3,84.4 381:42.4,86.5 381:42.5,84.7 381:42.5,86.1 381:42.6,86.5 381:44.4,80.7 381:45.1,80.8 381:45.3,80.4 381:45.4,81.6 381:45.5,80.4 381:45.5,80.5'},
[7776]={[0]='Talo Thornhoof',[1]='121:41.4,15.4 121:41.4,15.5 121:41.6,15.3 121:76.1,43.8'},
[7783]={[0]='Loramus Thalipedes',[1]='19:39.3,35.8 19:62.4,26.1'},
[7784]={[0]='Homing Robot OOX-17/TN',[1]='161:59.5,61 161:59.6,62.2 161:59.8,63.4 161:59.8,64 161:60.2,64.7 161:60.8,53.7'},
[7790]={[0]='Orokk Omosh',[1]='321:76.2,37.4 321:76.2,37.5 321:76.6,37.6 321:76.7,37.4'},
[7804]={[0]='Trenton Lighthammer',[1]='161:42.4,24.1 161:42.5,24.1'},
[7806]={[0]='Homing Robot OOX-09/HL',[1]='26:48.8,44.5 26:49,40.7 26:49.4,37.8 26:49.4,44.2 26:49.5,40.8 26:49.7,38.4 26:49.8,38.9 26:49.9,39.6 26:50,44.1 26:50.6,44 26:51.8,44 26:53,44.4 26:56.2,48.6 26:57.8,50.2'},
[7807]={[0]='Homing Robot OOX-22/FE',[1]='121:53.35,55.70'},
[7852]={[0]='Pratt McGrubben',[1]='121:30.6,42.7'},
[7854]={[0]='Jangdor Swiftstrider',[1]='121:52.8,47.1'},
[7875]={[0]='Hadoken Swiftstrider',[1]='121:74.9,42.6'},
[7944]={[0]='Tinkmaster Overspark',[1]='341:69.53,50.33'},
[7952]={[0]='Zjolnir',[1]='4:55.2,75.6'},
[7954]={[0]='Binjy Featherwhistle',[1]='27:56.3,46.4 27:56.3,46.5'},
[7955]={[0]='Milli Featherwhistle',[1]='27:56.3,46.3'},
[7995]={[0]='Vile Priestess Hexx',[1]='26:59.4,77.8 H:100008704'},
[7999]={[0]='Tyrande Whisperwind',[1]='381:43.01,78.04'},
[8115]={[0]="Witch Doctor Uzer'i",[1]='121:74.4,43.4 121:74.4,43.5 121:74.5,43.4'},
[8125]={[0]='Dirge Quikcleave',[1]='161:52.6,28.1'},
[8126]={[0]='Nixx Sprocketspring',[1]='161:52.37,28.31'},
[8299]={[0]='Spiteflayer',[1]='19:63,33 H:100010593'},
[8301]={[0]='Clack the Reaver',[1]='19:47.6,14.6 H:100010593'},
[8359]={[0]='Ahanu',[1]='362:39.7,29.4 362:45.1,55.2 362:45.4,55.8 362:45.5,55.8 362:93.2,56.4'},
[8379]={[0]='Archmage Xylem',[1]='181:29.3,40.2 181:29.7,40.4 181:29.8,40.5'},
[8380]={[0]='Captain Vanessa Beltis',[1]='181:53.1,87.8'},
[8395]={[0]='Sanath Lim-yo',[1]='181:28.1,50.1'},
[8399]={[0]='Nyrill',[1]='181:26.4,46.3 181:26.5,46.2'},
[8416]={[0]='Felix Whindlebolt',[1]='27:31.86,74.47 27:31.88,74.32 27:32.02,74.41'},
[8420]={[0]="Kim'jael",[1]='181:53.4,21.8 181:79.9,83'},
[8436]={[0]='Zamael Lunthistle',[1]='28:29.4,26.4 28:29.4,26.5 28:29.5,26.4 28:29.5,26.5'},
[8516]={[0]='Belnistrasz',[1]='760:52.9,32 760:59.1,31.4 760:59.9,29 760:60,29.6 760:43.3,29.3 760:43.3,29.6 760:43.4,27.5 760:43.7,30.2 760:43.8,26.3 760:43.8,27 760:44.4,25.1 760:44.4,31 760:44.7,24.5 760:45.2,31.5 760:45.3,23.3 760:45.4,23.9 760:45.6,23.1 760:46,32.2 760:46.1,22.4 760:46.1,24.6 760:46.1,32.6 760:46.3,23.6 760:46.6,22.4 760:46.8,32.7 760:46.9,23 760:47.1,23.8 760:50.4,35.6 760:50.5,34.9 760:50.7,34.1 760:50.9,33.3 760:51.1,32 760:51.6,30.8 760:52,30 760:52.3,29.3 760:52.5,29.5 760:52.7,28.7 760:53.3,28.2 760:54.1,28.4 760:55.1,28.8 760:55.5,29.6 760:55.7,29.2 760:56.7,30.3 760:57.1,30.9 760:57.4,31.9 760:58.3,33.3 760:58.4,32.2 760:58.6,33.9 760:59,34.9 760:59.3,35.5 760:59.9,36.3 760:59.9,36.7 760:60.5,37.1 760:61.1,36.2 760:61.1,38.4 760:61.8,37.4 760:62.3,39.3 760:62.4,39.7 760:63,40.2 760:63.5,40.3 760:64.4,41.1 760:64.8,41.2 760:66.2,41.1 760:67.4,41.1 760:67.9,40.7 760:68,32.3 760:68,40.3 760:68.1,34.4 760:68.1,34.6 760:68.4,33.1 760:68.4,35.8 760:68.7,36.1 760:68.7,36.7 760:68.9,32.3 760:68.9,37.7 760:68.9,38.9 760:69,33.1 760:69.1,39.5 760:69.5,31.8 760:69.5,39.7 760:69.8,31.4 760:71,30.6 760:71.3,29.8 760:71.6,30.1 760:72.3,29.1 760:72.8,28.5 760:72.9,28.2 760:73.9,27.6 760:74,23.8 760:74.1,24.7 760:74.1,27.2 760:74.2,25.9 760:74.4,23.3 760:74.5,25.3 760:74.5,26.1 760:74.7,24 760:74.7,26.6 760:74.9,22.7 760:75.1,22 760:75.7,21.5 760:76.3,21.1 760:76.7,20.6 760:77,19.8 760:77.3,19.4 760:77.6,15.6 760:77.7,15.4 760:78,18.5 760:78.1,16.8 760:78.3,18.1 760:78.5,16.7'},
[8576]={[0]="Ag'tor Bloodfist",[1]='181:26.82,76.95'},
[8582]={[0]='Kadrak',[1]='11:42.4,15.2 11:42.7,15'},
[8586]={[0]='Haggrum Bloodfist',[1]='181:42.4,23.7 181:42.5,23.7'},
[8587]={[0]='Jediga',[1]='181:22.5,51.4 181:22.5,51.5'},
[8659]={[0]="Jes'rimon",[1]='321:54.4,46.3 321:54.6,46.6 321:54.8,45.9 321:54.9,45 321:55.4,34.7 321:55.6,34.1'},
[8670]={[0]='Auctioneer Chilton',[1]='301:60.9,71 301:61.1,71.5'},
[8960]={[0]='Felpaw Scavenger',[1]='182:38.3,39.1 182:38.4,56.4 182:38.7,46.2 182:39.1,38.3 182:39.3,51.4 182:39.6,39.6 182:39.8,39 182:40.3,34 182:40.9,34.9 182:41.2,34 182:43.9,66.4 182:44.3,66.7 182:44.3,67.8 182:45.3,68 182:45.4,66.2 182:45.4,68.9 182:45.5,66.2 182:45.5,67.6 182:45.5,68.8 182:45.9,66.9 182:46,69.5 182:46.2,17.5 182:49.2,36.8 182:49.5,34.5 182:49.7,34.2 182:50.5,17.2 182:50.9,32.7 615:41.3,34.3'},
[8962]={[0]='Nida',[1]='36:28.3,48.3 36:28.3,48.7'},
[8965]={[0]='Shawn',[1]='36:28.4,48.3 36:28.4,48.7'},
[9046]={[0]='Scarshield Quartermaster',[1]='29:26.18,28.09 H:100018987'},
[9116]={[0]='Eridan Bluewind',[1]='182:42,71.9'},
[9117]={[0]='J.D. Collie',[1]='201:41.9,2.6 201:54.2,62.4 201:54.2,62.5'},
[9176]={[0]='Gorlop',[1]='29:40.2,60.4 29:40.2,60.5 29:43.6,60.1'},
[9177]={[0]='Oralius',[1]='29:71.9,68'},
[9270]={[0]='Williden Marshal',[1]='201:55.2,62.3'},
[9271]={[0]="Hol'anyee Marshal",[1]='201:43.9,7.3 201:55.1,62.2'},
[9272]={[0]='Spark Nilminer',[1]='201:31.9,50.4'},
[9296]={[0]='Milly Osworth',[1]='30:48.15,42.53'},
[9298]={[0]='Donova Snowden',[1]='281:25.1,58.5 281:25.2,58.4'},
[9316]={[0]='Wenikee Boltbucket',[1]='11:44.3,24.9'},
[9503]={[0]='Private Rocknot',[1]='704:50.9,60.3 704:51,60.8 704:51.1,61.6'},
[9517]={[0]="Shadow Lord Fel'dan",[1]='182:39.6,47'},
[9528]={[0]='Arathandris Silversky',[1]='182:54.2,86.8'},
[9529]={[0]='Maybess Riverbreeze',[1]='182:46.8,83.1'},
[9540]={[0]='Enohar Thunderbrew',[1]='19:61.4,18.3 19:61.4,18.5 19:61.5,18.6'},
[9550]={[0]='Furmund',[1]='321:46,4.2 321:51.1,71.2 321:51.2,71.8 321:51.4,70.4 321:51.5,70.6 321:51.5,71.5'},
[9562]={[0]='Helendis Riverhorn',[1]='29:73.4,66.3 29:73.4,66.5 29:73.5,66.3 29:73.5,66.5'},
[9563]={[0]='Ragged John',[1]='29:54.2,23.9'},
[9616]={[0]='Laris Geardawdle',[1]='341:22.3,92.3 341:47.8,58.4 341:47.8,58.5 341:63.2,24.7 341:70.4,23 341:70.5,22.9 341:74.8,24.5 341:75.1,22.4 341:75.3,22.8 341:75.4,23.6 341:75.5,23 341:75.5,23.5 341:75.7,22.3 341:76.2,24.7 341:76.6,24.8 341:76.7,22.4 341:76.7,23.2 341:77,24 341:79.7,61.2'},
[9618]={[0]='Karna Remtravel',[1]='201:43.4,41'},
[9619]={[0]='Torwa Pathfinder',[1]='201:71.2,76.7'},
[9623]={[0]='A-Me 01',[1]='201:63.8,19.8 201:67.6,16.8'},
[9796]={[0]='Galgar',[1]='4:42.73,67.24'},
[9836]={[0]='Mathredis Firestar',[1]='29:65.1,23.6'},
[9860]={[0]='Salia',[1]='182:38.8,50.5 182:38.9,50.4'},
[9861]={[0]='Moora',[1]='182:38.8,50.4 182:38.8,50.5'},
[9862]={[0]='Jaedenar Legionnaire',[1]='182:38.2,53.1 182:38.5,46.3 182:38.6,46.5 182:38.7,54.4 182:40.3,49.2'},
[9997]={[0]='Spraggle Frock',[1]='201:55.1,62.6'},
[9998]={[0]='Shizzle',[1]='201:43.4,41.4 201:43.4,41.5 201:43.5,41.4'},
[9999]={[0]='Ringo',[1]='201:52,49.9 201:52.2,50.5 201:52.5,51.2'},
[10176]={[0]='Kaltunk',[1]='4:43.29,68.76'},
[10181]={[0]='Lady Sylvanas Windrunner',[1]='382:57.8,91.4'},
[10260]={[0]='Kibler',[1]='29:54.9,22.7'},
[10299]={[0]='Acride',[1]='721:30.2,38.2 721:30.4,39.2 721:30.4,39.5 721:30.5,39.2 721:30.6,39.5 721:30.8,38.2'},
[10302]={[0]='Krakle',[1]='201:55.3,62.4 201:55.3,62.5'},
[10305]={[0]='Umi Rumplesnicker',[1]='281:59.3,49.8 281:60.9,37.7'},
[10307]={[0]="Witch Doctor Mau'ari",[1]='281:25.2,58.4 281:25.2,58.5'},
[10578]={[0]="Bom'bay",[1]='4:55.74,75.36 4:55.77,75.35'},
[10616]={[0]='Supervisor Raelen',[1]='30:81.3,66.2 30:81.5,66.2'},
[10618]={[0]='Rivern Frostwind',[1]='281:46.6,17.7 281:49.9,9.9'},
[10665]={[0]='Junior Apothecary Holland',[1]='20:60.1,52.6 20:60.2,52.4'},
[10666]={[0]='Gordo',[1]='20:44.2,53.8 20:44.4,53.1 20:44.5,53'},
[10667]={[0]='Chromie',[1]='23:35.2,68.1'},
[10737]={[0]='Shy-Rotam',[1]='281:46.2,17.4 281:46.2,17.6 281:46.6,17.6 281:49.7,9.8'},
[10738]={[0]='High Chief Winterfall',[1]='281:36.8,55.6 H:100012842'},
[10806]={[0]='Ursius',[1]='281:59.5,40.8'},
[10837]={[0]='High Executor Derrington',[1]='20:83.2,69'},
[10838]={[0]='Commander Ashlam Valorfist',[1]='22:42.7,84.1'},
[10839]={[0]='Argent Officer Garush',[1]='20:83.2,68.6'},
[10840]={[0]='Argent Officer Pureheart',[1]='22:43,83.6'},
[10920]={[0]='Kelek Skykeeper',[1]='182:51.3,80.4 281:46.9,53.8'},
[10921]={[0]='Taronn Redfeather',[1]='182:50.9,80.2'},
[10922]={[0]='Greta Mosshoof',[1]='182:44,61.9'},
[10923]={[0]='Tenell Leafrunner',[1]='182:51.2,80.4 182:51.2,80.5'},
[10926]={[0]='Pamela Redpath',[1]='23:32.4,83.7 23:32.5,83.8'},
[10929]={[0]='Haleh',[1]='281:58,63.8'},
[10977]={[0]='Quixxil',[1]='201:54.8,63.7'},
[11019]={[0]='Jessir Moonbow',[1]='182:44.1,61.9'},
[11033]={[0]='Smokey LaRue',[1]='23:74.9,53.4 23:74.9,53.5'},
[11034]={[0]='Lord Maxwell Tyrosus',[1]='23:75.8,52'},
[11035]={[0]='Betina Bigglezink',[1]='23:53.1,54.6'},
[11036]={[0]='Leonid Barthalomew the Revered',[1]='23:75.6,52.1'},
[11053]={[0]='High Priestess MacDonnell',[1]='22:43.3,83.8'},
[11055]={[0]='Shadow Priestess Vandis',[1]='20:83.4,69.9'},
[11057]={[0]='Apothecary Dithers',[1]='20:83.2,69.3'},
[11063]={[0]='Carlin Redpath',[1]='23:35.4,68.8 23:35.5,68.8'},
[11079]={[0]='Wynd Nightchaser',[1]='281:48.6,41'},
[11118]={[0]='Innkeeper Vizzie',[1]='281:59.8,51.2'},
[11191]={[0]='Lilith the Lithe',[1]='281:59.8,49.2'},
[11192]={[0]='Kilram',[1]='281:59.8,49.2'},
[11193]={[0]='Seril Scourgebane',[1]='281:59.8,49.2'},
[11219]={[0]='Liladris Moonriver',[1]='43:27.2,35.6'},
[11259]={[0]='Nataka Longhorn',[1]='101:55.4,55.7 101:55.5,55.8'},
[11317]={[0]="Jinar'Zillen",[1]='101:22.4,73.1 101:22.5,73'},
[11378]={[0]="Foreman Thazz'ril",[1]='4:43.54,67.41'},
[11401]={[0]='Priestess Alathea',[1]='381:43.3,78.4 381:43.4,79.2 381:43.4,79.7 381:43.5,79.2 381:43.5,79.6'},
[11406]={[0]='High Priest Rohan',[1]='341:12.3,89.2 341:12.6,89.5 341:13,89.3 341:23.1,6.3 341:23.3,7.5 341:23.4,7.4 341:23.6,6.3 341:23.6,7.2 341:24.3,7.7 341:24.5,6.9 341:24.7,6.4 341:24.9,8.4 341:25.1,9.6 341:25.3,8.7 341:25.5,8.3 341:25.5,8.9 341:25.6,9.5 341:26.2,7.4 341:26.5,8.8 341:26.8,7.4 341:26.8,7.9 341:46.8,58.2 341:55.2,22.6 341:55.4,22.3 341:62,20.3 341:62.2,20.6 341:62.5,20.4 341:62.5,20.5'},
[11438]={[0]="Bibbly F'utzbuckle",[1]='101:62.3,38.9'},
[11520]={[0]='Taragaman the Hungerer',[1]='680:42.2,58.2'},
[11548]={[0]="Loh'atu",[1]='181:11.4,78.1 181:11.5,78.1'},
[11554]={[0]='Grazle',[1]='182:51.4,80.4 182:51.4,80.5'},
[11555]={[0]='Gorn One Eye',[1]='182:64.4,5.2 182:64.5,5.1 182:65.2,2.7'},
[11556]={[0]='Salfa',[1]='281:21.1,46.2'},
[11557]={[0]='Meilosh',[1]='182:64.8,5.3 182:65.7,2.9'},
[11558]={[0]='Kernda',[1]='182:52.1,23.4 182:52.1,23.5 182:64.6,4.4 182:64.7,5.4 182:64.7,5.5 182:65.4,1.4 182:65.4,2.4 182:65.4,2.6 182:65.5,3'},
[11583]={[0]='Nefarian',[1]='755:72,79 H:100019002,100019003'},
[11596]={[0]='Smeed Scrabblescrew',[1]='101:60.8,61.9'},
[11616]={[0]='Nathaniel Dumah',[1]='22:48.1,32.4 22:48.1,32.5'},
[11624]={[0]='Taiga Wisemane',[1]='101:25.8,68.2'},
[11625]={[0]='Cork Gizelton',[1]='101:40.2,79.6 101:40.4,79.3 101:40.5,79.2 101:41.4,78.2 101:42,77.8 101:42.6,77.3 101:43.5,76.6 101:44.4,76.3 101:44.7,76.1 101:45.4,75.4 101:45.6,75.1 101:45.6,75.7 101:47.3,75.2 101:48.1,75.6 101:49.3,75.9 101:50.6,75.5 101:50.9,75.1 101:51.2,74.3 101:51.5,73.7 101:51.6,72.7 101:51.7,72.1 101:52,71.4 101:52.6,71 101:53.9,70.3 101:54.9,69.2 101:55.5,68.6 101:56.5,66.3 101:57.3,64.9 101:57.9,63.8 101:59.2,63.3 101:59.8,63.6 101:60.3,38.1 101:60.4,37.1 101:60.5,38.1 101:61,64 101:61.1,35.7 101:61.3,34.4 101:61.5,33.8 101:62.1,32.9 101:64.3,32.7 101:65.9,34.9 101:66,36 101:66.2,36.6 101:66.4,37.5 101:66.5,37.5 101:66.6,37.4 101:66.9,57.8 101:66.9,65.5 101:67.2,39 101:67.3,56 101:67.3,56.6 101:67.4,39.9 101:67.4,55.4 101:67.5,54.2 101:67.5,54.8 101:67.5,62.8 101:67.7,40.3 101:67.7,51.1 101:67.7,63.5 101:67.8,43.3 101:67.9,41.2 101:67.9,41.7 101:67.9,46.2 101:67.9,48.6 101:67.9,49.8 101:67.9,51.7'},
[11626]={[0]='Rigger Gizelton',[1]='101:40.4,79.3 101:40.4,79.5 101:40.5,79.3 101:40.6,79.5 101:41.3,78.2 101:41.9,78 101:42.3,77.4 101:43.1,76.8 101:43.5,76.5 101:43.7,76.4 101:45.4,75.3 101:45.4,75.5 101:45.5,75.3 101:46.6,75.1 101:47.5,75.2 101:47.9,75.6 101:48.6,75.6 101:49.8,75.6 101:51.3,74.1 101:51.6,72.5 101:52.2,71.3 101:52.7,71.2 101:60.1,38.3 101:60.2,38.7 101:63,64.6 101:63.6,64.7 101:64.8,65.2 101:65.4,65.5 101:66,65.7 101:66.6,65.8 101:66.7,58.4 101:66.7,59 101:66.7,59.5 101:67,57.2 101:67.1,60.7 101:67.2,56 101:67.2,65.4 101:67.3,55.4 101:67.4,54.2 101:67.4,61.9 101:67.5,53.6 101:67.5,62.3 101:67.6,52.4 101:67.6,53 101:67.6,62.5 101:67.7,64.8 101:67.8,43.4 101:67.8,47.3 101:67.8,51.2 101:67.8,63.7 101:67.9,47.9 101:67.9,48.5 101:67.9,50 101:68,45.9'},
[11701]={[0]="Mor'vek",[1]='201:71.4,73.9 201:71.5,74'},
[11711]={[0]='Sentinel Aynasha',[1]='42:47.70,88.91'},
[11730]={[0]="Hive'Regal Ambusher",[1]='261:57.6,79 H:100020461'},
[11732]={[0]="Hive'Regal Spitfire",[1]='261:56,80 H:100020461'},
[11776]={[0]='Salome',[1]='24:71.5,45.3 301:63.4,78.5 611:58.5,63.3 611:58.5,64.1 611:61.5,72.1 611:61.9,72.7 611:62.8,73.9 615:41.3,34.3'},
[11801]={[0]='Rabine Saturna',[1]='241:51.6,44.8'},
[11806]={[0]='Sentinel Onaeya',[1]='43:26.68,36.89'},
[11811]={[0]='Narain Soothfancy',[1]='161:55.3,60.3 161:65.3,18.6'},
[11814]={[0]='Kali Remik',[1]='4:56.1,74.5 4:56.2,74.3'},
[11820]={[0]='Locke Okarr',[1]='43:73.7,61.4 43:73.7,61.6'},
[11821]={[0]='Darn Talongrip',[1]='81:65,82.6'},
[11832]={[0]='Keeper Remulos',[1]='241:36.3,41.9 241:36.5,42.1'},
[11857]={[0]='Makaba Flathoof',[1]='607:44.2,33.7'},
[11858]={[0]='Grundig Darkcloud',[1]='81:72.2,83.9'},
[11863]={[0]='Azore Aldamort',[1]='101:38.9,27.2'},
[11941]={[0]='Yori Crackhelm',[1]='27:54.6,50.3'},
[11943]={[0]='Magga',[1]='4:51.4,41.5 4:51.5,41.5'},
[12029]={[0]='Narianna',[1]='241:53.2,42.7'},
[12031]={[0]="Mai'Lahii",[1]='101:22.7,72.1'},
[12032]={[0]="Lui'Mala",[1]='101:22.7,72.5 101:22.8,72.4 611:54.9,16.6'},
[12042]={[0]='Loganaar',[1]='241:52.4,40.4 241:52.4,40.5 241:52.5,40.4 241:52.5,40.5'},
[12096]={[0]='Stormpike Quartermaster',[1]='401:43.1,17.4 401:43.2,17.5'},
[12097]={[0]='Frostwolf Quartermaster',[1]='401:46.7,84.1'},
[12201]={[0]='Princess Theradras',[1]='750:27.2,80.6'},
[12236]={[0]='Lord Vyletongue',[1]='750:37.6,70.8'},
[12238]={[0]="Zaetar's Spirit",[1]='750:25.7,78.4'},
[12258]={[0]='Razorlash',[1]='750:17.6,34.0'},
[12277]={[0]='Melizza Brimbuzzle',[1]='101:33.9,53.4 101:33.9,53.6 101:33.9,54.7 101:34.2,55.8'},
[12340]={[0]='Drulzegar Skraghook',[1]='101:23.3,72.8'},
[12384]={[0]='Augustus the Touched',[1]='23:11.4,28.7'},
[12676]={[0]='Sharptalon',[1]='43:73.6,76.6 H:100016305'},
[12677]={[0]='Shadumbra',[1]='43:62,49.4 H:100016304'},
[12678]={[0]='Ursangous',[1]='43:41.6,67.4 H:100016303'},
[12696]={[0]='Senani Thunderheart',[1]='43:49.8,65.2'},
[12717]={[0]='Muglash',[1]='43:9.6,27.7 43:12.2,33.6 43:12.4,33 43:12.7,32.5 43:12.7,34.2 43:12.8,32.4'},
[12718]={[0]='Gurda Ragescar',[1]='43:70,71.1'},
[12719]={[0]='Marukai',[1]='43:12.7,35.3'},
[12721]={[0]='Mitsuwa',[1]='43:11.7,34.8 43:38.8,42.4 43:38.8,42.5'},
[12724]={[0]='Pixel',[1]='43:73.8,62.4 43:73.9,62.5'},
[12736]={[0]="Je'neu Sancrea",[1]='43:11.6,34.3 688:47.4,11.4 688:47.4,11.6 688:47.6,11.4 688:48.2,11.8 688:48.2,12.5 688:48.5,12.1 688:48.5,12.7'},
[12737]={[0]='Mastok Wrilehiss',[1]='43:74.1,60.7'},
[12757]={[0]='Karang Amakkar',[1]='43:37.8,43.5'},
[12759]={[0]='Tideress',[1]='43:48.4,69.6 H:100016408'},
[12818]={[0]='Ruul Snowhoof',[1]='43:38.6,37.5 43:40.4,32.2 43:40.7,33.3 43:41.1,33.9 43:41.4,34.6 43:41.5,34.6'},
[12837]={[0]='Yama Snowhoof',[1]='43:74.1,60.9'},
[12858]={[0]='Torek',[1]='43:64.7,75.3 43:67,74 43:67.6,74.3 43:68.3,75.3 43:68.5,75.4'},
[12862]={[0]='Warsong Scout',[1]='43:71,68.3'},
[12863]={[0]='Warsong Runner',[1]='43:12.4,35.1 43:12.5,35.1'},
[12864]={[0]='Warsong Outrider',[1]='43:4.9,67.9 43:78.4,55.8 43:78.5,55.6 43:79.1,55.4 43:79.7,55.3 43:79.8,55.5 43:80.9,54.6 43:81.4,54.1 43:81.5,54 43:82.2,53 43:82.4,52.4 43:82.5,52.5 43:83.3,51.7 43:83.7,51.5 43:84.2,51.2 43:84.8,50.9 43:85.5,50.7 43:86.2,50.4 43:87,50 43:88,49.7 43:88.2,49.4 43:89.1,48.5 43:89.4,48.3 43:89.5,48.4 43:90,47.4 43:90.5,47.1 43:91.5,46.4 43:91.7,46.5 43:92.6,46.4 43:92.8,46.6 43:93.9,47.1 43:94.4,47.5 43:94.5,47.4 43:94.5,47.5'},
[12867]={[0]="Kuray'bin",[1]='43:73.5,60.9'},
[12876]={[0]='Baron Aquanis',[1]='688:42.2,75.6 H:100016782'},
[12877]={[0]='Ertog Ragetusk',[1]='43:73.1,62.4 43:73.1,62.5'},
[12919]={[0]='Nat Pagle',[1]='141:58.7,60.2'},
[12920]={[0]='Doctor Gregory Victor',[1]='16:68.4,37.8 16:68.5,37.4 16:68.5,37.8'},
[12939]={[0]='Doctor Gustaf VanHowzen',[1]='141:67.7,48.9'},
[12944]={[0]='Lokhtos Darkbargainer',[1]='704:50.4,58.8 704:50.5,59.4'},
[12997]={[0]='Monty',[1]='Z301',[2]='Deeprun Tram Ironforge side'},
[13018]={[0]='Nipsy',[1]='Z301',[2]='Deeprun Tram Stormwind side'},
[13136]={[0]="Hive'Ashi Drone",[1]='261:63.2,45.8 H:100020461'},
[13158]={[0]='Lieutenant Sanders',[1]='20:87.5,43.3'},
[13159]={[0]='James Clark',[1]='30:78.8,67.2 H:100001307'},
[13176]={[0]='Smith Regzar',[1]='401:49.6,82.7'},
[13179]={[0]='Wing Commander Guse',[1]='401:49.8,85.6 401:50.4,31 401:50.5,30.9 401:51.3,33'},
[13180]={[0]='Wing Commander Jeztor',[1]='401:49.7,85.7 401:50.2,60.2 401:53.9,27'},
[13181]={[0]='Wing Commander Mulverick',[1]='401:44.3,15.3 401:44.3,15.9 401:45.2,14 401:45.4,14.6 401:45.5,14.4 401:45.5,14.6 401:46.8,16.2 401:47.5,39.6 401:47.7,39 401:49.7,85.5 401:50.3,78.6 401:50.5,80 401:50.6,80.6 401:50.7,81.8'},
[13236]={[0]='Primalist Thurloga',[1]='401:50.2,85.1'},
[13257]={[0]='Murgot Deepforge',[1]='401:43.4,15.6'},
[13278]={[0]='Duke Hydraxis',[1]='181:79.3,73.7'},
[13282]={[0]='Noxxion',[1]='750:35.8,10.8'},
[13283]={[0]='Lord Tony Romano',[1]='301:79.6,61.2'},
[13417]={[0]='Sagorne Creststrider',[1]='321:14.9,93.7 321:39.7,47.5 321:57.8,44.3'},
[13418]={[0]='Kaymard Copperpinch',[1]='HV 321:52.4,77.4'},
[13429]={[0]='Nardstrum Copperpinch',[1]='HV 382:67.9,38.4'},
[13431]={[0]='Whulwert Copperpinch',[1]='HV 362:42,55.7'},
[13433]={[0]='Wulmort Jinglepocket',[1]='HV 341:33.5,66.4'},
[13434]={[0]='Macey Jinglepocket',[1]='HV 341:33.5,67.6'},
[13435]={[0]='Khole Jinglepocket',[1]='HV 301:62.3,70.4'},
[13437]={[0]='Wing Commander Ichman',[1]='401:43.3,18.1 401:48.3,84.3 401:48.4,84.6 401:48.5,84.9 401:49.1,81.5 401:50.6,75.7 401:51.3,61'},
[13438]={[0]='Wing Commander Slidore',[1]='401:43.1,18.2 401:50.4,65.4 401:50.4,65.5 401:50.5,65.6'},
[13439]={[0]='Wing Commander Vipore',[1]='401:43.2,18.3 401:44.2,16.1 401:44.8,16.4 401:45.4,16.5 401:45.7,16.5 401:46.8,16.5 401:47.2,16.3 401:47.5,40 401:47.6,39.4 401:47.8,37 401:47.8,38.2 401:48,36.2 401:48,41.3 401:48.3,41.9 401:48.4,16 401:48.6,43.1 401:48.7,35.4 401:48.7,51.3 401:48.7,52 401:48.9,44.3 401:48.9,47.3 401:48.9,47.9 401:48.9,48.6 401:49,16 401:49.1,44.9 401:49.2,46.1 401:49.2,53.4 401:49.4,59.1 401:49.7,16 401:49.7,19.3 401:49.7,19.9 401:49.8,18.1 401:49.8,54.1 401:49.9,57.8 401:50,16.9 401:50.1,57.1 401:50.2,55.3 401:50.2,55.9 401:50.3,21.1 401:50.3,78.9 401:50.3,81.4 401:50.4,60.3 401:50.4,78 401:50.4,80 401:50.4,81.6 401:50.5,81.6 401:50.6,63.4 401:50.6,77.7 401:50.7,22 401:50.7,77.1 401:50.7,81.4 401:50.8,22.6 401:50.8,60.4 401:50.9,60.5 401:51,62.3 401:51.1,23.9 401:51.1,27.4 401:51.1,28 401:51.2,25.1 401:51.2,26.1 401:51.2,28.6 401:51.4,32.8 401:51.6,29.2 401:51.6,32.2 401:51.6,32.9 401:51.8,31 401:51.9,30.4 401:51.9,64.6 401:52.3,66.1'},
[13442]={[0]='Arch Druid Renferal',[1]='401:43.9,12.7'},
[13444]={[0]='Greatfather Winter',[1]='341:32,65.1 341:32.3,66.7 341:32.4,64.2 341:32.4,65.6 341:32.6,64.2 341:32.9,65 341:33.2,65.8 341:33.3,66.5 341:33.5,65.4 341:33.5,66.3 341:33.5,66.6 341:47,59.3 341:63.6,29.9'},
[13445]={[0]='Great-father Winter',[1]='321:45.5,6.5 321:45.6,6.4 321:49.2,77.5 321:49.3,78.7 321:49.4,77.3 321:49.6,78.5 321:49.8,78 321:49.9,77.3 321:58.3,45.7 321:79.6,6'},
[13616]={[0]='Frostwolf Stable Master',[1]='401:57,82.5'},
[13617]={[0]='Stormpike Stable Master',[1]='401:42.6,16.8'},
[13636]={[0]='Strange Snowman',[1]='24:42.4,41.2 24:42.5,41.2'},
[13776]={[0]='Corporal Teeka Bloodsnarl',[1]=''},
[13777]={[0]='Sergeant Durgen Stormpike',[1]='24:43.1,43.9'},
[13797]={[0]='Mountaineer Boombellow',[1]='401:45.6,16.6'},
[13798]={[0]='Jotek',[1]='401:49.3,81.8 401:50.2,80.4 401:50.4,81.3 401:50.7,81.3 401:50.7,81.7'},
[13816]={[0]='Prospector Stonehewer',[1]='24:45.4,45.3 401:42.6,13.4 401:42.6,13.8'},
[13817]={[0]='Voggah Deathgrip',[1]='24:58.6,34.3'},
[13840]={[0]='Warmaster Laggrond',[1]='24:57.8,33.4 24:57.8,33.5'},
[13841]={[0]='Lieutenant Haggerdin',[1]='24:44.7,46.2'},
[14305]={[0]='Human Orphan',[1]='HC Near'},
[14322]={[0]='Stomper Kreeg',[1]='699:62.6,66.2'},
[14325]={[0]='Captain Kromcrush',[1]='699:49.8,78.2'},
[14326]={[0]="Guard Mol'dar",[1]='699:69.8,76.6'},
[14336]={[0]='Black War Tiger',[1]='40:10,56.7 40:10,57.7 40:10.6,55.2 40:10.6,55.7 321:48.9,83.7 321:52.5,82.3 680:59.9,48.9 680:60.3,65.6 680:61,68.4 680:61.6,68.7 680:66,20.5 605:60,73.9 605:60.1,74.6 605:60.5,74.9 605:60.6,75.5 605:60.9,74.3'},
[14338]={[0]='Knot Thimblejack',[1]='699:27.8,55.1 699:28.4,55.5 699:28.5,55.4 699:28.5,55.5'},
[14347]={[0]='Highlord Demitrian',[1]='261:29.6,10.6'},
[14358]={[0]="Shen'dralar Ancient",[1]='699:48.3,54.6 699:48.4,51 699:48.4,52.2 699:48.4,52.8 699:48.4,54 699:48.4,56.4 699:48.4,56.6 699:48.5,51 699:48.5,52.2 699:48.5,52.8 699:48.5,56.2 699:48.5,56.6 699:48.6,54.4 699:48.6,55'},
[14368]={[0]='Lorekeeper Lydros',[1]='699:72.4,16.4 699:72.4,16.8 699:72.4,17.5 699:72.5,16.3 699:73,16.6 699:73.1,15.4 699:73.5,15.3 699:73.6,16.6 699:73.7,17.5 699:74.3,16.4 699:74.8,16.7 699:74.9,16.4 699:75,17.5'},
[14375]={[0]='Scout Stronghand',[1]='321:45.2,69.5 321:45.2,72.4 321:45.3,69.2 321:45.3,73.1 321:45.9,73.3 321:46.1,67.8 321:46.1,75.6 321:46.5,76.7 321:46.6,67.4 321:46.7,63.7 321:46.7,67.5 321:46.7,76.1 321:47,64.5 321:47.1,77.9 321:47.4,79 321:47.6,79 321:48.2,66.4 321:48.2,79.8 321:48.3,66.5 321:48.7,71.9 321:48.7,83.5 321:48.8,66.4 321:48.8,79.6 321:49,66.5 321:49,82.6 321:49.1,82.4 321:49.4,81.3 321:49.5,80.2 321:49.5,81.5 321:49.6,66.3 321:49.6,81.1 321:49.9,71.8 321:50,64.1 321:50,70.5 321:50.3,66.7 321:50.6,66.3 321:50.7,80.6 321:50.8,64 321:50.9,66.7 321:51,64.6 321:51.4,67.8 321:51.4,69.9 321:51.4,72.4 321:51.4,79.3 321:51.4,80.2 321:51.5,64.2 321:51.5,66.4 321:51.5,78.9 321:51.5,81.1 321:51.6,67.8 321:51.6,78.2 321:51.6,80.4 321:51.7,81.8 321:51.8,69.4 321:51.8,70 321:51.8,76.9 321:51.9,66.9 321:51.9,71 321:51.9,71.6 321:51.9,72.5 321:51.9,74.6 321:51.9,75.9 321:52,83.1 321:52,83.7 321:52.1,73.9 321:52.2,84.8 321:52.3,85.7 321:52.5,75.7 321:52.5,81.1 321:52.5,81.9 321:52.6,77.6 321:52.7,77 321:53,74.7 321:53.1,74.3 321:53.1,79.5 321:53.6,74 321:53.9,73.1'},
[14381]={[0]='Lorekeeper Javon',[1]='699:74,13 699:74.3,12.3 699:75.1,12.3'},
[14382]={[0]='Lorekeeper Mykos',[1]='699:78.1,12 699:78.6,11.4 699:79.1,11.5 699:79.4,12.9 699:79.7,13.4 699:79.7,14 699:80,11.3 699:80.1,12.1 699:80.7,12.2 699:81.3,12.5 699:81.4,11.3 699:81.6,12.3 699:81.9,11.4 699:81.9,12.9 699:82.5,12.4 699:82.8,13 699:82.9,11.4'},
[14383]={[0]='Lorekeeper Kildrath',[1]='699:83.2,23 699:83.3,24.9 699:83.3,26.2 699:83.4,22.4 699:83.4,23.8 699:83.6,26.5 699:83.8,21.1 699:84,24.2 699:84.2,22.3 699:84.2,25 699:84.3,23 699:84.3,25.5 699:84.5,21.8 699:84.5,23.3 699:84.5,23.9 699:84.5,25.2 699:84.5,26.3'},
[14387]={[0]='Lothos Riftwaker',[1]='29:18.24,24.92'},
[14392]={[0]='Overlord Runthak',[1]='321:51.2,82.4 321:51.3,83.5 321:51.4,74.5 321:51.4,83.1 321:51.5,83.1 321:51.5,83.5 321:51.7,75.7 321:51.7,76.5 321:51.8,75.3 321:52.4,78.4 321:52.4,82.4 321:52.5,82.6 321:52.6,82.1 321:52.9,78 321:53,77.2 321:53.1,79.1'},
[14394]={[0]='Major Mattingly',[1]='301:67.2,85.3 301:67.2,85.5 301:67.5,84.9'},
[14435]={[0]='Prince Thunderaan',[1]='261:27,14 H:100019018'},
[14437]={[0]='Gorzeeki Wildeyes',[1]='29:8.2,35.4 29:8.3,35.9'},
[14450]={[0]='Orphan Matron Nightingale',[1]='301:56.8,54.4'},
[14451]={[0]='Orphan Matron Battlewail',[1]='321:58,57.6'},
[14508]={[0]='Short John Mithril',[1]='673:45,25.4 673:45,25.5 689:29.6,47.4'},
[14624]={[0]='Master Smith Burninate',[1]='28:38.4,28.6 28:38.5,28.4 28:38.5,28.6'},
[14625]={[0]='Overseer Oilfist',[1]='28:38,26.4 28:38.1,27.6 28:38.2,27 28:49.7,39.5 28:49.9,39.2'},
[14626]={[0]='Taskmaster Scrange',[1]='28:36.4,28.1 28:36.9,28.3 28:37.3,28.6 28:37.5,28.9 28:42.4,34.4 28:42.4,34.5 28:42.5,35 28:42.6,34.1'},
[14627]={[0]='Hansel Heavyhands',[1]='28:38.2,27.4 28:38.3,27.9 28:38.4,28.5 28:38.5,28.4 28:38.5,28.5 28:41,35.8 28:41.9,35.5 28:42.4,34.4 28:42.4,34.5 28:42.6,34.2'},
[14628]={[0]='Evonice Sootsmoker',[1]='28:38.8,28 28:43.7,28.4 28:43.7,28.5'},
[14634]={[0]='Lookout Captain Lolo Longstriker',[1]='28:37.7,26.7'},
[14637]={[0]='Zorbin Fandazzle',[1]='121:48.68,44.81'},
[14721]={[0]='Field Marshal Afrasiabi',[1]='301:30.3,42.8 301:71.3,80.4 301:71.3,80.5 301:71.5,80.5'},
[14722]={[0]='Clavicus Knavingham',[1]='301:53.9,81.4 301:53.9,81.5'},
[14723]={[0]='Mistina Steelshield',[1]='341:16.1,94 341:42.4,31.7 341:42.4,32.9 341:43.1,31.3 341:43.2,32.2 341:43.2,32.8 341:43.2,33.5 341:43.7,32 341:43.7,32.6 341:43.8,30.2 341:44.2,31 341:44.5,31.3 341:44.5,31.6 341:58,26.4'},
[14724]={[0]='Bubulo Acerbus',[1]='341:73.2,47.3 341:73.2,47.6 341:73.9,47.9'},
[14725]={[0]='Raedon Duskstriker',[1]='381:63.2,22.5 381:63.8,22.7'},
[14726]={[0]='Rashona Straglash',[1]='321:63.4,51.1 321:63.5,51'},
[14727]={[0]='Vehena',[1]='321:37.3,87.5 321:37.8,87.8 321:38,87.2'},
[14728]={[0]='Rumstag Proudstrider',[1]='362:43.3,42.8 362:43.7,42.5 362:43.9,42.1'},
[14729]={[0]='Ralston Farnsley',[1]='382:5.4,58.4 382:44.1,34.9 382:63,71.2 382:70.9,29.6 382:71.4,28.3 382:71.4,28.8 382:71.9,28.9 382:72.1,28.3 382:72.3,29.5 382:72.5,28.4 382:72.5,29.4 382:72.6,29.9'},
[14731]={[0]='Lard',[1]='26:78.2,81.3'},
[14733]={[0]='Sentinel Farsong',[1]='43:61.9,83.9'},
[14739]={[0]="Mystic Yayo'jin",[1]='26:78.8,78.4 26:78.8,78.5'},
[14740]={[0]='Katoom the Angler',[1]='26:80.3,81.4 26:80.4,81.5 26:80.6,81.6'},
[14741]={[0]='Huntsman Markhor',[1]='26:79.1,79.4 26:79.1,79.6'},
[14753]={[0]='Illiyana Moonblaze',[1]='43:61.5,83.8'},
[14754]={[0]='Kelm Hargunth',[1]='11:40.2,20'},
[14828]={[0]='Gelvas Grimegate',[1]='HF 30:41.4,69 9:38,38.4 478:34.68,34.36'},
[14829]={[0]='Yebb Neblegear',[1]='HF 30:40.3,69.4 30:44.3,76.3 9:38.3,40.2 478:34.33,35.73'},
[14832]={[0]='Kerri Hicks',[1]='HF 30:40.4,69.8 9:38.5,40.4 478:34.84,35.15'},
[14833]={[0]='Chronos',[1]='HF 30:43.6,70.8 9:37,36 9:90,64.5 478:33.82,35.96'},
[14841]={[0]='Rinling',[1]='HF 30:41.7,70.4 30:41.7,70.6 9:37.8,38.1 478:34.04,34.82'},
[14842]={[0]='Melnan Darkstone',[1]='341:12,98.2 341:21.1,46.2 341:21.1,56 341:21.2,43.3 341:21.2,48.8 341:21.3,45.4 341:21.3,46.9 341:21.4,39 341:21.4,40.3 341:21.4,41 341:21.4,41.8 341:21.4,44.4 341:21.4,47.5 341:21.4,49.8 341:21.4,51.1 341:21.4,51.7 341:21.4,52.7 341:21.4,53.8 341:21.5,43.4 341:21.5,45.6 341:21.5,47 341:21.5,47.6 341:21.5,48.8 341:21.5,50.4 341:21.5,51.4 341:21.5,52.3 341:21.5,53 341:21.6,41.4 341:21.6,42.4 341:21.7,44.7 341:21.9,38.3 341:21.9,43.7 341:22,38.9 341:22,40.2 341:22,53.6 341:22.1,58.6 341:22.2,36.9 341:22.3,36.3 341:22.3,55.2 341:22.3,55.8 341:22.3,57.9 341:22.3,59.7 341:22.4,35.1 341:22.4,57 341:22.5,36.8 341:22.5,51.5 341:22.5,57.1 341:22.6,35.2 341:22.6,54.7 341:22.6,57.7 341:22.6,59.4 341:22.7,35.6 341:22.7,60 341:22.9,47 341:23,61.2 341:23,64.2 341:23.1,61.8 341:23.2,33.4 341:23.2,37.7 341:23.3,33.8 341:23.3,45.8 341:23.3,63.3 341:23.4,50 341:23.4,64.5 341:23.5,48.3 341:23.5,49.5 341:23.6,48.9 341:23.7,60.1 341:23.8,32.1 341:23.8,63.9 341:23.9,63 341:24,56.1 341:24,62.4 341:24,64.5 341:24.1,32.7 341:24.1,33.5 341:24.2,43.7 341:24.2,46.3 341:24.2,46.9 341:24.3,37.9 341:24.3,43.3 341:24.3,45.1 341:24.3,51 341:24.3,53.8 341:24.4,34.7 341:24.4,36.4 341:24.4,37.3 341:24.4,38.9 341:24.4,39.9 341:24.4,41.3 341:24.4,41.6 341:24.4,51.6 341:24.4,52.9 341:24.4,54.7 341:24.4,65.8 341:24.5,36.7 341:24.5,37.9 341:24.5,41 341:24.5,41.9 341:24.5,43.4 341:24.5,43.5 341:24.5,50.3 341:24.5,52.2 341:24.5,53.5 341:24.5,62.1 341:24.6,36.1 341:24.6,39.1 341:24.6,39.7 341:24.6,52.8 341:24.6,66.4 341:24.7,65.4 341:24.8,51.3 341:24.9,34.9 341:25,55 341:25,67.4 341:25,68.7 341:25.1,56.9 341:25.1,58.6 341:25.2,55.6 341:25.3,34.3 341:25.3,57.5 341:25.4,33.2 341:25.4,59.8 341:25.4,68.4 341:25.4,70 341:25.5,33.2 341:25.6,56.8 341:25.6,67.2 341:26,59.5 341:26,60.8 341:26,68.3 341:26.1,58 341:26.3,58.8 341:26.3,71.7 341:26.4,69.1 341:26.4,69.7 341:26.4,71.4 341:26.6,58.7 341:26.6,69.4 341:26.6,70.3 341:26.6,70.5 341:27.1,60.7 341:27.2,72 341:27.3,59.9 341:27.4,58.3 341:27.5,58.3 341:27.5,59.2 341:27.5,70.5 341:27.7,70 341:27.7,72.2 341:27.8,59.8 341:28,67.5 341:28.1,69.3 341:28.2,57.1 341:28.2,64.9 341:28.2,72.7 341:28.3,62.9 341:28.3,67 341:28.3,73.6 341:28.4,61.3 341:28.4,61.7 341:28.4,64.2 341:28.4,66.3 341:28.5,69.6 341:28.6,73.3 341:28.7,75.8 341:28.8,63.9 341:28.9,63.2 341:28.9,68.4 341:29,59.7 341:29,65.1 341:29,66.3 341:29.1,60.9 341:29.1,67.1 341:29.1,74.7 341:29.2,74.1 341:29.3,58.1 341:29.3,62.4 341:29.4,59.1 341:29.4,69.2 341:29.5,60.3 341:29.5,63.6 341:29.5,68.1 341:29.5,74.7 341:29.7,65.7 341:29.8,58.9 341:29.8,64.8 341:29.9,61.2 341:29.9,62.8 341:29.9,77.3 341:30,61.8 341:30,67.2 341:30,69.4 341:30.1,69.5 341:30.3,74.4 341:30.3,75.6 341:30.3,77.9 341:30.5,63.9 341:30.5,77.9 341:30.6,63.2 341:30.6,68.3 341:30.6,69.1 341:30.6,76.4 341:30.7,69.6 341:30.8,61.6 341:30.8,76.8 341:30.9,79 341:31.2,70.6 341:31.4,71.5 341:31.6,70.2 341:31.6,77.4 341:31.7,77.8 341:31.8,68.4 341:31.9,70.6 341:32,69.4 341:32.1,76.2 341:32.2,78.5 341:32.3,71.5 341:32.5,76.9 341:32.5,77.7 341:32.6,76.4 341:32.8,69.7 341:32.8,71.7 341:32.9,68.3 341:33.2,78.9 341:33.3,69.4 341:33.4,70.6 341:33.4,79.7 341:33.5,68.3 341:33.6,69.3 341:33.6,79.4 341:34,70.5 341:34,75.5 341:34.1,70 341:34.1,73.2 341:34.1,80.2 341:34.3,71.7 341:34.3,74.3 341:34.4,74.7 341:34.5,72.9 341:34.5,73.5 341:34.6,79.1 341:34.7,70.4 341:34.7,75.2 341:34.7,76.4 341:34.8,68.8 341:34.9,71.6 341:34.9,79.8 341:35.1,80.5 341:35.4,70.7 341:35.5,80.2 341:35.6,72.5 341:35.6,73.5 341:35.6,75.4 341:35.6,76 341:35.7,71.8 341:35.7,80.9 341:35.8,69.8 341:35.9,76.6 341:36,71 341:36.3,77.8 341:36.4,81.8 341:36.5,70.8 341:36.5,76.3 341:36.6,80.3 341:37,77.3 341:37,82.2 341:37.1,77.9 341:37.1,81.1 341:37.5,77.4 341:37.8,80.8 341:37.9,78.2 341:38,82.1 341:38,82.7 341:38.3,78.9 341:38.5,83.6 341:38.6,82.3 341:38.7,78.2 341:38.9,79.2 341:39.2,81.4 341:39.4,83.2 341:40.1,82.8 341:40.3,79.4 341:40.3,79.7 341:40.4,83.5 341:40.5,83.4 341:40.7,83.7 341:40.8,78.9 341:40.9,79.9 341:41.5,83.6 341:41.9,80.5 341:42.1,80.1 341:42.5,80.6 341:42.7,84.1 341:42.9,81.5 341:43.1,80.4 341:43.1,84.5 341:43.7,80.2 341:43.7,84.4 341:44.3,80.5 341:44.3,84.5 341:44.7,80.3 341:44.7,80.5 341:44.9,84.4 341:44.9,84.8 341:45.6,84.7 341:45.8,80.2 341:46.1,83.4 341:46.1,84.1 341:46.2,81.1 341:46.8,81.5 341:46.9,59.3 341:47,59.5 341:47.1,85.1 341:47.3,84.2 341:47.4,79.9 341:47.4,81.2 341:48,80.1 341:48,81.2 341:48.2,84.6 341:48.3,84.3 341:48.6,79.8 341:48.6,81.2 341:48.7,84.5 341:49.4,84.1 341:49.5,84.6 341:49.6,80.3 341:50,83.8 341:50.2,81.5 341:50.3,80.8 341:50.4,82.8 341:50.5,81.9 341:50.7,83.6 341:50.9,80.8 341:51,82.8 341:51.5,81.4 341:51.5,81.7 341:51.6,82.7 341:61.9,29.2 341:62.1,28.1 341:62.2,24.7 341:62.6,30.6 341:62.9,30.2 341:63.4,31.9 341:63.8,31.2 341:63.8,32.2 341:64.6,32.1 341:65.8,32.2'},
[14843]={[0]='Kruban Darkblade',[1]='321:27,52.9 321:44,70.8 321:44.3,3.3 321:44.5,6.1 321:44.5,69.5 321:44.8,2.7 321:45,6.9 321:45,71.3 321:45,72.3 321:45,73 321:45.1,68.3 321:45.2,69.3 321:45.2,73.6 321:45.4,74.6 321:45.6,68.7 321:45.6,72.6 321:45.6,73.6 321:45.8,75.1 321:45.9,68 321:46.1,6.9 321:46.1,75.8 321:46.2,77.6 321:46.3,3.3 321:46.3,4 321:46.3,4.5 321:46.3,5.6 321:46.3,8.1 321:46.3,8.8 321:46.4,67.3 321:46.4,77.2 321:46.5,6.1 321:46.5,8.7 321:46.5,67.9 321:46.6,77.3 321:46.8,76.3 321:47.2,78.4 321:47.3,66.6 321:47.3,78.9 321:47.4,66 321:47.7,79.1 321:47.8,78.4 321:48.1,66.3 321:48.1,76.4 321:48.1,79.9 321:48.2,66.6 321:48.7,66.3 321:48.7,76.9 321:48.9,79.4 321:48.9,80.3 321:49.3,80.5 321:49.4,66.8 321:49.4,81.7 321:49.5,80.4 321:49.5,81.5 321:49.8,67.5 321:49.8,80.6 321:50,66.8 321:50,76.2 321:50.1,65.4 321:50.2,66.4 321:50.3,69 321:50.4,77.6 321:50.4,79.2 321:50.4,82.7 321:50.5,69 321:50.5,69.5 321:50.9,66.3 321:51,78.1 321:51.1,76.8 321:51.1,81 321:51.2,66.8 321:51.2,76.2 321:51.3,73.1 321:51.3,78.9 321:51.3,81.8 321:51.4,67.6 321:51.4,75.1 321:51.4,79.5 321:51.4,82.7 321:51.5,66.1 321:51.5,67.2 321:51.5,78.9 321:51.6,80.1 321:51.6,80.9 321:51.7,68.1 321:51.7,78.2 321:51.8,70.3 321:51.8,74.1 321:51.8,82.2 321:51.9,71.8 321:51.9,82.8 321:52,69 321:52,75.4 321:52.1,71.4 321:52.1,73.4 321:52.1,76.4 321:52.1,76.6 321:52.1,83.8 321:52.3,84.8 321:52.3,85.5 321:52.5,75.3 321:52.5,77.4 321:52.5,84.9 321:52.7,85.5 321:58.1,45.2 321:58.4,45.6 321:79.1,6.4 321:79.3,2.4 321:79.3,6.6 321:79.7,6.9 321:80,2.4 321:80.1,6.4 321:80.2,2.9 321:80.2,5 321:80.4,4.1 321:80.4,8.1 321:80.5,5.7'},
[14847]={[0]='Professor Thaddeus Paleo',[1]='30:41.3,69.9 9:37.3,38.7'},
[14871]={[0]='Morja',[1]='30:43.3,70.3 9:15.5,34.1 9:29.6,90.8 9:36.7,36.2'},
[14875]={[0]='Molthor',[1]='689:14.2,15.5'},
[14902]={[0]="Jin'rokh the Breaker",[1]='689:15.3,14.5'},
[14903]={[0]="Al'tabim the All-Seeing",[1]='689:15.3,16.1'},
[14904]={[0]='Maywiki of Zuldazar',[1]='689:15.3,16'},
[14905]={[0]='Falthir the Sightless',[1]='689:14.1,13.7'},
[14910]={[0]='Exzhal',[1]='689:15.3,15.4 689:15.3,15.5'},
[14921]={[0]="Rin'wosho the Trader",[1]='689:15.1,16'},
[14983]={[0]='Field Marshal Oslight',[1]='16:40,46.9'},
[15011]={[0]='Wagner Hammerstrike',[1]='HH 27:59.6,34.4'},
[15012]={[0]='Javnir Nashak',[1]='HH 4:46.1,13.7'},
[15021]={[0]='Deathmaster Dwire',[1]='16:68.4,30.4 16:73.3,29.8'},
[15042]={[0]='Zanza the Restless',[1]=''},
[15070]={[0]='Vinchaxa',[1]='689:14.5,15.8'},
[15077]={[0]='Riggle Bassbait',[1]='673:41.4,73.1 689:27.4,76.9'},
[15078]={[0]='Jang',[1]='673:41.4,73.1 689:27.4,76.9'},
[15079]={[0]='Fishbot 5000',[1]='673:41.4,73.1 689:27.4,76.9'},
[15104]={[0]='Swift Zulian Tiger',[1]='40:73,47.4 182:61.8,26.7 721:30.4,39.2 680:40.7,58.1 680:41,59.3 680:41.1,59.9 680:41.1,60.5 680:48.5,56.8 680:49.1,49.7 545:62,74.2 759:58.3,32.8 615:51.6,52.3'},
[15116]={[0]='Grinkle',[1]='321:46.4,6.1 321:52.2,77.5 321:52.3,72.9 321:52.3,76.3 321:52.5,76.4 321:52.5,77.1 321:52.5,77.5 321:52.7,72.8 321:58.4,45.7'},
[15119]={[0]='Barrus',[1]='341:27.4,73.5 341:27.9,73.1 341:28.1,75.5 341:28.5,73.3 341:29.3,75.5 341:46.9,59.4 341:62.8,31.3'},
[15126]={[0]='Rutherford Twing',[1]='16:68.4,30.4 16:68.4,30.5 16:68.5,30.4 16:68.5,30.5 16:73.4,29.8'},
[15127]={[0]='Samuel Hawke',[1]='16:40.1,46.6'},
[15170]={[0]='Rutgar Glyphshaper',[1]='261:46.4,79'},
[15171]={[0]='Frankal Stonebridge',[1]='261:46,79.3'},
[15174]={[0]='Calandrath',[1]='261:55.5,36.7'},
[15181]={[0]="Commander Mar'alith",[1]='261:53.21,32.50'},
[15182]={[0]='Vish Kozus',[1]='261:54.6,32'},
[15183]={[0]='Geologist Larksbane',[1]='261:53.6,35.2'},
[15189]={[0]='Beetix Ficklespragg',[1]='261:55.4,36.3'},
[15190]={[0]='Noggle Ficklespragg',[1]='261:51.7,38.6 261:55.4,36.3'},
[15191]={[0]='Windcaller Proudhorn',[1]='261:54.9,35.9'},
[15192]={[0]='Anachronos',[1]='161:58,56.1 161:64.2,51.3'},
[15194]={[0]='Hermit Ortell',[1]='261:68.4,63 261:68.6,63'},
[15197]={[0]='Darkcaller Yanka',[1]='HW 20:55.6:69.6'},
[15270]={[0]='Huum Wildmane',[1]='261:52.7,35.4 261:52.7,35.5'},
--[15271]={[0]='Tender',[1]='462:28.9,18.5 462:29.8,24.2 462:29.9,20.8 462:30.2,19.4 462:30.2,19.5 462:30.2,21.9 462:30.4,23 462:30.5,24.1 462:30.9,23 462:31.1,21.9 462:31.6,20.8 462:31.8,24.6 462:32.3,22.4 462:32.3,22.5 462:32.4,24 462:32.5,22.4 462:32.5,22.7 462:32.6,21.1 462:33.1,24.5 462:33.2,24.3 462:33.2,27.4 462:33.5,24.1 462:33.7,25.8 462:33.8,27 462:34.4,28.1 462:34.4,28.5 462:34.5,26.4 462:34.5,27.2 462:34.6,28.8 462:35.2,29.5 462:35.3,27.5 462:35.7,27.4 462:35.9,28 462:36.4,29.1 462:36.4,29.7 462:36.5,29.2 462:38,29.2 462:38.2,28.4 462:39.9,24.2 462:40.8,24.9'},
[15273]={[0]='Arcane Wraith',[1]='462:29.8,26.8 462:30,26.3 462:30.2,27.6 462:30.3,29.2 462:30.4,24.7 462:30.4,29.6 462:30.5,26.7 462:30.5,29 462:30.5,29.8 462:30.6,28 462:30.7,25.3 462:30.8,25.5 462:31.5,29.4 462:31.5,29.5 462:31.6,26.5 462:31.8,26.2 462:31.8,27.7'},
[15278]={[0]='Magistrix Erona',[1]='462:38.02,21.00'},
[15279]={[0]='Julia Sunstriker',[1]='462:39.23,21.46'},
[15280]={[0]='Jesthenis Sunstriker',[1]='462:39.3,20.4 462:39.4,20.6 462:39.5,20.6'},
[15281]={[0]='Lanthan Perilon',[1]='462:35.37,22.52'},
[15283]={[0]="Summoner Teli'Larien",[1]='462:38.9,21.4'},
[15284]={[0]='Matron Arena',[1]='462:39.4,20.4 462:39.4,20.5'},
[15285]={[0]='Pathstalker Kariel',[1]='462:38.9,20.1'},
--[15294]={[0]='Feral Tender',[1]='462:30.1,21.1 462:30.4,21.7 462:30.8,21 462:31,23.1 462:31.1,19.7 462:31.2,22.2 462:31.4,23.9 462:31.5,20.2 462:31.7,21.3 462:31.8,19.4 462:31.9,25.1 462:32.1,23.9 462:32.4,22.1 462:32.4,22.8 462:32.5,22.8 462:32.8,24.3 462:32.9,21.1 462:33.4,25.1 462:33.7,23.4 462:33.8,23.5 462:33.9,26.3 462:33.9,26.9 462:34.4,27.9 462:34.5,28.7 462:34.6,26.7 462:35.2,29.5 462:35.8,27.8 462:35.9,29.5 462:36,28.8 462:37.9,28.5'},
[15295]={[0]='Well Watcher Solanian',[1]='462:38.97,20.26'},
[15296]={[0]='Arcanist Ithanas',[1]='462:38.27,19.12'},
[15297]={[0]='Arcanist Helion',[1]='462:37.20,19.05'},
[15298]={[0]='Tainted Arcane Wraith',[1]='462:31.57,29.48 H:100020483',[2]='Up on platform'},
[15301]={[0]='Outrunner Alarion',[1]='462:40.42,32.21'},
[15306]={[0]='Bor Wildmane',[1]='261:53.16,35.11'},
[15350]={[0]='Horde Warbringer',[1]='382:53.3,88.8 382:53.4,88.1 382:54,86.4 382:54,88.5 382:54.1,87.1 382:54.1,87.9 382:54.6,88.6 382:54.7,87.2 382:55,95.7 382:59.3,83.6 382:73.6,12.6 382:73.7,12.4 321:36.8,65.5 321:36.9,65 321:79.5,30.5 501:35.8,43.5 501:49.3,14 501:49.3,14.6 501:49.4,12.9 501:49.5,13.6 501:49.8,15.2 501:49.9,15.6 501:50,12.3 501:50,12.9 501:50.5,12.3 501:50.5,12.9 501:50.6,14.7 501:50.8,13.5 504:58.3,20.4 504:58.4,20.7 504:58.4,21.7 504:58.5,20.6 504:58.5,21.6 504:58.7,20.4'},
[15351]={[0]='Alliance Brigadier General',[1]='301:75.8,66.7 301:76,66.1 341:70,90.4 341:70.2,91 501:41.9,95.4 501:49.2,14.1 501:49.3,13 501:49.4,14.7 501:49.5,14 501:49.7,15.1 501:50,12.4 501:50.1,12.7 501:50.1,15.5 501:50.5,15.2 501:50.8,13.4 501:50.8,14.4 504:29.9,75.2 504:30.3,75.6'},
[15378]={[0]='Merithra of the Dream',[1]='261:28.7,89.7 766:50.2,91.3 766:50.2,93.5 766:50.3,92.2 766:50.4,92.5 766:50.7,92.3 766:50.7,92.6 766:50.8,93.6 766:50.9,91.4 766:51.5,91.4 766:51.5,92.9 766:51.6,92.2 766:49.3,81.8 766:49.4,82.6 766:49.5,82.2 766:49.6,81.3 766:50.3,80.2 766:50.3,83 766:50.4,84.1 766:50.4,84.5 766:50.7,84.5 766:50.9,83.3 766:51.1,82.1 766:51.1,83.8 766:51.2,81.4 766:51.3,80.1 766:51.5,82.1 766:51.5,83.2 766:51.5,84.4 766:51.5,84.6 766:51.6,80.6 766:52.2,80.4 766:52.5,83.6 766:52.6,82.5'},
[15379]={[0]='Caelestrasz',[1]='766:50,93.5 766:50.3,93.3 766:50.5,92.9 766:50.8,93.6 766:49.1,84.4 766:49.3,85.2 766:49.4,83 766:49.4,86 766:49.5,82.9 766:50.1,82.3 766:50.2,84.5 766:50.2,86.5 766:50.3,84.1 766:50.4,85.7 766:50.7,82.3 766:50.8,83.7 766:50.8,85.6 766:51.1,84.9 766:51.1,86.6 766:51.2,83 766:51.5,85.3 766:51.7,83.1 766:51.8,84 766:51.8,86.5 766:52.1,86.2 766:52.5,83.4 766:52.5,84.8'},
[15380]={[0]='Arygos',[1]='261:28.7,89.2 766:49.2,94.5 766:49.4,92.4 766:49.4,92.9 766:49.4,93.7 766:49.8,93.4 766:49.9,94.5 766:50,92.4 766:50,93.9 766:50.5,93.2 766:50.6,93.6 766:50.6,94.5 766:48.2,84.3 766:48.4,83.3 766:48.4,84.6 766:48.4,85.5 766:48.7,87.5 766:48.8,83.8 766:49,83 766:49.4,84.5 766:49.4,86.4 766:49.4,87.2 766:49.7,82.7 766:49.8,85.1 766:50,84.4 766:50,87.1 766:50.2,85.7 766:50.2,87.5 766:50.5,83.4 766:50.8,86 766:50.9,83.9 766:50.9,86.8 766:51,84.5'},
[15395]={[0]='Nafien',[1]='182:64,10.4 182:64,10.5'},
[15397]={[0]='Marniel Amberlight',[1]='462:43.68,71.30'},
[15398]={[0]='Larianna Riverwind',[1]='462:34,80'},
[15399]={[0]='Lieutenant Dawnrunner',[1]='462:60.3,62.7'},
[15400]={[0]='Arathel Sunforge',[1]='462:59.6,62.6'},
[15401]={[0]='Ley-Keeper Velania',[1]='462:36.70,57.44'},
[15402]={[0]='Apprentice Mirveda',[1]='462:54.3,71'},
[15403]={[0]='Aeldon Sunbrand',[1]='462:48.16,46.00'},
[15404]={[0]='Velendris Whitemorn',[1]='462:36.3,66.8'},
[15405]={[0]='Ley-Keeper Caidanis',[1]='462:44.63,53.14'},
[15406]={[0]="Ven'jashi",[1]='462:70.4,72.3 462:70.5,72.4'},
[15407]={[0]="Chieftain Zul'Marosh",[1]='462:62.2,79.6 H:100023249'},
[15409]={[0]='Old Whitebark',[1]='462:35.0,84.6 H:100023228'},
[15416]={[0]='Ranger Jaela',[1]='462:50.33,50.76'},
[15417]={[0]='Velan Brightoak',[1]='462:44.72,69.63'},
[15418]={[0]='Magister Jaronis',[1]='462:47.25,46.30'},
[15433]={[0]='Innkeeper Delaniel',[1]='462:48.15,47.66'},
[15498]={[0]='Windcaller Yessendra',[1]='261:52,38 772:59.4,13.9'},
[15499]={[0]='Warden Haro',[1]='261:51.1,38.8 772:59.5,13.9'},
[15500]={[0]='Keyl Swiftclaw',[1]='261:51.8,39.4 772:59.4,13.9'},
[15502]={[0]='Andorgos',[1]='766:59.3,68.4'},
[15503]={[0]='Kandrostrasz',[1]='766:59.4,68.5'},
[15504]={[0]='Vethsera',[1]='766:59.2,68.5'},
[15513]={[0]='Ranger Sallina',[1]='462:39,20.1'},
[15549]={[0]='Elder Morndeep',[1]='HL 704:50.6,63.8'},
[15556]={[0]='Elder Splitrock',[1]='HL 750:51.6,93.6'},
[15557]={[0]='Elder Rumblerock',[1]='HL 29:70.0,45.4'},
[15558]={[0]='Elder Silvervein',[1]='HL 35:33.2,46.6'},
[15559]={[0]='Elder Highpeak',[1]='HL 26:50.0,48.0'},
[15560]={[0]='Elder Stonefort',[1]='HL 721:62.0,39.8'},
[15561]={[0]='Elder Obsidian',[1]='HL 21:45.0,41.2'},
[15562]={[0]='Elder Hammershout',[1]='HL 30:34.6,50.6'},
[15563]={[0]='Elder Bellowrage',[1]='HL 19:54.2,49.6'},
[15564]={[0]='Elder Darkcore',[1]='HL 382:66.62,38.20'},
[15565]={[0]='Elder Stormbrow',[1]='HL 30:39.8,63.6'},
[15566]={[0]='Elder Snowcrown',[1]='HL 23:75.6,54.6'},
[15567]={[0]='Elder Ironband',[1]='HL 28:21.2,79.0'},
[15568]={[0]='Elder Graveborn',[1]='HL 20:61.86,53.91'},
[15569]={[0]='Elder Goldwell',[1]='HL 27:53.8,49.8'},
[15570]={[0]='Elder Primestone',[1]='HL 261:30.8,13.6'},
[15572]={[0]='Elder Runetotem',[1]='HL 4:53.22,43.61'},
[15573]={[0]='Elder Ragetotem',[1]='HL 161:37.2,79.0'},
[15574]={[0]='Elder Stonespire',[1]='HL 281:59.8,49.8'},
[15575]={[0]='Elder Bloodhoof',[1]='HL 9:48.50,53.25'},
[15576]={[0]='Elder Winterhoof',[1]='HL 673:40.0,72.4'},
[15577]={[0]='Elder Skychaser',[1]='HL 39:56.6,47.0'},
[15578]={[0]='Elder Wildmane',[1]='HL 686:34.4,39.6'},
[15579]={[0]='Elder Darkhorn',[1]='HL 321:52.28,59.95'},
[15580]={[0]='Elder Ezra Wheathoof',[1]='HL 362:73.0,23.7'},
[15581]={[0]='Elder Grimtotem',[1]='HL 121:76.6,37.8'},
[15582]={[0]='Elder Windtotem',[1]='HL 11:68.4,70.0'},
[15583]={[0]='Elder Thunderhorn',[1]='HL 201:50.4,76.2'},
[15584]={[0]='Elder Skyseer',[1]='HL 61:46.2,50.8'},
[15585]={[0]='Elder Dawnstrider',[1]='HL 29:53.69,24.55'},
[15586]={[0]='Elder Dreamseer',[1]='HL 161:51.4,28.8'},
[15587]={[0]='Elder Mistwalker',[1]='HL 699:43.4,67.6'},
[15588]={[0]='Elder High Mountain',[1]='HL 607:41.6,47.6'},
[15592]={[0]='Elder Windrun',[1]='HL 23:35.4,68.8'},
[15593]={[0]='Elder Starsong',[1]='HL 687:62.4,34.4'},
[15594]={[0]='Elder Moonstrike',[1]='HL 22:69.0,73.0'},
[15595]={[0]='Elder Bladeleaf',[1]='HL 41:56.8,53.0'},
[15596]={[0]='Elder Starglade',[1]='HL 37:71.0,34.2'},
[15597]={[0]='Elder Moonwarden',[1]='HL 11:48.6,59.2'},
[15598]={[0]='Elder Bladeswift',[1]='HL 381:39.6,32.6'},
[15599]={[0]='Elder Bladesing',[1]='HL 261:53.0,35.6'},
[15600]={[0]='Elder Skygleam',[1]='HL 181:64.6,79.2'},
[15601]={[0]='Elder Starweave',[1]='HL 42:49.4,18.8'},
[15602]={[0]='Elder Meadonrun',[1]='HL 22:63.6,36.2'},
[15603]={[0]='Elder Nightwind',[1]='HL 182:38.4,52.8'},
[15604]={[0]='Elder Morningdew',[1]='HL 61:77.0,75.6'},
[15605]={[0]='Elder Riversong',[1]='HL 43:35.6,48.8'},
[15606]={[0]='Elder Brightspear',[1]='HL 281:53.2,56.6'},
[15607]={[0]='Elder Farwhisper',[1]='HL 765:50.6,68.4'},
[15608]={[0]='Medivh',[1]=''},
[15670]={[0]='Grimscale Forager',[1]='462:28.2,60.4 H:100021776'},
[15700]={[0]='Warlord Gorchuk',[1]='HQ 321:38,86'},
[15732]={[0]='Wonderform Operator',[1]='27:60.3,33.8 40:9.1,60.7 20:61,59.4 20:61,59.5 161:52.6,28 301:67.3,71.5 301:67.7,71.4 301:67.7,71.6 321:49.9,62.5 321:50.1,61.4 321:50.1,61.7 462:56.5,51.8 504:49.4,43.9 504:49.4,45.1 673:40.3,67.7'},
[15864]={[0]='Valadar Starsong',[1]='HL 241:54.0,35.0'},
[15871]={[0]='Elder Bronzebeard',[1]='HL 341:29.22,17.12'},
[15891]={[0]='Lunar Festival Herald',[1]='HL 321:49.89,81.20 382:66.0,36.8 362:38.38,63.40'},
[15892]={[0]='Lunar Festival Emissary',[1]='HL 301:61.78,75.76 341:30.90,61.58 381:45.0,52.0'},
[15895]={[0]='Lunar Festival Harbinger',[1]='HL 30:34.24,50.56 341:28.83,16.22 381:38.6,30.4 321:52.38,58.49 481:53.2,32.8 382:65.60,35.99 504:47.6,44.2 471:74.01,57.48 480:73.05,82.56'},
[15920]={[0]='Hathvelion Sungaze',[1]='462:30.22,58.33 462:29.88,58.48 462:29.85,58.46 462:30.25,58.44'},
[15921]={[0]='Captain Kelisendra',[1]='462:36.3,66.7'},
[15924]={[0]='Apprentice Loralthalis',[1]='462:67.8,56.4'},
[15939]={[0]='Ranger Degolien',[1]='462:43.34,70.82'},
[15941]={[0]='Apprentice Ralen',[1]='462:45.19,56.43'},
[15942]={[0]='Ranger Sareyn',[1]='462:46.9,71.8'},
[15945]={[0]='Apprentice Meledor',[1]='462:44.87,61.04'},
[15951]={[0]='Magister Duskwither',[1]='462:60.3,61.4'},
[15968]={[0]='Darnassian Scout',[1]='462:36.6,60.6 H:100020765'},
[15969]={[0]='Groundskeeper Wyllithen',[1]='462:68.7,47'},
[15970]={[0]='Instructor Antheol',[1]='462:55.70,54.50'},
[15991]={[0]='Lady Dena Kennedy',[1]='478:57.7,56'},
[16112]={[0]='Crusade Commander Korfax',[1]='23:72.5,74.8 23:75.4,76.2'},
[16115]={[0]='Crusade Commander Eligor Dawnbringer',[1]='23:72.5,74.8 23:76.7,73.2'},
[16116]={[0]='Archmage Angela Dosantos',[1]='23:72.4,74.8 23:76,75.4'},
[16128]={[0]='Rhonin',[1]='504:74.1,86.8 504:29.4,48.3'},
[16134]={[0]='Rimblat Earthshatter',[1]='23:28.4,26 23:50.5,20.2 23:61.4,42.8 23:73.8,52'},
[16135]={[0]='Rayne',[1]='23:30.2,56.9'},
[16144]={[0]='Lord Saltheril',[1]='462:38.2,73.4'},
[16183]={[0]='Courier Dawnstrider',[1]='462:49,89'},
[16187]={[0]='Quartermaster Lymel',[1]='463:47.3,29.2'},
[16189]={[0]='Skymaster Sunwing',[1]='463:45.4,30.6'},
[16191]={[0]='Sathren Azuredawn',[1]='480:52.1,44.5 480:54.1,71'},
[16192]={[0]='Skymistress Gloaming',[1]='462:54.4,50.8'},
[16196]={[0]='Apothecary Thedra',[1]='462:49,89'},
[16197]={[0]='Arcanist Vandril',[1]='463:46.4,28.3'},
[16198]={[0]='Apothecary Renzithen',[1]='463:47.4,34.7'},
[16199]={[0]='Magister Darenis',[1]='463:46.1,31.9'},
[16200]={[0]='Deathstalker Rathiel',[1]='463:46,33.4'},
[16201]={[0]='Geranis Whitemorn',[1]='463:64.5,97.4 463:72.4,19.5'},
[16202]={[0]='Farstrider Sedina',[1]='463:72.4,32.2'},
[16203]={[0]='Ranger Vynna',[1]='463:71.9,32.6'},
[16204]={[0]='Magister Idonis',[1]='463:54.9,48.4'},
[16205]={[0]='Magistrix Aminel',[1]='463:48.9,31.4'},
[16210]={[0]='Magistrix Landra Dawnstrider',[1]='462:44.03,70.76'},
[16213]={[0]='Ranger Lethvalin',[1]='463:45.4,32.3'},
[16219]={[0]='Ranger Valanna',[1]='463:69.3,15.2'},
[16220]={[0]='Captain Helios',[1]='463:72.3,29.7'},
[16224]={[0]='Rathis Tomber',[1]='463:47.1,28.3'},
[16231]={[0]='Dame Auriferous',[1]='463:44.9,32.4'},
[16237]={[0]='Magister Sylastor',[1]='463:60.3,35.8'},
[16239]={[0]='Magister Kaendris',[1]='463:55,48.9'},
[16240]={[0]='Arcanist Janeda',[1]='463:54.9,48.4'},
[16251]={[0]='Deathstalker Maltendis',[1]='463:44.8,32.4'},
[16252]={[0]='High Executor Mavren',[1]='463:44.8,32.4'},
[16253]={[0]='Master Chef Mouldier',[1]='463:48.4,31'},
[16261]={[0]='Sathiel',[1]='462:43.69,71.55'},
[16280]={[0]='Perascamin',[1]='462:61.3,54'},
[16289]={[0]='Advisor Valwyn',[1]='463:44.9,32.7'},
[16291]={[0]='Magister Quallestis',[1]='463:55,48.6'},
[16293]={[0]='Apprentice Shatharia',[1]='463:31.4,48.2'},
[16295]={[0]='Ranger Lilatha',[1]='463:62.9,30.3'},
[16314]={[0]='Fallen Ranger',[1]='463:16.2,57.6 H:100022597'},
[16362]={[0]='Runewarden Deryan',[1]='462:44.2,85.4'},
[16365]={[0]='Master Craftsman Omarion',[1]='23:75.7,52.1'},
[16388]={[0]='Koren',[1]='Z799'},
[16397]={[0]='Ardeyn Riverwind',[1]='462:43.57,71.21'},
[16399]={[0]='Bloodsail Traitor',[1]='673:48.3,63.3'},
[16416]={[0]='Bronn Fitzwrench',[1]='281:58.1,52.2 281:59.8,39.7'},
[16417]={[0]='Rumsen Fizzlebrack',[1]='161:50.4,27.2'},
[16418]={[0]='Mupsi Shacklefridd',[1]='11:65.83,71.92'},
[16462]={[0]="Ranger Krenn'an",[1]='463:72.2,29.9'},
[16463]={[0]='Farstrider Solanna',[1]='463:72.3,31.3'},
[16464]={[0]='Apothecary Venustus',[1]='463:72.7,31.6'},
[16475]={[0]='Megelon',[1]='464:84.3,43'},
[16477]={[0]='Proenitus',[1]='464:80.4,45.8'},
[16480]={[0]="Apprentice Vor'el",[1]='463:46.3,56.4'},
[16483]={[0]='Draenei Survivor',[1]='464:69.4,56.2 464:69.6,56.4 464:70,59.4 464:70.8,53.1 464:71.6,56.5 464:71.7,49 464:71.9,56.4 464:71.9,58.4 464:71.9,58.9 464:72.2,62.3 464:72.3,52.5 464:72.4,52 464:72.5,52.3 464:72.5,52.5 464:72.5,62.1 464:73.2,42 464:73.2,58.1 464:73.3,47.1 464:73.3,50.9 464:73.3,58.5 464:73.4,54.9 464:73.5,47.3 464:73.5,51 464:73.5,58.4 464:73.6,54.7 464:73.9,51.5 464:74.1,62.6 464:74.3,60.9 464:74.4,43.7 464:74.7,40.4 464:74.7,40.5 464:74.7,43.3 464:74.8,56.5 464:74.9,43.6 464:74.9,61 464:75,55.9 464:75.1,50.3 464:75.4,47.1 464:75.9,54.7 464:76.1,60.5 464:76.2,46.4 464:76.4,42.4 464:76.4,42.5 464:76.4,46.7 464:76.4,53.3 464:76.4,53.6 464:76.4,60.4 464:76.5,53.4 464:76.5,53.8 464:76.5,60.8 464:76.7,42.4 464:76.7,42.5 464:77.3,44.7 464:77.3,50.9 464:77.3,56 464:77.3,56.5 464:77.5,44.8 464:77.5,50.9 464:77.5,55.8 464:77.5,56.6 464:77.8,41.8 464:77.9,46.7 464:78,46.4 464:78.1,41.2 464:78.2,58.3 464:78.2,59.5 464:78.3,59.1 464:78.6,46.4 464:78.6,59.2 464:78.7,55.5 464:78.8,55 464:79,41.6 464:79.1,41.4 464:79.7,39.5 464:79.8,39.3 464:80.1,42.2 464:80.4,42.5 464:80.4,56.4 464:80.5,42.1 464:80.5,42.6 464:80.6,56.6 464:80.9,56.2 464:81.7,43.5 464:81.8,43.2 464:82,40.5 464:82,55.4 464:82.1,40.4 464:82.3,49.4 464:82.6,54.6 464:82.7,54 464:83.2,49.7 464:83.7,46.9'},
[16499]={[0]='Keilnei',[1]='464:79.8,49.4'},
[16500]={[0]='Valaatu',[1]='464:79.6,48.8'},
[16501]={[0]='Aurelon',[1]='464:79.7,48.3'},
[16502]={[0]='Zalduun',[1]='464:80,49.5'},
[16503]={[0]='Kore',[1]='464:79.6,49.4'},
[16514]={[0]='Botanist Taerix',[1]='464:79.2,46.4'},
[16516]={[0]='Volatile Mutation',[1]='464:70.5,53.2 464:71.1,54.2 464:71.8,48.8 464:72.4,52.4 464:72.9,52.7 464:73.4,51.4 464:73.4,51.5 464:74,42.8 464:74,49.4 464:74,49.6 464:74.1,56.5 464:74.3,55.9 464:74.4,50.7 464:74.5,42.8 464:74.6,56 464:75.1,53.5 464:75.2,47.1 464:75.2,53.2 464:75.3,47.7 464:75.3,50.5 464:75.4,41.4 464:75.4,49.9 464:75.5,47.5 464:75.5,49.9 464:75.8,51.7 464:75.9,51 464:76,47.1 464:76.1,41.2 464:76.1,42 464:76.3,46.2 464:76.4,45.4 464:76.6,46.2 464:76.6,46.7 464:76.8,53.4 464:76.9,53.8 464:77.3,49.5 464:77.4,41.9 464:77.5,50.1 464:77.9,42.4 464:78,43.1 464:78,51.3 464:78,56.3 464:78.2,44.4 464:78.2,44.9 464:78.3,51.5 464:78.3,56.8 464:78.4,40.9 464:78.5,42.4 464:78.5,43 464:78.5,51.3 464:78.6,45.1 464:78.6,51.6 464:78.8,41 464:78.8,45.8 464:78.8,56.6 464:79,46.5 464:79.2,43.6 464:79.4,40.4 464:79.5,40.4 464:79.5,40.5 464:79.5,43.4 464:79.5,43.6 464:81.1,41 464:81.5,41.1'},
[16521]={[0]='Blood Elf Scout',[1]='464:69,63.2 464:69,64 464:69.1,65.4 464:69.3,65.7 464:69.5,65.6 464:69.9,62.8 464:70.1,62.1 464:70.2,64.5 464:70.4,61.4 464:70.4,64.4 464:70.5,62.3 464:70.6,64.9 464:70.8,61.3 464:71,63.8 464:71.4,63 464:71.6,62.7 464:71.8,62.4'},
[16522]={[0]='Surveyor Candress',[1]='464:69.1,65.5 464:69.5,65.6'},
[16534]={[0]='Inoculated Nestlewood Owlkin',[1]=''},	-- Azuremyst
[16535]={[0]='Vindicator Aldar',[1]='464:79.4,51.4'},
[16546]={[0]='Tolaan',[1]='464:72,60.8'},
[16551]={[0]='Technician Dyvuun',[1]='464:48.7,50.3'},
[16553]={[0]='Caregiver Chellan',[1]='464:48.4,49.2'},
[16554]={[0]='Aeun',[1]='464:64.5,54.1'},
[16574]={[0]='Far Seer Regulkut',[1]='465:54.3,37.9'},
[16575]={[0]="Shadow Hunter Ty'jin",[1]='465:55.1,36.3'},
[16576]={[0]='Overlord Hun Maimfist',[1]='465:65.1,44.2'},
[16577]={[0]="Martik Tor'seldori",[1]='465:55.2,39.1'},
[16583]={[0]='Rohok',[1]='465:53.2,38.2'},
[16588]={[0]='Apothecary Antonivich',[1]='465:52.3,36.4'},
[16601]={[0]='Dying Blood Elf',[1]='463:57.4,15.3'},
[16618]={[0]='Festival Talespinner',[1]='362:21.61,27.74'},
[16647]={[0]='Talionia',[1]='480:73.7,47.5 480:74.4,47.2 480:74.5,46.8 480:74.9,46.2'},
[16648]={[0]='Zanien',[1]='480:73.2,45.3 480:73.3,45.8 480:73.8,45.3'},
[16653]={[0]='Inethven',[1]='480:58.4,19.3 480:58.4,20 480:58.8,19.2 480:59,19.7'},
[16658]={[0]='Aldrae',[1]='480:53.3,26.6 480:53.4,26.4 480:53.9,26.4 480:53.9,26.5'},
[16674]={[0]='Zandine',[1]='480:84.4,28 480:84.5,27.9'},
[16681]={[0]='Champion Bachi',[1]='480:61.5,36.2 480:91.4,37.4 480:92,36.3 480:92,38.7 480:92.1,37.3 480:92.1,37.7 480:92.5,36.8 480:92.9,38.2'},
[16684]={[0]='Zelanis',[1]='480:78.9,52.1 480:79.7,51.4 480:79.7,52'},
[16721]={[0]='Shalannius',[1]='464:24.4,54.4 464:24.4,54.5 464:24.5,54.4 464:24.5,54.5'},
[16749]={[0]='Edirah',[1]='471:46.9,62.5 471:47.2,61.8 471:47.4,61.2 471:47.5,61.4 471:47.5,61.5'},
[16756]={[0]='Caedmos',[1]='471:38.9,51.1'},
[16761]={[0]='Baatun',[1]='471:39,84 471:39.1,83.4 471:39.1,84.6'},
[16768]={[0]='Nurguni',[1]='471:56.2,49.4 471:56.2,49.5 471:56.4,50.6 471:56.5,49.3 471:57,50.5 471:57.3,50.3 471:57.9,50.4 471:57.9,50.5'},
[16789]={[0]="Ranger Captain Venn'ren",[1]='465:28.4,60.3 465:28.5,60.2'},
[16790]={[0]='Falconer Drenna Riverwind',[1]='465:27.7,60.4'},
[16791]={[0]='Ryathen the Somber',[1]='465:27,59.6'},
[16792]={[0]='Arcanist Calesthris Dawnstar',[1]='465:27,59.8'},
[16793]={[0]='Magistrix Carinda',[1]='465:26.4,60.4 465:26.5,60.3'},
[16794]={[0]='Apothecary Azethen',[1]='465:26.8,59.7'},
[16796]={[0]='Amaan the Wise',[1]='465:23.4,36.6'},
[16797]={[0]='Scout Vanura',[1]='465:23.3,37.4 465:23.4,37.8 465:23.4,38.6 465:23.4,40.3 465:23.4,40.8 465:23.5,38.5 465:23.5,40.1'},
[16799]={[0]='Ikan',[1]='465:23.1,40.3'},
[16802]={[0]="Lor'themar Theron",[1]='480:54,20.4'},
[16813]={[0]='Wravien',[1]='Z799'},
[16814]={[0]='Gradav',[1]='Z799'},
[16815]={[0]='Kamsis',[1]='Z799'},
[16817]={[0]='Festival Loremaster',[1]='HM 301:49.53,72.26 341:63.77,25.33 381:62.17,48.67 471:41.6,24.7'},
[16818]={[0]='Festival Talespinner',[1]='HM 321[1]:47.73,38.20 362:21.61,27.73 382:67.64,8.27 480:69.86,42.96'},
[16819]={[0]='Force Commander Danath Trollbane',[1]='465:56.6,66.6'},
[16820]={[0]='Lieutenant Amadi',[1]='465:51,60.2'},
[16825]={[0]='Father Malgor Devidicus',[1]='465:54.3,63.5'},
[16826]={[0]='Sid Limbardi',[1]='465:54.3,63.5'},
[16827]={[0]='Honor Guard Wesilow',[1]='465:50.9,60.3'},
[16829]={[0]='Magus Zabraxis',[1]='465:53.9,65.7'},
[16830]={[0]='Field Commander Romus',[1]='465:56.8,62.7'},
[16833]={[0]='Makuru',[1]='465:23.2,40.2'},
[16834]={[0]='Anchorite Obadei',[1]='465:23,40.4'},
[16837]={[0]='Foreman Biggums',[1]='465:52,62.4 465:52,62.5'},
[16839]={[0]='Warp-Scryer Kryv',[1]='465:56.6,66.4 465:56.7,66.5'},
[16841]={[0]='Watch Commander Relthorn Netherwane',[1]='19:54.66,50.44'},
[16845]={[0]='Gorkan Bloodfist',[1]='465:32,27.9'},
[16850]={[0]='Gremni Longbeard',[1]='465:23.9,72.1'},
[16851]={[0]='Mirren Longbeard',[1]='465:24,72.3'},
[16852]={[0]="Sedai's Corpse",[1]='465:26.9,37.4 465:26.9,37.5'},
[16857]={[0]='Marauding Crust Burster',[1]='465:49.4,65.6 H:100023338'},
[16858]={[0]='Grelag',[1]='465:61,81.6'},
[16885]={[0]='Amythiel Mistwalker',[1]='465:16.03,52.15'},
[16888]={[0]='Mahuram Stouthoof',[1]='465:15.9,52.2'},
[16915]={[0]='Foreman Razelcraz',[1]='465:51.3,30.6'},
[16924]={[0]="Sergeant Kan'ren",[1]='462:47.77,46.58'},
[16991]={[0]='Thiah Redmane',[1]='465:15.7,52.2'},
[16993]={[0]='Wounded Blood Elf Pilgrim',[1]='465:24.6,76.1'},
[17006]={[0]='Elsaana',[1]='465:23.3,36.7'},
[17015]={[0]='Taleris Dawngazer',[1]='465:26.4,61.8 465:27.1,61.9'},
[17062]={[0]='Fel Orc Corpse',[1]='465:33.6,43.6'},
[17071]={[0]='Technician Zhanaa',[1]='464:79.4,51.2'},
[17079]={[0]='General Kirika',[1]='261:54.6,62.8'},
[17080]={[0]='Marshal Bluewall',[1]='261:39.6,46.9'},
[17081]={[0]='Scout Bloodfist',[1]='261:53,34.7'},
[17082]={[0]='Rifleman Torrig',[1]='261:54.49,32.94'},
[17085]={[0]='Aeranas',[1]='465:28.9,81.4 465:28.9,81.5'},
[17089]={[0]='Firmanvaar',[1]='464:79.3,49.1 464:79.5,49'},
[17092]={[0]='Advisor Duskingdawn',[1]='24:56.7,47.4 24:56.7,47.5'},
[17094]={[0]='Nemeth Hawkeye',[1]='37:38.1,50.2 689:32,28.6'},
[17095]={[0]='Balandar Brightstar',[1]='141:35.9,31.7'},
[17098]={[0]='Ambassador Dawnsinger',[1]='321:31.8,38.3 321:49.1,71.6 321:49.2,71'},
[17101]={[0]='Diktynna',[1]='464:61.1,54.2'},
[17106]={[0]='Vindicator Palanaar',[1]='43:35,49.9'},
[17110]={[0]='Acteon',[1]='464:49.8,51.9'},
[17114]={[0]='Arugoo of the Stillpine',[1]='464:49.4,51.1 464:49.5,51.1'},
[17116]={[0]='Exarch Menelaous',[1]='464:47.2,50.6'},
[17120]={[0]='Behomat',[1]='471:28.3,51.4 471:54.9,82.5 471:55.3,81 471:55.4,81.9 471:55.4,83.5 471:55.5,82.2 471:55.6,81.4 471:55.6,82.5 471:55.8,83.6 471:56.5,82.2 471:56.5,82.7'},
[17122]={[0]='Vord',[1]='471:47.4,88.1 471:47.5,88'},
[17123]={[0]='Earthcaller Ryga',[1]='465:32.1,28.3'},
[17127]={[0]='Anchorite Avuun',[1]='38:26.8,33.4 38:26.9,33.7'},
[17214]={[0]='Anchorite Fateema',[1]='464:48.4,51.7 464:48.5,51.8'},
[17215]={[0]='Daedal',[1]='464:48.4,51.4 464:48.4,51.6 464:48.5,51.4 464:48.5,51.5'},
[17204]={[0]='Farseer Nobundo',[1]='471:29.38,33.36 471:31.27,27.71'},
[17226]={[0]='Viera Sunwhisper',[1]='465:26.3,63.7 465:26.4,63.1 465:27,62.7 465:27.1,62.1'},
[17232]={[0]='Cryptographer Aurren',[1]='464:49.4,51.1 464:49.5,51'},
[17240]={[0]='Admiral Odesyus',[1]='464:47,70.1'},
[17241]={[0]="Priestess Kyleen Il'dinare",[1]='464:47.1,70.3 464:47.1,70.5'},
[17242]={[0]='Archaeologist Adamant Ironheart',[1]='464:47.2,70.1'},
[17246]={[0]='"Cookie" McWeaksauce',[1]='464:46.7,70.5 464:46.8,70.4'},
[17287]={[0]='Sentinel Luciel Starwhisper',[1]='43:84,62.7'},
[17288]={[0]='Randy Whizzlesprocket',[1]='Z710 X'},
[17290]={[0]='Captain Alina',[1]='Z710 X'},
[17291]={[0]='Architect Nemos',[1]='43:86.9,44.8'},
[17294]={[0]='Drisella',[1]='Z710 X'},
[17296]={[0]='Captain Boneshatter',[1]='Z710 X'},
[17303]={[0]='Vindicator Vedaar',[1]='43:84,62.7'},
[17304]={[0]='Overseer Gorthak',[1]='43:90.9,58.2'},
[17310]={[0]='Gnarl',[1]='43:83.9,63'},
[17311]={[0]='Cowlen',[1]='13:28.92,32.71'},
[17312]={[0]='Magwin',[1]='464:13.62,73.22'},
[17355]={[0]='Valusha',[1]='43:73.2,60.1'},
[17360]={[0]='Totem of Akida',[1]='464:49.4,51.1 464:49.5,51'},
[17361]={[0]='Totem of Coo',[1]='464:55.2,41.7'},
[17362]={[0]='Totem of Tikti',[1]='464:64.4,39.8 464:64.5,39.8'},
[17363]={[0]='Totem of Yor',[1]='464:63.1,67.8'},
[17364]={[0]='Totem of Vark',[1]='464:28.2,62.4 464:28.2,62.5'},
[17421]={[0]='Clopper Wizbang',[1]='476:42.1,21.2'},
[17423]={[0]='Harbinger Mikolaas',[1]='476:52.7,53.3'},
[17424]={[0]='Anchorite Paetheus',[1]='476:54.7,54'},
[17433]={[0]='Vindicator Aalesia',[1]='476:55,58.1'},
[17434]={[0]='Morae',[1]='476:53.3,57.7'},
[17440]={[0]='High Chief Stillpine',[1]='464:46.6,20.7'},
[17441]={[0]='Gurf',[1]='464:44.7,23.4 464:44.7,23.5'},
[17442]={[0]='Moordo',[1]='464:44.8,23.8'},
[17443]={[0]='Kurz the Revelator',[1]='464:46.9,22.2'},
[17445]={[0]='Stillpine the Younger',[1]='464:46.8,21.2'},
[17468]={[0]='Prophet Velen',[1]='476:54,55.4 471:22.4,44.2 471:29.6,27.1 471:32.3,54.5'},
[17479]={[0]='Gunny',[1]='465:56.4,66.6 465:56.5,66.6'},
[17480]={[0]='Ruada',[1]='464:49.8,50.3 464:49.9,50.5'},
[17488]={[0]='Dulvi',[1]='464:48.9,51.1'},
[17493]={[0]="Stone Guard Stok'ton",[1]='465:55.2,36.1'},
[17508]={[0]="Galaen's Corpse",[1]='476:37.4,61.4 476:37.6,61.3'},
[17514]={[0]='Bati',[1]='471:46.4,63.1 471:46.6,62.7'},
[17538]={[0]="O'ros",[1]='471:57.89,41.42'},
[17545]={[0]="K'ure",[1]='477:35.4,77.8 477:35.5,77.7'},
[17553]={[0]='Caregiver Topher Loaal',[1]='476:55.7,59.7'},
[17554]={[0]='Laando',[1]='476:57.6,54'},
[17555]={[0]='Stephanos',[1]='471:30.2,26.6 471:54.2,37.6 471:54.3,36.4 471:54.4,36.6 471:54.5,36.5 471:55,35.4 471:55,35.5'},
[17557]={[0]='Lieutenant Chadwick',[1]='465:56.7,66.4'},
[17558]={[0]="Caza'rez",[1]='465:54.9,36'},
[17584]={[0]='Torallius the Pack Handler',[1]='471:31,27.1 471:35.1,43.4 471:35.1,43.5 471:81.3,51.4 471:81.3,52.5 471:81.4,52.4 471:81.5,52.8 471:81.6,51.8 471:81.7,51.3'},
[17586]={[0]='Vorkhan the Elekk Herder',[1]='476:63.1,87.9'},
[17587]={[0]='Draenei Youngling',[1]='464:37.1,19.7 464:37.3,18 464:37.4,19.3 464:37.5,19.2 464:39.5,37.4 464:39.9,70.6 464:40,71.8 464:40.2,70.4 464:40.5,70.5 464:41.6,57.4 464:41.8,58.2 464:42.6,57.4 464:43,57.7 464:46.7,31.9 464:53.4,42.3 464:53.4,43.4 464:53.8,43.8 464:53.9,42.4 464:53.9,43.2 464:54.3,29.1 464:54.9,29.6 464:55,29 464:55,48.6 464:55.1,28.4 464:55.3,48 464:55.4,47.1 464:55.5,47.4 464:55.5,47.7 464:56.3,29.3 464:56.4,59.6 464:57,60.7 464:57.4,59.5 464:57.5,60 464:58.3,41 464:58.3,41.6 464:58.6,41.3 464:58.7,41.7'},
[17599]={[0]='Aonar',[1]='476:63.3,88.4 476:63.4,88.7 476:63.5,88.8'},
[17600]={[0]='Draenei Cartographer',[1]='476:61.2,48.4 476:61.2,48.5'},
[17613]={[0]='Archmage Alturus',[1]='32:47,75.4 32:47,75.5'},
[17614]={[0]='Huntress Kella Nightbow',[1]='464:24.2,54.3'},
[17634]={[0]='K. Lee Smallfry',[1]='467:68.6,50.2'},
[17636]={[0]='Kalynna Lathred',[1]='479:32.3,63.6'},
[17637]={[0]='Mack Diver',[1]='467:34.1,51'},
[17642]={[0]='Tracker Lyceon',[1]='476:55.9,56.9'},
[17649]={[0]='Kessel',[1]='476:31.5,21.7 476:63,87.6 476:63.1,87.4'},
[17658]={[0]='Exarch Admetius',[1]='476:52.7,53.3'},
[17663]={[0]="Jessera of Mac'Aree",[1]='476:56.3,56.8'},
[17674]={[0]='Prince Toreth',[1]='476:73.9,33.4 476:74.3,34 476:74.5,33.6 476:74.6,33.4 476:75.1,34.6'},
[17676]={[0]='Achelus',[1]='476:53.3,57.1'},
[17682]={[0]='Princess Stillpine',[1]='476:68.1,81.7 476:68.2,81.1'},
[17684]={[0]='Vindicator Boros',[1]='476:55.43,55.26'},
[17686]={[0]='Researcher Cornelius',[1]='476:24.8,34.5 476:24.9,34.3'},
[17703]={[0]='Messenger Hermesius',[1]='476:53.3,54.1 476:53.4,54.5 476:53.5,54.5 476:53.6,54.4 476:54.1,61.5 476:54.2,58.2 476:54.3,55.5 476:54.3,58.7 476:54.3,60.4 476:54.3,60.7 476:54.5,56 476:54.5,59.5 476:54.5,60.7 476:54.6,58.3 476:54.7,55.1 476:54.8,56.9 476:55.1,59.1 476:55.4,54.4 476:55.5,54.4 476:55.6,56.6 476:55.8,55.2 476:56,55.8'},
[17712]={[0]='Captain Edward Hanes',[1]='476:79,22.3 476:79.1,22.7'},
[17825]={[0]='Interrogator Elysia',[1]='476:54.4,54.5 476:54.5,54.4 476:54.5,54.5'},
[17831]={[0]="Watcher Leesa'oh",[1]='467:23.32,66.21'},
[17834]={[0]='Lethyn Moonfire',[1]='467:78.54,63.15'},
[17841]={[0]='Ysiel Windsinger',[1]='467:78.40,62.01'},
[17843]={[0]='Vindicator Kuros',[1]='476:55.6,55.1 476:55.7,55.7'},
[17844]={[0]='Vindicator Aesom',[1]='476:55.4,55.4 476:55.5,55.5 476:55.6,55.4'},
[17849]={[0]='Slain Outrunner',[1]='462:42.03,35.65'},
[17856]={[0]="Gzhun'tt",[1]='467:19.54,50.05'},
[17857]={[0]="T'shu",[1]='467:19.37,49.77'},
[17858]={[0]='Warden Hamoot',[1]='467:79.08,65.27'},
[17866]={[0]="Khn'nix",[1]='467:19.65,49.69'},
[17876]={[0]='Thrall',[1]=''},
[17877]={[0]='Fhwoor',[1]='467:19.7,50.8 467:20.1,51.5 467:25.2,49.5 467:25.3,49.2 467:25.6,48.6 467:25.7,51.4 467:25.8,48 467:26.2,41.1'},
[17884]={[0]='Watcher Jhang',[1]='467:52.28,35.98',[2]='Through the drain'},
[17909]={[0]="Lauranna Thar'well",[1]='467:80.32,64.17'},
[17923]={[0]='Fahssn',[1]='467:19.04,62.36 467:19.00,63.38 467:19.18,64.59'},	-- pacing between the points
[17924]={[0]="Msshi'fn",[1]='467:19.67,52.06'},
[17925]={[0]='Gshaff',[1]='467:19.14,49.38'},
[17926]={[0]='Scout Loryi',[1]='476:30.3,46'},
[17927]={[0]='Scout Jorli',[1]='476:30.3,46'},
[17956]={[0]='Ikeyen',[1]='467:80.4,64.2'},
[17969]={[0]='Kayra Longmane',[1]='467:82.7,85.4 467:83.3,85.5'},
[17982]={[0]='Demolitionist Legoso',[1]='476:15.4,53.5 476:24.8,54 476:28.1,50.4 476:28.1,50.7 476:28.5,49.5 476:28.6,49.1 476:29.1,48 476:29.7,47.6 476:30.2,47 476:30.8,46.7 476:31.1,46.4'},
[17986]={[0]='Vindicator Corin',[1]='476:30.7,46.7'},
[18003]={[0]='Anchorite Ahuurn',[1]='467:68.20,49.38'},
[18004]={[0]='Vindicator Idaar',[1]='467:68.3,50'},
[18005]={[0]='Haalrun',[1]='467:67.81,47.91'},
[18006]={[0]='Noraani',[1]='467:67.65,47.87'},
[18007]={[0]='Ruam',[1]='467:68.6,48.8'},
[18008]={[0]='Ikuti',[1]='467:41.95,27.19'},
[18009]={[0]='Puluu',[1]='467:40.85,28.66'},
[18010]={[0]='Maktu',[1]='467:41.61,27.29'},
[18011]={[0]='Zurai',[1]='467:85.2,54.7'},
[18012]={[0]='Reavij',[1]='467:85,54.1'},
[18013]={[0]='Shadow Hunter Denjai',[1]='467:30.7,50.9'},
[18014]={[0]="Witch Doctor Tor'gash",[1]='467:32.9,48.9'},
[18015]={[0]='Gambarinka',[1]='467:31.7,49.3'},
[18016]={[0]='Magasha',[1]='467:84.4,54.4 467:84.5,54.4'},
[18017]={[0]='Seer Janidi',[1]='467:32.4,51.9'},
[18018]={[0]='Zurjaya',[1]='467:32.2,49.5'},
[18019]={[0]='Timothy Daniels',[1]='467:41.22,28.65'},
[18020]={[0]='Defender Adrielle',[1]='476:51.8,52.1'},
[18024]={[0]='Defender Sorli',[1]='476:55.5,52.4 476:55.5,52.5'},
[18035]={[0]='Scout Jyoba',[1]='467:80.8,36.3'},
[18063]={[0]='Garrosh',[1]='477:55.4,37.7 477:55.5,37.7'},
[18066]={[0]='Farseer Kurkush',[1]='477:54.8,39.4 477:54.8,39.5'},
[18067]={[0]='Farseer Corhuk',[1]='477:54.8,39.8'},
[18068]={[0]='Farseer Margadesh',[1]='477:54.6,39.9'},
[18070]={[0]='Windcaller Blackhoof',[1]='467:80.37,64.72'},
[18071]={[0]='Elementalist Untrag',[1]='477:60.66,22.65'},
[18072]={[0]='Elementalist Sharvak',[1]='477:60.65,22.10'},
[18073]={[0]="Elementalist Lo'ap",[1]='477:60.80,22.38'},
[18074]={[0]='Elementalist Morgh',[1]='477:60.50,22.38'},
[18090]={[0]='Captain Kroghan',[1]='477:55.4,37.4 477:55.4,37.5'},
[18091]={[0]='Messenger Gazgrigg',[1]='467:32,50.4'},
[18097]={[0]='Nahuud',[1]='477:54.76,71.02'},
[18098]={[0]='Kialon Nightblade',[1]='475:36,67.8 475:36.5,67.6 475:36.6,67.4'},
[18099]={[0]='Gordawg',[1]='477:61.58,22.03 477:62.14,22.80 477:61.99,24.02 477:61.20,24.91 477:60.57,24.96 477:60.08,24.38 477:59.88,23.31 477:59.58,22.47 477:59.86,21.36 477:60.40,20.87 477:60.92,21.51',[2]='Wandering around'},
[18106]={[0]='Jorin Deadeye',[1]='477:55.6,37.6'},
[18141]={[0]='Greatmother Geyah',[1]='477:56.6,34.3'},
[18165]={[0]='Archmage Cedric',[1]='24:30.9,30.8'},
[18166]={[0]='Khadgar',[1]='481:54.74,44.33'},
[18180]={[0]='Hemet Nesingwary',[1]='477:71.52,40.81'},
[18183]={[0]='Arechron',[1]='477:55.48,68.70'},
[18200]={[0]="Shado 'Fitz' Farstrider",[1]='477:71.57,40.53'},
[18209]={[0]='Kurenai Captive',[1]='477:33.18,42.31'},
[18210]={[0]="Mag'har Captive",[1]='477:31.4,44.1 477:31.5,44'},
[18218]={[0]='Harold Lane',[1]='477:71.38,40.63'},
[18221]={[0]='Holaaru',[1]='38:69.8,36.6'},
[18222]={[0]='Otonbu the Sage',[1]='477:54.47,72.08'},
[18223]={[0]="Mo'mor the Breaker",[1]='477:54.61,72.21'},
[18224]={[0]="Poli'lukluk the Wiser",[1]='477:54.46,72.31'},
[18229]={[0]='Saurfang the Younger',[1]='477:32.4,36 477:32.5,36.1'},
[18233]={[0]='Elementalist Ioki',[1]='477:55.51,68.78'},
[18234]={[0]="Elementalist Yal'hah",[1]='477:55.3,37.1 477:55.3,37.7 477:55.4,38.6 477:55.5,38.5 477:55.6,37 477:55.7,37.8'},
[18248]={[0]='Nekthar',[1]='475:52,58.2'},
[18249]={[0]='Mokasa',[1]='478:49.7,43.4'},
[18252]={[0]='Andarl',[1]='478:58.53,53.56'},
[18253]={[0]='Archmage Leryda',[1]='32:47.2,75.1'},
[18261]={[0]='Lantresor of the Blade',[1]='477:73.80,62.60'},
[18262]={[0]='Unkor the Ruthless',[1]='478:19.3,64.1 478:19.8,62.1 478:20,63 478:20,63.5 478:20.5,62.8'},
[18265]={[0]='Gezhe',[1]='477:31.36,57.78'},
[18266]={[0]='Warrant Officer Tracy Proudwell',[1]='465:56.4,62.8'},
[18267]={[0]='Battlecryer Blackeye',[1]='465:55.9,39.1'},
[18273]={[0]='Kilrath',[1]='478:19.7,60.8 478:77.4,87.8'},
[18276]={[0]='Zerid',[1]='477:30.78,58.14'},
[18294]={[0]='Kristen Dipswitch',[1]='477:71.38,40.57'},
[18295]={[0]='Prospector Conall',[1]='467:68.55,49.36'},
[18300]={[0]="Elkay'gan the Mystic",[1]='477:55.6,37.6'},
[18301]={[0]='Matron Celestine',[1]='477:55.2,36.1'},
[18302]={[0]='Matron Drakia',[1]='477:56.4,34.4 477:56.6,34.3 477:57.1,34.8'},
[18333]={[0]='Shadrek',[1]='477:31.77,56.79'},
[18335]={[0]='Consortium Recruiter',[1]='477:51.94,34.78'},
[18353]={[0]='Huntress Bintook',[1]='477:55.05,70.54'},
[18369]={[0]='Corki',[1]='477:72.56,70.69'},
[18383]={[0]='Kurgatok',[1]='478:48.8,45.6'},
[18384]={[0]='Malukaz',[1]='478:50.1,46.4'},
[18385]={[0]='Rakoria',[1]='478:50.1,44.9'},
[18386]={[0]='Rokag',[1]='478:48.9,44.7'},
[18387]={[0]='Bertelm',[1]='478:58.29,54.76'},
[18389]={[0]='Thander',[1]='478:57.83,54.24'},
[18390]={[0]="Ros'eleth",[1]='478:57.40,55.43'},
[18407]={[0]='Warden Bullrok',[1]='477:55.8,37.9'},
[18408]={[0]="Warden Moi'bff Jill",[1]='477:54.74,70.88'},
[18414]={[0]='Elder Yorley',[1]='477:32.3,36.2'},
[18415]={[0]='Elder Ungriz',[1]='477:32.3,36.2'},
[18416]={[0]='Huntress Kima',[1]='477:53.03,7084 477:53.58,70.99 477:53.85,71.35 477:53.57,71.99 477:54.30,72.34 477:54.53,72.66 477:54.54,73.61 477:55.33,73.26 477:55.69,72.65 477:55.36,71.52 477:54.71,70.37 477:54.33,70.35 477:54.12,69.42 477:53.71,68.69 477:53.86,69.97',[2]='Wandering the village'
},
[18417]={[0]='Altruis the Sufferer',[1]='477:27.34,43.08'},
[18424]={[0]='Warden Treelos',[1]='478:44.03,22.44 478:44.75,21.71 478:44.89,21.12 478:43.69,23.07 478:43.29,23.02 478:43.37,22.59 478:43.44,22.39 478:44.40,24.77'},
[18445]={[0]='Corki',[1]='477:29.52,26.01'},
[18446]={[0]='Earthbinder Tavgren',[1]='478:44.33,26.31'},
[18447]={[0]='Tooki',[1]='478:50,45.9'},
[18459]={[0]='Jenai Starwhisper',[1]='478:57.01,53.49'},
[18471]={[0]='Gurgthock',[1]='477:42.8,20.8'},
[18481]={[0]="A'dal",[1]='481:53.99,44.73'},
[18482]={[0]='Empoor',[1]='478:11.8,99.2 478:36.4,30.2 478:36.5,30.3 478:36.6,30.6 478:38,26.4 478:38.1,26.5 478:38.7,26.6 478:39.4,24.1 478:39.4,26.3 478:39.5,26.5 478:39.6,24.1 478:40.3,24.9 478:40.4,25.6 478:40.5,25.6 478:40.7,25.4 478:41.9,26.4 478:42.3,26.5 478:42.5,26.6 478:43.3,26.4 478:43.5,26.3 478:43.6,26.5 478:44.5,26.2 478:44.6,26.5 478:45.5,26.4 478:45.5,26.5 478:46,66.7 478:46.5,26.4 478:47.2,27.1 478:47.4,66.7 478:47.9,27.2 478:47.9,66.8 478:48.4,27.5 478:48.5,27.4 478:48.6,27.7 478:48.7,67 478:49.6,28.2 478:50.4,29.2 478:50.5,29.2 478:50.6,29.5 478:84.4,54.2 478:84.8,55.4 478:86.2,55.9 478:90.2,54.7 478:90.6,54.1 478:92.3,52.7 478:94.6,51.1 478:96.6,54.1 478:97.6,53.3 478:98.2,52.4 481:9,92.8 481:37.3,26.3 481:37.7,24.6 481:37.9,26.3 481:77.4,66.9 481:77.4,67.7 481:77.5,64.4 481:77.5,64.7 481:77.6,62.9 481:78,61.3 481:78.1,61.9 481:78.8,61.5 481:79.1,57.1 481:79.1,61.4 481:79.2,58.5 481:79.8,21.3 481:79.8,21.9 481:80.1,55.4 481:80.4,55.6 481:80.4,57.1 481:80.7,55.2 481:80.7,55.9 481:80.9,54.4 481:81.1,30 481:81.1,30.7 481:81.3,34 481:81.5,33.7 481:81.5,54.5 481:81.6,54.1 481:81.8,34.9 481:81.9,53.3 481:82.2,36.4 481:82.2,40.8 481:82.3,52.2 481:82.6,40.3 481:82.8,41.2 481:82.8,51.9 481:82.8,52.5 481:82.9,41.8 481:83,47.3 481:83,49.1 481:83.1,44.3 481:83.1,44.9 481:83.1,47.8 481:83.1,53.5 481:83.2,49.7 481:83.3,54.5 481:83.5,47.1 481:83.6,40.3 481:83.7,54 481:83.9,53.2 481:84,54.5 481:84.3,55.7 481:84.6,54.5'},
[18484]={[0]='Wind Trader Lathrai',[1]='481:72.23,30.73'},
[18528]={[0]="Xi'ri",[1]='473:65.3,44'},
[18530]={[0]="Voren'thal the Seer",[1]='481:42.6,91.4'},
[18531]={[0]='Magistrix Fyalenn',[1]='481:28.5,32.9 481:45.3,81.6 481:45.4,81.3 481:45.4,82.5 481:45.5,81.3 481:45.5,82.2 481:45.5,82.5'},
[18537]={[0]='Adyen the Lightwarden',[1]='481:30.72,34.60'}, -- 479:29.6,14.5 479:30.7,17.4 479:30.7,17.5 481:25,21.5 481:41.6,65.2 481:82.6,49.3
[18538]={[0]='Ishanah',[1]='481:23.97,29.72'},	-- 479:29.5,13.9 
[18565]={[0]='Theloria Shadecloak',[1]='478:69.74,44.23'},
[18566]={[0]='Shadowstalker Kaide',[1]='478:63.38,42.72'},
[18584]={[0]="Sal'salabim",[1]='481:77.2,34.7'},
[18594]={[0]='Dathris Sunstriker',[1]='481:54.4,80.8 481:54.6,80.5 481:54.7,81.6 481:55,80.4'},
[18596]={[0]='Arcanist Adyria',[1]='481:30.8,18.6 481:43.4,64.3 481:54.2,22.5 481:54.4,21.9 481:54.8,22.4 481:54.8,22.5 481:55.5,22.5 481:55.7,22.3'},
[18597]={[0]="Sha'nir",[1]='481:64.47,15.12'},
[18653]={[0]='Seth',[1]='481:63.94,15.55'},
[18675]={[0]='Soolaveen',[1]='478:37.06,49.53'},
[18687]={[0]='Mother Kashur',[1]='477:26.1,60.6'},
[18704]={[0]='Taela Everstride',[1]='478:58.11,53.42'},
[18705]={[0]='Mawg Grimshot',[1]='478:49.3,45.9'},
[18712]={[0]='Advisor Faila',[1]='478:48.9,44.7'},
[18713]={[0]='Lieutenant Gravelhammer',[1]='478:57.51,55.77'},
[18714]={[0]='Scout Neftis',[1]='478:39,43.8'},
[18715]={[0]='Private Weeks',[1]='478:40.46,36.15'},
[18723]={[0]='Erozion',[1]=''},		-- Old Hillsbrad
[18745]={[0]='Captain Auric Sunchaser',[1]='478:57.18,55.74'},
[18760]={[0]='Isla Starmane',[1]='478:73.92,35.19'},
[18802]={[0]='Alchemist Gribble',[1]='465:53.8,65.8'},
[18803]={[0]='Stillpine Ambassador Frasaboo',[1]='476:55.2,56.1'},
[18804]={[0]='Prospector Nachlan',[1]='476:56.1,54.5 476:56.3,54.3'},
[18816]={[0]='Chief Researcher Amereldine',[1]='477:41.2,44.3'},
[18817]={[0]='Chief Researcher Kartos',[1]='477:41.2,44.3'},
[18891]={[0]="Spy To'gun",[1]='Z724',[2]='In a cage at end of corridor behind first boss'},
[18893]={[0]='Spymistress Mehlisah Highcrown',[1]='481:29.8,24.1 481:50.4,44.4 481:50.4,45.3 481:50.4,45.6 481:50.4,46.5 481:50.5,45.3 481:50.5,45.6 481:50.6,44.4'},
[18927]={[0]='Human Commoner',[1]='301:61.67,74.19 301:66.95,72.50 504:44.4,57.4 504:44.4,58.2 504:44.4,58.6 504:44.5,58.6 504:46.3,72.4'}, -- 301:61.8,74 301:61.9,73.4 301:66.7,71.8 301:67.1,72.5 301:61.2,74.5 301:61.4,74.3
[18930]={[0]='Vlagga Freyfeather',[1]='465:87.4,48.2'},
[18931]={[0]='Amish Wildhammer',[1]='465:87.4,52.4 465:87.4,52.5'},
[18933]={[0]='Isfar',[1]='478:44.07,64.98'},
[18944]={[0]='Fel Soldier',[1]='465:84.7,50.2 465:84.8,50.6 465:86.3,50.6 465:86.4,50.3 465:86.5,50.3 465:86.6,50.6 465:88.3,50.3 465:89.4,50.2'},
[19035]={[0]='Wazat',[1]='477:61.70,67.09',[2]='Pacing about'},
[19045]={[0]='Oloraak',[1]='481:57.99,15.17'},
[19052]={[0]='Lorokeem',[1]='481:28.6,18.4 481:42.7,64.3 481:45.4,21.9 481:45.5,22.6 481:45.7,21.3 481:45.8,20.4 481:45.8,21.5'},
[19133]={[0]='Ohlorn Farstrider',[1]='477:55.4,37.4 477:55.4,37.5 477:55.5,37.3'},
[19137]={[0]='"Shotgun" Jones',[1]='477:55.01,70.39'},
[19148]={[0]='Dwarf Commoner',[1]='341:30.80,62.93'},
[19169]={[0]='Blood Elf Commoner',[1]='462:54.2,50.8 504:50.8,22.8 504:50.8,24 504:51.3,22.4 504:51.7,22.2 504:51.7,22.5 504:51.8,21.4 504:62.3,31.6 504:62.4,30.9 504:62.5,30.8 504:62.5,31.5'},  -- 480:62.51,73.78
[19171]={[0]='Draenei Commoner',[1]='13:29.4,28.3'},
[19172]={[0]='Gnome Commoner',[1]='341:58.14,49.39'},
[19173]={[0]='Night Elf Commoner',[1]='381:40.7,45.5 381:41.2,44.7 381:41.4,44.4 381:41.5,44.5 381:41.7,44 381:44.1,53.1 381:44.4,52.4 381:44.5,53.6 381:44.6,52.4 381:44.6,52.6'},
[19175]={[0]='Orc Commoner',[1]='321:51.3,69.4 321:51.4,69.7 321:51.4,70.6 321:51.4,75.4 321:51.4,75.9 321:51.5,69.3 321:51.5,69.7 321:51.5,70.5 321:51.6,75.4 321:51.6,75.5 321:51.8,74.4'},
[19176]={[0]='Tauren Commoner',[1]='362:38.9,29.5 362:40,56.7 362:40.3,56.1 362:40.4,55 362:40.7,55.4 362:41.2,56 362:41.2,56.5 362:41.7,55.7 362:41.7,56.5 362:46.1,57.2 362:92.2,56.4'}, -- 362:40.80,56.17
[19177]={[0]='Troll Commoner',[1]='321:49.2,62.5 321:49.4,61.3 321:49.4,62 321:49.5,61.3 321:49.6,61.8 321:49.6,62.5'}, -- 321[1]:49.68,62.04
[19178]={[0]='Forsaken Commoner',[1]='382:61.2,75.2 382:62.9,47.4 382:63.1,48.3 382:63.4,48.5 382:63.5,48.2 382:63.7,48.6 382:67.1,38.7 382:67.6,38.4 382:67.6,38.8 382:68.3,39.5 382:68.5,39.8'},
[19202]={[0]='Emissary Mordin',[1]='481:62.81,35.59'},
[19217]={[0]='Ravandwyr',[1]='479:31.4,66.2'},
[19227]={[0]='Griftah',[1]='481:33.4,29.9 481:44.2,67.8 481:65.4,68.4 481:65.4,69.1 481:65.6,69 481:65.7,68.3'},
[19229]={[0]='Commander Duron',[1]='465:87.4,50.7'},
[19253]={[0]='Lieutenant General Orion',[1]='465:87.4,49.8'},
[19254]={[0]="Warlord Dar'toon",[1]='19:54.4,50.4 19:54.4,50.5 19:54.5,50.4 19:54.5,50.7'},
[19255]={[0]='General Krakork',[1]='465:55.9,36.8'},
[19256]={[0]='Sergeant Shatterskull',[1]='465:58,41.3'},
[19273]={[0]="Forward Commander To'arch",[1]='465:65.9,43.6'},
[19293]={[0]="Tola'thion",[1]='465:15.6,52.1'},
[19294]={[0]='Earthbinder Galandria Nightbreeze',[1]='465:15.9,51.6'},
[19308]={[0]='Marshal Isildor',[1]='465:54.6,62.7'},
[19309]={[0]='Sergeant Altumus',[1]='465:61.7,60.8'},
[19310]={[0]='Forward Commander Kingston',[1]='465:71.3,62.8'},
[19333]={[0]='Grokom Deatheye',[1]='473:29.8,31.3'},
[19344]={[0]='Legassi',[1]='465:49.2,74.8'},
[19361]={[0]='Naladu',[1]='465:16.2,65'},
[19367]={[0]='"Screaming" Screed Luckheed',[1]='465:49.1,74.8'},
[19370]={[0]='Ordinn Thunderfist',[1]='473:36.8,54.8'},
[19401]={[0]='Wing Commander Brack',[1]='465:66.1,43.8'},
[19409]={[0]="Wing Commander Dabir'ee",[1]='465:71.3,62.5 465:71.4,62.4'},
[19412]={[0]="D'ore",[1]='Z722'},
[19417]={[0]='Ramdor the Mad',[1]='478:35.07,66.19'},
[19456]={[0]="Whitebark's Spirit",[1]='462:37.2,86.6 462:37.4,86.3 462:37.5,86.1 462:37.9,86.5'},
[19466]={[0]='Exarch Orelis',[1]='479:32.1,64.2'},
[19467]={[0]='Anchorite Karja',[1]='479:30.7,17.5 479:32,64.2'},
[19468]={[0]='Spymaster Thalodien',[1]='479:32,64.1'},
[19469]={[0]='Magistrix Larynna',[1]='479:32,64.1'},
[19471]={[0]='Old Orok',[1]='475:53.1,54.5 475:53.2,54.4'},
[19475]={[0]='Harbinger Haronem',[1]='481:32.4,25.8 481:32.5,25.8 481:43.9,66.6 481:61,52.6 481:61.2,51.4 481:61.4,52.3 481:61.5,52.2 481:61.6,52.5 481:61.7,51.4 481:89.9,53.5'},
[19481]={[0]='Archmage Vargoth',[1]='479:58.3,86.4 479:58.4,86.5'},
[19488]={[0]='Custodian Dieworth',[1]='479:57.5,86.3'},
[19489]={[0]='Lieutenant-Sorcerer Morran',[1]='479:57.5,86.3'},
[19496]={[0]="Spy Grik'tha",[1]='478:39.94,72.29'},
[19542]={[0]='Field Commander Mahfuun',[1]='478:40.04,72.16'},
[19569]={[0]='Netherologist Coppernickels',[1]='479:20.2,55.9 479:21.3,55.7 479:21.8,55.6'},
[19570]={[0]='Rocket-Chief Fuselage',[1]='479:32.6,64.4'},
[19578]={[0]='Bot-Specialist Alley',[1]='479:31.5,56.6'},
[19589]={[0]='Maxx A. Million Mk. V',[1]='479:32,55.4'},
[19617]={[0]='Boots',[1]='479:32.3,63.9'},
[19634]={[0]='Lead Sapper Blastfizzle',[1]='479:34.1,68.1'},
[19644]={[0]='Image of Archmage Vargoth',[1]='Near'},
[19645]={[0]='Papa Wheeler',[1]='479:32.9,64.7'},
[19670]={[0]='Artificer Morphalius',[1]='478:39.42,58.53'},
[19671]={[0]="Cryo-Engineer Sha'heen",[1]='Z732'},
[19674]={[0]='Nexus-Prince Haramad',[1]='478:39.38,58.47'},
[19678]={[0]='Fantei',[1]='481:33.2,30.2 481:44.1,67.9 481:64.7,70.5'},
[19682]={[0]='Emissary Mordiba',[1]='465:61.7,81.7'},
[19683]={[0]='Ogath the Mad',[1]='465:61.8,81.5'},
[19684]={[0]='Haggard War Veteran',[1]='481:59.67,41.43'},
[19690]={[0]='N. D. Meancamp',[1]='479:26.9,77'},
[19697]={[0]="Ha'lei",[1]='478:35.09,65.09'},
[19698]={[0]='Greatfather Aldrimus',[1]='478:35.1,65.2'},
[19709]={[0]='Chief Engineer Trep',[1]='479:32.4,66.7'},
[19715]={[0]='Ezekiel',[1]='481:49.41,35.21 481:52.44,33.20 481:56.29,33.45 481:59.70,36.21 481:61.64,40.87 481:61.43,48.58 481:58.53,54.45 481:53.52,56.94 481:48.19,53.04'},
[19720]={[0]='"Dirty" Larry',[1]='481:43.63,29.77'},
[19728]={[0]='Mama Wheeler',[1]='479:46.6,56.4 479:46.6,56.5'},
[19736]={[0]='Althen the Historian',[1]='465:61.7,81.7'},
[19832]={[0]='Doctor Vomisa, Ph.T.',[1]='479:37.3,63.8'},
[19840]={[0]='Caledis Brightdawn',[1]='479:48.2,86.7'},
[19844]={[0]='Nitrin the Learned',[1]='477:51.81,56.85'},
[19860]={[0]='Katrina Turner',[1]='161:51.7,28'},
[19880]={[0]="Nether-Stalker Khay'ji",[1]='479:32.4,64.3 479:32.5,64.2'},
[19935]={[0]='Soridormi',[1]='161:57.5,56.5 161:57.6,55.9 161:57.7,55.2 161:57.9,58.4 161:58.2,54.3 161:58.2,58.7 161:58.6,54.5 161:59,58.9 161:59.1,53.9 161:59.6,54.1 161:59.8,58.2 161:60.2,57.4 161:60.3,54.7 161:60.5,55.1 161:60.5,56.8 161:60.6,55.8'},
[19936]={[0]='Arazmodu',[1]='161:57.6,55.8 161:57.6,56.8 161:57.7,57.5 161:57.9,54.8 161:58.3,54.4 161:58.3,58.7 161:58.7,54.5 161:58.8,58.8 161:59.1,54 161:59.5,54.1 161:59.7,58.2 161:60,54.5 161:60,58.8 161:60.2,57.3 161:60.5,55.1 161:60.5,56.8 161:60.6,55.8 161:60.6,58'},
[19937]={[0]='Commander Hogarth',[1]='465:56.9,77.4'},
[20066]={[0]='Gahruj',[1]='479:46.7,57'},
[20067]={[0]='Zuben Elgenubi',[1]='479:44,36'},
[20071]={[0]='Wind Trader Marid',[1]='479:58.3,31.6 479:58.8,31 479:60,30.9'},
[20084]={[0]='Image of Nexus-Prince Haramad',[1]='479:45.8,36'},
[20092]={[0]='Dealer Hazzin',[1]='479:58.4,31.4'},
[20102]={[0]='Goblin Commoner',[1]='11:67.5,74.1 11:68.2,71.4 11:68.2,71.5 11:69.1,70.6 495:40.7,84.5 161:50.9,30.1 161:51.5,26.7 161:51.6,25.6 161:52.2,28.5 161:52.3,27.6 281:58.8,48.4 281:59.8,49.7 281:59.9,50.8 281:61,48.8 673:40.6,68.2 673:40.6,73.2 673:41.7,74.3 689:27.5,77.6'},
[20110]={[0]='Tyri',[1]='479:71.2,35.2'},
[20112]={[0]='Wind Trader Tuluman',[1]='479:34.6,37.9'},
[20130]={[0]='Andormu',[1]='161:58.1,54.1 161:58.5,54.3'},
[20142]={[0]='Steward of Time',[1]='161:65.4,49.7 161:66,49.7'},
[20154]={[0]='Shrouded Figure',[1]='479:70.9,38.8'},
[20159]={[0]='Magister Aledis',[1]='465:5.1,51.1 465:5.7,51.1 465:6.4,50.4 465:6.5,50.5 465:6.7,50.4 465:8.4,50.1 465:9,50.5 465:9.4,50.4 465:9.6,50.5 465:9.7,50.4 465:10.5,50.3 465:11.4,50.7 465:11.6,50.5 465:12.1,50.1 465:13.2,50.1 465:13.5,50.1 465:14.9,50.1 465:15.5,51.6 465:15.6,50.9 465:16.1,50.1 465:16.5,50.7 465:17.1,50 465:17.8,49.9 465:19.2,49.6 465:19.4,48.9 465:19.5,49.4 465:19.5,49.6 465:20.7,49.2 465:21.6,49.7 465:22,49.2 465:23.2,49.2 465:23.2,49.5 465:23.8,49.5 465:24.2,49.3 465:24.7,49.3 465:24.7,49.5 465:25.3,61.9 465:25.4,60.3 465:25.5,60.7 465:25.6,61.5 465:25.7,59.7 465:26,49.4 465:26,63 465:26.1,49.5 465:26.1,58.3 465:26.3,58.8 465:26.6,58.7 465:26.7,49.4 465:26.9,49.6 465:27.4,58.2 465:27.6,57.9 465:28.1,50.1 465:28.4,57.3 465:28.5,57.5 465:28.9,50.4 465:29,50.7 465:29.1,57 465:30,51.5 465:30.2,51.4 465:30.3,57.1 465:30.7,57.3 465:31.1,52.4 465:31.1,57.5 465:31.3,52.9 465:31.6,53.3 465:31.7,53.6 465:31.8,57.5 465:31.9,57.4 465:32,54.6 465:32.3,56.4 465:32.5,56.3 465:32.5,56.6 465:45.8,52.2 465:46.6,52.1 465:48,52 465:48.8,51.8 465:50.3,55.4 465:50.3,55.9 465:50.5,54.7 465:51.5,54.1 465:51.9,52.8 465:83.3,65.9 465:85.9,64.9 465:86.8,64.9 465:90.2,65.1 465:91.1,65.1 465:91.9,65'},
[20162]={[0]='Veronia',[1]='479:33.8,64.2'},
[20201]={[0]="Sa'at",[1]='Z733'},
[20205]={[0]='Audi the Needle',[1]='479:44.8,36.7'},
[20206]={[0]='Fei Fei',[1]='465:54.1,63.1 465:55.2,62.9 465:56.4,62.9 465:56.5,63.4 465:57.1,63.7'},
[20232]={[0]='Wing Commander Gryphongar',[1]='465:79.3,33.9'},
[20233]={[0]='Apprentice Vishael',[1]='464:79.1,46.4 464:79.1,46.5'},
[20234]={[0]='Runetog Wildhammer',[1]='465:78.4,35 465:78.5,35'},
[20235]={[0]='Gryphoneer Windbellow',[1]='465:78.3,34.4 465:78.3,34.5'},
[20281]={[0]='Drijya',[1]='479:48.1,63.4 479:48.1,63.5 479:48.7,63.5 479:49.4,64.7 479:49.4,65.8 479:49.5,65.8'},
[20341]={[0]='Nether-Stalker Oazul',[1]='479:34.6,37.8'},
[20393]={[0]='Foreman Sundown',[1]='479:26.4,42.3 479:26.4,42.5'},
[20406]={[0]='Champion Cyssa Dawnrose',[1]='382:57.2,90.7 382:57.3,89.4 382:57.4,90 382:57.4,91.7 382:57.7,90.7 382:57.7,91.5 382:57.9,89.3 382:57.9,90.2 382:59,90.6 382:60.1,84.2 382:74.6,13.1'},
[20407]={[0]='Farseer Umbrua',[1]='301:67.4,89.5 301:67.5,89.3 301:67.5,89.6'},
[20415]={[0]='Bessy',[1]='479:58,84.8 479:58.6,84.8 479:59.1,78.9 479:59.1,79.5 479:59.2,80.7 479:59.2,82.4 479:59.2,83 479:59.2,83.8'},
[20448]={[0]='Commander Ameer',[1]='479:59.4,32.3 479:59.5,32.3'},
[20449]={[0]='Researcher Navuud',[1]='479:59.2,32.4 479:59.3,32.5'},
[20450]={[0]='Flesh Handler Viridius',[1]='479:59.1,32.1 479:59.9,31.9 479:60.1,32.5'},
[20463]={[0]='Apprentice Andrethan',[1]='479:57.7,85.2'},
[20464]={[0]='Thadell',[1]='479:57.7,85'},
[20470]={[0]='Zephyrion',[1]='479:44.7,34.9'},
[20471]={[0]='Nether-Stalker Nauthis',[1]='479:44.7,34.9'},
[20480]={[0]="Kirin'Var Ghost",[1]='504:57.7,42.1 640:34.2,35'},
[20482]={[0]='Image of Commander Ameer',[1]='479:56.8,38.7'},
[20494]={[0]='Dama Wildmane',[1]='473:29.1,29.4 473:29.1,29.5'},
[20510]={[0]='Brunn Flamebeard',[1]='473:37.6,56'},
[20518]={[0]='Image of Wind Trader Marid',[1]='479:71.2,39'},
[20551]={[0]='Agent Araxes',[1]='479:59.4,45.1'},
[20552]={[0]='Agent Ya-six',[1]='479:60.9,41.6'},
[20604]={[0]='Dugiru',[1]='471:62.8,66.9 471:63.6,68.1'},
[20612]={[0]='Sorim Lightsong',[1]='480:56.6,52.8'},
[20677]={[0]='Morod the Windstirrer',[1]='465:13.1,61'},
[20678]={[0]='Akoru the Firecaller',[1]='465:15.6,58.7'},
[20679]={[0]='Aylaan the Waterwaker',[1]='465:13,58.5'},
[20735]={[0]="Archmage Lan'dalock",[1]='504:57.22,66.83'},
[20763]={[0]='Captured Protectorate Vanguard',[1]='479:57,37.7 479:57.1,35.3 479:57.1,37.1 479:57.2,32.3 479:57.2,35.8 479:57.8,32.1'},
[20780]={[0]='Kaylaan',[1]='479:34.8,38.2'},
[20793]={[0]='Field Marshal Brock',[1]='465:68.3,28.5 465:68.4,28.4 465:68.5,28.4'},
[20810]={[0]='Mehrdad',[1]='479:46.4,56.4 479:46.4,56.5 479:46.5,56.4 479:46.5,56.5'},
[20811]={[0]='Ghabar',[1]='479:43.5,35.1'},
[20871]={[0]='Aurine Moonblaze',[1]='479:42.3,32.6'},
[20907]={[0]='Professor Dabiri',[1]='479:60.1,31.8'},
[20913]={[0]='Tashar',[1]='479:44.7,14.5'},
[20914]={[0]='Aalun',[1]='471:81.4,52.6'},
[20920]={[0]='Magister Theledorn',[1]='479:26.2,41.6'},
[20921]={[0]='Shauly Pore',[1]='479:46.4,56.1 479:46.5,56.1'},
[21006]={[0]='Lieutenant Meridian',[1]='478:69.66,44.17 478:69.67,43.95'},
[21007]={[0]='Sergeant Chawni',[1]='478:63.29,42.39 478:63.41,42.47 478:63.21,42.30 478:63.33,42.68'},
[21024]={[0]='Earthmender Torlok',[1]='473:42.2,45'},
[21027]={[0]='Earthmender Wilda',[1]='473:52.1,18.8 473:52.3,19.5 473:52.4,20.5 473:52.5,20.4 473:52.5,20.6 473:53,21.9 473:53.3,24.5 473:53.4,19.4 473:53.4,24.4 473:53.6,19.5 473:53.7,21.9 473:53.8,24.7 473:54.2,18.8 473:54.2,24.2 473:54.3,21.3 473:54.5,21.2 473:54.5,23.8 473:54.9,19.3 473:55,23.4 473:55.3,20 473:55.5,20.2 473:55.7,22.6 473:55.8,20.6 473:55.9,22'},
[21066]={[0]='Rina Moonspring',[1]='475:36.3,67.2'},
[21088]={[0]='Matron Varah',[1]='475:76,60.4'},
[21107]={[0]='Rip Pedalslam',[1]='475:61.1,70.4 475:61.1,70.5'},
[21110]={[0]='Fizit "Doc" Clocktock',[1]='475:60.9,68.2'},
[21112]={[0]='Bossi Pentapiston',[1]='475:60.7,69'},
[21117]={[0]="Gor'drek",[1]='475:52.2,57.6'},
[21118]={[0]='Razak Ironsides',[1]='475:60.1,68.3 475:60.3,69 475:60.5,68.3 475:60.5,69.3'},
[21133]={[0]='Corporal Ironridge',[1]='465:70.9,63.4 465:70.9,63.5'},
[21147]={[0]="Tor'chunk Twoclaws",[1]='475:51.9,58.4 475:51.9,58.5'},
[21151]={[0]='Borgrim Stouthammer',[1]='475:37.4,64.7 475:37.5,64.7'},
[21158]={[0]='Commander Skyshadow',[1]='475:36.3,66.3 475:36.6,66.5'},
[21175]={[0]='Magister Bloodhawk',[1]='465:55.1,36'},
[21183]={[0]='Oronok Torn-heart',[1]='473:53.9,23.4 473:53.9,23.5'},
[21197]={[0]='Bronwyn Stouthammer',[1]='475:37.4,65 475:37.5,65'},
[21209]={[0]='Dumphry',[1]='465:51.3,60.3'},
[21256]={[0]='Vurtok Axebreaker',[1]='465:55.1,36.3'},
[21257]={[0]='Apothecary Zelana',[1]='465:66.2,42'},
[21277]={[0]='Vindicator Vuuleen',[1]='475:44,51.9'},
[21279]={[0]='Apothecary Albreck',[1]='465:61.2,81.7'},
[21283]={[0]='Megzeg Nukklebust',[1]='465:55.2,38.7'},
[21291]={[0]="Grom'tor, Son of Oronok",[1]='473:44.6,23.7'},
[21292]={[0]="Ar'tor, Son of Oronok",[1]='473:29.6,50.4 473:29.6,50.5'},
[21293]={[0]='Borak, Son of Oronok',[1]='473:47.5,57.2'},
[21311]={[0]='Rokgah Bloodgrip',[1]='475:52.8,58.9'},
[21318]={[0]="Spirit of Ar'tor",[1]='473:29.6,50.4 473:29.6,50.5'},
[21330]={[0]='Kurdran Wildhammer',[1]='473:35.8,57.7'},
[21349]={[0]="T'chali the Witch Doctor",[1]='475:45,72.3'},
[21357]={[0]='Wing Commander Nuainn',[1]='473:39.5,53.7'},
[21359]={[0]='Blood Guard Gulmok',[1]='473:30.4,32.4 473:30.4,32.5 473:30.5,32.4 473:30.5,32.5'},
[21402]={[0]='Anchorite Ceyla',[1]='473:62.5,28.5 473:62.6,28.4'},
[21411]={[0]='Tobias the Filth Gorger',[1]='481:33,30.1 481:44.1,67.9 481:63.3,69.5 481:63.4,69.3 481:63.7,70.7 481:63.9,69.7 481:64,69.4 481:64.5,69.7 481:64.6,69.4'},
[21460]={[0]='Tally Zapnabber',[1]='475:60.3,68.3'},
[21465]={[0]='David Wayne',[1]='478:77.57,38.72'},
[21469]={[0]='Daranelle',[1]='475:37,65.7'},
[21471]={[0]='Stormer Ewan Wildwing',[1]='473:40.4,41.3 473:40.5,41.3'},
[21475]={[0]='Scout Zagran',[1]='473:38.6,38.2'},
[21496]={[0]='Dertrok',[1]='475:75.2,62.1'},
[21657]={[0]='Neltharaku',[1]='473:57.1,55.5 473:57.3,54.8 473:57.3,56.6 473:57.4,54.3 473:57.5,54.6 473:57.6,57.2 473:58.3,53.8 473:58.4,58.2 473:58.6,53.5 473:58.7,53.4 473:59.2,58.4 473:59.3,58.6 473:59.5,53.4 473:59.6,58.4 473:60,53.9 473:60.2,59 473:60.4,59.5 473:60.5,59.4 473:60.6,54.2 473:61.2,54.8 473:61.2,58 473:61.4,60.1 473:61.6,58.4 473:62,55.3 473:62.2,63.4 473:62.3,60.2 473:62.3,61.5 473:62.4,55.6 473:62.5,55.4 473:62.9,60.4 473:62.9,60.5 473:63,55.7 473:63.7,61 473:63.9,56.1 473:64.4,56.7 473:64.5,56.4 473:64.7,60.8 473:65.1,57.1 473:65.6,60.7 473:65.9,57.4 473:66.1,57.6 473:66.2,60.4 473:66.5,57.7 473:66.5,60.3 473:66.5,60.5 473:67.8,60.4 473:67.9,58.2 473:68,58.5 473:68.3,60.5 473:68.3,83.9 473:68.5,58.4 473:68.8,60.9 473:69.1,83.7 473:69.2,61.7 473:69.2,85.4 473:69.3,58.6 473:69.4,63.2 473:69.4,63.6 473:69.6,63.4 473:69.7,63.8 473:69.7,84.1 473:69.8,58.9 473:70.4,86 473:70.6,59.2 473:70.6,64 473:70.9,59.8 473:71.1,85.8 473:71.2,63.4 473:71.3,60.7 473:71.5,63.5 473:71.6,62.9 473:71.7,60.9 473:71.8,62.4 473:72.1,85.3'},
[21690]={[0]='R-3D0',[1]='475:55.1,72.8'},
[21691]={[0]='Toshley',[1]='475:60.4,69.1 475:60.5,69'},
[21700]={[0]='Akama',[1]='473:58.1,48.3'},
[21755]={[0]='Nickwinkle the Metro-Gnome',[1]='475:60.3,69'},
[21769]={[0]="Overlord Or'barokh",[1]='473:28.4,26.5 473:28.5,26.4 473:28.5,26.5'},
[21770]={[0]='Researcher Tiorus',[1]='473:30,28.3'},
[21771]={[0]='Warcaller Sardon Truslice',[1]='473:30.4,30.9 473:30.5,30.9'},
[21772]={[0]='Chief Apothecary Hildagard',[1]='473:29.9,27.7'},
[21773]={[0]='Thane Yoregar',[1]='473:36.3,56.9'},
[21774]={[0]='Zorus the Judicator',[1]='473:36.4,55.7 473:36.4,56.7 473:36.6,55.6 473:36.6,56.5 473:36.8,55.2 473:38.1,54.5 473:61.8,84 473:90.2,83 473:90.3,83.9 473:90.4,82 473:90.7,82.7 473:90.7,84'},
[21775]={[0]='Warcaller Beersnout',[1]='473:38.3,54'},
[21777]={[0]='Gnomus',[1]='473:36.6,55.2'},
[21782]={[0]='Timeon',[1]='475:62.2,39.1'},
[21789]={[0]='Nakansi',[1]='473:27.4,21.2 473:27.5,21.2'},
[21790]={[0]='Plexi',[1]='473:40.8,22.3'},
[21797]={[0]='Ancient Shadowmoon Spirit',[1]='473:58.2,70.8'},
[21822]={[0]='Vindicator Aluumen',[1]='473:61.2,29.2'},
[21824]={[0]='Dizzy Dina',[1]='475:60.4,68.8'},
[21826]={[0]='Sanoru',[1]='473:57.3,49.6'},
[21860]={[0]='Exarch Onaala',[1]='473:61.2,29.2'},
[21895]={[0]='Taerek',[1]='475:75.8,61.4 475:75.8,61.5'},
[21896]={[0]='Silmara',[1]='475:75.8,61.4 475:75.8,61.5'},
[21937]={[0]='Earthmender Sophurus',[1]='473:36.4,56.9'},
[21938]={[0]='Earthmender Splinthoof',[1]='473:28.5,26.5'},
[21950]={[0]='Garm Wolfbrother',[1]='475:52.7,59'},
[21953]={[0]='Varen the Reclaimer',[1]='473:54.7,58.2'},
[21954]={[0]='Larissa Sunstrike',[1]='473:55.8,58.2'},
[21955]={[0]='Arcanist Thelis',[1]='473:56.3,59.5'},
[21962]={[0]='Udalo',[1]='Z731'},
[21983]={[0]='Samia Inkling',[1]='475:61.9,39.4 475:61.9,39.5'},
[21984]={[0]='Rexxar',[1]='475:51.8,58.4 475:51.8,58.5'},
[21998]={[0]="Kor'kron Wind Rider",[1]='473:21.8,40.9 473:23.1,37.1 473:23.5,34.1 473:23.6,36.9 473:27.2,42.5 473:27.4,21 473:28.4,32.6 473:28.6,32.7 473:28.8,26.9 473:29.4,28.2 473:29.8,28.4 473:30.2,28.6 473:30.3,31 473:30.8,37.9 473:30.9,30.4 473:33,39.2 473:33.9,43 473:35.3,42.5 473:35.6,41.9 473:36,39.1 473:36,68.4 473:36,69.1 473:36.7,69.4 473:37,47.9 473:37.1,37.5 473:37.2,68.3 473:37.4,69.7 473:37.7,21.5 473:37.7,38.2 473:37.7,68.2 473:37.8,38.5 473:38.4,70.2 473:38.7,71.4 473:38.7,71.9 473:39.2,69.6 473:39.3,59 473:39.3,59.9 473:39.5,65.2 473:39.8,70.5 473:40,69.6 473:40.3,69.2 473:40.4,72.2 473:40.7,38.9 473:40.7,68.1 473:40.8,69.3 473:41.1,69.6 473:41.1,71.4 473:41.5,70 473:41.9,45.6 473:42.1,72.8 473:42.2,44 473:42.2,45.1 473:42.2,68.7 473:42.4,70.7 473:42.5,67.4 473:42.5,68.4 473:42.5,72.8 473:42.8,55.6 473:42.8,70.7 473:42.9,69.4 473:43,72.2 473:43.1,51.8 473:43.1,62.6 473:43.4,66.4 473:43.4,69.9 473:43.5,63.3 473:43.5,71.2 473:43.6,73.1 473:44,72.4 473:44.1,40.2 473:44.5,52.9 473:44.6,48.4 473:44.7,44.8 473:45.8,55.5 473:46.6,48.6 473:46.9,57.1 473:47,66.3 473:47.1,63.2 473:47.2,71.6 473:47.4,47.1 473:47.4,65.4 473:47.6,57.2 473:47.7,62.7 473:48.3,57.5 473:48.4,66.5 473:48.9,63.3 473:49.2,58.6 473:49.3,61.2 473:49.3,71.2 473:49.6,59.4 473:49.6,62.4 473:49.6,71.3 473:50.2,64.6 473:50.3,63.5 473:50.4,57.4 473:50.4,57.5 473:50.4,60.8 473:50.4,68.3 473:50.4,69.9 473:50.6,63.2 473:50.8,58.1 473:50.8,58.6 473:50.8,61.3 473:50.8,65.6 473:50.9,59.8 473:50.9,64.4 473:50.9,66.8 473:51,61.6 473:51,64.5 473:51,69 473:51.1,70.6 473:51.2,68.2 473:51.3,57.4 473:51.3,69.6 473:51.5,67.8 473:51.6,57.4 473:51.6,66.3 473:51.8,53.9 473:51.8,63 473:51.8,63.7 473:51.9,61 473:51.9,72.8 473:52,65.2 473:52.1,58.2 473:52.1,60.4 473:52.1,67 473:52.1,70.3 473:52.1,72.4 473:52.2,23 473:52.2,58.9 473:52.3,62.1 473:52.4,68.5 473:52.4,70.9 473:52.5,58.3 473:52.5,72.8 473:52.6,20.8 473:52.6,59.9 473:52.6,63.6 473:52.7,69.6 473:52.8,64.5 473:52.9,57.1 473:52.9,67.4 473:52.9,71.2 473:53,59 473:53,61.2 473:53,68.4 473:53,73.8 473:53.1,68.8 473:53.2,62.6 473:53.2,66 473:53.4,22.6 473:53.4,62 473:53.4,71.6 473:53.5,62.2 473:53.5,67.1 473:53.5,71.6 473:53.6,59.7 473:53.6,64.6 473:53.6,71.4 473:53.7,61.1 473:53.7,67.9 473:53.8,69.9 473:54.1,64.4 473:54.2,63.4 473:54.2,69 473:54.4,66.1 473:54.5,58.7 473:54.5,61.1 473:54.6,59.6 473:54.6,63.2 473:54.6,63.9 473:54.6,64.5 473:54.6,65.5 473:54.8,68.9 473:54.9,38.8 473:55,49.6 473:55,69.5 473:55.3,48.3 473:55.6,59.1 473:55.7,45.2 473:55.7,67.2 473:55.8,36.6 473:56.1,61.4 473:56.9,69.1 473:58.2,70.7 473:58.6,66.4 473:58.8,41.4 473:58.8,58.5 473:59,58.3 473:59,66.7 473:59.6,56.5 473:59.7,43.1 473:59.7,70.2 473:60,42.2 473:61.1,35.2 473:61.1,67.5 473:61.2,40.6 473:61.4,63.9 473:61.7,41 473:62.3,40.3 473:62.3,55.5 473:63.2,30.5 473:63.4,47.9 473:63.4,51.4 473:64,46.5 473:64.3,39.1 473:64.4,88 473:64.7,85.1 473:65,86.1 473:69.4,50.8 473:96.8,90.1'},
[22004]={[0]='Leoroxx',[1]='475:75.3,60.9'},
[22007]={[0]='Tree Warden Chawn',[1]='475:61.9,39.4 475:62,39.5'},
[22016]={[0]='Eclipsion Soldier',[1]='473:51.3,59.1 473:51.3,65.9 473:51.4,62.2 473:51.4,63.4 473:51.4,63.5 473:51.4,65.4 473:51.4,66.5 473:51.4,67.5 473:51.5,64.6 473:51.5,66.7 473:51.6,62.2 473:51.6,62.5 473:51.7,59.6 473:51.7,68.9 473:51.8,63.7 473:52,65.6 473:52.1,69.5 473:52.2,58.7 473:52.4,67.9 473:52.5,68.6 473:52.7,65.1 473:52.7,66.3 473:52.8,64.4 473:53.1,59.9 473:53.1,60.8 473:53.1,62.2 473:53.1,62.7 473:53.1,68.2 473:53.2,66.5 473:53.4,59 473:53.6,59.7 473:53.6,67.3 473:53.7,67.7 473:54.3,69 473:54.5,68.4 473:54.5,68.7'},
[22020]={[0]="O'Mally Zapnabber",[1]='475:62.7,40.3'},
[22024]={[0]='Parshah',[1]='473:35.2,39.3 473:35.2,40.2 473:35.2,40.8 473:35.4,37.4 473:35.4,38.3 473:35.4,41.8 473:35.5,41.9'},
[22042]={[0]='Gryphonrider Kieran',[1]='473:38.7,54.2'},
[22043]={[0]='Sergeant Kargrul',[1]='473:31,29.9'},
[22053]={[0]='Mosswood the Ancient',[1]='475:61.3,38.4 475:61.3,38.5'},
[22059]={[0]='Wildhammer Gryphon Rider',[1]='473:23.6,36.8 473:34.9,67.6 473:35.6,42.5 473:36,67.9 473:36.3,55.1 473:36.3,69.5 473:36.4,56.7 473:36.6,47.5 473:36.6,56.3 473:36.6,56.5 473:37,54.8 473:37.1,68 473:37.2,66.8 473:37.5,54.9 473:37.6,55.5 473:37.7,38.6 473:37.7,67.1 473:38.1,54.4 473:38.1,67.6 473:38.2,70.2 473:38.4,57.2 473:38.4,68.5 473:38.6,55.3 473:38.7,53.7 473:39.1,45.1 473:39.1,69.1 473:39.3,69.7 473:39.7,50.6 473:40,71.5 473:40.2,71.3 473:40.3,69.3 473:40.6,55.4 473:40.6,71 473:40.7,60.2 473:40.9,21.7 473:41.2,69.2 473:41.3,70.1 473:41.8,69.2 473:42.1,45.2 473:42.1,71.4 473:42.2,72.9 473:42.3,70 473:42.5,62.3 473:42.6,68 473:42.7,72.2 473:42.8,69.3 473:42.8,69.5 473:43,70.6 473:43.2,59.1 473:43.4,54.3 473:43.4,73.2 473:43.5,70.9 473:43.5,71.8 473:43.8,70.3 473:43.9,45.4 473:44,59.2 473:44.1,72.6 473:45.2,62.1 473:45.4,55.8 473:46.7,48.9 473:46.7,54 473:46.9,58.8 473:47.5,53.7 473:49.3,58.1 473:49.3,71.3 473:49.7,68.9 473:50.1,59.8 473:50.2,62 473:50.3,62.6 473:50.4,58.3 473:50.4,64.4 473:50.8,58.8 473:50.8,62.1 473:50.9,57.7 473:50.9,59.9 473:50.9,66.7 473:50.9,69.7 473:51,64.5 473:51.1,62.8 473:51.1,69 473:51.1,70.6 473:51.3,71.5 473:51.4,61.2 473:51.4,64 473:51.4,65.6 473:51.4,68 473:51.5,62 473:51.5,72.8 473:51.8,63.2 473:51.8,66.3 473:52,58.3 473:52,64.4 473:52,65.2 473:52.1,60 473:52.1,66.5 473:52.2,59.1 473:52.2,60.7 473:52.2,68.7 473:52.2,72.4 473:52.3,67.6 473:52.3,69.6 473:52.4,71 473:52.6,69.4 473:52.7,64.1 473:52.7,66 473:52.8,71 473:52.9,63.2 473:52.9,68.4 473:52.9,69.5 473:53,61.2 473:53,65.3 473:53.2,62.2 473:53.2,66.5 473:53.3,59.7 473:53.4,59.2 473:53.4,71.9 473:53.5,59.9 473:53.5,71.5 473:53.6,63.7 473:53.8,61.1 473:53.8,69.9 473:54,67.6 473:54.1,68.7 473:54.2,56.5 473:54.2,62.7 473:54.2,65.3 473:54.2,70.5 473:54.6,49.9 473:54.7,58.8 473:54.7,63.8 473:54.7,68.8 473:55.3,50.7 473:55.5,68.9 473:55.8,59 473:55.8,66.2 473:55.9,56.4 473:56.2,57.1 473:56.4,58.4 473:56.5,57 473:56.8,68.9 473:57.4,66.8 473:57.4,73.9 473:58.3,70.7 473:59,58.7 473:62.5,88.5 473:64.6,62.5 473:67.3,87.3 473:69.8,51.6 473:93,97.3 473:96.9,99'},
[22103]={[0]='Baron Sablemane',[1]='475:53.2,41.1'},
[22107]={[0]='Captain Darkhowl',[1]='465:61.2,81.3'},
[22112]={[0]='Karynaku',[1]='473:69.8,61.4'},
[22113]={[0]='Mordenai',[1]='473:59.4,58.7 473:62.5,60.3'},
[22127]={[0]='Wildlord Antelarion',[1]='475:62.5,38.4'},
[22133]={[0]='Faradrella',[1]='475:62.6,38.3'},
[22149]={[0]='Commander Haephus Stonewall',[1]='475:62,38'},
[22150]={[0]='Lieutenant Fairweather',[1]='475:62,38'},
[22211]={[0]='Battlemage Vyara',[1]='473:56.3,58.7'},
[22214]={[0]='Harbinger Saronen',[1]='473:62.2,29.2'},
[22215]={[0]='Treebole',[1]='475:36.4,23.4 475:36.5,23.5 475:36.6,23.2 475:37.2,22.2'},
[22231]={[0]='Zezzak',[1]='465:61.6,81.8'},
[22272]={[0]='Kirrik the Awakened',[1]='478:37.37,50.94 478:37.59,51.41 478:37.16,50.92 478:37.52,51.24 478:37.51,51.54'},
[22278]={[0]='High Priest Orglum',[1]='478:37.45,50.76'},
[22292]={[0]='Rilak the Redeemed',[1]='481:52.53,21.00'},
[22293]={[0]='Inactive Fel Reaver',[1]='479:38.1,25.6'},
[22312]={[0]='Spiritcaller Dohgar',[1]='475:74.9,60.5'},
[22364]={[0]='Scout Navrin',[1]='478:31.43,75.65'},
[22365]={[0]='Ethan',[1]='478:37.73,51.35'},
[22370]={[0]='Mekeda',[1]='478:37.25,50.84 478:37.29,50.99 478:37.71,51.76 478:38.37,51.22 478:38.16,50.50 478:37.83,50.02'},
[22373]={[0]='Defender Grashna',[1]='481:51.78,20.79'},
[22377]={[0]='Akuno',[1]='478:30.62,49.07',[2]='In Shadow Tomb'},
[22386]={[0]='Watcher Moonshade',[1]='475:50,36'},
[22420]={[0]='Lakotae',[1]='478:37.86,51.68'},
[22421]={[0]="Skar'this the Heretic",[1]='Z728 X'},
[22423]={[0]='Evergrove Druid',[1]='475:1.7,91.6 475:60.8,60 475:61.4,60.5 475:61.7,58.9 475:61.7,60.7 475:62.2,60.4 475:62.3,62.3 475:62.3,65.2 475:62.4,62.5 475:62.5,59.2 475:62.6,64.2 475:62.8,60.4 475:62.8,60.9 475:63,62.1 475:63,63.1 475:63,65 475:63.2,66.5 475:63.4,65.7 475:63.4,67.8 475:63.5,59.3 475:63.5,66 475:63.6,72 475:63.7,62.9 475:63.7,67.6 475:63.9,67.1 475:64,61.9 475:64,65.2 475:64.2,69.8 475:64.3,68.9 475:64.9,67.6 475:64.9,69.3 475:65.1,70.3 475:65.5,70.3'},
[22424]={[0]='Skywing',[1]='478:53.71,72.38'},
[22427]={[0]='Zarevhi',[1]='479:44.1,36.4'},
[22429]={[0]='Vekax',[1]='481:49.61,16.42 481:51.67,15.10 481:52.08,17.73 481:50.13,18.25 481:45.39,22.67 481:46.43,20.02'},
[22430]={[0]='Assistant Klatu',[1]='465:54.3,63.6'},
[22433]={[0]="Ja'y Nosliw",[1]='473:65.9,87.1'},
[22446]={[0]="Commander Ra'vaj",[1]='478:31.01,76.12'},
[22456]={[0]='Oakun',[1]='478:31.06,76.53'},
[22458]={[0]='Chief Archaeologist Letoll',[1]='478:30.10,76.14'},
[22462]={[0]='Vindicator Haylen',[1]='478:49.71,76.19'},
[22479]={[0]="Sab'aoth",[1]='479:66.4,67.2'},
[22481]={[0]='Dwarfowitz',[1]='478:30.98,76.18'},
[22488]={[0]='Sentinel Moonwhisper',[1]='475:32.2,91.2'},
[22489]={[0]='Grunt Grahk',[1]='475:53,96.2'},
[22497]={[0]="V'eru",[1]='481:56.5,48.2'},
[22818]={[0]='Draenei Orphan',[1]='HC Near'},
[22819]={[0]='Orphan Matron Mercy',[1]='481:75.06,47.88'},
[22820]={[0]='Seer Olum',[1]='473:58.1,48.3'},
[22823]={[0]="Hch'uu",[1]='467:19.2,51.6'},
[22836]={[0]='Jheel',[1]='477:31.49,57.61'},
[22893]={[0]='Wodin the Troll-Servant',[1]='477:42.8,20.7'},
[22899]={[0]='Protectorate Advisor Rahim',[1]='479:45.8,36.2'},
[22914]={[0]='Salandria',[1]='FC Near'},
[22919]={[0]='Image of Commander Ameer',[1]='475:52.9,15'},
[22940]={[0]='Grok',[1]='481:64.96,68.16'},
[22941]={[0]="Mog'dorg the Wizened",[1]='475:55.4,44.9'},
[22995]={[0]='Chort',[1]='475:55.4,45.3'},
[23010]={[0]='Wolgren Jinglepocket',[1]='HV 471:54.9,47.3'},
[23038]={[0]='Sky Commander Adaris',[1]='478:64.09,66.89'},
[23040]={[0]="Vim'gol's Circle Bunny",[1]='301:46.7,58.1 465:56.4,62.8 615:37.2,77.5 615:46.1,79.4'},
[23042]={[0]='Severin',[1]='478:64.05,66.88'},
[23048]={[0]='Sky Sergeant Doryn',[1]='478:64.54,66.69'},
[23053]={[0]='Bladespire Supplicant',[1]='475:55.3,45.9 475:55.5,45.7 475:55.6,47.9 475:55.9,46.7'},
[23066]={[0]='Talonpriest Ishaal',[1]='478:69.2,78.2 H:100032523'},
[23120]={[0]='Sky Sergeant Vanderlip',[1]='475:27.6,52.8'},
[23127]={[0]='Farseer Javad',[1]='341:55.3,29.1'},
[23128]={[0]='Master Pyreanor',[1]='321:49.2,71.2'},
[23139]={[0]="Overlord Mor'ghor",[1]='473:66.2,85.7'},
[23140]={[0]='Taskmaster Varkule Dragonbreath',[1]='473:66.1,86.4'},
[23141]={[0]='Yarzill the Merc',[1]='473:66,86.4'},
[23149]={[0]='Mistress of the Mines',[1]='473:63,87.8 473:65.3,90.2'},
[23158]={[0]='Seer Kanai',[1]='Z3959'},	-- TODO: Get "Black Temple" converted properly
[23166]={[0]='Ronag the Slave Driver',[1]='473:71.6,87.7'},
[23233]={[0]="Chu'a'lor",[1]='475:28.8,57.4'},
[23253]={[0]='Kronk',[1]='475:28.9,57.9'},
[23265]={[0]='Seer Nakha',[1]='477:55.7,37.4'},
[23267]={[0]='Arvoar the Rapacious',[1]='473:74.6,86.6 H:100032621'},
[23268]={[0]='Seer Jovar',[1]='477:55.40,68.69'},
[23270]={[0]='Vindicator Aeus',[1]='481:47.24,26.30'},
[23271]={[0]='Vindicator Kaan',[1]='481:26,21 481:34.9,32.5 481:83.6,48.8'},
[23272]={[0]='Arcanist Savan',[1]='481:44.8,76.2'},
[23273]={[0]='Arcanist Raestan',[1]='481:60.1,63.7 481:60.4,62.7 481:60.6,63.5 481:60.7,63.3 481:61.5,63.3'},
[23280]={[0]='Agadai',[1]='475:52,54.4 475:52,54.5'},
[23286]={[0]='Black Blood of Draenor',[1]='473:67.8,83.4 H:100032726'},
[23291]={[0]='Chief Overseer Mudlump',[1]='473:66.8,86.1'},
[23296]={[0]='Cage Trap Trigger - 5',[1]='30:39.5,60.4 29:28.2,44.5 29:54.2,24.1 28:35.5,22.9 301:27.3,24.3 301:46.6,57.5 465:87.4,50.3 504:35.9,41.5 504:37.6,54.9 610:45.4,32.7 640:30.7,77.8 614:35,34.2'},
[23300]={[0]='Gahk',[1]='475:28.4,58 475:28.5,58.1'},
[23306]={[0]='Hazzik',[1]='478:64.22,66.91'},
[23316]={[0]='Torkus',[1]='475:28.4,57.6 475:28.5,57.6'},
[23324]={[0]='Crazed Murkblood Miner',[1]='473:74.2,88.6 H:100032726'},
[23334]={[0]='Sky Commander Keller',[1]='475:27.4,52.7 475:27.5,52.7'},
[23335]={[0]='Skyguard Khatie',[1]='475:28,51.4 475:28,51.5'},
[23340]={[0]='Murg "Oldie" Muckjaw',[1]='473:64.6,82.2 473:64.7,83.3 473:64.7,83.9 473:64.7,85.1 473:65.2,85.7'},
[23342]={[0]='Trope the Filth-Belcher',[1]='473:63.2,83.5 473:64.7,83.1 473:64.7,84.3 473:64.7,84.9 473:65.2,85.5 473:66.7,87.8 473:67.2,82.4 473:67.2,82.7 473:67.8,83.6 473:68,84.9'},
[23344]={[0]='Corlok the Vet',[1]='473:64.7,85.9 473:64.8,82.9 473:64.9,84.1 473:65.2,85.3 473:66.9,82.8'},
[23345]={[0]='Wing Commander Ichman',[1]='473:64.7,83.2 473:64.7,83.8 473:64.7,85.7 473:64.8,82 473:65,81.4 473:65.2,85.1 473:65.7,80.9 473:66.7,82.3 473:66.9,82.6 473:67.6,84.2 473:67.9,86 473:68.1,83.3 473:68.3,87.1 473:68.3,87.8 473:68.9,89 473:69.1,83.9 473:69.4,90 473:69.7,81.8 473:69.8,79.8 473:69.8,81 473:70.1,78.9 473:70.4,88.1 473:71.3,79.1 473:71.3,90.8 473:71.7,79.3 473:72.4,80.4 473:72.4,86 473:72.6,81.4 473:72.6,82.2 473:72.7,82.8 473:74.1,83.2 473:75.1,87.6 473:75.2,83.3 473:75.4,88.8 473:75.8,90.4 473:75.9,86.4 473:75.9,86.5 473:76.1,82.8 473:76.1,84.2 473:76.3,82.2 473:76.5,82.1 473:78.5,81.6'},
[23346]={[0]='Wing Commander Mulverick',[1]='473:62.2,85.4 473:64.7,82.3 473:64.7,83.2 473:64.7,84.4 473:64.7,85.6 473:65.2,85 473:66.2,88.4'},
[23348]={[0]='Captain Skyshatter',[1]='473:64.7,83 473:64.7,83.6 473:65.4,85.4 473:65.4,85.5 473:65.5,85.4 473:65.5,85.5'},
[23376]={[0]='Dragonmaw Foreman',[1]='473:63.4,87.5 473:63.8,87.4 473:64.5,86.8 473:64.5,87.5 473:65.4,89.4 473:65.4,89.5 473:65.5,88.3 473:65.5,88.8'},
[23383]={[0]='Skyguard Prisoner',[1]='478:61,75 478:68.4,73.8 478:75.04,86.27'},
[23415]={[0]='Skyguard Handler Deesak',[1]='478:63.50,65.81'},
[23427]={[0]='Illidari Lord Balthas',[1]='473:66.2,85.7'},
[23428]={[0]="Jho'nass",[1]='475:28.1,58.6'},
[23433]={[0]='Barthamus',[1]='481:66.3,17.3 481:66.4,17.5 481:66.5,17.5 481:66.6,16.9'},
[23434]={[0]='Commander Hobb',[1]='473:56.4,58.6 473:56.5,58.6 473:57.1,58.2'},
[23449]={[0]='Yuula',[1]='481:64.31,42.33'},
[23452]={[0]='Commander Arcus',[1]='473:62.4,29.3 473:63,29.8 473:63.6,30 473:64.4,31.1 473:64.5,31.1'},
[23461]={[0]='Suraku',[1]='481:66.4,18 481:66.4,18.7 481:66.7,18.4 481:66.8,18.6'},
[23462]={[0]='Jorus',[1]='481:67.2,17.3 481:67.3,17.6 481:67.7,17.5 481:67.8,17.4'},
[23463]={[0]='Onyxien',[1]='481:67.3,18.4 481:67.3,18.6 481:67.5,18.6 481:67.6,18.4'},
[23464]={[0]='Malfas',[1]='481:67.4,17.5 481:67.8,17.4 481:67.9,17.9 481:68.4,19.1 481:68.5,19'},
[23465]={[0]='Zoya',[1]='481:5.2,90.6 481:33.4,17.6 481:65.3,18.9'},
[23466]={[0]='Voranaku',[1]='481:65.4,17.3 481:66.1,18.5 481:66.2,17.7 481:66.3,17.2 481:66.6,17.2 481:66.7,17.7'},
[23473]={[0]='Aether-tech Apprentice',[1]='475:27.9,52.2'},
[23486]={[0]='Goldark Snipehunter',[1]='27:48,39.5'},
[23546]={[0]='Vice Admiral Keller',[1]='491:60.53,61.08 491:60.39,60.99 491:60.56,61.28'},
[23547]={[0]='Macalroy',[1]='491:61.15,62.64 491:60.80,62.52'},
[23548]={[0]='Beltrand McSorf',[1]='491:60.17,61.03 491:60.54,61.28'},
[23558]={[0]='Neill Ramstein',[1]='HB 27:46.6,40.3'},
[23559]={[0]='Budd Nedreck',[1]='463:69.7,67.2 463:70.4,67.8 463:71,67.3 463:71.2,68.5'},
[23566]={[0]='Calia Hastings',[1]='141:68.3,51.1'},
[23567]={[0]='Inspector Tarem',[1]='141:29.7,47.6'},
[23568]={[0]='Captain Darill',[1]='141:46.7,24.4 141:46.7,24.6'},
[23569]={[0]='Renn McGill',[1]='141:63.7,17.1'},
[23570]={[0]='Gizzix Grimegurgle',[1]='141:41.6,73'},
[23572]={[0]='Drazzit Dripvalve',[1]='141:42.3,72.9'},
[23579]={[0]='Brogg',[1]='141:41.9,73.9'},
[23600]={[0]='Apprentice Morlann',[1]='141:46.1,57.4 141:46.1,57.5'},
[23601]={[0]='Apprentice Garion',[1]='141:46,57.2'},
[23618]={[0]='Ahab Wheathoof',[1]='9:48.35,53.10'},
[23710]={[0]='Belbi Quikswitch',[1]='HB 27:49.3,39.5'},
[23723]={[0]='Sergeant Lukas',[1]='141:46.7,23.1'},
[23728]={[0]='Guard Captain Zorek',[1]='491:60.12,62.43'},
[23729]={[0]='Baron Ulrik von Stromhearth',[1]='491:58.77,62.76'},
[23730]={[0]='Harold Lagras',[1]='491:62.3,57.7'},
[23749]={[0]='Captain Adams',[1]='491:28.87,44.24 491:28.81,44.06',[2]='Pacing on the second floor of the keep'},
[23761]={[0]='Prigmon',[1]='463:70.8,68'},
[23770]={[0]='Cannoneer Ely',[1]='491:33.97,43.80'},
[23773]={[0]='Chef Kettleblack',[1]='491:31.17,40.84'},
[23778]={[0]='Dark Ranger Lyana',[1]='491:78.7,37.1 491:79.6,36.1'},
[23780]={[0]='High Executor Anselm',[1]='491:78.6,31.2'},
[23784]={[0]='Apothecary Hanes',[1]='491:83.2,43.1'},
[23797]={[0]='Moxie Steelgrille',[1]='141:53.5,56.9'},
[23804]={[0]='Orfus of Kamagua',[1]='491:40.29,60.26'},
[23831]={[0]='Old Man Stonemantle',[1]='491:31.7,42'},
[23833]={[0]='Explorer Jaren',[1]='491:24.24,32.46'},
[23835]={[0]='Sergeant Amelyn',[1]='141:68.3,51.8'},
[23843]={[0]='Mordant Grimsby',[1]='141:55.4,26.3'},
[23858]={[0]='Donna Brascoe',[1]='463:70.6,68.2'},
[23859]={[0]='Greer Orehammer',[1]='491:31.25,43.97'},
[23870]={[0]='Ember Clutch Ancient',[1]='491:36.4,48.4 491:37.4,51.9 491:41.2,49.3'},
[23888]={[0]='Mage-Lieutenant Malister',[1]='491:28.94,44.19'},
[23891]={[0]='Overseer Irena Stonemantle',[1]='491:30.27,28.65'},
[23892]={[0]='Babs Fizzletorque',[1]='141:72.1,47.1'},
[23895]={[0]='Bombardier Petrov',[1]='491:28.97,41.91'},
[23896]={[0]='"Dirty" Michael Crowe',[1]='141:69.3,51.9'},
[23897]={[0]='Zungam',[1]='Z781'},
[23904]={[0]='Sir Thomas',[1]='HW Z762'},
[23905]={[0]='Major Mills',[1]='141:69.6,51.8'},
[23906]={[0]='Scout Knowles',[1]='491:44.47,57.59'},
[23938]={[0]='Pontius',[1]='491:79.1,31.2'},
[23948]={[0]='Apprentice Tasserel',[1]='481:35.7,21.2 481:44.9,65.2 481:75,32.4 481:75.1,33.3 481:75.2,33.5 481:75.5,33'},
[23951]={[0]='Lieutenant Aden',[1]='141:65.1,47.1'},
[23973]={[0]='Masked Orphan Matron',[1]='4:52.5,41.2'},
[23975]={[0]='Thoralius the Wise',[1]='491:59.80,61.48'},
[23976]={[0]='Sapper Steelring',[1]='491:29.11,41.78'},
[23978]={[0]='Explorer Abigail',[1]='491:31.61,41.50'},
[24027]={[0]='Sergeant Gorth',[1]='491:71.1,39'},
[24032]={[0]='Celea Frozenmane',[1]='491:49.5,11.6'},
[24037]={[0]='Captain Harker',[1]='491:84.6,36.4 491:84.7,36.5'},
[24038]={[0]='Father Levariol',[1]='491:28.86,43.97'},
[24056]={[0]='Christopher Sloan',[1]='491:60.27,18.69'},
[24060]={[0]='Westguard Sergeant',[1]='Near491'},
[24106]={[0]='Scout Valory',[1]='491:55.96,55.79'},
[24111]={[0]='Defender Mordun',[1]='491:59.56,48.87'},
[24117]={[0]='Lurielle',[1]='491:61.49,22.85'},
[24122]={[0]='Pulroy the Archaeologist',[1]='491:59.18,54.57'},
[24123]={[0]='Nokoma Snowseer',[1]='491:49.3,11.9'},
[24125]={[0]='Cormath the Courier',[1]='491:53,66.1'},
[24126]={[0]='Apothecary Lysander',[1]='491:78.5,29'},
[24127]={[0]='Ahota Whitefrost',[1]='491:48.4,11'},
[24129]={[0]='Chieftain Ashtotem',[1]='491:48.1,10.8'},
[24130]={[0]='Winterhoof Brave',[1]='Near491'},
[24131]={[0]='Trapper Jethan',[1]='491:62.66,16.80'},
[24135]={[0]='Greatmother Ankha',[1]='491:48.1,10.7'},
[24137]={[0]='Dark Ranger Marrah',[1]='523:67.7,66.4 523:67.9,66.3 523:67.9,66.5 523:67.9,67.3 523:68.1,68.2 523:68.2,69.6 523:68.3,68.3 523:68.4,68.7 523:68.4,68.9 523:68.4,69.6 523:68.5,67.4 523:68.5,67.7 523:68.5,68.2 523:68.5,68.9 523:68.6,68.8 523:68.6,69.5'},
[24139]={[0]='Gil Grisert',[1]='491:62.59,16.82'},
[24145]={[0]='Zedd',[1]='491:56.64,52.38'},
[24150]={[0]='Glorenfeld',[1]='491:56.90,53.77'},
[24151]={[0]='Daegarn',[1]='491:55.70,57.37'},
[24152]={[0]='Apothecary Malthus',[1]='491:26.4,24.5 491:26.5,24.5'},
[24155]={[0]='Tobias Sarkhoff',[1]='491:52,67.4'},
[24157]={[0]='Plaguebringer Tillinghast',[1]='491:53.1,66.9'},
[24176]={[0]='Foreman Colbey',[1]='491:60.17,15.62'},
[24186]={[0]='Sage Mistwalker',[1]='491:31.2,24.4 491:31.2,24.5'},
[24189]={[0]='Ares the Oathbound',[1]='491:59.34,55.42'},
[24191]={[0]='Lord Irulon Trueblade',[1]='491:59.75,62.43'},
[24209]={[0]='Longrunner Skycloud',[1]='491:31.2,24.5 491:31.3,24.4'},
[24218]={[0]='Apothecary Grick',[1]='491:26,24.4 491:26,24.5'},
[24227]={[0]='Engineer Feknut',[1]='491:30.05,28.64 491:30.13,28.79 491:30.27,28.77'}, -- pacing back and forth
[24234]={[0]='Junat the Wanderer',[1]='491:48.4,10.4 491:48.4,10.5 491:48.5,10.5'},
[24251]={[0]='Chief Plaguebringer Harris',[1]='491:53.6,66.4'},
[24252]={[0]='"Hacksaw" Jenny',[1]='491:53.7,65.3'},
[24256]={[0]='Wind Tamer Kagan',[1]='491:49,12'},
[24261]={[0]='Ulfang',[1]='491:29.68,5.67'},
[24273]={[0]='Watcher Moonleaf',[1]='491:30.05,28.59'},
[24282]={[0]='Lieutenant Maeve',[1]='491:61.83,17.19'},
[24283]={[0]='Peppy Wrongnozzle',[1]='491:30.77,41.61'},
[24328]={[0]='Prospector Belvar',[1]='491:62.27,17.22'},
[24359]={[0]='Apothecary Anastasia',[1]='491:26.1,24.4 491:26.1,24.8'},
[24362]={[0]='Longrunner Pembe',[1]='491:49.2,12.2'},
[24369]={[0]='Wind Trader Zhareem',[1]='481:35.7,22.1 481:44.9,65.4 481:74.4,36.2 481:74.4,36.5 481:74.6,36.3 481:75.1,37 481:75.1,37.5 481:75.5,37.3 481:75.5,37.6'},
[24370]={[0]="Nether-Stalker Mah'duun",[1]='481:35.8,22.2 481:44.9,65.4 481:75.2,37.2 481:75.3,37.5 481:75.5,37.3 481:75.5,37.8'},
[24376]={[0]='Researcher Aderan',[1]='491:62.58,16.53'},
[24390]={[0]='Sage Edan',[1]='491:48.1,10.4 491:48.1,10.5'},
[24393]={[0]='The Rokk',[1]='481:32.4,17 481:32.5,17 481:43.9,63.8 481:61.4,16.4 481:61.4,16.5 481:61.5,16.5 481:61.6,15.4 481:61.6,15.8'},
[24399]={[0]='Steel Gate Chief Archaeologist',[1]='491:30.81,28.56'},
[24458]={[0]='Lydell',[1]='491:65.9,36.8'},
[24468]={[0]='Pol Amberstill',[1]='HB 27:46.5,40.4'},
[24473]={[0]='Lead Archaeologist Malzie',[1]='491:30.4,26.2 491:30.5,26.2'},
[24494]={[0]='Quartermaster Brevin',[1]='491:30.64,42.78'},
[24495]={[0]='Blix Fixwidget',[1]='HB 4:441.,19.9'},
[24497]={[0]='Ram Master Ray',[1]='HB 4:46.3,15.0'},
[24510]={[0]='Driz Tumblequick',[1]='HB 4:46.3,14.9'},
[24519]={[0]='Costumed Orphan Matron',[1]='27:46.2,53.1 30:42.6,64.4 30:42.6,64.5 464:49.1,51.3 464:49.1,51.5'},
[24525]={[0]="Zeh'gehn",[1]='491:35.56,80.62'},
[24537]={[0]='Handsome Terry',[1]='491:35.60,80.24'},
[24539]={[0]='"Silvermoon" Harry',[1]='491:35.10,80.94'},
[24541]={[0]='Taruk',[1]='491:36.33,80.48'},
[24544]={[0]='Old Icefin',[1]='491:19.78,22.21'},
[24548]={[0]='Scribe Seguine',[1]='491:67.4,60.4'},
[24634]={[0]='Lieutenant Icehammer',[1]='491:64.43,46.95'},
[24643]={[0]='Grezzix Spindlesnap',[1]='491:23.08,62.66'},
[24657]={[0]='Glodrak Huntsniper',[1]='HB 4:44,19'},
[24702]={[0]='Greatfather Mahan',[1]='486:77.1,37.8'},
[24703]={[0]='Chieftain Wintergale',[1]='486:75.9,37.3'},
[24706]={[0]='Durm Icehide',[1]='486:75.9,37.2'},
[24709]={[0]='Sage Aeire',[1]='486:75.9,37.3'},
[24710]={[0]='Ipfelkofer Ironkeg',[1]='HB 27:47,39'},
[24711]={[0]='Tapper Swindlekeg',[1]='HB 4:45.5,17.1'},
[24717]={[0]='Stanwad',[1]='491:74.95,65.41'},
[24727]={[0]='Caylee Dak',[1]='481:31.3,28.6 481:31.4,27.5 481:31.6,28.6 481:31.7,28.1 481:31.9,27.2'},
[24729]={[0]='Alicia',[1]='301:81.40,27.78 301:81.64,28.23 301:81.99,28.74'},
[24730]={[0]='Wind Tamer Barah',[1]='486:75.6,35.8'},
[24733]={[0]='Snow Tracker Junek',[1]='486:76.8,37.9'},
[24739]={[0]='Benjari Edune',[1]='43:17.9,49.4 43:17.9,49.5'},
[24741]={[0]='Annie Bonn',[1]='491:35.34,79.47 491:35.49,79.39',[2]='Upstairs'},
[24750]={[0]='Hidalgo the Master Falconer',[1]='491:75.27,64.97'},
[24755]={[0]='Elder Atuik',[1]='491:25.02,56.96'},
[24784]={[0]='Scuttle Frostprow',[1]='491:37.75,79.58'},
[24795]={[0]='Surristrasz',[1]='486:45.35,34.50'},
[24807]={[0]='Walt',[1]='491:75.05,65.51'},
[24810]={[0]='Anuniaq',[1]='491:24.60,58.86'},
[24811]={[0]='Donny',[1]='491:78.81,48.87'},
[24813]={[0]='Exarch Larethor',[1]='499:47.3,30.7'},
[24822]={[0]='Tyrith',[1]='798:0,0'},
[24832]={[0]='Transport Bot D3',[1]='611:59.9,23.2 611:59.9,23.8 700:46.1,65.7 700:50.9,58'},
[24848]={[0]='Kalecgos',[1]='798:0,0'},
[24866]={[0]='Lakoor',[1]='477:55.9,73.7'},
[24881]={[0]='Karrtog',[1]='477:52.8,36'},
[24885]={[0]='Exorcist Sullivan',[1]='478:55.81,53.74'},
[24886]={[0]='Exorcist Vaisha',[1]='478:49.9,46.7'},
[24910]={[0]='Captain Ellis',[1]='491:35.9,67.3 491:37.2,74.8 491:37.8,75 491:38,77.1 491:38.3,78.3 491:38.4,69.2 491:38.4,69.8 491:38.5,70.4 491:38.5,78.9 491:38.6,71 491:38.7,79.5 491:38.9,72.1 491:39.7,74.4 491:39.7,74.5 491:40.2,81.1 491:40.8,81.6 491:41.1,76.2 491:42,82.4 491:43.1,77.7'},  -- on a boat that sails around a bunch
[24932]={[0]='Exarch Nasuun',[1]='481:29.5,23.4 481:43,65.8 481:49.2,42.4 481:49.3,42.6 481:49.8,42.3 481:49.8,42.6'},
[24937]={[0]='Magistrix Seyla',[1]='465:58.2,17.6'},
[24965]={[0]='Vindicator Xayann',[1]='499:47.2,30.7'},
[24967]={[0]='Captain Theris Dawnhearth',[1]='499:47.4,30.6'},
[24975]={[0]="Mar'nah",[1]='499:51.4,32.6 499:51.5,32.6'},
[25032]={[0]='Eldara Dawnrunner',[1]='499:47.3,30.7'},
[25034]={[0]='Tradesman Portanuus',[1]='499:47.3,35.1'},
[25046]={[0]='Smith Hauthaa',[1]='499:50.6,40.8'},
[25057]={[0]='Battlemage Arynna',[1]='499:47.6,35.2'},
[25061]={[0]='Harbinger Inuuro',[1]='499:47.6,35.2'},
[25069]={[0]='Magister Ilastar',[1]='499:49.4,40.3 499:49.5,40.4'},
[25088]={[0]='Captain Valindria',[1]='499:53.8,34.2'},
[25108]={[0]='Vindicator Kaalan',[1]='499:50.5,39.1'},
[25112]={[0]='Anchorite Ayuri',[1]='499:48.4,36.7 499:48.4,37.7 499:48.7,36.8 499:48.7,37.5'},
[25133]={[0]='Astromancer Darnarian',[1]='499:47.5,35.3 499:47.6,35.5'},
[25140]={[0]='Lord Torvos',[1]='481:62.74,35.97'},
[25163]={[0]='Anchorite Kairthos',[1]='499:51.2,33.3'},
[25169]={[0]="Archmage Ne'thul",[1]='499:50.2,28.2'},
[25197]={[0]='King Mrgl-Mrgl',[1]='486:43.50,13.96'},
[25199]={[0]='Brglmurgl',[1]='486:42.84,13.65'},
[25205]={[0]='Mrmrglmr',[1]='486:42.00,12.78'},
[25206]={[0]='Ahlurglgr',[1]='486:43.03,13.81'},
[25208]={[0]='Lurgglbr',[1]='486:37.75,23.02'},
[25211]={[0]='Cleaver Bmurglbrm',[1]='486:42.03,13.15'},
[25233]={[0]='Lunk-tusk',[1]='491:32.28,46.79'},
[25235]={[0]='Hilda Stoneforge',[1]='486:57.32,66.64 486:57.40,66.52 486:57.17,66.24'},
[25237]={[0]='Garrosh Hellscream',[1]='486:41.4,53.6'},
[25245]={[0]='James Deacon',[1]='486:58.29,68.04'},
[25247]={[0]='Endorah',[1]='486:41.8,54.7'},
[25249]={[0]='Midge',[1]='486:58.41,67.79'},
[25250]={[0]='General Arlos',[1]='486:56.67,72.64'},
[25251]={[0]='Leryssa',[1]='486:58.73,68.35'},
[25256]={[0]='High Overlord Saurfang',[1]='486:41.4,53.6'},
[25257]={[0]='Saurfang the Younger',[1]='488:40.7,18'},
[25262]={[0]='Librarian Donathan',[1]='486:45.26,33.36'},
[25272]={[0]='Sauranok the Mystic',[1]='486:41.2,53.9 486:41.3,53.3 486:41.5,53.3 486:41.6,53.5'},
[25273]={[0]='Warsong Recruitment Officer',[1]='486:40.3,51.8 486:41.6,53.9'},
[25279]={[0]='Overlord Razgor',[1]='486:43.2,55'},
[25280]={[0]='Foreman Mortuus',[1]='486:42.1,56.2'},
[25285]={[0]='Harbinger Vurenn',[1]='486:56.60,72.47'},
[25289]={[0]="Wind Master To'bor",[1]='486:42.3,55 486:42.5,55.3 486:42.6,55.5'},
[25291]={[0]='Librarian Garren',[1]='486:44.98,33.39'},
[25292]={[0]='Etaruk',[1]='486:54.30,36.10'},
[25298]={[0]='Captain "Lefty" Lugsail',[1]='486:57.83,69.20'},
[25299]={[0]='Admiral Cantlebree',[1]='486:57.79,69.19'},
[25301]={[0]='Counselor Talbot',[1]='486:56.71,72.62'},
[25302]={[0]='Old Man Colburn',[1]='486:58.53,68.09'},
[25307]={[0]='Recruitment Officer Blythe',[1]='486:57.85,67.59'},
[25314]={[0]='Archmage Berinand',[1]='486:32.94,34.41'},
[25324]={[0]='Earthen Ring Guide',[1]='HM :0,0'},
[25326]={[0]="Overlord Bor'gorok",[1]='486:49.6,10.7'},
[25327]={[0]='Quartermaster Holgoth',[1]='486:43.3,55.5 486:43.4,55.4'},
[25328]={[0]='Shadowstalker Luther',[1]='486:40.1,52.1'},
[25329]={[0]='Gorge the Corpsegrinder',[1]='486:32.2,54.1'},
[25335]={[0]='Longrunner Proudhoof',[1]='486:48,21 486:48.3,19.7 486:48.4,23.8 486:48.5,23.8 486:49.4,26.5'},
[25336]={[0]='Grunt Ragefist',[1]='486:48.4,19.3 486:48.4,19.7 486:48.5,19.7'},
[25339]={[0]='Spirit Talker Snarlfang',[1]='486:50.3,9.8'},
[25356]={[0]='Warmage Anzim',[1]='486:46.37,37.30'},
[25374]={[0]='Ortrosh',[1]='486:50.1,10.1'},
[25376]={[0]='Imperean',[1]='486:46.6,9.4'},
[25379]={[0]='Warden Nork Bloodfrenzy',[1]='486:43.7,54.4 486:43.7,54.5'},
[25380]={[0]='Primal Mighthorn',[1]='486:52.2,52.8'},
[25381]={[0]='Bloodmage Laurith',[1]='486:52.1,52.4 486:52.1,52.5'},
[25385]={[0]='William Allerton',[1]='486:56.05,55.42'},
[25394]={[0]='Shadowstalker Barthus',[1]='486:43.2,55'},
[25395]={[0]='Private Brau',[1]='486:56.68,71.45',[2]='In bottom of keep'},
[25425]={[0]="Farseer Grimwalker's Spirit",[1]='486:56.2,9.1'},
[25435]={[0]='Karuk',[1]='486:47.13,75.48'},
[25437]={[0]='Shadowstalker Ickoris',[1]='486:38.1,52.4 486:38.1,52.5'},
[25438]={[0]='Shadowstalker Canarius',[1]='486:37.9,52.5'},
[25440]={[0]='Scout Tungok',[1]='486:52.3,51.4 486:52.3,52.2 486:53.3,51.8 486:53.5,52'},
[25450]={[0]='Veehja',[1]='486:43.61,80.53'},
[25462]={[0]='The Lich King',[1]='502:51.3,35.1'},
[25475]={[0]='Mobu',[1]='486:32.1,54.3'},
[25476]={[0]="Waltor of Pal'ea",[1]='486:32.3,54.3'},
[25477]={[0]='Crafty Wobblesprocket',[1]='486:57.58,18.70 486:58.18,18.34'},
[25480]={[0]='Librarian Normantis',[1]='486:46.34,32.84'},
[25503]={[0]='Elder Mootoo',[1]='486:31.7,54.4'},
[25504]={[0]='Mootoo the Younger',[1]='486:31.9,52.4 486:32,52.9'},
[25516]={[0]='Snow Tracker Grumm',[1]='486:87.6,20.1'},
[25580]={[0]='Old Man Barlo',[1]='478:38.7,12.8'},
[25589]={[0]='Bonker Togglevolt',[1]='486:54.5,11.6 486:55.5,11.4 486:55.5,12 486:55.5,12.6'},
[25590]={[0]='Fizzcrank Fullthrottle',[1]='486:56.98,18.70'},
[25602]={[0]='Greatmother Taiga',[1]='486:77.3,36.9'},
[25604]={[0]='Sage Highmesa',[1]='486:74.67,23.66'},
[25607]={[0]='Farmer Torp',[1]='486:37.9,52.4'},
[25636]={[0]='Captured Tuskarr Prisoner',[1]='486:44.10,77.89'},
[25658]={[0]='Longrunner Bristlehorn',[1]='486:69.8,12.7'},
[25702]={[0]='Mordle Cogspinner',[1]='486:57.5,18.7'},
[25705]={[0]='Bixie Wrenchshanker',[1]='486:73.42,18.79'},
[25714]={[0]='Tinky Wickwhistle',[1]='486:69.89,14.74'},
[25729]={[0]='Shadowstalker Getry',[1]='486:34.6,46.4 486:34.6,46.5'},
[25736]={[0]="Supply Master Taz'ishi",[1]='486:49,10.3'},
[25737]={[0]='Airman Skyhopper',[1]='486:58.84,68.72'},
[25747]={[0]='Jinky Wingnut',[1]='486:57.44,18.74'},
[25780]={[0]='Abner Fizzletorque',[1]='486:57.06,20.11'},
[25785]={[0]='Archmage Evanor',[1]='486:46.37,32.40'},
[25807]={[0]='Iggy "Tailspin" Cogtoggle',[1]='486:61.67,35.78'},
[25809]={[0]='Arch Druid Lathorius',[1]='486:57.05,44.32'},
[25810]={[0]='Hierophant Cenius',[1]='486:57.32,44.08'},
[25811]={[0]='Zaza',[1]='486:56.80,44.04'},
[25812]={[0]='Killinger the Den Watcher',[1]='486:57.19,44.20 486:57.16,43.59 486:56.90,44.13',[2]='The bear that circles'},
[25816]={[0]='Sergeant Hammerhill',[1]='486:56.36,69.58'},
[25825]={[0]='Medic Hawthorn',[1]='486:55.00,68.93'},
[25826]={[0]='Vindicator Yaala',[1]='486:58.55,67.31'},
[25838]={[0]='Hierophant Liandra',[1]='486:57.79,55.10'},
[25849]={[0]='Fezzix Geartwist',[1]='486:77.5,37'},
[25862]={[0]="Khu'nok the Behemoth",[1]='486:59.43,30.44'},
[25883]={[0]='Ashenvale Flame Warden',[1]='HM 43:86.94,41.86'},
[25884]={[0]='Ashenvale Flame Keeper',[1]='HM 43:51.35,66.15'},
[25887]={[0]='Arathi Flame Warden',[1]='HM 16:44.30,46.03'},
[25888]={[0]='Azuremyst Isle Flame Warden',[1]='HM 464:44.48,52.50'},
[25889]={[0]="Blade's Edge Flame Warden",[1]='HM 475:41.57,65.90'},
[25890]={[0]='Blasted Lands Flame Warden',[1]='HM 19:55.53,14.88'},
[25891]={[0]='Bloodmyst Isle Flame Warden',[1]='HM 476:55.82,67.88'},
[25892]={[0]='Burning Steppes Flame Warden',[1]='HM 29:68.34,60.63'},
[25893]={[0]='Darkshore Flame Warden',[1]='HM 42:48.73,22.65'},
[25894]={[0]='Desolace Flame Warden',[1]='HM 101:66.12,17.10'},
[25895]={[0]='Dun Morogh Flame Warden',[1]='HM 27:53.80,45.24'},
[25896]={[0]='Duskwood Flame Warden',[1]='HM 34:73.69,54.62'},
[25897]={[0]='Dustwallow Marsh Flame Warden',[1]='HM 141:61.82,40.46'},
[25898]={[0]='Elwynn Forest Flame Warden',[1]='HM 30:43.47,62.63'},
[25899]={[0]='Feralas Flame Warden',[1]='HM 121:46.82,43.70'},
[25900]={[0]='Hellfire Peninsula Flame Warden',[1]='HM 465:62.17,58.29'},
--[25901]={[0]='Hillsbrad Flame Warden',[1]='HM 24:'}, -- methinks this no longer exists
[25902]={[0]='Loch Modan Flame Warden',[1]='HM 35:32.55,40.95'},
[25903]={[0]='Nagrand Flame Warden',[1]='HM 477:49.61,69.46'},
[25904]={[0]='Redridge Flame Warden',[1]='HM 36:24.90,53.39'},
[25905]={[0]='Shadowmoon Valley Flame Warden',[1]='HM 473:39.63,54.64'},
[25906]={[0]='Teldrassil Flame Warden',[1]='HM 41:54.88,52.77'},
[25907]={[0]='Terokkar Forest Flame Warden',[1]='HM 478:54.06,55.52'},
[25908]={[0]='The Hinterlands Flame Warden',[1]='HM 26:14.34,50.08'},
[25909]={[0]='Western Plaguelands Flame Warden',[1]='HM 22:43.47,82.33'},
[25910]={[0]='Westfall Flame Warden',[1]='HM 39:44.76,62.06'},
[25911]={[0]='Wetlands Flame Warden',[1]='HM 40:13.46,47.07'},
[25912]={[0]='Zangarmarsh Flame Warden',[1]='HM 467:68.80,51.95'},
[25913]={[0]='Netherstorm Flame Warden',[1]='HM 479:31.21,62.66'},
[25914]={[0]='Silithus Flame Warden',[1]='HM 261:60.30,33.51'},
[25915]={[0]='Stranglethorn Vale Flame Warden',[1]='HM 673:51.96,67.65'},
[25916]={[0]='Tanaris Flame Warden',[1]='HM 161:52.64,30.26'},
[25917]={[0]='Winterspring Flame Warden',[1]='HM 281:61.24,47.25'},
[25918]={[0]='Netherstorm Flame Keeper',[1]='HM 479:32.11,68.32'},
[25919]={[0]='Silithus Flame Keeper',[1]='HM 261:50.85,41.31'},
[25920]={[0]='Stranglethorn Vale Flame Keeper',[1]='HM 673:50.40,70.38'},
[25921]={[0]='Tanaris Flame Keeper',[1]='HM 161:49.82,27.87'},
[25922]={[0]='Winterspring Flame Keeper',[1]='HM 281:58.15,47.51'},
[25923]={[0]='Arathi Flame Keeper',[1]='HM 16:69.36,42.57'},
[25925]={[0]='Badlands Flame Keeper',[1]='HM 17:23.09,37.44'},
[25926]={[0]="Blade's Edge Flame Keeper",[1]='HM 475:49.91,58.66'},
[25927]={[0]='Burning Steppes Flame Keeper',[1]='HM 29:51.11,29.21'},
[25928]={[0]='Desolace Flame Keeper',[1]='HM 101:26.15,76.90'},
[25929]={[0]='Durotar Flame Keeper',[1]='HM 4:52.18,47.32'},
[25930]={[0]='Dustwallow Marsh Flame Keeper',[1]='HM 141:33.43,30.91'},
[25931]={[0]='Eversong Woods Flame Keeper',[1]='HM 462:46.40,50.60'},
[25932]={[0]='Feralas Flame Keeper',[1]='HM 121:72.38,47.79'},
[25933]={[0]='Ghostlands Flame Keeper',[1]='HM 463:46.90,26.34'},
[25934]={[0]='Hellfire Peninsula Flame Keeper',[1]='HM 465:57.12,42.05'},
[25935]={[0]='Hillsbrad Flame Keeper',[1]='HM 24:54.66,50.09'},
[25936]={[0]='Mulgore Flame Keeper',[1]='HM 9:51.82,59.25'},
[25937]={[0]='Nagrand Flame Keeper',[1]='HM 477:50.91,34.14'},
[25938]={[0]='Shadowmoon Valley Flame Keeper',[1]='HM 473:33.40,30.54'},
[25939]={[0]='Silverpine Forest Flame Keeper',[1]='HM 21:49.63,38.22'},
[25940]={[0]='Stonetalon Flame Keeper',[1]='HM 81:52.92,62.46'},
[25941]={[0]='Swamp of Sorrows Flame Keeper',[1]='HM 38:76.33,13.77'},
[25942]={[0]='Terokkar Forest Flame Keeper',[1]='HM 478:52.01,42.91'},
[25943]={[0]='The Northern Barrens Flame Keeper',[1]='HM 11:49.96,54.63'},
[25944]={[0]='The Hinterlands Flame Keeper',[1]='HM 26:76.64,74.96'},
--[25945]={[0]='Thousand Needles Flame Keeper',[1]='HM 61:'}, -- methinks this is gone
[25946]={[0]='Tirisfal Glades Flame Keeper',[1]='HM 20:57.22,51.76'},
[25947]={[0]='Zangarmarsh Flame Keeper',[1]='HM 467:35.44,51.61'},
[25962]={[0]='Fire Eater',[1]='HM 16:44.23,45.20 17:19.46,55.80 19:55.54,15.16 22:43.17,82.55 26:14.04,50.08 27:53.76,45.58 29:68.03,60.12 30:43.69,62.23 34:73.64,53.81 35:32.07,41.51 36:25.14,54.20 37:51.97,63.08 38:69.87,16.25 39:44.65,61.21 40:13.59,46.70 41:54.54,52.68 42:48.65,22.88 43:86.48,41.85 81:49.41,50.97 101:66.35,17.00 121:46.96,43.78 141:61.60,41.04 161:52.45,30.54 201:59.55,63.10 261:59.95,33.59 281:61.14,47.65 464:44.45,51.78 465:62.06,57.92 467:69.04,51.92 473:39.59,54.99 475:41.50,65.30 476:56.16,67.08 477:49.92,69.04 478:54.53,55.38 479:31.53,63.02 486:55.11,19.71 488:75.59,43.38 490:33.93,60.18 491:57.97,16.16 493:47.48,66.36 495:41.62,86.83 496:40.51,61.55 510:78.32,75.46 607:48.42,72.45 673:52.10,67.26 700:47.35,28.53 720:53.75,32.05'},
[25975]={[0]='Master Fire Eater',[1]='HM 301:50.05,72.28 341:65.40,25.04 381:63.18,47.50 471:40.88,25.55'},
[25978]={[0]='Ambassador Talonga',[1]='486:41.8,54.6'},
[25982]={[0]='Sage Earth and Sky',[1]='486:77.3,38.4'},
[25983]={[0]='Dorain Frosthoof',[1]='486:77.6,37'},
[25984]={[0]='Crashed Recon Pilot',[1]='486:64,35.8'},
[25994]={[0]='Flame Eater',[1]='HM 4:52.41,47.33 9:51.69,59.54 11:49.86,54.97 16:69.93,42.21 17:23.39,37.28 19:45.69,12.99 20:57.44,51.57 21:49.95,38.18 22:29.45,56.90 24:54.81,49.79 26:76.80,75.33 29:50.61,29.33 37:40.53,51.49 38:76.61,13.34 43:51.68,66.21 81:52.76,62.52 101:26.32,76.64 121:72.21,47.89 141:33.65,30.80 161:49.89,27.73 181:60.72,53.31 201:56.63,66.36 261:51.06,41.09 281:58.20,47.71 462:46.60,50.72 463:46.82,26.67 465:56.92,42.15 467:35.42,51.32 473:33.29,30.25 475:49.55,59.04 477:50.76,33.98 478:52.17,42.77 479:32.53,68.44 486:51.15,11.26 488:38.12,48.32 490:19.47,61.28 491:48.62,12.90 493:47.17,61.26 495:40.37,85.23 496:43.56,71.75 510:79.67,53.45 607:40.75,67.60 673:50.19,70.74 700:52.97,46.10 720:53.23,34.62'},
[26083]={[0]='Gerald Green',[1]='486:58.21,62.81'},
[26084]={[0]='Jeremiah Hawning',[1]='486:58.19,62.99'},
[26085]={[0]='Wendy Darren',[1]='486:58.28,62.77'},
[26104]={[0]='Iron Eyes',[1]='486:77,37.6'},
[26110]={[0]='Librarian Serrah',[1]='486:33.49,34.38'},
[26113]={[0]='Master Flame Eater',[1]='321[1]:46.60,37.27 362:20.99,26.46 382:68.88,8.45 480:69.50,42.43'},
[26117]={[0]='Raelorasz',[1]='486:33.32,34.53'},
[26155]={[0]='Mark Hanes',[1]='486:56.7,69.5'},
[26156]={[0]='Wartook Iceborn',[1]='488:12.8,51.6'},
[26158]={[0]='Mother Tauranook',[1]='486:78.3,38'},
[26169]={[0]='Ataika',[1]='486:63.80,46.13'},
[26170]={[0]='Thassarian',[1]='486:84.80,41.68'},
[26180]={[0]="Blood Guard Roh'kill",[1]='488:14.2,49.9'},
[26181]={[0]='Emissary Brighthoof',[1]='488:13.3,48 488:13.3,49.7 488:13.4,49.1 488:13.6,47.9 488:13.8,49.6 488:13.9,48.5'},
[26186]={[0]='Private Casey',[1]='486:82.17,46.40'},
[26187]={[0]='Corporal Venn',[1]='486:82,46.4'},
[26194]={[0]="Elder Ko'nani",[1]='488:48.00,74.87'},
[26206]={[0]='Keristrasza',[1]='Near486'},
[26212]={[0]='Captain Gryan Stoutmantle',[1]='490:59.42,25.99'},
[26213]={[0]='Utaik',[1]='486:63.95,45.71'},
[26218]={[0]='Elder Muahit',[1]='486:67.21,54.85'},
[26221]={[0]='Earthen Ring Elder',[1]='HM 301:49.32,72.27 341:65.09,27.72 381:62.11,49.14 471:43.29,26.22'}, -- This NPC is the same for both factions!!!  So Horde is 526221.
[26226]={[0]='Brugar Stoneshear',[1]='490:59.80,27.57'},
[26228]={[0]="Trapper Mau'i",[1]='488:48.26,74.35'},
[26245]={[0]="Tua'kea",[1]='488:47.70,76.63'},
[26260]={[0]='Kurun',[1]='490:65.77,17.80'},
[26335]={[0]='Fallen Earthen Warrior',[1]='490:63.68,23.16'},
[26361]={[0]='Torthen Deepdig',[1]='490:59.76,27.44'},
[26371]={[0]='Squire Walter',[1]='490:59.08,26.48 490:59.04,26.42 490:59.12,26.17'},
[26377]={[0]='Squire Percy',[1]='490:59.09,26.61'},
[26379]={[0]='Overlord Agmar',[1]='488:36.3,45.6 488:38.1,46.3'},
[26401]={[0]='Summer Scorchling',[1]='HM 16:44.22,45.99 17:18.97,56.33 19:55.55,14.76 22:43.44,82.24 26:15.23,50.17 27:53.80,45.14 29:68.32,60.77 30:43.49,62.51 34:73.77,54.50 35:32.58,41.10 36:25.68,53.37 37:52.12,63.57 38:70.13,15.72 39:44.80,62.18 40:13.50,46.98 41:54.83,52.77 42:48.69,22.69 43:86.89,41.84 81:49.35,51.33 101:66.19,17.10 121:46.78,43.67 141:61.87,40.50 161:52.67,30.22 201:59.77,63.25 261:60.38,33.51 281:61.49,47.51 464:44.41,52.47 465:62.45,58.44 467:68.73,51.94 473:39.64,54.56 475:41.53,65.87 476:55.82,67.75 477:49.57,69.41 478:54.01,55.57 479:31.16,62.64 486:55.14,19.91 488:75.24,43.77 490:33.94,60.52 491:57.84,16.17 493:48.37,65.53 495:41.42,86.74 496:40.37,61.39 510:78.07,74.90 607:48.34,72.29 673:52.03,67.71 700:47.32,28.95 720:53.60,31.92'}, -- the one in zone 26 is behind a tree
[26415]={[0]='Senior Sergeant Juktok',[1]='488:36.7,46.6'},
[26420]={[0]='Gavrock',[1]='490:79.76,33.61'},
[26423]={[0]='Drakuru',[1]='490:16.43,47.77'},
[26424]={[0]='Samir',[1]='490:16.19,47.61'},
[26440]={[0]='Emissary Skyhaven',[1]='488:48.1,74.9'},
[26441]={[0]='Envoy Ripfang',[1]='488:48,74.8'},
[26443]={[0]='Tariolstrasz',[1]='488:57.91,54.17'},
[26459]={[0]='Commander Saia Azuresteel',[1]='488:29.04,55.42'},
[26471]={[0]='Image of Archmage Aethas Sunreaver',[1]='488:38,46.3'},
[26473]={[0]="Ko'char the Unbreakable",[1]='488:58.98,17.81'},
[26484]={[0]='Hugh Glass',[1]='490:69.09,40.10'},
[26500]={[0]='Image of Drakuru',[1]='490:13.24,60.87'},
[26501]={[0]='Ethenial Moonshadow',[1]='488:24.20,60.08'},
[26504]={[0]='Soar Hawkfury',[1]='488:37.1,48.6'},
[26505]={[0]='Doctor Sintar Malefious',[1]='488:36.1,48.8'},
[26514]={[0]='Surveyor Orlond',[1]='490:67.50,15.28'},
[26519]={[0]='Prigmon',[1]='490:15.7,46.8'},
[26520]={[0]='Festival Scorchling',[1]='HM 4:52.15,47.25 9:51.77,59.21 11:49.96,54.54 16:69.41,42.47 17:23.19,37.42 19:46.30,13.73 20:57.29,51.75 21:49.59,38.31 22:29.23,57.34 24:54.70,50.15 26:76.66,75.06 29:51.21,29.26 37:40.51,50.96 38:76.30,13.59 43:51.35,66.22 81:52.95,62.41 101:26.13,77.01 121:72.41,47.76 141:33.49,30.92 161:49.80,27.93 181:60.80,53.56 201:56.25,66.33 261:50.82,41.41 281:58.16,47.43 462:46.40,50.51 463:46.89,26.48 465:57.16,42.00 467:35.47,51.69 473:33.61,30.72 475:49.92,58.74 477:50.97,34.13 478:51.97,42.96 479:32.16,68.33 486:51.16,11.47 488:38.31,48.45 490:19.26,61.17 491:48.64,13.08 493:47.27,61.66 495:40.27,85.41 496:43.42,71.81 510:80.08,53.21 607:40.85,67.73 673:50.34,70.33 700:52.96,45.93 720:53.10,34.54'},
[26527]={[0]='Chromie',[1]='521:86.4,61.6 521:86.5,61.4 521:86.5,61.5'},
[26543]={[0]='Image of Drakuru',[1]='490:17.41,36.36'},
[26564]={[0]='Borus Ironbender',[1]='488:36.6,47.1'},
[26574]={[0]='Valnok Windrager',[1]='488:37.2,45.8'},
[26581]={[0]='Koltira Deathweaver',[1]='488:35.9,46.9 488:36.1,46 488:36.2,47.6 488:36.5,46.4 488:36.7,47.6 488:37.1,46.5'},
[26584]={[0]='Sage Paluna',[1]='490:65.2,47.8'},
[26588]={[0]='Emily',[1]='490:49.20,34.10'},
[26593]={[0]='Serinar',[1]='488:35.21,30.04',[2]='Inside cave Maw of Neltharion'},
[26595]={[0]="Toalu'u the Mystic",[1]='488:49.14,75.66'},
[26604]={[0]='Mack Fearsen',[1]='490:16.67,48.29'},
[26618]={[0]='Captain Gort',[1]='488:35.8,48.3'},
[26647]={[0]='Narf',[1]='488:54.69,23.88 488:54.50,23.62 488:54.98,23.85'},
[26649]={[0]='Messenger Torvus',[1]='488:37.3,46.8'},
[26652]={[0]='Greatmother Icemist',[1]='488:35.8,45.8 488:35.8,46.9 488:36.4,45.3 488:36.5,45.3 488:36.6,45.5'},
[26653]={[0]='Kilix the Unraveler',[1]='488:26.2,50.7'},
[26659]={[0]='Zort',[1]='488:59.40,18.18'},
[26660]={[0]='Xink',[1]='488:55.02,23.43'},
[26661]={[0]='Zivlix',[1]='488:54.70,23.26'},
[26664]={[0]='Kurzel',[1]='534:63.5,25.5 534:63.7,24.2 534:63.8,26.7 534:63.9,23 534:64.1,24.8 534:64.1,25 534:64.2,24.2 534:64.4,15 534:64.4,15.1 534:64.5,14.4 534:64.6,15.7 534:64.6,24.6 534:64.7,25.6 534:64.8,24.4 534:64.9,15.6 534:64.9,16.6 534:64.9,24.2 534:65,15.4 534:65,25.7 534:65.1,15.3 534:65.2,25.4 534:65.5,15.1 534:65.5,15.9 534:65.5,16 534:66.9,28.3 534:67.2,29.2 534:67.2,29.6 534:67.3,28.3 534:67.4,29.3 534:67.4,29.5 534:67.5,28 534:67.5,29.1 534:67.5,29.5 534:67.5,29.7 534:67.6,29.3 534:67.9,28.2 534:68.1,22.5 534:68.2,16.2 534:68.3,15.2 534:68.3,16.7 534:68.3,16.8 534:68.3,20.8 534:68.3,21.5 534:68.4,21.8 534:68.4,23 534:68.5,17 534:68.5,21.2 534:68.6,14.9 534:68.6,22.9 534:68.9,17.5 534:68.9,23 534:69,21.3 534:69,23.9 534:69.1,15.1 534:69.1,16 534:69.2,15.7 534:69.2,17.1 534:69.2,21.6 534:69.2,22.4 534:69.5,15.3 534:69.5,16.3 534:69.5,22.5 534:69.5,23.6 534:69.6,15.7 534:69.6,17.8 534:69.6,21.5 534:69.8,17.4 534:69.8,22.3 534:69.8,23 534:69.9,19.2 534:70.3,17.3 534:70.4,17.5 534:70.7,17.5 534:70.9,17.4 534:71,17.4 534:71.3,17.5'},
[26666]={[0]="Scout Vor'takh",[1]='490:65.1,47.7'},
[26673]={[0]='Image of Archmage Modera',[1]='488:29.00,55.45'},
[26701]={[0]='Image of Drakuru',[1]='490:45.00,28.36'},
[26733]={[0]='Banthok Icemist',[1]='488:22.6,41.7'},
[26787]={[0]='Image of Drakuru',[1]='490:71.74,26.20'},
[26814]={[0]='Harrison Jones',[1]='490:69.48,17.50'},
[26821]={[0]='Envoy Ducal',[1]='490:26.41,35.71'},
[26837]={[0]='Sarendryana',[1]='488:28.73,57.10'},
[26854]={[0]='Earthwarden Grife',[1]='488:36.5,47.8'},
[26859]={[0]='Rokhan',[1]='488:47.2,33'},
[26860]={[0]='Conqueror Krenna',[1]='490:20.7,64.2'},
[26868]={[0]='Provisioner Lorkran',[1]='490:22.6,66.1'},
[26873]={[0]='Mage-Commander Evenstar',[1]='488:40.26,66.85'},
[26875]={[0]='Lieutenant Dumont',[1]='490:31.84,60.17'},
[26878]={[0]='Rodney Wells',[1]='488:77.01,49.79'},
[26881]={[0]='Palena Silvercloud',[1]='488:29.2,55.4'},
[26883]={[0]='Raegar Breakbrow',[1]='490:77.09,48.65'},
[26884]={[0]='Harkor',[1]='490:73.76,34.02'},
[26885]={[0]='Mountaineer Kilian',[1]='490:76.97,48.44'},
[26886]={[0]='Kraz',[1]='490:73.91,34.13'},
[26896]={[0]='Nozzlerust Supply Runner',[1]='488:48.46,24.13'},
[26905]={[0]='Brom Brewbaster',[1]='491:58.2,62.1'},
[26914]={[0]='Benjamin Clegg',[1]='491:58.6,62.8'},
[26917]={[0]='Alexstrasza the Life-Binder',[1]='488:59.84,54.66'},
[26924]={[0]="Gan'jo",[1]='490:69.42,19.48'}, -- need to have "On the Other Side" buff to see him
[26932]={[0]='Petrov',[1]='490:55.13,23.38'},
[26935]={[0]='Sasha',[1]='490:57.52,41.26'},
[26944]={[0]='Soulok Stormfury',[1]='490:65,47.8'},
[26949]={[0]='Torastrasza',[1]='488:59.52,53.30'},
[26953]={[0]='Thomas Kolichio',[1]='491:78.6,29.4 491:78.7,29.5'},
[26964]={[0]='Alexandra McQueen',[1]='491:79.4,30.7'},
[26969]={[0]='Raenah',[1]='486:41.6,53.4 486:41.6,53.5'},
[26972]={[0]='Orn Tenderhoof',[1]='486:42,54.2'},
[26973]={[0]='Warden Jodi Moonsong',[1]='488:29.18,55.64'},
[26978]={[0]='Duane',[1]='488:64.42,26.94 488:64.47,26.34'},
[26979]={[0]='Kontokanis',[1]='488:46.7,33.4 488:46.7,33.5'},
[26983]={[0]='Aurastrasza',[1]='488:60.02,55.20'},
[26989]={[0]='Rollick MacKreel',[1]='486:57.92,71.54'},
[27001]={[0]='Darin Goodstitch',[1]='486:57.5,72.3'},
[27028]={[0]='Hansel Bauer',[1]='488:76,62'},
[27037]={[0]="Hidetrader Jun'ik",[1]='490:22,65.1'},
[27060]={[0]='Courier Lanson',[1]='488:28.9,56.1'},
[27102]={[0]='Gorgonna',[1]='490:20.9,64.1 490:23.3,64.9'},
[27120]={[0]='Raider Captain Kronn',[1]='490:26.4,65.7 490:26.5,65.8'},
[27136]={[0]='High Commander Halford Wyrmbane',[1]='488:78.49,48.34 488:78.64,48.09'},
[27155]={[0]='Commander Lynore Windstryke',[1]='488:78.64,48.18'},
[27156]={[0]='Highlord Leoric Von Zeldig',[1]='488:77.80,50.33'},
[27157]={[0]='Duke August Foehammer',[1]='488:89.67,46.37'},
[27158]={[0]='Vas the Unstable',[1]='488:78.91,45.33'},
[27159]={[0]='Siege Engineer Quarterflash',[1]='488:77.84,50.29'},
[27172]={[0]='Chief Plaguebringer Middleton',[1]='488:77.7,62.7'},
[27215]={[0]='Boxey Boltspinner',[1]='HB 27:47,39'},	-- bogus location
[27221]={[0]='Tormak the Scarred',[1]='490:65.2,47.4 490:65.2,47.5'},
[27227]={[0]='Prospector Rokar',[1]='490:65.1,47.3'},
[27243]={[0]='High Executor Wroth',[1]='488:76.8,63.2'},
[27248]={[0]='Apothecary Vicky Levine',[1]='488:77,62.9'},
[27255]={[0]='Nishera the Garden Keeper',[1]='488:64.10,71.99 488:62.98,72.15 488:62.52,73.64 488:62.59,74.92 488:63.63,75.99 488:64.77,72.52 488:65.01,73.52 488:64.92,75.39 488:64.68,76.36'},
[27262]={[0]='Windseer Grayhorn',[1]='490:22.5,62.9'},
[27266]={[0]='Sergeant Thurkin',[1]='490:22.2,64.7'},
[27267]={[0]='Quartermaster Bartlett',[1]='488:76,63.2'},
[27277]={[0]='Master Woodsman Anderhol',[1]='490:32.10,59.97'},
[27295]={[0]='Hierophant Thayreen',[1]='490:31.16,59.47'},
[27314]={[0]='Zelig the Visionary',[1]='488:79.14,47.17'},
[27316]={[0]='Inquisitor Hallard',[1]='488:76.75,47.52 488:76.79,47.35'},
[27317]={[0]='Gryphon Commander Urik',[1]='488:77.10,50.11'},
[27318]={[0]='Cavalier Durkon',[1]='488:79.07,53.20'},
[27319]={[0]='Yord "Calamity" Icebeard',[1]='488:85.86,51.02'},
[27320]={[0]='Deathguard Molder',[1]='488:76.4,62.6 488:76.5,62.6 488:77.3,62.2 488:77.6,61.9'},
[27337]={[0]='Spy Mistress Repine',[1]='488:76.8,63.1'},
[27347]={[0]='Orik Trueheart',[1]='488:87.17,57.48'},
[27348]={[0]='Tilda Darathan',[1]='488:87.24,57.39'},
[27350]={[0]='Agent Skully',[1]='488:73.6,73.4 488:73.6,73.5'},
[27371]={[0]='Synipus',[1]='490:39.54,43.56'},
[27388]={[0]='Sergeant Nazgrim',[1]='490:21,64.1'},
[27391]={[0]='Woodsman Drake',[1]='490:32.42,59.95'},
[27412]={[0]='Slinkin the Demo-gnome',[1]='488:81.52,42.20'},
[27416]={[0]='Pipthwack',[1]='490:39.64,43.37'},
[27422]={[0]='Lurz',[1]='490:34.4,32.7 490:34.5,32.6'},
[27423]={[0]='Grekk',[1]='490:34.5,32.6'},
[27451]={[0]='Commander Bargok',[1]='490:34.4,33 490:34.5,33'},
[27464]={[0]='Aumana',[1]='490:33.9,32.8'},
[27468]={[0]='Sergeant Hartsman',[1]='490:39.36,43.87'},
[27469]={[0]='Ivan',[1]='490:34.77,55.61'},
[27484]={[0]='Rheanna',[1]='490:40.48,42.65'},
[27486]={[0]='Sergei',[1]='490:26.47,35.77'},
[27495]={[0]='Barblefink',[1]='490:23.02,80.16'},
[27497]={[0]='Captured Trapper',[1]='490:21.93,29.93'},
[27499]={[0]='Caged Prisoner',[1]='490:26.46,31.76'},
[27506]={[0]='Ceristrasz',[1]='488:52.21,50.04'},
[27520]={[0]='Baron Freeman',[1]='490:22.18,81.23'},
[27532]={[0]='General Khazgar',[1]='490:10.1,77.2'},
[27545]={[0]='Katja',[1]='490:25.61,33.31'},
[27546]={[0]='Silverbrook Hunter',[1]='490:35.39,66.89 H:100036940'},
[27562]={[0]='Lieutenant Stuart',[1]='490:22.12,81.25'},
[27563]={[0]='Centurion Kaggrum',[1]='490:10.1,77.2'},
[27565]={[0]='Gurtor',[1]='490:11.2,76.6'},
[27575]={[0]='Lord Afrasastrasz',[1]='488:59.24,54.32'},
[27581]={[0]='Ruuna the Blind',[1]='490:44.04,47.95'},
[27582]={[0]='Private Arun',[1]='490:59.18,26.18'},
[27602]={[0]='Sergeant Downey',[1]='490:21.99,80.73'},
[27606]={[0]='Stone Guard Ragetotem',[1]='490:11.3,76.7'},
[27646]={[0]='Anya',[1]='490:64.80,43.41'},
[27648]={[0]='Phantasmal Naga',[1]='29:54.2,24.1 61:78,73.5 528:44.8,46.2 528:44.8,46.6 528:50,56.8 528:53.5,44.2 528:53.9,45 528:23.8,34.1 528:24.1,31.2 528:24.1,35.9 528:24.4,34.5 528:24.5,32.2 528:24.7,38 528:24.9,29.1 528:24.9,29.8 528:24.9,36 528:25,33 528:25,35.1 528:25.2,30.2 528:25.3,31.1 528:25.3,32.1 528:25.4,33.5 528:25.4,33.8 528:25.4,35 528:25.4,35.6 528:25.5,29.2 528:25.5,32 528:25.5,33 528:25.5,34 528:25.5,34.6 528:25.5,35.4 528:25.7,30.2 528:25.7,31 528:25.7,34.2 528:25.7,35.7 528:25.8,30.4 528:25.8,30.8 528:26.1,32.7 528:27,34.1 528:27.2,31.9 528:27.2,32.9 528:27.2,34.7 528:49.2,88.9 528:49.7,90 528:50.1,86 528:50.4,87.2 528:50.4,88.1 528:50.4,88.8 528:50.5,89 528:50.7,86.2 528:50.8,85 528:51.1,87.6 528:51.3,86.8 528:51.4,86.8 528:51.6,86.6 528:51.8,87.5 528:51.9,87.8 528:52,86.8 528:52.1,86.3 528:52.3,85.4 528:52.6,84.8 528:52.9,86 528:53.1,86.9 528:53.2,87.2 528:53.7,86.6 528:68.2,23.3 528:68.7,24.3 528:69.2,24.9 528:69.8,24.9 528:69.9,27.5 528:70.2,25.9 528:70.3,26.9 528:70.5,27.7 528:70.6,26.9 528:70.7,26.3 528:70.7,28.8 528:70.8,25.4 528:71.5,26 528:71.6,25.6 528:71.8,24.8 605:56,76.2 605:56.4,77 605:56.7,76.4 605:57.1,77 759:55.7,18.3 759:56.3,20.2'},
[27658]={[0]='Belgaristrasz',[1]='528:48.2,80.7 528:48.4,80.1 528:48.9,80.4 528:49,80.9 528:49.4,79 528:49.4,79.7 528:49.4,80.6 528:49.6,80.7 528:49.8,79 528:49.9,78.4 528:49.9,79.8 528:50,79.2 528:50,80.3 528:50,81.5 528:50.1,80.8 528:50.1,81.8 528:50.5,80 528:50.5,80.6 528:50.6,80.1 528:50.9,79.2 528:51.5,79.2'},
[27708]={[0]='General Gorlok',[1]='490:14.8,86.4 490:14.8,86.5'},
[27719]={[0]='Grennix Shivwiggle',[1]='490:22.4,63.9'},
[27720]={[0]="Bookie Vel'jen",[1]='490:22.3,64.1'},
[27759]={[0]='Commander Howser',[1]='490:14.8,86.6 490:14.9,86.4'},
[27763]={[0]='Vargastrasz',[1]='488:43,50.9'},
[27765]={[0]='Nalice',[1]='488:60.07,54.20'},
[27783]={[0]='Scout Captain Carter',[1]='490:29.91,59.78'},
[27784]={[0]='Commander Eligor Dawnbringer',[1]='488:76.81,47.52 488:76.67,47.37 488:76.80,47.07 488:76.99,47.27 488:76.85,47.33'},
[27785]={[0]='Lord Itharius',[1]='488:59.61,54.46'},
[27801]={[0]='Avatar of Freya',[1]='493:64.4,48.7 493:64.5,48.4 493:64.5,48.7'},
[27803]={[0]='Lauriel Trueblade',[1]='488:60.00,55.08'},
[27804]={[0]='Golluck Rockfist',[1]='488:58.1,55.4 488:58.3,55.8 488:58.6,56.3 488:58.7,56.5'},
[27828]={[0]='Plunderbeard',[1]='488:84.17,54.68'},
[27844]={[0]='Legion Commander Tyralion',[1]='488:64.74,27.93'},
[27856]={[0]='Chromie',[1]='488:60.00,54.51'},
[27857]={[0]='Legion Commander Yorik',[1]='488:81.17,50.65'},
[27872]={[0]='Highlord Bolvar Fordragon',[1]='488:37.80,23.41'},
[27915]={[0]='Chromie',[1]='521:47.7,39.3 521:47.7,39.9 521:47.8,39.3 521:47.9,40.5 521:47.7,39.9'},
[27922]={[0]='Ranger Captain Areiel',[1]='491:67.4,60.5 491:67.5,60.6'},
[27986]={[0]='Hemet Nesingwary',[1]='493:27.1,58.7'},
[27987]={[0]='Monte Muzzleshot',[1]='493:39.6,58.4 493:39.7,58.6'},
[27990]={[0]='Krasus',[1]='488:59.79,54.70'},
[28012]={[0]='Image of Belgaristrasz',[1]='528:48.1,49.3 528:48.3,48.2 528:48.3,50 528:48.3,50.5 528:48.4,39.7 528:48.6,48.3 528:48.9,38.4 528:48.9,39 528:49,39.8 528:49.2,51 528:49.4,47 528:41.5,19.1 528:41.9,18.6 528:42.3,23.6 528:42.8,19.1 528:42.8,19.9 528:42.9,19.6 528:42.9,23.1 528:42.9,23.8 528:43.2,24.8 528:43.3,16.7 528:43.9,17.2 528:44,23.9 528:44.1,17.8 528:44.1,25.4 528:44.2,21.2 528:44.2,22 528:44.3,17.8 528:44.3,18.7 528:44.3,21.9 528:44.4,20.4 528:44.4,20.8 528:44.4,22.5 528:44.4,23.1 528:44.5,18.2 528:44.6,15.5 528:44.6,24.1 528:44.7,19.7 528:44.7,22.2 528:44.9,25.1 528:45.1,25.6 528:45.1,26.5 528:45.2,15 528:45.2,18.3 528:45.2,21.1 528:45.2,21.2 528:45.2,22.5 528:45.3,18.8 528:45.3,19.6 528:45.3,21.7 528:45.3,25.7 528:45.4,17.2 528:45.4,19.3 528:45.4,22.8 528:45.4,24.2 528:45.5,20.4 528:45.6,26.7 528:45.7,21.8 528:45.7,25.7 528:45.8,15.1 528:45.9,17.1 528:45.9,18.4 528:45.9,23.4 528:45.9,25.5 528:46,15.7 528:46,23.9 528:46,24.7 528:46.1,23.1 528:46.1,24 528:46.1,27.1 528:46.2,16.8 528:46.2,21.1 528:46.2,27.6 528:46.3,19.1 528:46.3,20.3 528:46.3,21.1 528:46.3,21.6 528:46.3,24.8 528:46.4,18.1 528:46.4,19 528:46.5,19.9 528:46.5,22.2 528:46.5,22.9 528:46.6,17.2 528:46.6,19.4 528:46.6,19.9 528:46.6,20.5 528:46.6,22.9 528:46.6,26.8 528:46.7,16 528:46.7,23.5 528:46.7,23.7 528:46.8,16.9 528:46.8,19.3 528:46.8,20.9 528:46.8,26.1 528:47,24.5 528:47,24.9 528:47.2,16.2 528:47.2,25.8 528:47.3,17.7 528:47.3,18.2 528:47.4,21.6 528:47.5,20.8 528:47.5,21.9 528:47.5,22.1 528:47.5,23.3 528:47.5,24.8 528:47.6,24.7 528:47.7,18.3 528:47.7,20.4 528:47.7,26.6 528:47.8,21.3 528:47.8,22.9 528:47.8,23.5 528:47.8,26 528:47.9,17.4 528:48,18 528:48,19.3 528:48,19.8 528:48,23.5 528:48.3,19.2 528:48.6,21.2 528:48.7,16 528:48.8,19.9 528:48.9,22.4 528:49,23 528:49.2,20.5 528:49.2,25.9 528:49.3,21.8 528:31.1,34.6 528:31.2,38.3 528:31.3,41 528:31.5,39.8 528:31.7,41 528:31.8,37.8 528:31.8,39.7 528:31.9,38.5 528:31.9,40.5 528:32,32.3 528:32,37.3 528:32.1,32.8 528:32.2,33.1 528:32.2,39 528:32.3,37.7 528:32.4,33.8 528:32.4,34.8 528:32.4,37.1 528:32.5,39.2 528:32.5,52.5 528:32.6,33.5 528:32.6,41.5 528:32.7,38.6 528:32.8,36.5 528:32.8,36.9 528:32.8,39.7 528:32.9,32.4 528:32.9,33.4 528:32.9,35.5 528:32.9,53 528:33,33.4 528:33,34.2 528:33,38.3 528:33,50.5 528:33.1,37.7 528:33.1,43.4 528:33.1,48.4 528:33.1,52.4 528:33.2,29.3 528:33.2,56.3 528:33.3,30.3 528:33.3,30.9 528:33.3,34.5 528:33.3,35.3 528:33.3,40.7 528:33.3,41 528:33.3,49.3 528:33.5,39 528:33.5,39.1 528:33.5,52.1 528:33.6,50.8 528:33.6,54.3 528:33.7,48.1 528:33.8,36.7 528:33.8,41.3 528:33.8,48 528:33.8,48.6 528:33.8,56.3 528:33.9,33.3 528:33.9,33.6 528:33.9,39.8 528:33.9,44.3 528:33.9,44.6 528:33.9,52.9 528:34,36 528:34,42.5 528:34,51.2 528:34.1,31.4 528:34.1,33.5 528:34.1,38 528:34.1,38.3 528:34.1,42.1 528:34.1,43.3 528:34.2,31.2 528:34.2,33 528:34.2,35.1 528:34.2,36.9 528:34.2,40.8 528:34.2,47.4 528:34.2,53.4 528:34.2,54.1 528:34.2,57.8 528:34.3,31.6 528:34.3,32 528:34.3,44.1 528:34.3,47.3 528:34.3,49.1 528:34.3,51.8 528:34.3,55.1 528:34.4,35.2 528:34.4,36.4 528:34.4,42 528:34.4,46.3 528:34.4,50.1 528:34.4,50.4 528:34.4,57.2 528:34.5,30 528:34.5,34.1 528:34.5,40.3 528:34.5,52.9 528:34.5,56.6 528:34.6,31.5 528:34.6,36.6 528:34.6,42.8 528:34.6,54 528:34.7,47.5 528:34.7,48.1 528:34.7,54.7 528:34.8,44.1 528:34.8,46.2 528:34.8,48.9 528:34.9,38.3 528:34.9,46.8 528:34.9,50.5 528:34.9,52.8 528:34.9,54.5 528:34.9,57.9 528:34.9,58.2 528:35,33 528:35,35.4 528:35,42.5 528:35,50.3 528:35,55.7 528:35,56.4 528:35.1,29.8 528:35.1,31 528:35.1,37.8 528:35.1,38.6 528:35.1,40.1 528:35.1,40.8 528:35.1,45 528:35.1,45.6 528:35.1,47.1 528:35.1,54.1 528:35.1,57.3 528:35.2,32.4 528:35.2,32.9 528:35.2,36 528:35.2,37.2 528:35.2,39 528:35.2,40.8 528:35.2,42.1 528:35.2,42.4 528:35.2,44 528:35.2,50.9 528:35.3,28.7 528:35.3,34.1 528:35.3,51.7 528:35.3,51.9 528:35.3,59.4 528:35.4,31.1 528:35.4,36.4 528:35.4,45 528:35.4,49.8 528:35.5,38.8 528:35.5,45.2 528:35.5,46.8 528:35.5,57.6 528:35.5,58.4 528:35.6,32.9 528:35.6,37.8 528:35.6,38 528:35.6,47 528:35.6,47.6 528:35.7,33.4 528:35.7,39.3 528:35.7,43.2 528:35.7,48.8 528:35.7,55.9 528:35.8,34 528:35.8,35.2 528:35.8,35.8 528:35.8,43.5 528:35.8,50 528:35.8,52.2 528:35.9,29.9 528:35.9,41.8 528:35.9,46 528:35.9,48 528:35.9,49.1 528:35.9,56.9 528:35.9,58.7 528:36,30.5 528:36,39.5 528:36,41.2 528:36,52.4 528:36,53.8 528:36,59.2 528:36.1,36.8 528:36.1,46.2 528:36.1,50.6 528:36.1,52.9 528:36.2,28.5 528:36.2,29.9 528:36.2,36.1 528:36.2,36.8 528:36.2,42.2 528:36.2,43.3 528:36.2,50.8 528:36.2,55.3 528:36.2,56.7 528:36.3,27.2 528:36.3,28.4 528:36.3,30.9 528:36.3,32.3 528:36.3,44 528:36.3,50.1 528:36.3,54 528:36.3,60 528:36.3,60.2 528:36.4,32 528:36.4,34.1 528:36.4,35.2 528:36.4,40.3 528:36.4,41.1 528:36.4,44.9 528:36.4,52.7 528:36.4,54.6 528:36.4,55.5 528:36.5,35.8 528:36.5,43.1 528:36.5,45.2 528:36.6,37.6 528:36.6,52.4 528:36.6,58.3 528:36.6,59 528:36.7,29.4 528:36.7,46.1 528:36.7,50.7 528:36.8,29 528:36.8,36.7 528:36.8,38.3 528:36.8,40 528:36.8,41.3 528:36.8,41.7 528:36.8,52.3 528:36.8,53.2 528:36.8,56.9 528:36.9,36.3 528:36.9,49.6 528:36.9,53.3 528:36.9,60.5 528:37,31.8 528:37,32.6 528:37,38.8 528:37,41.3 528:37,41.9 528:37,45.1 528:37,46 528:37,46.6 528:37,47.6 528:37,53.9 528:37.1,30.7 528:37.1,32.9 528:37.1,43.5 528:37.1,47 528:37.1,54.5 528:37.1,57.2 528:37.1,57.5 528:37.2,27.3 528:37.2,33.9 528:37.2,35 528:37.2,43.2 528:37.2,47.8 528:37.2,55.4 528:37.2,55.7 528:37.2,58.5 528:37.2,59.6 528:37.3,28.1 528:37.3,31.2 528:37.3,32.3 528:37.3,33.9 528:37.3,39.6 528:37.3,44.1 528:37.3,48.7 528:37.3,56 528:37.4,27.6 528:37.4,30 528:37.4,30.3 528:37.4,34.8 528:37.4,36.6 528:37.4,39.3 528:37.4,49.3 528:37.4,49.7 528:37.4,51.1 528:37.4,54.3 528:37.5,29.4 528:37.5,33.3 528:37.5,36 528:37.5,37.2 528:37.5,45.3 528:37.5,46.6 528:37.5,54.8 528:37.5,59.4 528:37.6,28.4 528:37.6,31.8 528:37.6,32 528:37.6,39.5 528:37.6,56 528:37.7,30.3 528:37.7,34.4 528:37.7,38.9 528:37.7,39.9 528:37.7,40.8 528:37.7,43.4 528:37.7,43.6 528:37.7,53.1 528:37.8,31.2 528:37.8,31.3 528:37.8,41.5 528:37.8,44.5 528:37.8,45.7 528:37.8,52.4 528:37.8,54.9 528:37.9,34.8 528:37.9,38.3 528:37.9,42.2 528:37.9,43.3 528:37.9,46.8 528:37.9,49 528:37.9,51.8 528:37.9,53.9 528:37.9,61.7 528:38,28.6 528:38,32.7 528:38,35.4 528:38,43.8 528:38,45.6 528:38,47.7 528:38,50.2 528:38,56.6 528:38.1,25.6 528:38.1,33.8 528:38.1,40.7 528:38.1,57.8 528:38.2,35.5 528:38.2,48.4 528:38.2,48.7 528:38.2,58.1 528:38.3,39.3 528:38.3,51.2 528:38.3,52.8 528:38.3,56.6 528:38.4,27 528:38.4,36.7 528:38.4,37.7 528:38.4,50.4 528:38.4,51 528:38.4,55.5 528:38.5,28.5 528:38.5,31.3 528:38.5,31.5 528:38.5,34.4 528:38.5,37 528:38.5,39.2 528:38.5,41 528:38.5,43.5 528:38.5,44.4 528:38.5,49.7 528:38.5,55.6 528:38.5,61.1 528:38.6,27.9 528:38.6,29.4 528:38.6,33.1 528:38.6,34.4 528:38.6,35 528:38.6,37.1 528:38.6,42.9 528:38.6,46.7 528:38.6,50.5 528:38.6,50.6 528:38.6,51.6 528:38.6,54.1 528:38.6,56 528:38.7,28 528:38.7,30.2 528:38.7,35.6 528:38.7,38.6 528:38.7,42.5 528:38.7,55.3 528:38.8,30.2 528:38.8,37.5 528:38.8,41.3 528:38.8,51.9 528:38.8,54.3 528:38.8,58.2 528:38.9,35.2 528:38.9,35.6 528:38.9,37.9 528:38.9,40.1 528:38.9,41.6 528:38.9,53.3 528:38.9,59.7 528:39,32.9 528:39,52.8 528:39,55.1 528:39.1,27.1 528:39.1,27.3 528:39.1,31.2 528:39.1,31.8 528:39.1,39.8 528:39.1,44.9 528:39.2,57.3 528:39.2,58.9 528:39.3,26 528:39.3,56.5 528:39.3,58.8 528:39.4,42.2 528:39.5,26.6 528:39.5,30.9 528:39.5,55.3 528:39.5,58.4 528:39.6,30.2 528:39.6,32.2 528:39.6,35.5 528:39.6,39.3 528:39.6,39.9 528:39.6,53 528:39.6,55.6 528:39.6,59.8 528:39.7,28.6 528:39.7,30.8 528:39.7,36.7 528:39.7,38.4 528:39.7,45.4 528:39.8,25.9 528:39.8,34.5 528:39.9,31.8 528:39.9,53.6 528:40,27.8 528:40,34.7 528:40,55.1 528:40.1,33.4 528:40.1,34.2 528:40.1,36.3 528:40.1,38 528:40.1,56.7 528:40.1,58.8 528:40.2,57.4 528:40.3,28.3 528:40.3,28.8 528:40.3,34 528:40.3,55.7 528:40.4,30 528:40.4,33.4 528:40.4,37.2 528:40.4,57.7 528:40.5,25.3 528:40.5,28.3 528:40.5,33.6 528:40.6,28.9 528:40.6,31.8 528:40.6,33.6 528:40.6,34.7 528:40.6,57.2 528:40.6,57.5 528:40.6,59.4 528:40.7,27.1 528:40.7,29 528:40.7,31.4 528:40.7,32.2 528:40.7,33.2 528:40.7,35.1 528:40.8,36.5 528:40.8,55.4 528:40.8,56.1 528:40.9,30.2 528:40.9,58.5 528:41,27.1 528:41,36.6 528:41,56 528:41,58 528:41.1,28.2 528:41.1,29.5 528:41.1,35.8 528:41.1,35.9 528:41.1,54.6 528:41.1,56.7 528:41.2,25.8 528:41.2,59.6 528:41.3,31.3 528:41.4,25 528:41.4,26.2 528:41.4,33.2 528:41.5,25.1 528:41.5,29.2 528:41.5,31.9 528:41.5,58.2 528:41.6,56.1 528:41.7,58.5 528:41.8,27.8 528:41.8,29.5 528:41.8,31 528:41.8,57.8 528:41.8,58.6 528:41.9,25.7 528:41.9,28.4 528:42,26.6 528:42,26.9 528:42,56.7 528:42,60 528:42.1,35.8 528:42.2,29 528:42.3,30.5 528:42.4,26 528:42.4,59.5 528:42.4,60.6 528:42.5,25.5 528:42.5,26.9 528:42.5,27.2 528:42.6,56.8 528:42.6,57 528:42.6,60.1 528:42.7,27.8 528:42.7,28.6 528:42.7,58.4 528:42.7,59 528:42.7,60.1 528:42.8,56.2 528:42.8,64.1 528:42.8,65 528:42.9,24.9 528:42.9,58.6 528:43,26.3 528:43,28.7 528:43,30.9 528:43.1,63.2 528:43.3,23.6 528:43.3,25.4 528:43.3,28.1 528:43.3,29.5 528:43.4,23.2 528:43.4,60.5 528:43.5,18.2 528:43.5,24.4 528:43.5,29.2 528:43.5,58.7 528:43.6,22.9 528:43.6,23.9 528:43.6,25.1 528:43.6,30.8 528:43.6,60 528:43.6,63.8 528:43.7,26.1 528:43.7,27.4 528:43.7,61.4 528:43.8,30.4 528:44,20.7 528:44,29.2 528:44,61.8 528:44.2,19.4 528:44.2,21.6 528:44.2,24.8 528:44.2,28 528:44.2,59.9 528:44.3,26 528:44.3,64.9 528:44.4,27.4 528:44.5,58.4 528:44.6,59.9 528:44.7,19.9 528:44.7,23.6 528:44.7,26.8 528:44.7,30.7 528:44.8,25 528:44.8,28.9 528:44.8,62.2 528:44.9,20.8 528:44.9,23.3 528:44.9,26.4 528:44.9,57.3 528:44.9,65.7 528:45,23.2 528:45,26.2 528:45.1,22.2 528:45.1,57 528:45.2,20.9 528:45.2,24.3 528:45.2,65 528:45.4,20.3 528:45.4,21.5 528:45.4,25 528:45.4,62.7 528:45.6,25.1 528:45.6,26.5 528:45.7,22.1 528:45.7,23.9 528:45.8,21 528:45.8,24.3 528:45.8,60.3 528:45.9,22.5 528:45.9,60.6 528:46,19.1 528:46,20.7 528:46,22.4 528:46,64.9 528:46.1,20 528:46.1,20.1 528:46.1,61.9 528:46.1,66.9 528:46.2,61.2 528:46.3,23.4 528:46.3,26.3 528:46.4,25.1 528:46.4,26.5 528:46.5,17.9 528:46.5,19.2 528:46.6,66.1 528:46.7,18.3 528:46.7,18.8 528:46.7,62.1 528:46.8,19.6 528:46.8,64.4 528:46.9,25.9 528:46.9,63.3 528:47,20.6 528:47,23 528:47.1,21.6 528:47.2,20.2 528:47.2,24.2 528:47.3,20.9 528:47.3,22 528:47.3,23.2 528:47.3,25.3 528:47.3,65.1 528:47.4,24.1 528:47.5,21.9 528:47.5,23 528:47.6,23.9 528:47.7,17.5 528:47.7,22.4 528:47.7,24.8 528:47.9,19.4 528:47.9,24.9 528:48,19.4 528:48,20 528:48,23 528:48.1,64.3 528:48.2,18 528:48.2,63.6 528:48.3,20.9 528:48.4,23.6 528:48.5,22.9 528:48.5,64.6 528:48.6,21.9 528:48.6,22.2 528:48.6,23.4 528:48.6,23.8 528:48.6,25.2 528:48.7,19.9 528:48.8,21.4 528:48.9,25.7 528:48.9,65.6 528:49,25.3 528:49,59.7 528:49.1,62.1 528:49.2,25.5 528:49.3,23.8 528:49.5,19.7 528:49.5,23 528:49.5,23.9 528:49.5,60.5 528:49.7,22.8 528:49.7,62.8 528:49.8,22 528:49.8,25.2 528:50,26.5 528:50.1,24.9 528:50.2,59.3 528:50.2,60.1 528:50.2,61.6 528:50.3,20.5 528:50.5,18.7 528:50.5,22 528:50.6,27.2 528:50.6,61.9 528:50.7,23.3 528:50.7,23.9 528:50.8,61.5 528:50.9,61.4 528:51,24.9 528:51,25.7 528:51,57.2 528:51,58.3 528:51,61.1 528:51.1,26.5 528:51.2,24.9 528:51.2,59.4 528:51.2,60.3 528:51.3,23.9 528:51.4,23.1 528:51.5,22.3 528:51.5,60.9 528:51.6,25.2 528:51.6,59.2 528:51.9,57.8 528:51.9,59.3 528:51.9,64 528:52.1,27.1 528:52.1,59.8 528:52.2,28.7 528:52.4,27.9 528:52.4,57.1 528:52.5,63.7 528:52.6,25.5 528:52.7,57.8 528:52.8,24.9 528:52.8,29 528:53.2,25.3 528:53.3,59 528:53.5,24.6 528:53.5,61.7 528:53.6,55.4 528:53.6,62.5 528:53.7,56.2 528:53.8,25.7 528:53.9,26.1 528:53.9,57 528:53.9,58.9 528:54,29.8 528:54,60.2 528:54.1,57.8 528:54.2,61.2 528:54.5,28 528:54.6,56.9 528:54.6,60.1 528:54.7,57.5 528:54.8,28.7 528:55,25.9 528:55.1,58.8 528:55.1,61.4 528:55.3,59.1 528:55.6,26.1 528:55.7,58.4 528:55.8,57 528:56.1,30.2 528:56.5,31.3 528:56.9,30.7 528:56.9,32.2 528:57,56.3 528:57.2,30.1 528:57.4,33.4 528:57.5,31.2 528:57.5,54.8 528:57.7,29.5 528:57.7,34.3 528:57.7,53.1 528:57.9,35 528:58.1,31.6 528:58.1,54.3 528:58.1,56.3 528:58.2,28.7 528:58.2,50.3 528:58.4,47.7 528:58.7,30.9 528:58.7,32.1 528:58.7,48 528:58.8,29.1 528:58.8,33.9 528:58.8,50.2 528:58.8,50.8 528:58.8,53.3 528:58.9,47.2 528:59,55.1 528:59.2,54.2 528:59.3,49.7 528:59.3,51.9 528:59.3,55.4 528:59.3,56 528:59.4,30.3 528:59.4,55.8 528:59.5,35 528:59.5,51.2 528:59.6,30.9 528:59.6,49.3 528:59.6,50.8 528:59.7,42.3 528:59.7,54.2 528:59.7,56.5 528:59.8,35.7 528:59.8,42.9 528:59.8,47.2 528:59.8,48 528:59.8,50.3 528:59.9,32.1 528:59.9,43.5 528:59.9,50.2 528:60,41.1 528:60,48.8 528:60,52 528:60.1,57.6 528:60.2,56.4 528:60.3,32.9 528:60.4,58.7 528:60.5,50.1 528:60.5,52.7 528:60.7,31.1 528:60.7,33.6 528:60.8,32.1 528:60.9,36.1 528:61,33.1 528:61,35.1 528:61,49.9 528:61.1,50.5 528:61.1,58.2 528:61.5,52.4 528:61.5,53.2 528:61.8,34.7 528:62.1,53.7 528:62.6,52 528:63.1,47.9 528:63.7,47.9'},
[28016]={[0]='Drakuru',[1]='534:50.1,12.4 534:50.2,13.3 534:50.3,13.2 534:50.3,13.8 534:50.4,13.6 534:50.8,12.4 534:50.8,13.4 534:50.9,13 534:50.9,14.1 534:51,13.5 534:51.5,12.7 534:51.5,14.1 534:51.6,13.4 534:52.4,13.8 534:52.5,13.1 534:52.7,13.6 534:52.8,13.3 534:53.3,13.6 534:53.8,12.4 534:53.9,12.8 534:53.9,13.5 534:54,13.2 534:54.5,13.4 534:54.6,13.2 534:54.6,13.6 534:55,12.3 534:55.1,13.5 534:55.7,12.3 534:55.7,13.7 534:55.8,12.9 534:55.8,13.6 534:56,13 534:56.5,13.8 534:56.6,13 534:56.8,13.3 534:57,13.7 534:57,14.9 534:57,17.5 534:57.2,18.1 534:57.3,14.9 534:57.4,15.5 534:57.4,16.3 534:57.4,18.7 534:57.6,18.8 534:57.7,17 534:57.7,20 534:57.8,17.6 534:57.9,16.1 534:57.9,17.6 534:58,13.8 534:58,14.1 534:58.1,13.2 534:58.1,14.7 534:58.1,19.9 534:58.2,17.1 534:58.3,12.3 534:58.3,12.4 534:58.3,12.8 534:58.3,14.9 534:58.3,18.8 534:58.4,15.9 534:58.6,11.8 534:58.6,19.4 534:58.7,11.2 534:58.7,16.5 534:58.7,17.7 534:58.7,19.9 534:58.8,16 534:58.9,11.8 534:58.9,13.8 534:58.9,15.9 534:59,15.3 534:59,18.2 534:59,19.8 534:59.1,14.6 534:59.2,14.1 534:59.2,18.5 534:59.3,11.3 534:59.3,17 534:59.4,12.9 534:59.4,13 534:59.5,12.3 534:59.5,13.6 534:59.5,16.4 534:59.6,15.3 534:59.6,17.3 534:59.6,17.9 534:59.6,19.1 534:59.7,17.8 534:59.8,11 534:59.8,13.4 534:59.9,16.6 534:60,11 534:60.1,12.8 534:60.1,16 534:60.2,15.4 534:60.3,11.6 534:60.3,14.2 534:60.6,13.5 534:60.6,13.8 534:60.6,14.7 534:60.6,15 534:60.7,13 534:60.8,12.4 534:60.9,12.1 534:61,12.7 534:38.2,12.6 534:38.2,13.5 534:38.3,12.6 534:38.4,13.9 534:38.7,13.2 534:38.8,13.5 534:38.9,12.7 534:39,12.3 534:39.2,13.8 534:39.8,14.2 534:40,13.4 534:40.1,13.4 534:40.1,14 534:40.5,13.1 534:40.5,14.6 534:40.6,13.5 534:40.7,13.6 534:41.1,13.2 534:41.7,13.5 534:41.8,13.1 534:41.9,13.8 534:42.3,12.9 534:42.5,13.5 534:42.6,13.4 534:43,14 534:43.2,12.4 534:43.4,13 534:43.5,13.3 534:43.5,13.4 534:43.6,11 534:43.7,13.5 534:44.1,13.6 534:44.1,16.1 534:44.2,12.4 534:44.3,14.7 534:44.3,15 534:44.4,16.8 534:44.7,13.6 534:44.7,13.7 534:44.7,15 534:44.8,14.5 534:44.9,15.6 534:45,15.6 534:45.2,19.3 534:45.2,19.7 534:45.3,13.3 534:45.3,17 534:45.3,18.9 534:45.3,19.5 534:45.4,13.2 534:45.4,16.8 534:45.4,17.7 534:45.4,17.8 534:45.5,17.7 534:45.9,13.5 534:45.9,16.7 534:45.9,18.6 534:46,18.9 534:46.1,15.9 534:46.2,11.1 534:46.2,12.7 534:46.2,13.9 534:46.3,12.2 534:46.3,14.5 534:46.3,14.8 534:46.3,15.5 534:46.3,16.5 534:46.4,12.1 534:46.4,12.9 534:46.4,19.6 534:46.4,19.8 534:46.5,18.8 534:46.5,19.2 534:46.5,20 534:46.6,13.2 534:46.6,15.2 534:46.7,17.1 534:46.7,19.9 534:46.8,11.3 534:46.8,18.1 534:46.9,11.1 534:46.9,11.8 534:46.9,14.7 534:46.9,17.9 534:47,12.1 534:47,15.5 534:47.1,14.1 534:47.1,17.3 534:47.2,13.9 534:47.4,12.8 534:47.4,15.6 534:47.5,11.4 534:47.5,15.5 534:47.5,18.7 534:47.6,11.8 534:47.6,14 534:47.6,16.8 534:47.7,16.6 534:47.7,20.2 534:47.8,12.2 534:47.8,14 534:47.8,16 534:47.9,11.2 534:48.1,13.4 534:48.1,14.7 534:48.1,17.9 534:48.2,15.2 534:48.3,13.4 534:48.5,14.4 534:48.5,14.6 534:48.6,12.2 534:48.7,14.5 534:48.9,12.4 534:48.9,12.7 534:49,12.6 534:49,13.7'},
[28027]={[0]='High-Oracle Soo-say',[1]='493:54.4,56.4 493:54.5,56.4'},
[28030]={[0]="Quetz'lun's Spirit",[1]='496:75.3,58.6'},
[28031]={[0]='Buck Cantwell',[1]='493:26.8,59.1'},
[28032]={[0]='Debaar',[1]='493:27.2,59.8'},
[28033]={[0]='Weslex Quickwrench',[1]='493:25.4,58.4 493:25.4,58.5 493:25.5,58.4'},
[28039]={[0]='Commander Kunz',[1]='496:40.2,66.6'},
[28042]={[0]='Captain Brandon',[1]='496:48.8,78.8'},
[28043]={[0]='Captain Grondel',[1]='496:48.1,63.8'},
[28044]={[0]='Captain Rupert',[1]='496:58,72.5 496:58.1,72.4'},
[28045]={[0]='Captain Arnath',[1]='496:35.6,52.2'},
[28046]={[0]='Korg the Cleaver',[1]='493:26.8,59.6'},
[28056]={[0]='Sergeant Stackhammer',[1]='496:40.4,48.2 496:40.5,48.2'},
[28059]={[0]='Commander Falstaav',[1]='496:39.4,66.9 496:39.5,66.9'},
[28062]={[0]='Hexxer Ubungo',[1]='496:40.6,65.6'},
[28070]={[0]='Brann Bronzebeard',[1]='526:49.8,21.1 526:49.9,12.1 526:49.9,12.7 526:49.9,26.1 526:49.9,27.3 526:49.9,28.5 526:50,12.2 526:50,13.3 526:50,19.3 526:50,19.9 526:50,21.1 526:50,24.9 526:50,27.1 526:50,27.9 526:50,28.3 526:50.1,21.9 526:50.1,23.1 526:50.1,23.7 526:50.2,20.1 526:50.2,29.6 526:50.5,30.1 526:70.7,49 526:70.7,49.7 526:70.9,49 526:71,49.6 526:71.2,50.8 526:71.4,52 526:71.4,52.6 526:71.6,53.2 526:71.8,53.8 526:72.2,55 526:72.3,56.6 526:72.4,55.6 526:72.6,56.2 526:72.8,56.8 526:73.1,58 526:73.3,58.6 526:73.5,59.2 526:73.7,59.8 526:74.4,61 526:74.6,60.4 526:75,61.6 526:81.4,71 526:81.4,71.5 526:81.8,71.3 526:81.8,71.6 526:82.6,72.1 526:82.6,72.5 526:83.2,74.6 526:83.4,73.7 526:83.6,73.4 526:84,74.4 526:84,75.1 526:84.1,75 526:84.1,75.7 526:84.5,76.3'},
[28082]={[0]='High-Shaman Rakjak',[1]='493:55,69.2'},
[28092]={[0]='The Etymidian',[1]='201:47.4,9.2 201:47.5,9.2'},
[28095]={[0]='Tracker Gekgek',[1]='493:50.5,76.7'},
[28099]={[0]='Corporal Maga',[1]='496:40.4,48.2'},
[28106]={[0]='Shaman Jakjek',[1]='493:23.4,83.3 493:23.5,83.2'},
[28107]={[0]='Lightningcaller Soo-met',[1]='493:33.4,74.8 493:33.5,74.8'},
[28114]={[0]='Mistcaller Soo-gan',[1]='493:42.1,38.6'},
[28120]={[0]='Lafoo',[1]=''},
[28122]={[0]='Moodle',[1]='493:54.4,56.6 493:54.5,56.6'},
[28125]={[0]='Dr. Rogers',[1]='496:58.6,72.4 496:58.6,72.5'},
[28126]={[0]='Don Carlos',[1]='161:50.8,27.4 161:50.8,27.5 161:53.9,28.9'},
[28138]={[0]='Elder Harkek',[1]='493:55.49,69.68'},
[28160]={[0]='Archmage Pentarus',[1]='504:68.58,42.07'},
[28179]={[0]='Highlord Tirion Fordring',[1]='492:87.4,75.9 492:87.5,75.8'},
[28191]={[0]='Oracle Soo-rahm',[1]='493:25.5,66.5 493:25.6,66.4'},
[28204]={[0]='Apprentice Pestlepot',[1]='496:41.3,65.1'},
[28205]={[0]='Alchemist Finklestein',[1]='496:35.1,52.1'},
[28214]={[0]='Goregek the Gorilla Hunter',[1]=''},
[28216]={[0]='Zepik the Gorloc Hunter',[1]=''},
[28217]={[0]='Injured Rainspeaker Oracle',[1]='493:52.6,58.1 493:52.7,58.7 493:52.9,59.9 493:52.9,62.1 493:53.4,57 493:53.4,61.1 493:53.4,63.4 493:53.6,56.7 493:53.7,64 493:54.1,61.2 493:54.1,64.6 493:55.1,65 493:55.3,61.8 493:55.3,64.3 493:55.4,63 493:55.5,63 493:55.7,62.4 493:55.7,65 493:56.6,62.5 493:58.4,64.7'},
[28228]={[0]='Crusader Valus',[1]='488:83.98,26.10'},
[28244]={[0]='Eitrigg',[1]='496:40.8,66.7'},
[28266]={[0]='Professor Calvert',[1]='493:25.4,58.4 493:25.4,58.5 493:25.5,58.4 493:25.5,58.5'},
[28283]={[0]='Sergeant Moonshard',[1]='496:58.1,72.1'},
[28284]={[0]='Specialist Cogwheel',[1]='496:58.2,72.1'},
[28309]={[0]='Sub-Lieutenant Jax',[1]='496:40.2,68.9'},
[28314]={[0]='Longrunner Nanik',[1]='491:71.4,39.2 491:71.5,39.2'},
[28328]={[0]='Drostan',[1]='493:27.1,59.8'},
[28357]={[0]='Instructor Razuvious',[1]='502:47.6,28.9 502:47.7,29.5 502:48.2,28.4 502:48.9,27.4 502:48.9,27.5 502:49.5,28.1'},
[28374]={[0]='Zootfizzle',[1]='493:42.2,28.8'},
[28375]={[0]='Glrglrglr',[1]='486:37.84,23.19'},
[28376]={[0]='Dorian Drakestalker',[1]='493:42.3,28.8'},
[28377]={[0]='Prince Valanar',[1]='502:52.3,34 502:52.5,33.7'},
[28382]={[0]='Hotawa',[1]='486:67.27,54.85'},
[28401]={[0]="Har'koa",[1]='496:60.1,57.7 496:63.6,70.3'},
[28444]={[0]='Highlord Darion Mograine',[1]='502:48.7,29.3 502:48.9,29.9'},
[28464]={[0]='Cultist Corpse',[1]='493:65.1,60.3'},
[28472]={[0]='Lord Thorval',[1]='502:47.4,26.6 502:47.5,26.6'},
[28479]={[0]='Witch Doctor Khufu',[1]='496:59.4,57.9 496:59.5,58'},
[28480]={[0]='Element-Tamer Dagoda',[1]='496:59.4,56.4 496:59.4,56.5'},
[28484]={[0]='Scalper Ahunae',[1]='496:59.2,56.3'},
[28497]={[0]='Chad',[1]='493:26.9,59'},
[28503]={[0]='Overlord Drakuru',[1]='496:27.08,46.15',[2]='In Voltarus above Reliquary of Pain'},
[28510]={[0]='Scourge Commander Thalanor',[1]='502:50.9,35.5 502:51,35.3 502:51.3,34 502:51.6,34.3 502:51.6,34.8'},
[28518]={[0]='Stefan Vadu',[1]='496:14.06,73.80'},
[28519]={[0]='Withered Troll',[1]='496:21,70.2 H:100038660,100038673'},
[28527]={[0]="Chronicler To'kini",[1]='496:59.9,57.9'},
[28532]={[0]='Bloodrose Datura',[1]='496:14.28,74.04'},
[28561]={[0]='Spirit of Rhunok',[1]='496:53.4,39.2 496:53.5,39.1'},
[28568]={[0]='Tamara Wobblesprocket',[1]='493:50.4,62.1 493:50.5,62.1'},
[28589]={[0]='Gristlegut',[1]='496:19.87,75.45'},
[28647]={[0]='Orithos the Sky Darkener',[1]='502:52.4,37.8 502:52.6,37.6 502:53.1,36.4 502:53.1,36.9 502:53.5,36.5 502:53.6,36.4'},
[28653]={[0]='Salanar the Horseman',[1]='502:51.8,35.6 502:52.3,34.8 502:52.4,34.3 502:52.5,34.5 502:53.1,33.6 502:53.3,33.4'},
[28658]={[0]='Gothik the Harvester',[1]='502:54,35'},
[28667]={[0]='Jaloot',[1]='493:72.4,57.4 493:72.4,57.5 493:72.5,57.4 493:72.5,57.5'},
[28668]={[0]='Zepik the Gorloc Hunter',[1]='493:72,57.1'},
[28699]={[0]='Charles Worth',[1]='504:25.4,34.3 504:74.8,84.8 504:36.3,33.7 504:36.4,33.4 504:36.5,33.5 504:36.9,33.4'},
[28701]={[0]='Timothy Jones',[1]='504:15.8,91.2 504:26.7,34.7 504:75.4,85 504:39.8,34.9 504:40.5,35.1 504:40.5,35.5'},
[28703]={[0]='Linzy Blackbolt',[1]='504:27.3,33.8 504:75.6,84.6 504:41.8,31.4 504:41.9,32.6 504:42.4,32.1 504:42.5,32.1 504:43,30.4 504:43.2,30.5 504:43.5,31'},
[28705]={[0]='Katherine Lee',[1]='504[1]:40.4,65.9'},
[28706]={[0]='Olisarra the Kind',[1]='504:74.9,85.3 504:36.7,37.5 504:36.8,37.2 504:37.5,36.7'},
[28718]={[0]='Ranid Glowergold',[1]='504[1]:36.4,28.4'},
[28742]={[0]='Marcia Chase',[1]='504[1]:53.03,64.95'},
[28746]={[0]='Pilot Vic',[1]='493:50,61.4 493:50,61.5'},
[28771]={[0]='Colvin Norrington',[1]='493:42.1,28.6'},
[28787]={[0]='Engineer Helice',[1]='493:35,47.7 493:35.5,47.5 493:35.6,47.3'},
[28907]={[0]='Prince Valanar',[1]='502:53.4,36.4 502:53.4,36.5 502:53.5,36.4 502:53.6,36.5'},
[28910]={[0]='Baron Rivendare',[1]='502:54.6,57.4 502:54.6,57.5'},
[28911]={[0]='Prince Keleseth',[1]='502:54.2,57.4'},
[28912]={[0]='Koltira Deathweaver',[1]='502:62.9,68 502:63.2,68.6'},
[28913]={[0]='Thassarian',[1]='502:56.2,80.1'},
[28914]={[0]='Orbaz Bloodbane',[1]='502:56.2,80'},
[28919]={[0]='Noth the Plaguebringer',[1]='502:55.8,52.3 502:55.9,52.9'},
[29006]={[0]='Oracle Soo-nee',[1]='493:53.3,56.6'},
[29043]={[0]='Rejek',[1]='493:55.71,69.47'},
[29047]={[0]='Olrun the Battlecaller',[1]='502:54.4,34.2 502:54.4,34.5 502:54.5,34.5 502:54.7,33.4 502:54.8,34.1'},
[29049]={[0]='Arille Azuregaze',[1]='504:16.8,91.6 504:29.3,35.6 504:76.4,85.4 504:76.5,85.4 504:47,38.4 504:47.4,38.5 504:47.6,38.5 504:48.1,38.1 504:48.7,38 504:48.7,38.6 504:50.2,37.8'},
[29053]={[0]='Knight Commander Plaguefist',[1]='502:52.8,81.3 502:52.9,82.5 502:53,81.7'},
[29077]={[0]='High General Abbendis',[1]='502:65.4,84 502:65.5,83.9'},
[29110]={[0]='The Lich King',[1]='502:53.4,36.6 502:53.5,36.8'},
[29137]={[0]='Sergeant Riannah',[1]='496:32.03,74.42'},
[29142]={[0]='Jelinek Sharpshear',[1]='301:61.3,64.9 301:61.3,65.5 301:61.5,64.8'},
[29146]={[0]='Vekgar',[1]='493:55.6,68.8'},
[29149]={[0]='Oracle Soo-dow',[1]='493:54.2,53.9'},
[29155]={[0]='Magistrix Kaelana',[1]='486:41.5,53.6'},
[29156]={[0]='Archmage Celindra',[1]='504:56.33,46.72'},
[29157]={[0]='Grimbooze Thunderbrew',[1]='493:26.8,60'},
[29158]={[0]="Magister Dath'omere",[1]='486:58.58,68.30'},
[29159]={[0]='Magister Varenthas',[1]='491:79.4,29.4'},
[29160]={[0]='Magistrix Phaelista',[1]='490:20.7,64.3'},
[29161]={[0]='Magistrix Haelenai',[1]='490:32.01,59.79'},
[29162]={[0]="Magister Tyr'ganal",[1]='488:76.8,63.2'},
[29169]={[0]='Magister Teronus III',[1]='496:40.6,66.8'},
[29173]={[0]='Highlord Darion Mograine',[1]='502:34.4,31 502:34.5,31 502:34.6,31.5 502:38.9,38.2 502:39.1,39.1 502:39.5,38'},
[29343]={[0]='Baron Sliver',[1]='492:42.9,25'},
[29344]={[0]='Lord-Commander Arete',[1]='492:19.6,48.1'},
[29396]={[0]='Setaal Darkmender',[1]='492:19.7,48.3'},
[29405]={[0]='Uzo Deathcaller',[1]='492:19.7,47.8'},
[29428]={[0]='Ricket',[1]='495:40.9,85.4'},
[29430]={[0]='Tore Rumblewrench',[1]='495:41.7,80.1'},
[29431]={[0]='Jeer Sparksocket',[1]='495:41,86.4'},
[29432]={[0]='Gino',[1]='495:50,81.8 495:50.5,81.7'},
[29434]={[0]='Injured Goblin Miner',[1]='495:41.5,74.9 495:42.3,74 495:43.1,74.5 495:43.5,75.2'},
[29445]={[0]='Thorim',[1]='495:33.4,58.1 495:33.5,58.1'},
[29455]={[0]='Gerk',[1]='496:17.64,57.54'},
[29456]={[0]='Aurochs Grimbane',[1]='492:19.9,47.6'},
[29473]={[0]='Gretchen Fizzlespark',[1]='495:41.1,86.1'},
[29481]={[0]="Lok'lira the Crone",[1]='495:42.8,68.9'},
[29527]={[0]='Orton Bennet',[1]='504:51.4,54.4 504:51.4,54.6 504:52,55.2 504:52.1,55.5'},
[29532]={[0]='Ajay Green',[1]='504:75.4,87.7 504:35.2,56.4 504:35.4,57 504:35.4,57.7 504:35.5,57 504:35.9,57.5 504:36.3,55.9 504:36.4,55.4 504:36.5,55.4 504:36.5,55.5 504:37.1,56.8'},
[29535]={[0]='Alchemist Cinesra',[1]='504:77.9,83.6 504:62.3,13.4 504:62.4,13.5 504:62.5,13.5 504:62.6,12.8 504:63.1,12.2 504:63.3,11.4'},
[29560]={[0]='Lord-Commander Arete',[1]='492:9.5,46.4 492:9.5,47.2'},
[29579]={[0]='Brann Bronzebeard',[1]=''},
[29592]={[0]='Brijana',[1]='495:53.1,65.7'},
[29593]={[0]='Yorg Stormheart',[1]='495:30.2,74.8'},
[29611]={[0]='King Varian Wrynn',[1]='301:85.78,31.73'},
[29631]={[0]="Awilo Lon'gomba",[1]='504:70,39'},
[29647]={[0]='Gymer',[1]='496:19.73,56.39'},
[29650]={[0]='Archaeologist Andorin',[1]='495:29.6,74.1'},
[29651]={[0]='Boktar Bloodfury',[1]='495:37.3,49.7'},
[29687]={[0]='Crusader Lord Lantinga',[1]='496:32.15,75.74'},
[29688]={[0]='Engineer Reed',[1]='496:25.3,63.9'},
[29689]={[0]='Crusader MacKellar',[1]='496:25.28,63.96'},
[29690]={[0]='Chief Rageclaw',[1]='496:32.18,75.63'},
[29727]={[0]='Glorthal Stiffbeard',[1]='495:29.2,74.9'},
[29732]={[0]='Fjorlin Frostbrow',[1]='495:29.8,75.7'},
[29733]={[0]='Elder Shaman Moky',[1]='496:32.02,75.61'},
[29743]={[0]='Lagnus',[1]='495:29.4,73.8'},
[29744]={[0]='Rork Sharpchin',[1]='495:28.8,74.1'},
[29751]={[0]='Drom Frostgrip',[1]='495:25.2,68.5'},
[29795]={[0]='Koltira Deathweaver',[1]='492:59.9,34.9 492:60,33.6 492:60.1,33.2 492:60.2,36.1 492:60.3,32.4 492:60.4,36.6 492:60.6,31.8 492:60.7,37.2 492:61.2,38.4 492:61.3,31.1 492:61.4,38.8 492:61.6,31 492:61.6,39.3 492:62.1,40.3 492:62.4,30.4 492:62.4,40.9 492:62.5,30.4 492:62.5,30.5 492:62.6,41.4 492:62.7,41.5 492:63.4,43.2 492:63.5,29.5 492:63.5,43.4 492:63.8,44.4 492:64.1,29 492:64.1,45.2 492:64.3,45.7 492:64.5,28.7 492:64.5,46.2 492:64.7,46.8 492:65,28.3 492:65,47.7 492:65.4,48.7 492:65.5,48.9 492:65.6,27.7 492:65.8,49.5 492:66.3,27 492:66.4,50.8 492:66.7,26.6 492:66.7,51.4 492:67.2,52.3 492:67.4,26.3 492:67.4,52.5 492:67.5,52.4 492:67.9,26.3 492:68.1,52.8 492:68.5,26.4 492:68.6,52.8 492:69.2,26.8 492:69.3,52.4 492:69.4,32 492:69.4,32.6 492:69.4,33.8 492:69.5,27.3 492:69.5,31.2 492:69.5,31.7 492:69.5,32.9 492:69.5,34.3 492:69.5,34.7 492:69.5,51.9 492:69.6,27.6 492:69.6,29.4 492:69.6,29.7 492:69.6,36.1 492:69.6,36.7 492:69.7,38.3 492:69.7,38.9 492:69.7,40.1 492:69.7,51.1 492:69.8,41.3 492:69.8,42 492:69.8,42.6 492:69.8,50.1 492:69.9,44.3 492:69.9,45 492:69.9,46 492:69.9,47.2 492:69.9,48.3 492:69.9,48.5'},
[29796]={[0]='Gretta the Arbiter',[1]='495:50.9,65.6'},
[29799]={[0]='Thassarian',[1]='492:56,38.9 492:56.1,39.8 492:56.3,38.3 492:56.3,40.7 492:56.5,41.3 492:56.7,41.9 492:56.9,38 492:57.2,43.1 492:57.4,38.8 492:57.4,43.6 492:57.5,38.4 492:57.5,39.1 492:57.5,44 492:57.6,39.6 492:57.9,44.6 492:58,40.7 492:58.4,41.7 492:58.4,45.5 492:58.5,41.9 492:58.6,45.8 492:58.9,42.9 492:59.4,44.1 492:59.4,47.3 492:59.5,44.3 492:59.8,45 492:59.9,48.4 492:60,45.5 492:60,48.7 492:60.4,46.5 492:60.4,49.6 492:60.5,49.9 492:60.6,47 492:61,51.2 492:61.1,48.1 492:61.2,51.7 492:61.3,48.6 492:61.4,52.5 492:61.5,49.1 492:61.6,53.1 492:61.7,49.7 492:62,54.1 492:62.3,50.9 492:62.4,55.4 492:62.4,55.9 492:62.4,56.5 492:62.5,51.3 492:62.6,51.5 492:62.9,56.5 492:63,52.5 492:63.4,53.9 492:63.4,56.3 492:63.6,54.4 492:63.6,54.5 492:63.8,55.7'},
[29801]={[0]='Bouldercrag the Rockshaper',[1]='495:31.4,38'},
[29804]={[0]='Baron Sliver',[1]='492:44.1,24.7'},
[29806]={[0]='SCRAP-E',[1]='495:37.7,46.4 495:37.7,46.5'},
[29839]={[0]='Astrid Bjornrittar',[1]='495:49.8,71.8'},
[29855]={[0]='Khaliisi',[1]='495:40.8,51.2'},
[29885]={[0]='Mildred the Cruel',[1]='495:44.4,68.9'},
[29937]={[0]='Moteha Windborn',[1]='495:37.3,49.7'},
[29975]={[0]="Lok'lira the Crone",[1]='495:47.5,69.1'},
[29997]={[0]='Iva the Vengeful',[1]='495:48.4,72.1'},
[30002]={[0]='Duke Lankral',[1]='492:44.6,20.4 492:44.6,20.5'},
[30007]={[0]='Gurgthock',[1]='496:48.4,56.3 496:48.5,56.3'},
[30009]={[0]='Wodin the Troll-Servant',[1]='496:48.4,56.4 496:48.5,56.4 496:48.5,56.5'},
[30041]={[0]='Thyra Kvinnshal',[1]='495:48.4,72.1 495:48.5,72'},
[30052]={[0]='Creteus',[1]='495:38.8,58.9 495:39.2,59.7 495:40.3,60.1 495:40.7,60.2'},
[30056]={[0]='Vaelen the Flayed',[1]='492:41,23.9'},
[30074]={[0]='The Leaper',[1]='492:43.3,25.3'},
[30082]={[0]='Creteus',[1]='495:38.3,61.7'},
[30099]={[0]='Njormeld',[1]='495:75.3,63.4'},
[30105]={[0]='King Jokkum',[1]='495:65.4,60.2'},
[30107]={[0]='Brann Bronzebeard',[1]='495:30.1,71.9 495:30.1,72.5 495:30.3,71.3 495:30.5,70.7 495:30.9,69.5 495:31.2,68.9 495:31.5,68.5 495:32,67.7 495:32.4,67.2 495:33,66.5 495:33.4,65.9 495:33.5,65.8 495:34.4,64.8 495:34.9,64.2 495:35.5,63.9 495:37.4,62.8 495:37.6,62.6 495:38,62.3 495:38.5,61.7 495:39.1,61.3 495:39.6,56.4 495:39.6,56.5 495:40.1,57.7 495:40.3,60.7 495:40.7,58 495:40.8,55.9 495:40.9,60.5 495:41.3,57.1 495:41.4,60.3 495:41.5,60.3 495:42.4,55.1 495:42.5,59.6 495:43,55.1 495:43,58.9 495:43.5,55.7 495:43.6,56.8'},
[30115]={[0]='Vereesa Windrunner',[1]='504:29.3,48.5 504:29.4,48.3 504:30,48.5 504:30.2,48.4 504:30.4,49.5 504:30.8,49.5 504:30.9,48.7 504:31,48.4 504:31.2,47.4 504:31.6,48.4 504:31.7,48.7'},
[30116]={[0]='Archmage Aethas Sunreaver',[1]='504:30.1,48.4 504:30.2,48.7 504:30.4,47.1 504:30.7,48.3 504:30.7,48.9 504:30.8,46.5 504:30.9,46.4 504:31.3,49.9 504:31.5,48.4 504:31.5,49.6 504:31.6,47.3 504:32.3,48.8 504:32.5,48.4 504:32.5,48.5'},
[30127]={[0]='Njormeld',[1]='495:63.2,63.2'},
[30137]={[0]='Shifty Vickers',[1]='504:41.8,36.1 504:42,40 504:42.2,38.9 504:42.4,36.5 504:42.4,40.6 504:42.9,36.1 504:42.9,36.8 504:42.9,41.2 504:43.4,41.8 504:43.6,41.8 504:43.7,36.2 504:44,41.2 504:44.3,39.5 504:44.4,42.8 504:44.5,39 504:44.8,35.9 504:44.8,40.8 504:45,38.3 504:45,43.5 504:45.3,40.4 504:45.4,42 504:45.6,38.3 504:45.6,43.2 504:45.6,44 504:45.7,41 504:45.8,34.9 504:45.8,39 504:45.9,39.6 504:45.9,45.6 504:46.4,34.3 504:46.4,41.9 504:46.4,45.3 504:46.6,44.2 504:46.7,46.1 504:46.8,40.2 504:47.1,42.5 504:47.1,48.1 504:47.3,41 504:47.3,42.3 504:47.3,47.3 504:47.4,44.7 504:47.4,48.6 504:47.5,44.5 504:47.5,47.9 504:47.6,46.2 504:47.7,48.5 504:47.8,40.7 504:47.8,42.1 504:47.8,43.5 504:47.9,42.7 504:48.1,46.5 504:48.3,50.1 504:48.4,40 504:48.4,50.7 504:48.6,42.1 504:48.8,51.3 504:49.1,43.3 504:49.2,40.8 504:49.3,43.9 504:49.3,47.5 504:49.4,40.2 504:49.7,40.2 504:49.7,43.1 504:49.8,49.9 504:50,42.3 504:50.1,44.4 504:50.1,44.7 504:50.1,45.9 504:50.1,50.5 504:50.3,46.5 504:50.4,47.7 504:50.4,49 504:50.6,47 504:50.7,45 504:50.8,44.2 504:50.8,50.7 504:50.9,46.3 504:50.9,48.3 504:51.1,48.9 504:51.1,49.5 504:51.7,46.4 504:51.8,45.3 504:51.8,51.5 504:51.8,52.7 504:51.9,50.9 504:52,48.1 504:52.2,48.5 504:52.3,46.9 504:52.4,50.1 504:52.5,50.6 504:53,52.5 504:53,54.4 504:53.3,48.2 504:53.3,48.8 504:53.3,50.2 504:53.6,52.6 504:53.9,49.8 504:54,50.7 504:54.2,55.5 504:54.3,49.2 504:54.5,56.4 504:54.7,49.2 504:54.7,54.1 504:54.9,51.2 504:55.3,49.7 504:55.3,54.7 504:55.5,54.1 504:55.6,50.3 504:55.7,56.6 504:55.8,50.9 504:55.8,56 504:56.2,52.7 504:56.3,55.4 504:56.4,52.4 504:56.5,57.8 504:56.7,54.8 504:56.8,50.6 504:56.9,53.3 504:57.1,51.8 504:57.4,53.5 504:57.5,52.9 504:57.9,54.3 504:57.9,55.5 504:58,54.9'},
[30152]={[0]='Bruor Ironbane',[1]='495:31.3,38.1'},
[30216]={[0]='Vile',[1]='492:42.9,25.8 492:43.1,25.3 492:43.4,24.4 492:43.5,24.4 492:43.5,24.5'},
[30218]={[0]='Vaelen the Flayed',[1]='492:43.2,21.1'},
[30223]={[0]='Crusade Commander Entari',[1]='492:87.1,75.9'},
[30224]={[0]='Crusader Lord Dalfors',[1]='492:86.1,75.8'},
[30226]={[0]='Father Gustav',[1]='492:86.8,76.6'},
[30227]={[0]='Penumbrius',[1]='492:87,79'},
[30232]={[0]='The Bone Witch',[1]='492:32.4,42.9 492:32.5,42.9'},
[30247]={[0]='Bloodguard Lorga',[1]='495:36.4,49.1 495:36.5,49.1'},
[30252]={[0]='Lorekeeper Randvir',[1]='495:64.8,59.1'},
[30294]={[0]='Frostworg Denmother',[1]='495:63.4,59.8 495:63.5,59.8'},
[30295]={[0]='Thorim',[1]='495:56.2,51.4 495:56.2,51.5'},
[30344]={[0]='High Captain Justin Bartlett',[1]='492:55.4,38.4 492:55.4,38.5 492:55.4,39.6 492:55.6,40.2 492:55.8,37.8 492:55.8,41.1 492:55.9,41.5 492:56.3,37.4 492:56.3,42.5 492:56.5,37.3 492:56.5,43.1 492:57,44.4 492:57.3,45 492:57.5,45.2 492:57.6,37.4 492:57.7,45.6 492:57.9,38.2 492:58.2,39.4 492:58.2,46.5 492:58.4,40 492:58.5,40.3 492:58.5,47 492:58.6,40.6 492:58.8,47.6 492:59.2,42 492:59.4,42.5 492:59.4,49 492:59.6,49.4 492:59.8,43.4 492:59.9,50.2 492:60.1,44.1 492:60.1,50.6 492:60.4,44.8 492:60.4,51.5 492:60.6,45.3 492:60.7,52.4 492:60.8,45.8 492:60.8,52.7 492:61.2,46.8 492:61.4,54.4 492:61.5,47.4 492:61.6,55 492:61.7,48 492:61.8,55.6 492:62.1,56.9 492:62.3,49.3 492:62.4,49.5 492:62.8,50.4 492:62.8,57.5 492:63.1,51 492:63.2,57.3 492:63.4,51.6 492:63.6,52.2 492:63.7,57 492:63.8,52.8 492:64.1,53.9 492:64.3,54.8 492:64.3,56.3'},
[30345]={[0]='Chief Engineer Boltwrench',[1]='492:55.2,39.8 492:55.3,38.8 492:55.5,40.4 492:55.6,38.2 492:55.7,41 492:55.9,41.5 492:56.4,37 492:56.4,43 492:56.6,43.4 492:56.9,44.1 492:57.4,37.4 492:57.4,37.5 492:57.4,45.2 492:57.5,37.4 492:57.5,45.4 492:57.7,38 492:57.7,45.8 492:57.9,38.6 492:58.3,46.6 492:58.4,40 492:58.5,40.4 492:58.6,40.5 492:58.7,47.4 492:58.9,47.8 492:59.2,48.5 492:59.4,42.4 492:59.4,42.5 492:59.5,42.6 492:59.6,49.3 492:60,50.3 492:60.2,44.3 492:60.2,50.9 492:60.4,44.8 492:60.4,51.6 492:60.5,45 492:60.7,52.2 492:60.8,52.6 492:60.9,46 492:61.1,53.7 492:61.3,46.9 492:61.4,54.5 492:61.5,47.4 492:61.5,47.5 492:61.6,54.9 492:61.9,48.5 492:62,56.1 492:62.2,56.7 492:62.4,49.6 492:62.5,49.7 492:62.5,57.3 492:62.9,50.5 492:63,57.8 492:63.4,51.7 492:63.5,52 492:63.5,57.6 492:63.8,52.9 492:63.8,57 492:64.2,53.9 492:64.4,54.5 492:64.4,55.9 492:64.6,55.4 492:64.6,55.5'},
[30348]={[0]='Elder Sardis',[1]='HL 486:59.1,65.6'},
[30357]={[0]='Elder Beldak',[1]='HL 490:60.6,27.7'},
[30358]={[0]='Elder Morthie',[1]='HL 488:29.7,55.9'},
[30359]={[0]='Elder Fargal',[1]='HL 495:28.9,73.7'},
[30360]={[0]='Elder Northal',[1]='HL 486:33.8,34.4'},
[30362]={[0]='Elder Sandrene',[1]='HL 493:49.8,63'},
[30363]={[0]='Elder Thoim',[1]='HL 488:48.8,78.2'},
[30364]={[0]='Elder Arp',[1]='HL 486:57.3,43.7'},
[30365]={[0]='Elder Wanikaya',[1]='HL 493:63.8,49'},
[30367]={[0]='Elder Lunaro',[1]='HL 490:80.5,37.1'},
[30368]={[0]='Elder Bluewolf',[1]='HL 501:49,13.9'},
[30369]={[0]='Elder Tauros',[1]='HL 496:58.9,56'},
[30370]={[0]='Elder Graymane',[1]='HL 495:41.2,84.7'},
[30371]={[0]='Elder Pamuya',[1]='HL 486:42.9,49.6'},
[30372]={[0]='Elder Whurain',[1]='HL 490:64.2,47'},
[30373]={[0]='Elder Skywarden',[1]='HL 488:35.1,48.3'},
[30374]={[0]='Elder Muraco',[1]='HL 495:64.6,51.3'},
[30375]={[0]='Elder Stonebeard',[1]='HL 495:31.3,37.6'},
[30381]={[0]='Xarantaur',[1]='495:65.7,51.4'},
[30382]={[0]='Brann Bronzebeard',[1]='495:39.5,56.4'},
[30390]={[0]='Thorim',[1]='495:71.4,48.9'},
[30395]={[0]='Chieftain Swiftspear',[1]='495:61.2,39'},
[30401]={[0]='Velog Icebellow',[1]='495:30.2,74.7'},
[30406]={[0]='Bethod Feigr',[1]='492:36.1,33.1'},
[30469]={[0]="Tracker Val'zij",[1]='495:48.4,54.3'},
[30472]={[0]='Olut Alegut',[1]='495:37,49.6'},
[30481]={[0]='Darkmoon Fortune Teller',[1]=''},
[30490]={[0]='Rin Duoctane',[1]='504:25.9,39.4 504:31.1,51.5 504:31.7,49.3 504:31.8,50.3 504:32.1,51.5 504:32.2,50.9 504:32.5,47.9 504:32.7,50.3 504:32.7,51.1'},
[30531]={[0]='Elder Jarten',[1]='HL 523:47.6,70.8'},
[30533]={[0]='Elder Nurgen',[1]='HL 533:21.8,44.0'},
[30534]={[0]='Elder Kilias',[1]='HL 534:68.9,80.0'},
[30535]={[0]='Elder Yurauk',[1]='HL 526:29.2,62.9'},
[30536]={[0]='Elder Igasho',[1]='HL 520:55.4,64.6'},
[30537]={[0]='Elder Ohanzee',[1]=' HL 530:45.6,62.0'},
[30538]={[0]="Elder Chogan'gada",[1]='HL 524:48.6,22.0'},
[30548]={[0]="The Guardian's Charge",[1]='495:44.4,64.6 495:44.5,64.6'},
[30562]={[0]='Crusader Bridenbrad',[1]='492:79.8,30.9'},
[30596]={[0]='The Ebon Watcher',[1]='492:83.1,72.9'},
[30631]={[0]='Darkrider Arly',[1]='492:35.4,66.4'},
[30657]={[0]='Siegemaster Fezzik',[1]='492:85.7,76'},
[30671]={[0]="Tol'mar",[1]='496:70.1,22.9'},
[30676]={[0]="Chronicler Bah'Kini",[1]='496:70,21'},
[30677]={[0]='Highlord Tirion Fordring',[1]='492:86,75.8'},
[30683]={[0]='Father Gustav',[1]='492:82.9,72.8'},
[30686]={[0]='Crusade Architect Silas',[1]='492:83,73'},
[30708]={[0]='Crusader Olakin Sainrith',[1]='492:35.4,66.4 492:35.4,66.5 492:35.5,66.4 492:35.5,66.5'},
[30709]={[0]='Poshken Hardbinder',[1]='362:29.2,21.8'},
[30714]={[0]='Crusade Engineer Spitzpatrick',[1]='492:83,73'},
[30720]={[0]='Disciple of Shadron (Twilight)',[1]='301:49.6,44.9 611:59.8,27.4 611:59.9,25.9'},
[30824]={[0]='Sky-Reaver Korm Blackscar',[1]='492:60,33.8 492:60,35.2 492:60.1,33.2 492:60.1,35.6 492:60.4,32.2 492:60.4,36.5 492:60.5,31.9 492:60.9,37.4 492:61,37.7 492:61.1,31.2 492:61.4,38.6 492:61.6,39.2 492:61.7,30.9 492:62,39.9 492:62.3,40.6 492:62.5,30.6 492:62.7,41.3 492:62.8,41.6 492:63.3,29.8 492:63.4,43.1 492:63.5,43.3 492:63.6,29.5 492:63.7,29.4 492:63.9,44.4 492:64.1,44.9 492:64.3,45.5 492:64.6,28.7 492:64.6,46.4 492:64.8,47 492:65,47.6 492:65.3,28.1 492:65.4,48.5 492:65.5,28 492:65.6,48.8 492:66.1,50 492:66.2,27.2 492:66.3,50.5 492:66.5,26.9 492:66.5,50.9 492:66.8,51.6 492:67.4,26.3 492:67.5,52.4 492:67.8,52.7 492:68.2,26.4 492:68.5,26.4 492:69.1,26.8 492:69.2,52.5 492:69.4,31.4 492:69.4,31.6 492:69.4,33.2 492:69.4,33.8 492:69.4,34.6 492:69.4,52 492:69.5,27.4 492:69.5,30.2 492:69.5,30.5 492:69.5,35 492:69.5,35.7 492:69.5,51.9 492:69.6,27.6 492:69.6,37.4 492:69.6,38.3 492:69.6,38.8 492:69.7,28.8 492:69.7,40 492:69.7,41.2 492:69.7,41.8 492:69.7,42.7 492:69.7,50.8 492:69.8,44.3 492:69.8,45 492:69.8,46 492:69.8,47.2 492:69.8,48.2 492:69.8,49.3 492:69.8,49.6'},
[30825]={[0]='Chief Engineer Copperclaw',[1]='492:60,34.8 492:60.1,34 492:60.2,33.2 492:60.4,32.4 492:60.4,36.4 492:60.4,36.5 492:60.6,32 492:60.6,36.8 492:60.9,37.5 492:61.4,31.2 492:61.4,38.7 492:61.7,39.3 492:61.9,39.7 492:62.1,30.8 492:62.3,40.6 492:62.5,30.5 492:62.5,41 492:62.8,30.2 492:62.8,41.6 492:63.3,42.8 492:63.5,29.6 492:63.5,43.4 492:63.9,29.3 492:63.9,44.3 492:64.2,45.2 492:64.4,45.8 492:64.6,28.7 492:64.6,46.3 492:64.9,28.4 492:64.9,47.2 492:65.1,47.8 492:65.4,48.5 492:65.5,48.7 492:65.6,27.8 492:65.9,49.6 492:66.3,27.1 492:66.4,50.7 492:66.7,51.3 492:66.8,26.7 492:66.9,51.6 492:67.4,26.4 492:67.6,26.4 492:67.7,52.4 492:68.3,26.5 492:68.3,52.6 492:68.6,26.6 492:68.7,52.6 492:69.4,27.6 492:69.4,31.1 492:69.4,32.2 492:69.4,32.8 492:69.4,34.2 492:69.4,34.5 492:69.4,51.9 492:69.5,28.4 492:69.5,29.1 492:69.5,29.9 492:69.5,30.5 492:69.5,34.4 492:69.5,35.2 492:69.5,35.8 492:69.5,36.5 492:69.5,51.5 492:69.6,38 492:69.6,38.6 492:69.6,51.3 492:69.7,40.4 492:69.7,40.6 492:69.7,41.6 492:69.7,42.6 492:69.7,50.3 492:69.8,44.2 492:69.8,45.3 492:69.8,46 492:69.8,47 492:69.8,48.4 492:69.8,49.1 603:42.2,14.3'},
[30871]={[0]='Brigg Smallshanks',[1]='524:44.2,17.7 524:44.2,17.8 524:44.3,17 524:44.3,19.4 524:44.3,20 524:44.4,16.4 524:44.4,17 524:44.4,18.9 524:44.4,20.1 524:44.5,16.4 524:44.5,16.9 524:44.5,17.4 524:44.5,18.4 524:44.5,18.8 524:44.5,19 524:44.5,19.5 524:44.5,19.7'},
[30944]={[0]='Vereth the Cunning',[1]='492:54.1,71.1'},
[30946]={[0]='Keritose Bloodblade',[1]='492:44,24.6'},
[30997]={[0]='Chromie',[1]='521:31.4,45.3 521:31.4,45.5 521:32.1,44.4 521:32.1,45.1 521:32.2,44.4 521:32.2,44.8 521:32.4,45.5 521:32.4,45.8 521:32.5,44.9 521:32.5,45.7 521:32.6,44.4 521:32.7,45.3 521:32.8,44.3'},
[31036]={[0]='Commander Zanneth',[1]='501:50.2,17.9 501:50.5,18 501:72.1,32'},
[31044]={[0]='Highlord Tirion Fordring',[1]='492:79.8,71.8'},
[31051]={[0]='Sorceress Kaylana',[1]='501:48.4,21.1 501:48.5,21.1 501:72.3,31.9'},
[31052]={[0]='Bowyer Randolph',[1]='501:39.7,46.4 501:53.1,20.8 501:72.4,31.1 501:72.5,31.2'},
[31053]={[0]='Primalist Mulfort',[1]='501:22.2,34.5 501:22.3,34.4 501:43.7,16.4 501:43.8,17.2 501:43.9,17.5'},
[31054]={[0]='Anchorite Tessa',[1]='501:43.7,16.6 501:43.7,18.1 501:72.5,31.6'},
[31080]={[0]='Warden Alturas',[1]='504:33,43.3 504:78.1,88.8 504:60.4,63 504:60.4,63.7 504:61.2,63.3 504:61.2,63.5 504:61.4,62.2 504:61.5,62.9 504:61.5,63.5 504:61.6,62.4'},
[31081]={[0]='Officer Van Rossem',[1]='504:67.73,47.17'},
[31082]={[0]='Scourge Commander Thalanor',[1]='502:34,30.3 502:34.2,30.5'},
[31084]={[0]='Highlord Darion Mograine',[1]='23:83.4,49.4 23:83.4,49.5 23:83.5,49.4 23:83.5,49.5'},
[31085]={[0]='Sky-Reaver Klum',[1]='504:79.2,85.8 504:68.4,41.4 504:68.9,41.8 504:69.3,41.1 504:69.5,41.3 504:69.6,41.5'},
[31091]={[0]='Commander Dardosh',[1]='501:22.2,35 501:22.3,35.5 501:22.5,35 501:49.8,18 501:50,18.5 501:50.5,18'},
[31101]={[0]="Hoodoo Master Fu'jin",[1]='501:21.8,35.5 501:21.9,35.3 501:51.7,21.1'},
[31102]={[0]='Vieron Blazefeather',[1]='501:22.5,34.6 501:53.3,20.8 501:53.8,21'},
[31106]={[0]='Siegesmith Stronghoof',[1]='501:22,34.4 501:22,34.5 501:47.1,21.1'},
[31107]={[0]='Lieutenant Murp',[1]='501:22.4,35.4 501:22.4,35.7 501:22.5,35.4 501:22.5,35.7 501:48.6,24.5 501:48.7,24.2'},
[31108]={[0]='Siege Master Stouthandle',[1]='501:47.2,21 501:71.9,31.3 501:72,31.5'},
[31109]={[0]='Senior Demolitionist Legoso',[1]='501:51,24.4 501:51,24.6 501:71.7,32.1'},
[31135]={[0]='Geirrvif',[1]='492:30.8,29.1'},
[31151]={[0]='Tactical Officer Kilrath',[1]='501:21.8,34.4 501:21.8,34.5 501:50.2,17.8'},
[31153]={[0]='Tactical Officer Ahbramis',[1]='501:50.2,17.9 501:72,31.7'},
[31154]={[0]='Gjonner the Merciless',[1]='492:31.6,30.9'},
[31237]={[0]='Matthias Lehner',[1]='492:53.8,87'},
[31240]={[0]='Warlord Hork Strongbrow',[1]='492:79.5,72.7'},
[31241]={[0]='Marshal Ivalius',[1]='492:79.4,72.9 492:79.5,72.8'},
[31259]={[0]='Absalan the Pious',[1]='492:0.7,51.4 492:0.9,57.7 492:1.8,52.6 492:4.1,60.6 492:4.3,65 492:4.6,61.8 492:5.3,63.1 492:5.3,66.9 492:5.7,65.8 492:5.9,64 492:41.2,25.1 492:55.1,41 492:55.2,40.3 492:55.3,41.6 492:55.4,37.4 492:55.4,38.3 492:55.4,38.5 492:55.6,40.1 492:55.8,40.8 492:55.9,41.8 492:56,38.4 492:56,38.8 492:56.1,42.9 492:56.2,37.3 492:56.2,43.6 492:56.4,44.7 492:56.5,41 492:56.5,41.6 492:56.8,36.2 492:56.8,37 492:56.9,44.4 492:57,45.7 492:57.1,45 492:57.2,43.1 492:57.4,37.7 492:57.4,39 492:57.4,46.6 492:57.5,38.3 492:57.5,38.7 492:57.5,43.9 492:57.6,36.9 492:57.8,40.1 492:57.8,46.8 492:57.9,45.5 492:58,40.8 492:58.3,41.5 492:58.3,45.3 492:58.4,48.3 492:58.5,38 492:58.5,47.1 492:58.6,42.3 492:58.6,46.2 492:58.7,38.9 492:58.8,47.6 492:58.9,40 492:59,40.5 492:59,42.9 492:59.1,49.7 492:59.3,50.5 492:59.4,44.1 492:59.4,48.8 492:59.5,48.3 492:59.6,41.1 492:59.8,44.6 492:59.8,48.6 492:60,42.2 492:60,42.5 492:60,44.3 492:60,49.8 492:60.1,46 492:60.3,51.4 492:60.3,52.4 492:60.3,53.1 492:60.4,46.5 492:60.4,53.6 492:60.5,43.4 492:60.5,44.6 492:60.5,49.8 492:60.5,50.9 492:60.6,44.4 492:60.6,53.8 492:60.8,46.3 492:61,47.5 492:61.2,52 492:61.2,52.6 492:61.3,47.4 492:61.3,48.8 492:61.3,54.5 492:61.4,56.3 492:61.5,45.7 492:61.6,53.5 492:61.7,53.3 492:61.9,47.3 492:61.9,49.6 492:62,56.6 492:62.1,47.9 492:62.3,50.6 492:62.3,56.1 492:62.4,49 492:62.4,55.2 492:62.4,57.7 492:62.5,48.4 492:62.5,48.8 492:62.5,49.7 492:62.7,51.8 492:63,50.7 492:63,57.9 492:63.3,52.8 492:63.3,56.5 492:63.4,53.9 492:63.4,56.4 492:63.6,50.4 492:63.6,52.5 492:63.6,54.5 492:63.7,51.2 492:63.7,52.1 492:63.7,57.7 492:64,53.7 492:64,56 492:64.4,56.7 492:64.5,53.4 492:64.5,56.9 492:64.7,53.8 492:64.7,55.5 492:65,55.4'},
[31261]={[0]='Brother Keltan',[1]='492:2.7,49.1 492:2.9,45.2 492:3.6,44.1 492:4.4,53 492:4.6,53.5 492:5.4,42.1 492:6,42.1 492:6,57.1 492:6.1,56 492:7,58.8 492:7.2,40.4 492:7.4,60.2 492:7.6,60.1 492:7.8,39.8 492:7.8,60.6 492:8.6,62.5 492:9.3,39.2 492:9.8,39.3 492:10.2,39.7 492:10.5,50.5 492:10.5,54.7 492:10.7,48.3 492:10.9,60.6 492:42.4,22.1 492:43.2,24.2 492:43.3,24.5 492:44.4,26.9 492:46,24.6 492:59.9,33.9 492:59.9,34.5 492:60.2,36.3 492:60.2,36.9 492:60.3,31.9 492:60.3,32.7 492:60.5,33.2 492:60.5,33.6 492:60.5,35.2 492:60.7,36.1 492:60.9,31.2 492:60.9,32.4 492:60.9,37 492:61.2,39.1 492:61.4,38.1 492:61.4,39.7 492:61.5,37.9 492:61.6,40 492:61.7,31.6 492:62.2,39.3 492:62.2,41.2 492:62.3,30 492:62.4,30.8 492:62.4,41.7 492:62.5,30.2 492:62.5,40.8 492:62.5,41.8 492:62.6,30.9 492:62.7,40.3 492:63,42.7 492:63.1,29.3 492:63.3,43.6 492:63.6,29.5 492:63.6,42.4 492:63.6,43 492:63.6,44.1 492:63.9,45.6 492:64,45.2 492:64.2,29.1 492:64.3,46.5 492:64.4,28.3 492:64.5,45.9 492:64.6,45.3 492:64.6,46.9 492:64.8,28 492:64.8,28.7 492:64.8,47.6 492:65.3,49.2 492:65.4,27.4 492:65.4,49.5 492:65.5,48 492:65.6,28.5 492:65.6,49.5 492:65.9,49.3 492:66,27.6 492:66.3,26.6 492:66.4,51.4 492:66.4,51.5 492:66.5,27.5 492:66.5,49.9 492:66.9,26.4 492:66.9,50.9 492:67.2,26.6 492:67.3,51.9 492:67.3,52.7 492:67.5,52.2 492:68,26.3 492:68.3,27 492:68.3,52.5 492:68.5,27 492:68.6,52.2 492:68.7,26.2 492:68.7,53 492:69,31.7 492:69.1,29.6 492:69.1,32.7 492:69.1,35.4 492:69.2,29 492:69.2,31 492:69.2,34.2 492:69.2,35.7 492:69.2,36.5 492:69.2,51.1 492:69.3,38.2 492:69.3,40.1 492:69.3,41 492:69.3,41.7 492:69.4,28.1 492:69.4,38.9 492:69.4,42.6 492:69.4,44 492:69.4,44.6 492:69.4,46.2 492:69.4,47.3 492:69.4,47.7 492:69.4,49.2 492:69.4,49.6 492:69.5,29.2 492:69.5,35.2 492:69.5,41.7 492:69.5,50.5 492:69.5,51.6 492:69.6,27.2 492:69.6,30.7 492:69.6,35.8 492:69.6,39.7 492:69.7,31.5 492:69.7,33.4 492:69.7,34.2 492:69.7,44.9 492:69.8,28 492:69.8,30.1 492:69.8,37.3 492:69.8,48.7 492:69.9,38 492:70,39 492:70,40.7 492:70,44.3 492:70.1,42.5 492:70.1,49.9 492:70.2,45.8 492:70.2,46.9 492:70.2,47.5'},
[31273]={[0]='Dying Berserker',[1]='492:66.9,66.4 492:67.1,67.3 492:67.2,67.5 492:67.2,68.8 492:67.3,69.5 492:67.7,68.3 492:67.8,68.6 492:67.9,71.1 492:68.1,67.4 492:68.5,69.7 492:68.7,64.5 492:68.7,69.1 492:68.8,64.3 492:68.9,65.9 492:69,67.2 492:69.3,67.9 492:70,62.3 492:70,62.5 492:70.4,65 492:70.4,67.3 492:70.5,65 492:70.5,67.2 492:70.8,68.3 492:70.8,68.5'},
[31279]={[0]='Father Kamaros',[1]='492:31.8,64.8 492:31.9,64.2'},
[31304]={[0]='Dying Soldier',[1]='492:66.1,65.4 492:66.1,65.5 492:66.3,64.1 492:66.4,66.5 492:66.5,66.5 492:66.7,65.7 492:66.8,64 492:67.2,63.3 492:67.3,69.1 492:67.4,67.6 492:67.5,67.7 492:67.7,70.3 492:67.9,64.5 492:68.1,63.4 492:68.1,63.5 492:68.1,67.4 492:68.1,69.4 492:68.4,62.4 492:68.5,62.3 492:68.6,69.1 492:68.7,66.4 492:68.7,66.5 492:68.8,62.7 492:68.8,64.4 492:68.8,64.5 492:69.1,68.3 492:69.2,70.4 492:69.2,70.5 492:69.5,66 492:69.5,67.3 492:69.5,67.5 492:69.8,63.2 492:69.8,64.6 492:70.2,61.9 492:70.4,64.1 492:70.5,65.1 492:70.8,62.9 492:70.9,63.9 492:71.6,61.1 492:71.6,62.7'},
[31440]={[0]='Sergeant Kregga',[1]='492:54.9,84.2'},
[31444]={[0]='Captain Kendall',[1]='492:51.8,86.7'},
[31737]={[0]='Skybreaker Squad Leader',[1]='492:59.9,53.4 492:59.9,53.5 492:60.6,49.8 492:61.6,52.5 492:62.1,51.8 492:62.7,51 492:62.7,51.6'},
[31776]={[0]='Frazzle Geargrinder',[1]='492:57,62.5'},
[31781]={[0]='Blast Thunderbomb',[1]='492:51.9,57.6'},
[31808]={[0]='Ground Commander Koup',[1]='492:62.6,51.3'},
[31833]={[0]="Kor'kron Squad Leader",[1]='492:57.4,47.4 492:57.4,47.5 492:57.5,46.7 492:57.6,48.3 492:58.4,46.1 492:59.4,52.6'},
[31834]={[0]='Ground Commander Xutjja',[1]='492:58.3,46'},
[31868]={[0]='Wrecked Demolisher',[1]='492:68,51.8'},
[31892]={[0]="Darkspeaker R'khem",[1]='492:54.4,59.1 492:54.5,59.5 492:54.6,59.2'},
[32256]={[0]='Shield Visual Loc Bunny',[1]='321:45.8,62.6 321:48,58 321:48.1,58.6 321:51.6,54.6 321:55.2,55.7 640:28.9,70 614:42.6,37.7'},
[32301]={[0]='Warbringer Davos Rioht',[1]='492:2.3,44.9 492:3.9,43.1 492:4.4,52.2 492:4.8,42.8 492:4.8,53.1 492:5.3,42.3 492:5.4,53.9 492:6.1,56.4 492:6.8,58.4 492:6.8,59.1 492:7.8,60.7 492:8.5,61.4 492:8.7,39.6 492:8.8,62.1 492:10.1,62.6 492:10.4,40.3 492:10.6,46.8 492:10.6,51.7 492:10.6,53.5 492:10.7,48.2 492:10.7,53.4 492:11,51.4 492:11,61.2 492:46,26.5 492:59.9,33 492:60.1,33.6 492:60.2,34.7 492:60.3,31.8 492:60.3,36 492:60.4,37 492:60.5,33.7 492:60.5,35.3 492:60.5,35.9 492:60.6,32.1 492:60.6,32.6 492:60.7,37.2 492:61.1,38 492:61.1,39 492:61.2,31.4 492:61.4,39.6 492:61.5,38 492:61.5,38.5 492:61.6,31.1 492:61.9,30.4 492:61.9,31.5 492:62,39.9 492:62,40.8 492:62.4,41.6 492:62.6,30.6 492:62.6,40.4 492:62.6,41.2 492:63,30 492:63.2,42.2 492:63.3,29.3 492:63.3,42.9 492:63.4,44.1 492:63.5,42.3 492:63.5,42.7 492:63.6,43.6 492:64.1,29.7 492:64.2,28.4 492:64.2,45.3 492:64.3,28.9 492:64.4,46.1 492:64.4,46.9 492:64.5,45.1 492:64.5,46 492:64.6,28.7 492:64.8,47.4 492:65.1,28.2 492:65.2,48.2 492:65.3,48.6 492:65.4,27.3 492:65.4,49.5 492:65.5,48.4 492:65.6,27.6 492:65.7,49.1 492:65.8,49.6 492:66.3,27.1 492:66.4,50.6 492:66.6,50.4 492:66.7,51.7 492:66.8,51.4 492:67.2,52.5 492:67.3,26.2 492:67.4,26.5 492:67.5,52.2 492:67.9,26.4 492:68,26.5 492:68.1,52.6 492:68.6,53 492:69,26.4 492:69.2,29.1 492:69.2,35 492:69.2,36.9 492:69.2,52 492:69.3,27.3 492:69.3,30.6 492:69.3,33.3 492:69.3,33.7 492:69.3,35.9 492:69.3,39.2 492:69.4,28.1 492:69.4,30.4 492:69.4,32.1 492:69.4,37.9 492:69.4,39.6 492:69.4,41.2 492:69.4,42.3 492:69.4,42.5 492:69.4,44.6 492:69.4,49.3 492:69.4,49.9 492:69.4,50.5 492:69.5,27 492:69.5,28.7 492:69.5,29.6 492:69.5,30.8 492:69.5,32 492:69.5,33.5 492:69.5,35 492:69.5,36.5 492:69.5,51.7 492:69.6,27.5 492:69.6,33.4 492:69.6,38.3 492:69.6,38.8 492:69.7,35.9 492:69.7,40.1 492:69.7,40.8 492:69.8,41.6 492:69.8,43.8 492:69.8,44.7 492:69.8,46.1 492:69.8,48.6 492:69.8,49.9 492:69.9,47 492:69.9,48.3 492:69.9,51.4 492:70.1,42.9'},
[32302]={[0]='Knight-Captain Drosche',[1]='492:41.3,25.3 492:41.6,25.9 492:55.3,39 492:55.4,38.4 492:55.4,39.8 492:55.5,39.3 492:55.7,40.4 492:55.8,37.5 492:55.8,40.9 492:55.9,41.9 492:56.1,37.3 492:56.4,43.2 492:56.6,43.6 492:56.7,43.4 492:57,36.9 492:57.1,44.8 492:57.5,45.4 492:57.7,37.4 492:57.9,45.8 492:58,38.2 492:58.2,39.1 492:58.2,46.6 492:58.3,39.5 492:58.5,40 492:58.5,47.2 492:58.8,47.8 492:58.9,41.1 492:59.2,41.7 492:59.3,48.8 492:59.4,42.5 492:59.5,42.4 492:59.6,49.2 492:59.8,43.3 492:59.8,43.6 492:60,50 492:60.1,50.9 492:60.3,51.5 492:60.4,44.5 492:60.5,44.9 492:60.5,51.4 492:60.6,52.2 492:60.8,45.5 492:60.9,53.3 492:61.2,54 492:61.4,46.9 492:61.4,54.6 492:61.5,47.2 492:61.5,54.3 492:61.5,54.9 492:61.8,48.4 492:61.8,56.3 492:61.8,56.6 492:62.3,49.5 492:62.4,49.3 492:62.4,57.6 492:62.5,50 492:62.6,57.5 492:63.3,51.3 492:63.4,51.5 492:63.4,57.2 492:63.5,51.7 492:63.7,52.6 492:64.1,53.7 492:64.3,54.5 492:64.4,56.4 492:64.4,56.7 492:64.5,55.1 492:64.5,55.7'},
[32337]={[0]='Christi Stockton',[1]='504:53.2,33.5 504:53.4,33.2 504:53.8,32.5 504:53.9,32.4 504:54.5,32'},
[32404]={[0]='Matthias Lehner',[1]='492:64.5,44'},
[32408]={[0]='Matthias Lehner',[1]='492:68,51.7'},
[32423]={[0]='Matthias Lehner',[1]='492:71.6,37.6'},
[32430]={[0]='Fringe Engineer Tezzla',[1]='492:54,36.9'},
[32444]={[0]='Kibli Killohertz',[1]='492:54,42.9'},
[32497]={[0]='Matthias Lehner',[1]='492:49.2,73.1'},
[32516]={[0]='Washed-Up Mage',[1]='504:76.1,84.8 504:43.2,24.4 504:43.2,24.5 504:43.5,24.8 504:43.7,24.4 504:43.9,25.8'},
[32540]={[0]='Lillehoff',[1]='495:66.1,61.4 495:66.1,61.5'},
[32548]={[0]='Corastrasza',[1]='486:29.4,24.8 486:29.5,24.8'},
[32594]={[0]='Calder',[1]='495:67.1,60.9'},
[32599]={[0]='Surveyor Hansen',[1]='488:79.3,65.1'},
[32768]={[0]='Invisible Stalker',[1]='544:49.7,63.5 611:55.3,63.4 611:55.8,62.6 611:56.2,62 611:56.4,61.4 611:58.9,59.4 614:42.7,37.9'},
[32798]={[0]='Spring Gatherer',[1]='HN'},
[32799]={[0]='Spring Collector',[1]='HN'},
[32800]={[0]='Father Kamaros',[1]='492:31.3,62.4 492:31.4,59 492:31.7,57.8 492:31.8,64.8 492:31.9,57.2 492:31.9,64.2'},
[32801]={[0]='Borean Tundra Flame Warden',[1]='HM 486:55.10,19.94'},
[32802]={[0]='Sholazar Basin Flame Warden',[1]='HM 493:48.09,66.36'},
[32803]={[0]='Dragonblight Flame Warden',[1]='HM 488:75.29,43.80'},
[32804]={[0]='Howling Fjord Flame Warden',[1]='HM 491:57.80,16.12'},
[32805]={[0]='Grizzly Hills Flame Warden',[1]='HM 490:33.90,60.45'},
[32806]={[0]='Storm Peaks Flame Warden',[1]='HM 495:41.44,86.69'},
[32807]={[0]='Crystalsong Forest Flame Warden',[1]='HM 510:78.18,74.95'},
[32808]={[0]="Zul'Drak Flame Warden",[1]='HM 496:40.37,61.30'},
[32809]={[0]='Borean Tundra Flame Keeper',[1]='HM 486:51.13,11.54'},
[32810]={[0]='Sholazar Basin Flame Keeper',[1]='HM 493:47.06,61.56'},
[32811]={[0]='Dragonblight Flame Keeper',[1]='HM 488:38.26,48.47'},
[32812]={[0]='Howling Fjord Flame Keeper',[1]='HM 491:48.61,13.15'},
[32813]={[0]='Grizzly Hills Flame Keeper',[1]='HM 490:19.32,61.15'},
[32814]={[0]='Storm Peaks Flame Keeper',[1]='HM 495:40.27,85.35'},
[32815]={[0]='Crystalsong Forest Flame Keeper',[1]='HM 510:79.97,53.23'},
[32816]={[0]="Zul'Drak Flame Keeper",[1]='HM 496:43.37,71.74'},
[32836]={[0]='Noblegarden Vendor',[1]='HN'},
[32837]={[0]='Noblegarden Merchant',[1]='HN'},
[32912]={[0]='Sentinel Lendra',[1]='42:50.3,20.3'},
[32932]={[0]='Moon Priestess Tharill',[1]='42:44.6,30.8'},
[32959]={[0]='Cerellean Whiteclaw',[1]='42:50.2,19.4'},
[32960]={[0]='Volcor',[1]='42:50.9,18'},
[32963]={[0]='Lieutenant Morra Starbreeze',[1]='42:58.9,19.4 42:58.9,19.5'},
[32964]={[0]='Sentinel Aynasha',[1]='42:60.2,6.9 42:63.4,7.9 42:63.5,7.8 42:63.7,7.2 42:64.4,5.4 42:64.4,5.5 42:64.5,5.4 42:64.5,5.5'},
[32965]={[0]='Sentinel Tysha Moonblade',[1]='42:58.9,19.4 42:58.9,19.5'},
[32966]={[0]='Balthule Shadowstrike',[1]='42:58.9,19.4 42:58.9,19.5'},
[32967]={[0]='Elder Brolg',[1]='42:43.5,80.9'},
[32968]={[0]='Gren Tornfur',[1]='42:43.5,80.9'},
[32971]={[0]="Ranger Glynda Nal'Shea",[1]='42:50.2,19.8 42:50.7,19.7 42:50.8,18.3'},
[32972]={[0]='Serendia Oakwhisper',[1]='42:50.8,18.7 42:50.9,18.1 42:51.8,18'},
[32973]={[0]='Dentaria Silverglade',[1]='42:51.78,18.01'},
[32977]={[0]='Wizbang Cranktoggle',[1]='42:51.2,19.6'},
[32978]={[0]='Tharnariun Treetender',[1]='42:51.2,19.7 42:56.8,30'},
[32979]={[0]='Gorbold Steelhand',[1]='42:51,19.2'},
[32987]={[0]='Corvine Moonrise',[1]='42:42.6,45.1'},
[33025]={[0]="Ha'wana",[1]='496:70,21'},
[33048]={[0]='Keeper Karithus',[1]='42:42.9,39'},
[33055]={[0]='Alanndarian Nightsong',[1]='42:63.7,6'},
[33072]={[0]='Onu',[1]='42:45.4,74.9'},
[33091]={[0]='Malfurion Stormrage',[1]='42:43.7,53.4 42:43.7,53.5'},
[33107]={[0]='Priestess Alinya',[1]='42:42.6,45.1'},
[33112]={[0]='Selenn',[1]='42:43.8,53.6 42:44.4,56.7 42:44.5,56.7'},
[33117]={[0]='Elder Brownpaw',[1]='42:41,56.4 42:41,56.5'},
[33119]={[0]='Aroom',[1]='42:45.4,48.5 42:45.5,48.5'},
[33126]={[0]='Seraphine',[1]='42:42.9,39'},
[33131]={[0]='Great Moonstalker Spirit',[1]='42:42.8,40.1'},
[33132]={[0]='Great Thistle Bear Spirit',[1]='42:42.4,38.6 42:42.5,38.6'},
[33133]={[0]='Great Stag Spirit',[1]='42:43.4,39.8 42:43.4,40.7 42:43.6,40.5 42:43.7,40.2'},
[33166]={[0]='Thessera',[1]='42:49.2,57'},
[33175]={[0]='Johnathan Staats',[1]='42:52.4,18'},
[33176]={[0]='Kerlonian Evershade',[1]='42:69.1,19.2'},
[33177]={[0]='Arya Autumnlight',[1]='42:46.8,33.2'},
[33178]={[0]='Huntress Sandrya Moonfall',[1]='42:72.3,19.1'},
[33182]={[0]='Bathran',[1]='43:29,24.1'},
[33187]={[0]='Sentinel Shyela',[1]='43:26.9,22'},
[33204]={[0]='Evenar Stillwhisper',[1]='43:26.8,22'},
[33222]={[0]='Sir Marcus Barlowe',[1]='492:76.5,19.2'},
[33223]={[0]='Captain Joseph Holley',[1]='492:76.6,19.2'},
[33225]={[0]='Marshal Jacob Alerius',[1]='492:76.6,19.2'},
[33231]={[0]='Elisa Steelhand',[1]='42:42.6,45.2'},
[33232]={[0]='Archaeologist Hollee',[1]='42:38.6,42.4'},
[33250]={[0]='Foriel Broadleaf',[1]='42:45.2,75.1'},
[33256]={[0]='Ashelan Northwood',[1]='688:47,12.6 688:47.2,12.2 688:47.8,13.1 688:48,12.4 688:48.4,13.5 688:48.5,12.3 688:48.6,13.4 688:48.6,13.6'},
[33258]={[0]='Relwyn Shadestar',[1]='688:47,12.2 688:47.9,12.8 688:48.1,12.2 688:48.4,13.5 688:48.5,13.3 688:48.5,13.5 688:48.6,12.3'},
[33260]={[0]='Sentinel Aluwyn',[1]='688:47.4,11.7 688:48,12.5 688:48.2,12 688:48.5,12.4 688:48.5,12.5'},
[33261]={[0]='Sentinel-trainee Issara',[1]='688:47.4,11.4 688:47.4,11.5 688:48,12.6 688:48.2,12 688:48.5,12.1 688:48.6,13.3'},
[33263]={[0]='Dinah Halfmoon',[1]='11:42.4,15.7 11:42.5,15.7'},
[33276]={[0]='Moon Priestess Maestra',[1]='43:26.9,36.7 43:27,36.3'},
[33280]={[0]='Voice of Yogg-Saron',[1]='301:53.9,81.4 605:59.7,72.6'},
[33284]={[0]='Truun',[1]='11:42.3,15.2'},
[33294]={[0]='Gorat',[1]='43:64.2,84.5'},
[33309]={[0]='Clara Tumblebrew',[1]='492:76.6,19.5'},
[33312]={[0]='Lana Stouthammer',[1]='492:76.6,19.5'},
[33315]={[0]='Rollo Sureshot',[1]='492:76.6,19.4 492:76.6,19.5'},
[33335]={[0]='Ambrose Boltspark',[1]='492:76.5,19.8'},
[33361]={[0]='Mokra the Skullcrusher',[1]='492:76.4,24.5 492:76.5,24.5'},
[33372]={[0]="Zul'tore",[1]='492:76,24.4 492:76,24.5'},
[33373]={[0]='Deathstalker Visceri',[1]='492:76.5,24.2'},
[33379]={[0]='Eressea Dawnsinger',[1]='492:76.4,23.9 492:76.5,23.9'},
[33403]={[0]='Runok Wildmane',[1]='492:76.2,24.6'},
[33405]={[0]='Akinos',[1]='492:76.4,24.4 492:76.4,24.5 492:76.5,24.5'},
[33417]={[0]='Crusader Rhydalla',[1]='492:69.4,23 492:69.5,23.1'},
[33421]={[0]='Gorka',[1]='43:72.9,80.4 43:72.9,80.5'},
[33443]={[0]='Keeper Heartwise',[1]='43:20.2,38.8'},
[33445]={[0]='Sentinel Avana',[1]='43:26.8,36'},
[33454]={[0]='Sentinel Luara',[1]='43:34.7,48.6'},
[33532]={[0]='Wolvar Orphan',[1]='HC Near'},
[33536]={[0]='Alexstrasza',[1]='182:50.3,14.5 182:50.9,14.5 182:51.9,15 182:52.6,14.5 182:53.1,17.4 182:54,16.8 182:54.5,20.6 182:55.2,19 529:53,37.9 529:53,39.1 529:53.1,36 529:53.1,37.3 529:53.2,36 529:53.3,37.2 529:53.3,39 529:53.3,39.6 529:53.3,39.7 529:53.4,38.4 529:53.7,39 529:53.7,39.8 529:53.9,35.9 529:53.9,37.6 529:54.3,35.3 529:54.3,35.4 529:54.3,35.9 529:54.3,36.5 529:54.3,37.7 529:54.4,36.8 529:54.4,38.9 529:54.4,39.5 529:54.5,35.4 529:54.5,38.5 529:54.6,35.5 529:54.6,36.7 529:54.6,37 529:54.6,37.9 529:54.6,38.5 529:54.6,39.5 529:54.7,36 529:54.8,37.9 529:55.5,38 529:55.6,37.4 610:63.9,59.5 640:71.8,47.7 614:52.4,59.4'},
[33538]={[0]='Kethiel Sunlance',[1]='492:76.4,23.8'},
[33539]={[0]='Dern Ragetotem',[1]='492:76.2,24.6'},
[33540]={[0]='Shadow Hunter Mezil-kree',[1]='492:76,24.5'},
[33541]={[0]='Sarah Chalke',[1]='492:76.5,24.2'},
[33542]={[0]='Magister Edien Sunhollow',[1]='492:76.3,24.3'},
[33544]={[0]='Morah Worgsister',[1]='492:76.4,24.5'},
[33545]={[0]='Gahju',[1]='492:76,24.4 492:76,24.5'},
[33547]={[0]='Handler Dretch',[1]='492:76.5,24.3'},
[33548]={[0]='Aneera Thuron',[1]='492:76.4,23.9 492:76.5,23.9'},
[33549]={[0]='Anka Clawhoof',[1]='492:76.2,24.6'},
[33592]={[0]='Jaelyne Evensong',[1]='492:76.3,19.1'},
[33593]={[0]='Colosos',[1]='492:76.1,19.2'},
[33625]={[0]='Arcanist Taelis',[1]='492:76.4,19.4 492:76.4,19.5'},
[33646]={[0]='Avareth Swiftstrike',[1]='492:76.4,19.4 492:76.4,19.5'},
[33647]={[0]='Scout Shalyndria',[1]='492:76.4,19.4 492:76.4,19.5 492:76.5,19.5'},
[33648]={[0]='Tickin Gearspanner',[1]='492:76.5,19.8'},
[33649]={[0]='Flickin Gearspanner',[1]='492:76.5,19.8'},
[33652]={[0]='Illestria Bladesinger',[1]='492:76.3,19.1'},
[33654]={[0]='Airae Starseeker',[1]='492:76.4,19.1'},
[33655]={[0]='Saandos',[1]='492:76.1,19.2'},
[33656]={[0]='Ranii',[1]='492:76.1,19.1'},
[33658]={[0]='Amariel Sunsworn',[1]='492:76.3,24.3'},
[33659]={[0]='Galathia Brightdawn',[1]='492:76.2,24.4'},
[33726]={[0]='Splintertree Demolisher',[1]='43:73.4,62.1 43:73.5,62.2'},
[33727]={[0]='Anchorite Buurq',[1]='43:86.4,43.7 43:86.5,43.7'},
[33759]={[0]='Eadric the Pure',[1]='492:69.9,23.4 492:69.9,23.5'},
[33760]={[0]='Durak',[1]='43:72.2,57.6'},
[33762]={[0]='Crok Scourgebane',[1]='492:73.8,20'},
[33763]={[0]='Cellian Daybreak',[1]='492:69.9,23.4 492:69.9,23.5'},
[33769]={[0]="Zor'be the Bloodletter",[1]='492:73.8,19.5'},
[33770]={[0]='Illyrie Nightfall',[1]='492:73.6,20'},
[33771]={[0]='Luuri',[1]='492:69.9,23.4'},
[33777]={[0]='Gaivan Shadewalker',[1]='43:75.4,75.8 43:75.6,75.5 43:75.7,75.2'},
[33817]={[0]='Justicar Mariel Trueheart',[1]='492:69.7,22.8'},
[33837]={[0]='Kadrak',[1]='43:73.6,62.2'},
[33889]={[0]='Krokk',[1]=''},
[33956]={[0]='Prospector Doren',[1]='529:14,88.6 529:15.2,89.5 529:15.3,87.3 529:15.3,88.8 529:15.4,88.4 529:15.8,87 529:15.8,88.2 529:15.9,90 529:16.1,88.8 529:16.6,88.1 529:16.6,88.7 529:16.8,89.5'},
[33957]={[0]='Prospector Loren',[1]='529:14.8,87 529:14.9,87.6 529:15.1,88.7 529:15.5,88.6 529:15.6,87.1 529:15.7,87.6 529:16.1,90.2'},
[33977]={[0]='Durak',[1]='43:72.2,57.6'},
[34041]={[0]='Mathas Wildwood',[1]='42:59.1,19.6'},
[34122]={[0]='Commander Grimfang',[1]='43:12,33.8'},
[34195]={[0]='Kulg Gorespatter',[1]='43:94.4,46.9'},
[34210]={[0]='Squire Artie',[1]='492:69.5,22.4 492:69.5,22.5'},
[34233]={[0]='Guardian Menerin',[1]='43:90.8,58.2'},
[34239]={[0]='Hephaestus Pilgrim',[1]='43:36.4,49.8 43:36.5,49.8'},
[34242]={[0]='Guardian Gurtar',[1]='43:89.6,48.7'},
[34251]={[0]='Vear Darksnout',[1]='43:38,30.1'},
[34258]={[0]='Halga Bloodeye',[1]='11:67.4,38.8 11:67.5,38.8'},
[34283]={[0]='Sabina Pilgrim',[1]='43:52.1,56.5'},
[34284]={[0]='Dorak',[1]='11:66.4,45.5 11:66.5,45.4 11:67.1,45.5'},
[34289]={[0]='The Vortex',[1]='43:52.3,56.8'},
[34290]={[0]='Core',[1]='43:52.3,56.6'},
[34292]={[0]='Arctanus',[1]='43:52.1,56.6'},
[34301]={[0]='Kathrena Winterwisp',[1]='42:45.2,74.7'},
[34303]={[0]='Dagrun Ragehammer',[1]='43:11.4,35.3 43:11.6,35.3 43:11.6,35.5'},
[34320]={[0]='Venomhide Hatchling',[1]=''},
[34335]={[0]='Avrus Illwhisper',[1]='43:59.1,59.9'},
[34340]={[0]='Archaeologist Groff',[1]='42:37.7,82.8'},
[34341]={[0]='Saurboz',[1]='81:74.3,47.7'},
[34342]={[0]='Jr. Archaeologist Ferd',[1]='42:37.7,82.9'},
[34343]={[0]='Prospector Remtravel',[1]='42:37.4,82.2 42:37.5,82.3 42:37.7,82.9'},
[34354]={[0]='Huntress Jalin',[1]='43:35.1,71.6'},
[34358]={[0]='Avrus the Redeemed',[1]='43:59.1,59.9'},
[34359]={[0]='Captain Goggath',[1]='43:38,42.8 43:38.1,43.8 43:38.8,42.9 43:39.2,43.6'},
[34365]={[0]='Orphan Matron Aria',[1]='HC 504:49.36,63.25'},
[34377]={[0]='Halannia',[1]='43:62.2,51'},
[34395]={[0]='Tweedle',[1]='43:38,43.8'},
[34402]={[0]='Balren of the Claw',[1]='42:45.3,75.1'},
[34403]={[0]='Felros',[1]='42:45.3,75.1'},
[34404]={[0]='Larien',[1]='42:45.3,75.1'},
[34422]={[0]='Malfurion Stormrage',[1]='42:32.8,84.3'},
[34423]={[0]='Warlord Wrathspine',[1]='42:32.3,85.2'},
[34435]={[0]='Cheerful Human Spirit',[1]='HD 30:38.9,60.4'},
[34446]={[0]='Aros',[1]='42:45.7,71.8'},
[34476]={[0]='Cheerful Forsaken Spirit',[1]='HD 382:68.1,15.1'},
[34477]={[0]='Cheerful Orc Spirit',[1]='HD 4:47.4,17.6'},
[34478]={[0]='Cheerful Dwarf Spirit',[1]='HD 27:54.4,39'},
[34479]={[0]='Cheerful Night Elf Spirit',[1]='HD 381:76.4,26.4'},
[34480]={[0]='Cheerful Tauren Spirit',[1]='HD 9:57.1,17.3'},
[34481]={[0]='Cheerful Gnome Spirit',[1]='HD 27:54.4,39.2'},
[34482]={[0]='Cheerful Troll Spirit',[1]='HD 4:47.4,17.8'},
[34483]={[0]='Cheerful Blood Elf Spirit',[1]='HD 462:47.9,49.6'},
[34484]={[0]='Cheerful Draenei Spirit',[1]='HD 464:47.2,55.8'},
[34498]={[0]='Darkscale Assassin',[1]='42:45.6,71.7'},
[34510]={[0]='Broyk',[1]='43:38.8,43.3'},
[34512]={[0]='Stikwad',[1]='43:52.1,56.6'},
[34513]={[0]='Togrik',[1]='11:56.6,40.3'},
[34518]={[0]='Thagg',[1]='43:59.9,53.3 43:59.9,53.5 43:60.6,52.7'},
[34526]={[0]='Aponi Brightmane',[1]='362:76.1,29.1 362:76.4,29.5 362:76.6,27.7 362:76.7,28.7'},
[34547]={[0]="Grol'dom Kodo",[1]='11:58,48 11:58,49.2'},
[34559]={[0]='Captain Tarkan',[1]='43:50.1,67.4 43:50.1,67.5'},
[34560]={[0]='Una Wolfclaw',[1]='11:53.9,41.5 11:54,41.3'},
[34569]={[0]='Flooz',[1]='43:50,67.2'},
[34571]={[0]='Gwen Armstead',[1]='679:37.41,63.35'},
[34578]={[0]='Rocco Whipshank',[1]='11:54.6,41.4 11:54.6,41.5'},
[34596]={[0]='Foreman Jinx',[1]='43:46.1,63.3'},
[34599]={[0]='Bolyun',[1]='43:18,60'},
[34604]={[0]='Big Baobob',[1]='43:22.3,53.1'},
[34613]={[0]="Ta'jari",[1]='11:37.5,45.8'},
[34626]={[0]='Jerrik Highmountain',[1]='11:60.7,85 11:60.7,85.5'},
[34634]={[0]='Gorgal Angerscar',[1]='11:54.2,78.6 11:54.4,78.2 11:55.1,78.4 11:55.1,78.5'},
[34638]={[0]='Shoe',[1]='11:55.2,78.4 11:55.2,78.5'},
[34644]={[0]='Edward Winslow',[1]='HY 27:59.8,34.3'},
[34651]={[0]='Sashya',[1]='11:67.1,74.8'},
[34653]={[0]='Bountiful Table Hostess',[1]='HY 27:52.6,36.4 27:52.6,36.5 27:53.4,51.4 27:53.4,51.5 27:53.5,51.4 27:59.8,34.7 30:34.1,51.1 30:42.2,64.1 41:55.9,51 42:50.7,18.8 465:55.1,63.4'},
[34654]={[0]='Bountiful Feast Hostess',[1]='HY 4:46.3,14.3 4:52.8,44.1 20:58.7,51.5 9:46.8,59.1 462:46.6,47.3 462:55.5,53.2'},
[34668]={[0]='Sassy Hardwrench',[1]='605:56.43,76.96'},
[34673]={[0]='Bamm Megabomb',[1]='605:60.47,77.44'},
[34674]={[0]='Brak Blusterpipe',[1]='11:62.6,17'},
[34675]={[0]='Gregory Tabor',[1]='HY 30:34.1,51.4'},
[34676]={[0]='Isaac Allerton',[1]='HY 381:61.4,49.2'},
[34677]={[0]='Miles Standish',[1]='HY 382:64.6,11.8'},
[34678]={[0]='Dokin Farplain',[1]='HY 362:30.6,63.4'},
[34679]={[0]='Francis Eaton',[1]='HY 4:46.6,13.9'},
[34689]={[0]='Fizz Lighter',[1]='605:59,74.5 605:59.4,73.4 605:59.4,73.9 605:59.5,73.3 605:59.5,73.8 605:59.6,74.5'},
[34692]={[0]='Sister Goldskimmer',[1]='605:57.3,76.9 605:57.8,76.4 605:57.8,77 605:58.5,76.9 605:59.1,76.1'},
[34693]={[0]='Slinky Sharpshiv',[1]='605:58.2,74.6 605:58.3,73.2 605:58.4,73.5 605:58.4,76.7 605:58.5,73.4 605:58.8,74.4 605:58.9,75.3 605:59,76.3 605:59.1,76.5 605:59.4,77.6 605:59.5,74.9 605:59.5,76.4 605:59.5,77.4 605:59.5,77.6'},
[34695]={[0]='Maxx Avalanche',[1]='605:59.1,76.4 605:59.1,76.6 605:59.3,75.2 605:59.6,75.3 605:59.6,76 605:59.8,76.5'},
[34696]={[0]='Evol Fingers',[1]='605:57.9,73.2 605:58,74.3 605:58.4,75 605:58.5,74.7 605:58.6,74.1'},
[34697]={[0]='Warrior-Matic NX-01',[1]='605:60.2,77.8 605:60.3,77.4 605:60.5,77.4'},
[34698]={[0]='Nozzlepot',[1]='11:62.5,16.8'},
[34708]={[0]='Caitrin Ironkettle',[1]='HY 27:60,34.3'},
[34710]={[0]='Ellen Moore',[1]='HY 30:33.7,50.7'},
[34711]={[0]='Mary Allerton',[1]='HY 381:61.8,46.4'},
[34712]={[0]='Roberta Carter',[1]='HY 382:63.4,8.9'},
[34713]={[0]='Ondani Greatmill',[1]='HY 4:46.4,13.9'},
[34714]={[0]='Mahara Goldwheat',[1]='HY 362:30.4,68.9'},
[34744]={[0]='Jasper Moore',[1]='HY 30:33.9,50.9'},
[34749]={[0]='Tony Two-Tusk',[1]='11:77.3,91.3 11:79.7,90.5'},
[34768]={[0]='William Mullins',[1]='HY 382:64.4,13.6'},
[34771]={[0]='Girana the Blooded',[1]='492:76.1,24.1'},
[34828]={[0]="Kala'ma",[1]='11:62.4,63.9'},
--[34830]={[0]='Defiant Troll',[1]='605:63.4,94.7 605:63.5,94.7 605:63.6,93.9 605:63.7,90.9 605:63.7,91.8 605:64.1,89.2 605:64.1,89.5 605:65.3,87.6 605:65.4,87.4 605:65.5,87.2 605:65.6,86.3 605:65.7,81.4 605:65.9,82 605:65.9,82.7 605:67,81.4 605:67.1,78.4 605:67.1,78.7 605:67.1,85.2 605:67.2,79.5 605:67.4,82.1 605:67.4,82.5 605:67.5,79.7 605:67.5,82.1 605:67.6,78.9 605:67.9,83 605:68.5,81.4 605:69,81.8 605:69.1,77.9 605:69.7,81.2 605:70.2,82.4 605:70.2,82.5 605:70.4,76.8 605:70.4,86.1 605:70.5,82.4 605:70.5,82.5 605:70.6,86.6 605:70.9,76.3 605:70.9,76.5 605:71.2,77.8 605:71.4,84.4 605:71.4,84.5 605:71.5,75.4 605:71.5,84.3 605:71.6,82.2 605:71.9,85.3 605:71.9,85.5 605:72.1,78.3 605:72.1,78.5 605:72.3,74.3 605:72.4,80.3 605:72.4,80.5 605:72.5,70.6 605:72.5,80.3 605:72.5,80.5 605:72.6,73.4 605:72.6,73.6 605:72.7,85.8 605:72.8,69.8 605:73.7,83.7 605:74.2,79.2 605:74.2,83.3 605:74.7,83.7 605:75.8,85.1 605:76.4,85.6 605:76.5,85.7 605:78,85.2 605:78.6,85.1'},
[34835]={[0]='Bruno Flameretardant',[1]='605:44.3,74.9 605:44.4,75.5 605:44.6,74.4 605:44.7,75.5 605:45.1,74.8'},
[34841]={[0]='Telar Highstrider',[1]='11:38,46.5 11:38.1,46.3'},
[34850]={[0]='Prince Liam Greymane',[1]='611:59.12,23.87'},
[34863]={[0]='Lieutenant Walden',[1]='611:54.63,16.69'},
[34865]={[0]='Tunneling Worm',[1]='605:59.8,99.4 605:60.7,98.6 605:61.6,97.6 605:62.1,96.3 605:62.2,97.3 605:62.8,97.1 605:63,97.7 605:63,98.6 605:63.4,92.2 605:63.4,92.7 605:63.6,92 605:63.6,92.8 605:63.6,94 605:63.6,94.6 605:63.7,91.3 605:63.7,97 605:63.7,97.5 605:64.2,89.3 605:64.2,89.6 605:64.3,95.9 605:64.5,89 605:64.7,96.2 605:65.1,96.5 605:65.6,96.5 605:65.7,96.4 605:71.4,75.4 605:71.4,75.6 605:71.5,75.5 605:71.6,75.4 605:72.4,70.4 605:72.4,70.7 605:72.4,71.5 605:72.4,73.1 605:72.4,73.7 605:72.5,70.7 605:72.5,72.3 605:72.5,73.1 605:72.5,73.8 605:72.9,70 605:74.1,69.4 605:74.1,69.5 605:74.8,69.2 605:74.8,70.4 605:74.8,70.5 605:75,84 605:75.4,84.5 605:75.5,84.4 605:76.1,85.3 605:76.3,85.6 605:76.8,85.4 605:77,85.6 605:77.6,85.2 605:78.4,85.5 605:78.6,85.4 605:78.7,85.6 605:78.8,88.6 605:78.9,86.5 605:78.9,88.1 605:79.6,88.4 605:79.9,89'},
[34872]={[0]='Foreman Dampwick',[1]='605:60.14,74.61'},
[34874]={[0]='Megs Dreadshredder',[1]='605:58.30,76.51'},
[34876]={[0]='Frankie Gearslipper',[1]='605:36.4,71.8 605:36.6,71.7 605:36.7,71 605:36.8,70.4'},
[34877]={[0]='Jack the Hammer',[1]='605:35.1,77.7 605:35.4,76.9 605:35.5,78.7 605:35.7,76.4 605:35.7,77.3 605:35.7,77.5 605:36.5,76.6 605:36.6,76.1 605:36.8,75.4'},
[34878]={[0]='Sudsy Magee',[1]='605:41,81.4 605:41,81.5 605:41.7,81.5 605:41.9,80.9 605:42.1,80.4'},
[34880]={[0]='Narasi Snowdawn',[1]='492:76.3,19.6'},
[34882]={[0]='High Crusader Adelard',[1]='492:69.5,23.1'},
[34884]={[0]='Rampaging Worgen',[1]='611:55.2,26.5 611:55.4,26.1 611:55.4,27.5 611:55.5,26.7 611:55.5,27.5 611:55.7,29.3 611:55.7,32 611:55.7,38.9 611:55.8,37.7 611:55.9,26.3 611:56,32.8 611:56.1,30.3 611:56.1,30.9 611:56.2,39.5 611:56.3,23.2 611:56.3,37.4 611:56.5,31.7 611:56.5,39.7 611:56.6,30.9 611:56.6,34.1 611:56.6,41.9 611:56.7,35.2 611:56.7,38.6 611:56.8,35.9 611:57,25 611:57.1,25.6 611:57.4,22.3 611:57.4,22.9 611:57.4,23.8 611:57.5,23.9 611:57.5,41.1 611:57.7,30.2 611:57.7,40.4 611:57.8,21.9 611:57.9,23.2 611:58.1,24.5 611:58.1,41.5 611:58.3,31.2 611:58.5,31.4 611:58.6,21.3 611:58.6,42.6 611:58.8,33 611:58.9,24 611:59,30.3 611:59,32.4 611:59,41.7 611:59.2,22 611:59.2,22.7 611:59.5,22.2 611:59.5,29.7 611:59.7,29.3 611:59.8,22.7 611:59.8,26.1 611:59.9,23.5 611:59.9,26.7 611:59.9,30.6 611:59.9,41.3 611:60,28.3 611:60,42.7 611:60.1,36 611:60.1,36.6 611:60.2,24.7 611:60.3,31.7 611:60.3,37.8 611:60.3,42.4 611:60.4,32.9 611:60.4,33.8 611:60.4,34.7 611:60.5,22.3 611:60.5,22.7 611:60.5,33.3 611:60.5,38 611:60.5,41.3 611:60.6,42.5 611:60.7,24.3 611:60.7,25.3 611:60.8,27.2 611:60.8,41.9 611:60.9,28.6 611:60.9,34 611:61,16.8 611:61.1,26.3 611:61.1,35 611:61.1,36.8 611:61.4,28.1 611:61.4,31.1 611:61.4,36.4 611:61.5,22.4 611:61.5,27.4 611:61.5,35.4 611:61.6,17.2 611:61.6,27.6 611:61.6,28.7 611:61.6,31.1 611:61.6,36.2 611:61.6,36.5 611:61.7,25.7 611:61.8,33.7 611:61.8,41.4 611:62.1,32.2 611:62.3,32.5 611:62.4,41.8 611:62.5,32.3 611:62.7,32.7 611:62.9,34 611:63,20.7 611:63,42.1 611:63.3,20.1 611:63.6,33.5 611:63.7,23.4 611:63.7,42.2 611:63.8,16 611:63.8,19.2 611:63.8,44.2 611:64,21.5 611:64,32.3 611:64,44.5 611:64.1,23.9 611:64.1,42.9 611:64.2,33.4 611:64.5,42.5 611:64.6,21.9 611:64.6,41.8 611:64.8,33 611:65,33.5 611:65.3,26.7 611:65.3,37.8 611:65.4,36.9 611:65.6,27.4 611:65.6,41.7 611:65.7,43.7 611:65.8,31.4 611:65.9,28.6 611:66,31.7 611:66.1,29.7 611:66.2,33.1 611:66.2,34.6 611:66.2,38.4 611:66.3,33.8 611:66.5,43.9 611:66.6,34.9 611:66.7,30.2 611:66.7,34.3 611:66.7,36.4 611:67.1,37.3 611:67.2,37.9 611:67.2,38.5 611:67.7,39 611:67.8,37.8 611:68.2,42.1 611:68.3,41 611:68.4,42.7 611:68.5,42 611:68.5,43.3'},
[34912]={[0]='Savinia Loresong',[1]='492:76.2,19.5'},
[34913]={[0]='Prince Liam Greymane',[1]='611:59.84,22.19'},
[34914]={[0]='Tylos Dawnrunner',[1]='492:76.1,24.1'},
[34936]={[0]='Gwen Armstead',[1]='611:59.59,26.79'},
--[34957]={[0]='Ace',[1]='605:47.8,37.4'},
--[34958]={[0]='Gobber',[1]='605:60,50'},
--[34959]={[0]='Izzy',[1]='605:58.1,86.6'},
[35053]={[0]='Candy Cane',[1]='605:56.31,77.10'},
[35054]={[0]='Chip Endale',[1]='605:56.31,76.77'},
[35068]={[0]='Gotura Fourwinds',[1]='321:47.8,71.3 321:47.8,71.5'},
[35077]={[0]='Lord Darius Crowley',[1]='611:55.22,62.93'},
[35085]={[0]='Foreman Fisk',[1]='181:29.2,66.4'},
[35086]={[0]='Labor Captain Grabbit',[1]='181:27.00,77.07'},
[35087]={[0]='Malynea Skyreaver',[1]='181:29.6,66.9'},
[35088]={[0]='Custer Clubnik',[1]='181:29.7,67'},
[35091]={[0]='Horzak Zignibble',[1]='181:29.1,66.3'},
[35094]={[0]='Crusader Silverdawn',[1]='492:69.5,23.1'},
[35112]={[0]='King Genn Greymane',[1]='611:65.82,77.67'},
[35115]={[0]='Lord Godfrey',[1]='611:65.31,77.62'},
[35118]={[0]='Bloodfang Worgen',[1]='611:54.4,70.4 611:54.4,70.6 611:54.7,71 611:55.4,72.1 611:55.6,72.4 611:56,73.2 611:56.1,68.8 611:56.4,73.6 611:56.4,77.9 611:56.5,74 611:56.6,69.4 611:56.6,77.9 611:57.1,75.4 611:57.2,75.8 611:57.7,73.5 611:57.8,68.5 611:57.8,72.9 611:57.8,74.8 611:57.8,75.5 611:57.9,67.9 611:58,72.4 611:58.3,71.4 611:58.5,71.9 611:59,71.4 611:59.4,69.7 611:60,70.5 611:60.1,70.2 611:60.1,76.8 611:60.4,71.5 611:60.6,71.2 611:60.8,71.9 611:60.8,76.4 611:60.8,76.6 611:61,70.4 611:61.2,68.6 611:61.3,67.9 611:61.4,66.8 611:61.4,72.6 611:61.5,71.2 611:61.5,76.4 611:61.5,76.5 611:61.7,72.4 611:62,66.6 611:62,73.5 611:62.3,66.4 611:62.4,73.3 611:62.4,74.5 611:62.6,66.3 611:62.6,73.8 611:62.7,72.9 611:62.8,74.6 611:63.8,65.6 611:64.4,75.2 611:64.8,75.8 611:65.1,68.9 611:65.2,76.7 611:66.4,61.4 611:66.4,64.3 611:66.6,61.8 611:66.9,63 611:67,64.3 611:67.3,64.5 611:68.2,64.3 611:68.3,64.5 611:68.5,64.4 611:68.7,64.6'},
[35120]={[0]='FBoK Bank Teller',[1]='605:30.10,71.92'},
[35142]={[0]='Ergll',[1]='181:70.4,36.2'},
--[35175]={[0]='Kezan Partygoer',[1]='605:55.5,84.5 605:55.6,83.5 605:55.7,82.9 605:55.7,85.9 605:55.8,82.3 605:56.2,87.2 605:56.4,80.8 605:57,80.4 605:57,80.5 605:57.3,86.3 605:57.9,80.6 605:58,86 605:58.3,80.3 605:58.9,79.9 605:59.3,79.4 605:59.3,80.6 605:59.4,86.2 605:59.5,80.6 605:59.7,79.2 605:60.1,80.1 605:60.2,86 605:60.3,81.6 605:60.4,85.2 605:60.5,86.8 605:60.6,82.4 605:60.7,83.5 605:60.8,83.2 605:61,84.9 605:61.2,85.8'},
[35187]={[0]='Image of Archmage Xylem',[1]='181:47.2,20.8'},
[35195]={[0]='Labor Captain Grabbit',[1]='181:27,77'},
--[35200]={[0]='Pirate Party Crasher',[1]='605:55,81.9 605:55.1,85.5 605:55.2,85.4 605:55.3,83.3 605:55.4,86.6 605:55.5,82.6 605:55.6,81.7 605:55.6,83.8 605:55.6,85 605:55.7,86.4 605:55.8,81.3 605:56,79.9 605:56,86.5 605:57.1,87.3 605:57.2,79.8 605:57.2,87.6 605:57.3,80.5 605:57.7,80.4 605:57.8,87.6 605:57.9,86.4 605:58.4,80.6 605:58.4,86.9 605:59.1,78.5 605:59.1,86.5 605:59.2,78.3 605:59.2,79.9 605:59.2,80.5 605:59.4,85.8 605:59.5,78.1 605:59.6,78.8 605:60,87 605:60.1,79.6 605:60.2,80.5 605:60.3,85.6 605:60.4,82.5 605:60.4,84.3 605:60.4,85.2 605:60.5,80.3 605:60.5,85 605:60.5,86.7 605:60.6,81.1 605:60.6,83 605:60.7,82.4 605:61.4,83.7 605:61.4,85.6 605:61.5,82.3 605:61.5,83.9 605:61.5,84.9 605:61.5,85.6'},
[35222]={[0]='Trade Prince Gallywix',[1]='605:21,13.6 605:21.1,13.4 605:56.4,77.1 605:56.5,77.1 605:56.6,76.4'},
[35229]={[0]='Bloodfang Stalker',[1]='611:25,48.2 611:25.1,47.4 611:25.3,43.9 611:26.3,41.7 611:30.2,40 611:31.8,39.8 611:32.7,39.8 611:32.7,61.5 611:33.6,60.8 611:34.2,24.4 611:34.3,23.4 611:37.1,63.6 611:38.3,65.8 611:38.4,66.9 611:38.9,37.6 611:40.3,36.6 611:40.3,39.6 611:41.4,17.9 611:41.8,17.8'},
[35256]={[0]='Cheerful Dalaran Spirit',[1]='HD 504:34.8,39.6'},
[35260]={[0]='Cheerful Aldor Spirit',[1]='HD'},
[35261]={[0]='Cheerful Scryer Spirit',[1]='HD'},
[35281]={[0]='Rukua',[1]='381:38.6,80.9 381:42.8,77.7'},
[35286]={[0]='Furien',[1]='101:54.7,8.8'},
[35295]={[0]='Cerelia',[1]='101:44.6,29.5'},
[35298]={[0]='Sorrem',[1]='101:44.8,29.6'},
[35369]={[0]='Josiah Avery',[1]='611:56.7,84.4 611:56.7,85'},
[35378]={[0]='Lorna Crowley',[1]='611:56.87,81.46'},
[35381]={[0]='Cup of Elune Bunny',[1]=''},
[35382]={[0]='Elune Palace Bunny',[1]=''},
[35463]={[0]='Bloodfang Lurker',[1]='611:45.4,83.3 611:45.4,84 611:45.6,84.5 611:46.1,81.4 611:46.1,82.8 611:46.1,83.6 611:46.2,81.7 611:47.3,77.1 611:47.3,83.6 611:47.4,72.2 611:47.4,73.4 611:47.4,74.2 611:47.4,74.6 611:47.4,76.4 611:47.4,77.7 611:47.4,78.7 611:47.4,80.3 611:47.4,81.3 611:47.4,82.4 611:47.4,82.8 611:47.5,73.1 611:47.5,74.2 611:47.5,74.6 611:47.5,77.6 611:47.5,78.8 611:47.5,79.7 611:47.5,80.7 611:47.5,81.9 611:47.5,82.8 611:47.6,77.4 611:47.7,76.4 611:47.8,72.1 611:47.9,71.4 611:48.4,83.5 611:48.5,83.4 611:48.7,72.2 611:48.7,72.6 611:48.7,83.8 611:49.1,76.6 611:49.1,84.6 611:49.3,71.4 611:49.4,76.4 611:49.7,76.4 611:50.2,84.5 611:50.3,82.9 611:50.4,71.4 611:50.4,71.5 611:50.4,76.6 611:50.4,81.4 611:50.4,82.2 611:50.4,83.5 611:50.5,81.4 611:50.5,81.7 611:50.5,82.7 611:50.6,71.5 611:50.7,71 611:50.8,69.2 611:50.9,76.4 611:50.9,83.7 611:51.1,70.3 611:51.2,76.6 611:51.4,84.5 611:51.5,76.5 611:51.9,76.4 611:52,83.4 611:52.1,84 611:52.2,70.9 611:52.3,84.5 611:52.5,71.1 611:52.5,76.4 611:52.8,71.5 611:53,83.7 611:53.4,77.1 611:53.4,77.5 611:53.4,83 611:53.8,77.2 611:53.8,77.5 611:54.1,78.6 611:54.1,83 611:54.2,81.3 611:54.3,80.2 611:54.3,81.9 611:54.4,84 611:54.5,77.7 611:54.5,80.3 611:54.5,84 611:54.6,81.3 611:54.8,85 611:54.9,81.5 611:55,78.5 611:55.3,76.2 611:55.3,77.1 611:55.3,82.8 611:55.5,77.5 611:55.5,80.3 611:55.5,81.4 611:55.5,81.6 611:55.5,83.4 611:55.5,83.5 611:55.6,76.3 611:55.6,76.5 611:56.5,81.4 611:56.8,81.5'},
[35471]={[0]='Sorn Proudmane',[1]='504:60.1,26.8 504:60.2,25.4 504:60.4,25.8 504:60.5,25.4 504:60.5,25.8'},
[35486]={[0]='First Bank of Kezan Vault',[1]=''},
[35506]={[0]="Nijel's Point Defender",[1]='101:64.8,7.7 101:64.9,7.2 101:65,9.4 101:65.1,10 101:66.3,10.9 101:66.9,10 101:67.4,10.7 101:67.6,10.6 101:68,9.4 101:68,10.3'},
[35510]={[0]="Nijel's Point Merchant",[1]='101:65.1,8.2 101:67,9.7 101:67.6,10.6 101:68.1,10'},
[35550]={[0]='King Genn Greymane',[1]='611:59.20,83.74'},
[35552]={[0]='Lord Darius Crowley',[1]='611:31.07,72.39'},
[35566]={[0]='Lord Darius Crowley',[1]='611:48.90,52.76'},
[35618]={[0]='Tobias Mistmantle',[1]='611:40.55,39.41'},
[35627]={[0]='Frenzied Stalker',[1]='611:40.8,40.4 611:40.9,40.6 611:41.1,42.5 611:42.6,41.4 611:42.8,43.4 611:43.4,44.4 611:43.4,44.5 611:43.5,44.4 611:43.5,44.5 611:44.2,45.9 611:44.3,46.7 611:44.4,47.8 611:44.5,45.2 611:44.6,46.3 611:45.1,47.8 611:45.3,47.3 611:45.3,49.7 611:45.4,49.1 611:45.4,50.6 611:45.5,46.3 611:45.5,47.4 611:45.6,47.6 611:45.8,50.5 611:46.3,49.2 611:46.4,49.5 611:46.6,49.4 611:46.7,47 611:46.9,48 611:47,50 611:47.4,50.5 611:47.5,47.4 611:47.5,47.6 611:47.6,49.2 611:47.6,51.1 611:47.7,50.1 611:48.1,51.5 611:48.8,52.5'},
[35648]={[0]='Will Robotronic',[1]='181:47.1,21'},
[35650]={[0]='Sassy Hardwrench',[1]='544:27.9,75.6'},
[35657]={[0]='Torg Twocrush',[1]='181:50.7,75.2'},
[35661]={[0]='Cenarion Embassador Thunk',[1]='101:70.4,32.9'},
[35754]={[0]='Quarla Whistlebreak',[1]='181:47.1,21'},
[35755]={[0]='Tharkul Ironskull',[1]='181:47.2,21.2'},
[35756]={[0]='Teresa Spireleaf',[1]='181:47.2,21.2'},
[35757]={[0]='Bizby',[1]='101:60.9,28.9'},
[35758]={[0]='Bamm Megabomb',[1]='544:27.9,74.4'},
[35769]={[0]='Foreman Dampwick',[1]='544:31.2,79.2'},
[35773]={[0]='Cenarion Researcher Korrah',[1]='101:38.9,27'},
[35786]={[0]='Maxx Avalanche',[1]='544:27.8,74.6 544:27.9,74.4'},
[35817]={[0]='Bombardier Captain Smooks',[1]='181:52.2,74.2'},
[35827]={[0]='Valishj',[1]='101:31.1,30.9'},
[35830]={[0]='Gilneas Evacuation Facing Marker (First)',[1]=''},
[35837]={[0]='Dead Orc Scout',[1]='544:31.2,74'},
[35839]={[0]='Sergeant Cleese',[1]='611:66.2,63.3 611:66.9,65.6 611:67,63 611:67.3,64.1 611:67.9,64.3 611:68.4,64.6 611:68.5,64.4 611:68.6,64.6'},
[35840]={[0]='Gwen Armstead',[1]='611:70.77,55.02'},
[35867]={[0]='Kalec',[1]='181:55.4,52.1 181:55.5,52.1 181:66.6,20.4'},
[35869]={[0]='Vitus Darkwalker',[1]='611:70.3,64.6 611:70.4,64.3 611:70.6,64.5 611:70.7,65.6 611:70.9,63 611:71.2,64.1'},
[35870]={[0]='Sister Almyra',[1]='611:69.4,65.1 611:70.1,67.1 611:70.4,63.9 611:70.4,65.1 611:70.4,65.8 611:70.5,63.9 611:70.5,65.3 611:70.5,65.8 611:70.5,66.5'},
[35871]={[0]='Loren the Fence',[1]='611:70.4,65.2 611:70.4,66.4 611:70.4,66.5 611:70.6,66.6 611:71.1,64.2 611:71.2,65.5 611:71.3,65.4'},
[35872]={[0]='Myriam Spellwaker',[1]='611:66.4,67.1 611:66.9,66.5 611:67,64.2 611:67,65.2 611:67.8,64.4 611:68.2,64.6 611:68.8,64.8 611:69,64.3'},
[35873]={[0]='Celestine of the Harvest',[1]='611:70.19,65.89'},
[35874]={[0]='Huntsman Blake',[1]='611:70.8,62.4 611:70.9,62.7 611:71,59.9 611:71.3,60.9 611:71.5,61.1 611:71.5,61.6'},
[35875]={[0]='Aggra',[1]='544:37.6,78'},
[35893]={[0]='Kilag Gorefang',[1]='544:35.4,75.8 544:35.5,75.8'},
[35902]={[0]='Lord Hydronis',[1]='101:29.1,8'},
[35906]={[0]='Lord Godfrey',[1]='611:55.70,80.77'},
[35911]={[0]='King Genn Greymane',[1]='611:30.38,73.17'},
[35917]={[0]='Kilag Gorefang',[1]='544:34.6,66.9'},
[36034]={[0]='Karnum Marshweaver',[1]='101:57.4,47.7 101:57.5,47.7'},
[36048]={[0]='Thressa Amberglen',[1]='101:58.7,46.4 101:58.8,46.5'},
[36052]={[0]='Garren Darkwind',[1]='101:58.4,49.8'},
[36056]={[0]="Khan Leh'Prah",[1]='101:58.3,50'},
[36060]={[0]='Botanist Ferrah',[1]='101:58.5,48.7'},
[36077]={[0]='Assistant Greely',[1]='181:50.4,74.3 181:50.5,74.4'},
[36112]={[0]='Scout Brax',[1]='544:25.3,59.9'},
[36127]={[0]='Gyrochoppa',[1]='544:23.2,67.4 544:23.2,67.5'},
[36132]={[0]='Krennan Aranas',[1]='679:37.41,63.24'},
[36140]={[0]='Prince Liam Greymane',[1]='679:35.73,66.57 679:35.66,66.26'},
[36145]={[0]='Thrall',[1]='544:11.8,62.8'},
[36146]={[0]='Twistex Happytongs',[1]='181:45.1,75.5'},
[36161]={[0]='Thrall',[1]='544:12.4,63.1 544:12.5,63.1'},
[36163]={[0]='Khan Kammah',[1]='101:71.7,45.6 101:73.3,41.7'},
[36170]={[0]='Lord Godfrey',[1]='545:36.51,62.26'},
[36185]={[0]='Khan Shodo',[1]='101:40.3,95.4 101:40.4,95.5 101:40.5,95.4 101:40.5,95.5'},
[36188]={[0]='Thrall',[1]='544:35.9,66.7'},
[36196]={[0]='Kherrah',[1]='750:38.2,58'},
[36205]={[0]='Slain Watchman',[1]='679:32.78,66.16'},
[36210]={[0]='Sorata Firespinner',[1]='181:42.7,25.2 181:53.2,50'},
[36290]={[0]='Lord Godfrey',[1]='679:28.97,63.92'},
[36291]={[0]='Melinda Hammond',[1]='679:28.93,64.03'},
[36296]={[0]='Apothecary Hummel',[1]='764:39.31,52.46'},
[36329]={[0]='Thargad',[1]='101:36.69,71.22'},
[36332]={[0]='King Genn Greymane',[1]='545:36.41,61.25'},
[36334]={[0]='Image of Archmage Xylem',[1]='181:55.7,14.7'},
[36335]={[0]='Image of Archmage Xylem',[1]='181:33,23.5'},
[36336]={[0]='Image of Archmage Xylem',[1]='181:62.2,21.1'},
[36337]={[0]='Image of Archmage Xylem',[1]='181:31.1,26.8'},
[36361]={[0]='Image of Archmage Xylem',[1]='181:55.9,12.1'},
[36372]={[0]='Joanna',[1]='181:25.4,38.1 181:25.5,38'},
[36378]={[0]='Dumti',[1]='101:36.4,71.2 101:36.5,71.2'},
[36379]={[0]='Hobart Grapplehammer',[1]='181:50.4,74.4 181:50.4,74.5 181:50.5,74.7'},
[36398]={[0]="Khan Leh'Prah",[1]='101:72.2,67.4 101:72.3,67.5'},
[36410]={[0]='Officer Jankie',[1]='101:54.2,9.2'},
[36425]={[0]='Sassy Hardwrench',[1]='544:36,67.4 544:36,67.5'},
[36436]={[0]='Spirit of Azuregos',[1]='181:27.8,40.1'},
[36444]={[0]="Khan Leh'Prah",[1]='101:82.3,80.8'},
[36451]={[0]='Prince Liam Greymane',[1]='679:29.03,65.05'},
[36452]={[0]='Gwen Armstead',[1]='679:37.63,65.23'},
[36456]={[0]='Sebastian Hayward',[1]='679:36.89,84.20'},
[36457]={[0]='Lorna Crowley',[1]='679:37.68,72.75'},
[36458]={[0]='Grandma Wahl',[1]='679:32.51,75.48'},
[36470]={[0]='Foreman Dampwick',[1]='544:44.3,64.4 544:44.5,64.4'},
[36471]={[0]='Foreman Dampwick',[1]='544:45.4,64.8 544:51.8,47.2'},
[36479]={[0]='Archmage Mordent Evenshade',[1]='381:49.8,16.6 381:49.9,15.4 381:49.9,16'},
[36487]={[0]='Khan Shodo',[1]='101:73.3,73 101:81.4,82 101:81.6,81.5 101:81.8,80.6 101:82.2,80'},
[36500]={[0]='Subject Nine',[1]='181:42.2,76.1'},
[36506]={[0]='Daros Moonlance',[1]='381:42.4,82.3 381:42.4,82.9 381:42.5,82.3 381:42.6,83.1 381:42.6,83.5 504:35.3,61.2 504:35.6,61.2 504:36,60.3 504:36.4,62 504:36.4,62.5 504:36.7,61.4 504:36.7,61.8 504:36.9,62.6 504:37.3,60.4 504:37.5,60.3 504:37.5,61.5'},
[36596]={[0]='Andorel Sunsworn',[1]='181:42.6,23.8'},
[36600]={[0]='Geargrinder Gizmo',[1]='544:24.6,77.9'},
[36606]={[0]='Queen Mia Greymane',[1]='679:28.13,50.03'},
[36608]={[0]='Doc Zapnozzle',[1]='30:35.6,53.6 39:58.8,18.2 39:60.8,18.8 301:63.1,32 301:63.6,31.7 765:64.4,67.5 765:64.9,76.3 765:67.1,80.1 504:41.9,79.1 504:60.3,26.4 545:60,92.3'},
[36616]={[0]='Admiral Nightwind',[1]='679:42.59,35.93'},
[36624]={[0]='Caladis Brightspear',[1]='492:53.3,90.3 492:74.2,31.3'},
[36642]={[0]='Myralion Sunblaze',[1]='492:53.5,90.7 492:74.5,31.1'},
[36644]={[0]='Ahmo Thunderhorn',[1]='9:47.66,59.58'},
[36648]={[0]='Baine Bloodhoof',[1]='362:42.4,28.6 362:46.7,57.1 362:59.4,51.6'},
[36669]={[0]='Arcanist Tybalin',[1]='504:38.9,58.7 504:39.1,58.4 504:39.2,56.9 504:39.5,57.4 504:39.5,58.6 504:39.6,57.9'},
[36670]={[0]='Magister Hathorel',[1]='504:79.3,84.5 504:68.9,31.6 504:69.1,31.2 504:69.4,32.9 504:69.7,31.5 504:69.7,32.5 504:69.8,31.4 504:69.9,30.1 504:70.5,29.8 504:70.6,32.1 504:70.9,32.6 504:71.1,31.2'},
[36676]={[0]='Azuregos',[1]='181:66.9,20.5 181:67,20.4'},
[36689]={[0]='Kalecgos',[1]='181:71.8,16.4 181:71.8,16.6'},
[36694]={[0]='Adana Thunderhorn',[1]='9:46.2,82.6'},
[36728]={[0]='Kroum',[1]='181:14.3,65'},
[36729]={[0]='Slinky Sharpshiv',[1]='181:12,68.3 181:12.5,67.4 181:12.5,67.5'},
[36730]={[0]='Chawg',[1]='181:14,64.8'},
[36743]={[0]='King Genn Greymane',[1]='679:26.44,46.92',[2]='On top of tower'},
[36744]={[0]='Glix Grindlock',[1]='181:29.4,57.7'},
[36745]={[0]='Captain Tork',[1]='181:34.4,44.9 181:34.5,44.9'},
[36746]={[0]='Xiz "The Eye" Salvoblast',[1]='181:29.2,57.9'},
[36749]={[0]='Commander Molotov',[1]='181:29.4,57.7 181:29.5,57.7 181:60.6,50.6'},
[36752]={[0]='Private Worcester',[1]='181:29.4,66.8 181:29.5,66.8'},
[36785]={[0]='Bombardier Captain Smooks',[1]='181:14.4,75.6 181:14.5,75.6'},
[36795]={[0]='Ruckus',[1]='181:39.1,51.7'},
[36799]={[0]='Recruiter Burns',[1]='301:27.37,24.15'},
[36803]={[0]='Dyami Windsoar',[1]='9:41.2,76.1'},
[36894]={[0]='Tora Halotrix',[1]='181:34.5,44.8'},
[36895]={[0]='Sergeant Zelks',[1]='181:34.4,44.8 181:34.5,44.8'},
[36903]={[0]='Jr. Bombardier Hackel',[1]='181:14.4,65.6 181:14.5,65.7'},
[36915]={[0]='Erunak Stonespeaker',[1]='610:45.23,23.35'},
[36918]={[0]="Lorekeeper's Summoning Stone",[1]='181:10.5,69.9'},
[36919]={[0]='Andorel Sunsworn',[1]='181:13.9,64.5'},
[36920]={[0]='Lieutenant Drex',[1]='181:41.4,53.6 181:41.5,53.6'},
[36921]={[0]='Sergeant Hort',[1]='181:41.4,53.9 181:41.5,53.9'},
[36955]={[0]='Lady Jaina Proudmoore',[1]='603:37,10.2 603:41.2,13.9 603:10.9,27.2 603:11.1,29.3 603:11.3,28.1 603:11.5,28.2 603:13,24.2 603:13.2,22.8 603:13.3,22.6 603:13.4,22.3 603:13.6,22.2 603:13.6,22.5 603:13.7,22 603:14.4,21.1 603:14.9,20.7 603:15.2,20.4 603:15.5,20.2 603:15.9,19.4 603:16.7,18.6 603:16.7,19.8 603:17.8,19.4 603:18.4,19.6 603:18.5,18.6 603:19,19.9 603:20.2,20.4 603:20.8,20.8 603:22,21.7 603:22.5,22.3 603:23.1,22.8 603:23.6,23.4 603:24.2,23.9 603:24.6,24 603:24.7,24.5 603:25.7,25.1 603:25.7,25.7 603:26.6,26.9 603:27.1,27.5 603:27.4,25.1 603:27.4,25.8 603:27.6,26 603:28,25.4 603:30.8,29 603:32.6,30.5 603:39.5,34.7 603:39.8,33.1 603:40.5,34.3 603:41.1,34.7 603:48.7,42.8 603:49.6,44.2 603:50.7,44.1 603:51,44.7 603:76,77.5 603:76.1,76.3 603:76.2,76.9 603:76.3,77 603:76.6,76.8 603:76.7,77.6 603:77.6,79.5'},
[36956]={[0]='Captain Desoto',[1]='181:58.1,52.3'},
[36959]={[0]='Uncle Bedlam',[1]='181:60.6,50.6'},
[36990]={[0]='Lady Sylvanas Windrunner',[1]='602:40.2,79.8 602:40.3,79.4 602:40.4,78.9 602:40.4,79.8 602:40.9,79.7 602:40.9,80.5 602:41,79.7 602:41.1,78.9 602:41.3,79.1 602:41.5,79.8 602:47.1,41.4 602:47.1,42.6 602:47.2,42.9 602:47.3,42.1 602:47.4,41.9 602:47.5,41.4 602:47.5,41.9 602:47.6,42.7 602:47.7,42 602:47.8,42.7 602:48.5,42.3 602:48.6,42.4 602:48.6,43.1 602:48.8,42.6 602:49.4,43.5 602:49.8,43.5 602:50,43 602:50.4,43.1 602:50.6,42.3 602:50.6,43 602:50.6,43.6 602:50.8,42.4 602:51,42.7 602:51.6,43 602:51.7,42.7 602:52,42.3 602:52.2,41.5 602:52.4,41.2 602:52.5,42.6 602:52.7,41.2 602:52.8,42 602:52.8,42.3 602:53.1,41.3 602:53.7,41.7 602:54.1,39.9 602:54.3,40.8 602:54.3,41.3 602:54.4,41.7 602:54.6,39.9 602:54.7,40.1 602:54.7,40.7 602:54.9,40.6'},
[36993]={[0]='Lady Jaina Proudmoore',[1]='602:40.3,79.8 602:40.4,79.8 602:40.9,79.9 602:40.9,80 602:40.9,80.5 602:40.9,80.7 602:41.1,79.1 602:41.2,79.4 602:41.5,79.7 602:41.5,79.8 602:42,79 602:46.8,42.5 602:47.1,42.5 602:47.2,43.7 602:47.3,41.8 602:47.4,42.4 602:47.6,42.3 602:47.6,42.5 602:47.7,42.6 602:48.1,42.4 602:49,42.6 602:49.4,43 602:50,43.1 602:50,43.5 602:50.1,43 602:50.5,43.1 602:50.6,43.5 602:51.2,43.2 602:51.4,43.6 602:51.8,42.9 602:52,43 602:52.1,42.2 602:52.1,42.3 602:52.5,42.3 602:52.6,42.8 602:52.8,41.2 602:53,42.1 602:53.1,41.1 602:53.6,41.7 602:54.2,41.4 602:54.3,40.2 602:54.4,40.4 602:54.4,41 602:54.6,39.9 602:54.7,41 602:54.8,39.7 602:54.8,40.9'},
[36999]={[0]='Teemo',[1]='181:59.4,50.7'},
[37009]={[0]='Bleenik Fizzlefuse',[1]='181:60.6,50.8'},
[37024]={[0]='Una Wildmane',[1]='9:49.4,17.4 9:49.4,17.5'},
[37061]={[0]='Jellix Fuselighter',[1]='181:66.4,20.2'},
[37064]={[0]='Feno Blastnoggin',[1]='181:66.5,19.7'},
[37065]={[0]='Prince Liam Greymane',[1]='679:51.82,80.50'},
[37070]={[0]='Rockjaw Invader',[1]='27:36.9,70.1 27:37.2,70.9'},
[37073]={[0]='Rockjaw Goon',[1]='27:34.4,72 27:34.8,71.2 27:34.8,71.7 27:35.1,73.3 27:35.1,73.5 27:35.8,73.4 27:35.9,73.7 27:36.5,73.4 27:37.1,73.9 27:37.7,73.5 27:38.3,72.8 27:38.4,72.4'},
[37081]={[0]='Joren Ironstock',[1]='27:36.87,70.05'},
[37087]={[0]='Jona Ironstock',[1]='27:35.98,65.86 27:35.60,66.13 27:35.96,66.22'},
[37102]={[0]='Gwen Armstead',[1]='679:59.86,91.70'},
[37106]={[0]='Coach Crosscheck',[1]='605:48.76,57.76'},
[37112]={[0]='Wayward Fire Elemental',[1]='27:36.9,78.2 27:36.9,78.5'},
[37113]={[0]='Milo Geartwinge',[1]='27:37.41,70.58'},
[37114]={[0]='Steamwheedle Shark',[1]=''},
[37115]={[0]='Teo Hammerstorm',[1]='27:35.7,64.6'},
[37120]={[0]='Highlord Darion Mograine',[1]='604:42.4,22.6 604:42.4,22.7 604:42.5,22.4 604:42.9,22.8 604:42.9,22.9'},
[37121]={[0]='Teegli Merrowith',[1]='27:35.7,64.8'},
[37135]={[0]='Nura Pathfinder',[1]='607:31.4,13.3 607:31.5,13.3'},
[37136]={[0]='Oltarg',[1]='607:37.1,14'},
[37137]={[0]='Tunawa Stillwind',[1]='607:37.4,16.7 607:37.5,17'},
[37138]={[0]='Onatay',[1]='607:39.4,20.3 607:39.5,20.3'},
[37142]={[0]='Gurlorn',[1]='181:53,49.8'},
[37153]={[0]='Holgom',[1]='607:37.6,16.7'},
[37154]={[0]='Kilrok Gorehammer',[1]='607:39.6,19.9'},
[37172]={[0]='Detective Snap Snagglebolt',[1]='HA 321:50.79,75.25'},
[37195]={[0]='Lord Darius Crowley',[1]='679:68.71,73.24'},
--[37203]={[0]='Fourth And Goal Target',[1]=''},
[37221]={[0]='Lady Jaina Proudmoore',[1]='603:39.1,13.9 603:40.3,71 603:41.3,72.2 603:41.4,73.4 603:41.6,72.3 603:42.1,72.9 603:42.2,74.5 603:42.4,73.9 603:43,74.4 603:43.1,75.5 603:43.4,75.4 603:43.6,75.4 603:43.7,75.4 603:44,75.7 603:44,76.6 603:44.8,76.2 603:44.8,76.3 603:45.1,76.8 603:45.2,76.9 603:45.5,77.9'},
[37223]={[0]='Lady Sylvanas Windrunner',[1]='603:38.9,70 603:40.4,70.8 603:41.5,73.1 603:41.9,74.2 603:42.1,74.7 603:42.3,74.4 603:42.5,73.3 603:42.5,74.2 603:42.7,74.2 603:42.7,75.1 603:43.1,74.8 603:43.2,75.7 603:43.5,75.3 603:43.7,75.2 603:44.3,76 603:44.3,76.1 603:44.4,76.6 603:44.8,76.4 603:44.9,76.4 603:44.9,76.5 603:45.1,77 603:45.2,77.5 603:45.5,77.2 603:45.6,77.3 603:45.6,77.5 603:45.7,78.1'},
[37514]={[0]="Grik'nir's Servant",[1]=''},
[37515]={[0]='Lane Tallgrass',[1]='607:44.3,33.3'},
[37516]={[0]='Tawane',[1]='607:44.4,33.6 607:44.5,33.6'},
[37527]={[0]='Halduron Brightwing',[1]='499:44.4,45.4 499:44.4,45.5 499:44.5,45.4 499:44.5,45.5'},
[37554]={[0]='Lady Sylvanas Windrunner',[1]='603:41.2,13.9 603:12.3,25 603:12.5,24.3 603:12.9,23.5 603:13.2,22.7 603:13.3,22.4 603:13.3,22.6 603:13.5,21.3 603:13.5,21.9 603:13.6,22 603:13.6,22.5 603:14.3,21.2 603:14.9,20 603:15,20.5 603:15.3,20.4 603:15.8,19.9 603:15.9,19.4 603:16.5,19.6 603:17.1,18.4 603:17.1,18.7 603:17.8,18.9 603:19.2,18.8 603:19.8,19.1 603:20.4,19.5 603:20.5,19.1 603:21,19.6 603:21.4,20.6 603:21.6,20.1 603:22.7,21.8 603:23.1,20.9 603:23.7,21.3 603:23.9,22.8 603:24.4,23.6 603:24.5,22.5 603:26.8,25.1 603:26.8,26.5 603:26.9,26.3 603:39.4,33.9 603:40,33.9 603:40.8,35.2 603:50.4,44.4 603:50.8,43.9 603:65.4,63.3 603:74.1,73.6 603:74.7,74.2 603:75.3,74.8 603:75.9,75.4 603:76.3,76.9 603:76.5,76 603:76.6,76.2 603:76.6,77.2 603:76.7,77.6 603:76.8,77.5 603:76.9,77.2 603:77.3,78.5 603:77.7,77.1 603:77.9,78.9 603:78.3,78.2'},
[37570]={[0]='Naralex',[1]='607:48.2,38.7 607:50.4,40.7'},
[37582]={[0]='Archmage Koreln',[1]='601:41.1,9.4 601:41.1,9.7 601:41.2,10.1 601:41.4,8.4 601:41.4,9 601:41.5,8.5 601:41.5,10.2 601:41.6,8.6 601:41.8,9.6 601:44.4,12.2 601:63.9,90.2 601:63.9,90.7 601:64.2,90.4 601:64.3,90.5 602:40.9,80.5 602:41.1,79.6 602:41.2,79.1 602:41.3,79.1 602:41.4,80.2 602:41.5,80.2 602:41.6,80.1 602:43.9,25.8 602:44.1,25.1 602:44.2,23.2 602:44.2,23.8 602:44.2,26 602:44.2,26.7 602:44.3,25.2 602:44.5,23.1 602:44.5,23.7 602:44.5,25.4 602:44.5,25.5 602:44.8,24 602:45.2,19.9 602:45.8,19.6 602:46.4,19.4 602:47,19.1 602:47.4,19.1 602:47.6,18.9 602:48.2,18.4 602:48.3,18.4 602:48.4,18.8 602:48.6,18.4 602:48.6,18.7 602:54,39.5 602:54,40.2 602:54.1,40.5 602:54.6,39.9 602:54.9,39.5 603:29.9,57.2 603:30.1,57.7 603:30.2,57.8 603:30.3,57 603:30.4,58.5 603:30.4,58.7 603:30.7,57.1 603:30.8,57.1 603:30.8,57.9 603:31.2,57.7 603:31.3,58.8 603:33.1,61.9 603:39.5,73.6 603:39.8,74.5 603:40.1,72.5 603:40.2,72.2 603:40.2,73.6 603:40.4,73.2 603:40.5,72.1 603:40.5,72.5 603:40.7,72.8 603:40.8,71.8 603:41.3,74.4 603:41.5,72.7 603:41.7,72.9 603:42.2,73.5 603:42.3,73.8 603:42.4,75.3 603:42.5,73.8 603:42.6,74.2 603:42.7,75.2 603:43.3,75 603:43.4,75.5 603:43.9,75.3 603:44.1,75.7 603:44.3,76.2 603:44.3,76.7 603:44.9,76.3 603:44.9,76.9 603:45.2,77.9 603:45.3,76.8 603:45.5,77.3 603:45.6,77.4 603:46,79.1 603:46,79.3 603:46.6,79.3 603:46.9,79.9'},
[37591]={[0]='Martin Victus',[1]='602:47,61.7 602:47.3,61.3 602:47.3,61.9 602:47.4,61.1 602:47.5,61.3 602:47.6,60.8 602:54.2,40.1 602:54.3,40 602:54.4,39.3 602:54.5,40.5 602:54.7,39.7 602:54.9,39.5 602:54.9,40.7 602:55.3,39.2 602:64.9,54.9 602:65,55.5 602:65.3,54.1 602:65.4,54.3 602:65.4,54.9 602:65.4,55.9 602:65.6,55 602:65.7,54.4 602:65.7,55 602:65.9,54.2 602:66,55.7 602:66.1,55.6'},
[37592]={[0]='Gorkun Ironskull',[1]='602:40.9,80.5 602:41.4,79.4 602:46,63.5 602:46.4,62.7 602:46.9,61.5 602:47.3,61.7 602:47.4,61.1 602:47.4,61.3 602:47.5,60.2 602:47.5,61.1 602:47.8,61.5 602:47.8,61.9 602:48,61.1 602:54.2,40.2 602:54.3,40.1 602:54.4,40.6 602:54.5,40.5 602:54.5,40.6 602:54.7,39.9 602:54.7,40 602:65,54.9 602:65.1,54.4 602:65.1,55 602:65.1,55.5 602:65.2,54.3 602:65.6,55.1 602:65.7,54.1 602:65.8,54.2 602:65.8,55 602:65.9,55.8 602:66.1,55.5'},
[37596]={[0]='Lady Sylvanas Windrunner',[1]='601:63.9,90.3 601:64.1,90.9 601:64.5,90.5'},
[37597]={[0]='Lady Jaina Proudmoore',[1]='601:63.8,90.2 601:63.9,90.1 601:64.1,90.8 601:64.6,90.4 601:64.6,90.5'},
[37598]={[0]='Gasbot',[1]=''},
[37602]={[0]='Claims Adjuster',[1]='605:59.4,76.4 605:59.4,76.5 605:59.5,76.3 605:59.6,76.7'},
[37675]={[0]='Public Relations Agent',[1]='HA 321:53.03,77.14 480:64.54,67.31 362:43.61,53.00 382:65.89,38.71 381:42,52 471:73,56 341:33,66 301:62.41,75.37'},
[37679]={[0]='Warlord Bloodhilt',[1]='607:40.8,69.3 607:41.5,46.8'},
[37717]={[0]='Winnoa Pineforest',[1]='607:41.5,46.6'},
[37724]={[0]='Seer Ravenfeather',[1]='9:45,75.3'},
[37737]={[0]='Sunwalker Helaku',[1]='9:45,75.4'},
[37776]={[0]='Apprentice Nelphi',[1]='504:46.45,60.94 504:47.84,64.56 504:46.06,76.78'},
[37779]={[0]='Dark Ranger Loralen',[1]='601:40.8,11.2 601:40.9,10.9 601:41.4,10.1 601:41.4,10.4 601:41.5,10.7 601:41.6,10.2 601:41.8,9.9 601:41.8,10.7 601:44.3,14.5 601:63.8,90.3 601:63.9,90.3 601:64,90.6 601:64.4,90.7 601:64.5,90.4 601:64.7,90.7 602:40.4,79.4 602:40.4,80.3 602:40.9,80.1 602:40.9,80.5 602:41,79.2 602:41,79.3 602:41,80 602:41.5,79.8 602:41.5,80.3 602:43.6,25.4 602:44,26 602:44,26.6 602:44.2,25.8 602:44.3,20.8 602:44.3,23.6 602:44.4,25.4 602:44.5,25.6 602:44.5,26.7 602:44.7,20.4 602:44.8,23.2 602:44.9,20.5 602:45.9,20.1 602:47,19.1 602:47.9,18.9 602:48,19.3 602:48.1,18.4 602:48.3,18.4 602:48.6,18.7 602:53.9,39.7 602:54.7,39.8 602:54.8,39.4 603:29.8,57 603:30.1,57.8 603:30.1,58.6 603:30.3,57.2 603:30.3,58.1 603:30.4,58.6 603:30.5,57.1 603:30.6,57.4 603:30.9,57.8 603:31.3,58.3 603:31.3,58.6 603:31.3,59.1 603:33,60.3 603:33.4,60.9 603:39.5,73.1 603:39.5,73.5 603:39.5,73.6 603:40,72.2 603:40,72.8 603:40.7,71.7 603:40.7,73.5 603:40.8,72.9 603:41,73.6 603:41.2,72.8 603:41.3,72.4 603:41.5,72.4 603:41.5,73.6 603:41.6,73 603:41.8,73.1 603:42.8,74 603:43.2,75.6 603:43.4,74.7 603:43.5,75.4 603:43.5,75.5 603:44.4,76.6 603:44.7,77.2 603:45,77 603:45.1,77.6 603:45.2,78.4 603:45.9,78.3 603:45.9,79 603:46,79.6 603:46.4,79.2 603:47.1,79.5 603:47.2,80 603:47.3,81.6 603:47.7,80.7'},
[37780]={[0]='Dark Ranger Vorel',[1]='504:76.9,83.4 504:77.1,85.3 504:49.3,27 504:49.3,29.4 504:49.3,30.2 504:49.3,32.2 504:49.4,31 504:49.4,33.4 504:49.5,31.1 504:49.7,29.5 504:49.9,32.5 504:50,28.8 504:50.1,32.4 504:50.2,25.3 504:50.2,33.9 504:50.3,25.9 504:50.3,26.5 504:50.3,27.5 504:50.4,35.7 504:50.5,29 504:50.6,26.3 504:50.6,34.5 504:50.7,26.8 504:50.8,25.4 504:50.8,34.4 504:50.9,27.7 504:51.1,17.3 504:51.1,17.5 504:51.1,22.1 504:51.2,35.9 504:51.3,18.7 504:51.3,23.8 504:51.4,23.1 504:51.5,18.1 504:51.5,34.9 504:51.6,26.7 504:51.6,27.7 504:51.6,35.9 504:51.6,36.5 504:51.7,25.5 504:51.8,18.7 504:51.8,24.5 504:51.9,23.7 504:52,21.4 504:52.1,23.2 504:52.2,21.8 504:52.3,19.9 504:52.5,19.9 504:52.5,21.2 504:52.5,21.5 504:52.6,18.7 504:52.6,36.5 504:52.7,36 504:52.8,34.4 504:52.9,18.3 504:53,38.5 504:53.1,37.7 504:53.5,37.2 504:53.6,37.5 504:54.2,38.6 504:54.6,37.8 504:54.8,37.2'},
[37783]={[0]='Lorna Crowley',[1]='679:70.88,39.85'},
[37803]={[0]='Marcus',[1]='679:71.24,39.78 679:70.28,40.04'},
[37811]={[0]="Warlord Gar'dul",[1]='607:40.8,69.3 607:41.7,69.8'},
[37812]={[0]='Mahka',[1]='607:45.1,85.4 607:45.1,85.5'},
[37815]={[0]='Lorna Crowley',[1]='679:60.26,91.84'},
[37822]={[0]='Belrysa Starbreeze',[1]='679:63.34,82.90'},
[37834]={[0]='Tauna Skychaser',[1]='607:45.1,85.3'},
[37835]={[0]='Dorn Redearth',[1]='607:45.1,85.3'},
[37837]={[0]='Warlord Bloodhilt',[1]='607:41.6,69.8'},
[37847]={[0]='Mankrik',[1]='607:44.5,88.1'},
[37873]={[0]='Vassandra Stormclaw',[1]='679:69.29,72.98'},
[37874]={[0]='Krennan Aranas',[1]='679:72.72,80.05'},
[37876]={[0]='King Genn Greymane',[1]='679:78.27,72.07'},
[37887]={[0]='Kwee Q. Peddlefeet',[1]='HA 301:62.52,74.96'},
[37908]={[0]='Calder Gray',[1]='607:42.6,70.2'},
[37909]={[0]='Tomusa',[1]='607:41.1,71'},
[37910]={[0]='Crawgol',[1]='607:41.6,69.5 607:41.7,69.4'},
[37915]={[0]='Timothy Cunningham',[1]='20:83.5,70'},
[37951]={[0]="Jin'thala",[1]='4:62.4,84.4 4:62.4,84.5 4:62.5,84.5'},
[37961]={[0]='Corrupted Bloodtalon',[1]='4:59.3,90.8 4:59.4,90.1 4:59.6,90.3 4:59.8,89 4:60.3,91.3 4:60.4,88.1 4:60.4,91.5 4:60.5,88.2 4:60.9,90 4:61,88.9 4:61,91.2 4:61.1,91.8 4:61.5,89.4 4:61.5,91.4 4:61.6,89.8 4:61.6,92'},
[37969]={[0]='Kijara',[1]='4:63.2,95.5 4:63.4,95.2'},
[37987]={[0]='Tegashi',[1]='4:63.4,95.2 4:63.5,95.3'},
[37989]={[0]='Swiftclaw',[1]='4:62.2,94.4 4:62.3,96.6 4:62.4,94.8 4:62.4,95.7 4:62.6,94.3 4:62.7,97 4:63,95.5 4:63.3,95.3 4:63.5,95.4 4:63.5,97.3 4:63.6,95.5 4:63.7,97.9 4:64.3,94.4 4:64.5,94.7 4:64.5,96.9'},
[38002]={[0]='Swiftclaw',[1]=''},
[38005]={[0]='Moraya',[1]='4:67.3,88'},
[38037]={[0]='Nortet',[1]='4:65.4,83.9 4:65.6,84.4 4:65.8,84.5'},
--[38038]={[0]='Tiki Target',[1]='4:64.8,84.6 4:64.9,83.9 4:65,83.1 4:65.9,83.3 4:65.9,84.4 4:65.9,84.5 4:67.1,83.3 4:67.2,84.6 4:67.4,83.5 4:67.8,84.4 4:67.8,84.5 4:68.4,83.2 4:68.5,83.4 4:68.5,84.2'},
[38039]={[0]='Kwee Q. Peddlefeet',[1]='HA 381:45.41,57.75'},
[38040]={[0]='Kwee Q. Peddlefeet',[1]='HA 471:73.66,57.00'},
[38041]={[0]='Kwee Q. Peddlefeet',[1]='HA 341:33.57,65.59'},
[38042]={[0]='Kwee Q. Peddlefeet',[1]='HA 321:53.01,76.80'},
[38043]={[0]='Kwee Q. Peddlefeet',[1]='HA 480:64.43,66.51'},
[38044]={[0]='Kwee Q. Peddlefeet',[1]='HA 362:44.00,52.67'},
[38045]={[0]='Kwee Q. Peddlefeet',[1]='HA 382:66.55,38.60'},
[38066]={[0]='Inspector Snip Snagglebolt',[1]='HA 301:61.50,75.29'},
[38120]={[0]='Hobart Grapplehammer',[1]='544:43.8,25.3 544:45.4,65.2 544:69,46.5'},
[38122]={[0]='Bamm Megabomb',[1]='544:42.6,16.4 544:45.3,64.9 544:53.7,35.8'},
[38124]={[0]='Assistant Greely',[1]='544:45.3,65.5 544:51.7,47.3 544:53.2,36.6 544:54.4,17'},
[38140]={[0]='Weezil Slipshadow',[1]='607:50.7,86.8'},
[38142]={[0]='Captive Spitescale Scout',[1]='4:65.4,84 4:67.4,83.9 4:67.6,83.9'},
[38143]={[0]='Magda Whitewall',[1]='679:70.66,39.71'},
[38144]={[0]='Krennan Aranas',[1]='679:49.84,56.91'},
[38149]={[0]='Lord Darius Crowley',[1]='679:41.93,37.61'},
[38152]={[0]='Weezil Slipshadow',[1]='607:50.3,87.1'},
[38160]={[0]='Lady Jaina Proudmoore',[1]='601:41.9,12.8 601:42.4,13.8 601:42.7,14.6 601:43.2,13.5 601:43.3,11.9 601:43.3,13.4 601:43.3,14.7 601:43.4,12.4 601:43.4,12.9 601:43.4,13.7 601:43.5,11.8 601:43.6,12.1 601:43.8,13.7 601:43.9,13.2 601:43.9,13.3 601:44,11.3 601:44,15.8 601:44.1,11.1 601:44.1,13.9 601:44.4,14.5 601:44.4,14.8 601:44.5,11.4 601:44.5,11.9 601:44.5,12.9 601:44.6,11.4 601:44.6,14.8 601:44.7,12.4 601:44.7,13.4 601:44.8,14.1 601:44.9,14.6 601:45,15.7 601:45.2,14.1 601:45.4,15.5 601:45.5,12.3 601:45.5,13.6 601:45.5,14.1 601:45.6,13.1 601:45.6,15.2 601:45.7,13 601:45.7,15.1 601:46.1,15.7 601:46.2,15.7 601:48.8,20 601:48.9,19.4'},
[38161]={[0]='Lady Sylvanas Windrunner',[1]='601:43.1,13.5 601:43.3,12.4 601:43.4,10 601:43.4,12.3 601:43.4,12.5 601:43.4,12.8 601:43.4,13.6 601:43.4,14.7 601:43.5,13.2 601:43.7,13.4 601:43.7,15.7 601:43.8,11.2 601:43.8,14.2 601:44,15.5 601:44.1,12.1 601:44.1,13.6 601:44.2,11.3 601:44.2,11.9 601:44.2,14.5 601:44.4,14.5 601:44.5,11.4 601:44.5,12.2 601:44.5,12.4 601:44.7,12.5 601:44.8,15.7 601:45,14.7 601:45.1,13 601:45.2,14 601:45.3,14.7 601:45.3,15.5 601:45.4,13.5 601:45.5,12.7 601:45.5,14.9 601:45.5,15.5 601:45.6,14.1 601:45.6,14.4 601:45.7,12.4 601:45.7,13.4 601:45.8,14.9 601:45.9,15.5 601:46.5,15.3'},
[38188]={[0]='Lady Jaina Proudmoore',[1]='602:39.2,15.6 602:39.2,16.5 602:39.3,15.4 602:39.3,15.7 602:39.4,15.4 602:39.4,16.5 602:39.5,15.2 602:39.7,16.2 602:39.7,16.3 602:39.8,15.3 602:40.1,16.8 602:40.1,16.9 602:40.4,17.6 602:40.5,17.3 602:40.5,17.4 602:40.8,17.8 602:41,18.1 602:41.3,18.5 602:41.4,18.7 602:41.6,18.3 602:41.6,18.4 602:41.7,19 602:41.7,19.6 602:41.9,19.3 602:42.3,19.9 602:42.5,19.4 602:42.9,20.3 602:43,19.5 602:43.2,20.9 602:43.4,20.5 602:43.5,20.5 602:43.8,21.2 602:44.2,19.8 602:44.2,21.5 602:44.4,20.3 602:44.8,20.2 602:44.9,21.7 602:45,20.3 602:45.1,20.6 602:45.2,20.7 602:45.2,21.5 602:45.6,20.5 602:45.9,19.4 602:46,19.4 602:46,20.2 602:46.4,20 602:46.6,20.5 602:46.7,20.7 602:47.2,19.4 602:47.2,19.6 602:47.4,19.3 602:47.5,19.5 602:47.8,19.2 602:48.2,18.4 602:48.2,18.9 602:48.4,18.4 602:48.5,19.1 602:48.6,18.9 602:48.7,18.3'},
[38189]={[0]='Lady Sylvanas Windrunner',[1]='602:39.1,15.5 602:39.2,15.6 602:39.5,16.4 602:39.7,16.2 602:40.1,16.7 602:40.5,17.3 602:40.5,17.6 602:41.2,18.4 602:41.5,18.6 602:41.9,19.5 602:42,19 602:43.3,20.2 602:43.3,20.3 602:43.4,20.5 602:43.6,19.9 602:43.9,20.1 602:44.1,20.8 602:44.5,20.5 602:45.1,20.2 602:45.1,20.4 602:45.7,19.9 602:45.8,19.8 602:46.9,19.5 602:47.2,19.3 602:47.3,19.4 602:47.3,19.5 602:47.5,19.3 602:47.5,19.5 602:47.5,19.6 602:48.3,18.4 602:48.4,19 602:48.9,18.6'},
[38225]={[0]="Vol'jin",[1]='4:69.1,72.4 4:69.1,72.6'},
[38237]={[0]='Maximillian of Northshire',[1]='201:30.7,51.1'},
[38242]={[0]='Nekali',[1]='4:64.9,84.3'},
[38243]={[0]="Zen'tabra",[1]='4:67.5,84.2 4:67.6,84.6'},
[38244]={[0]='Legati',[1]='4:65.6,83.9 4:65.9,83.3'},
[38245]={[0]='Tunari',[1]='4:67.4,83.6 4:67.5,83.6 4:67.6,83'},
[38246]={[0]='Soratha',[1]='4:68.2,84'},
[38247]={[0]='Ortezza',[1]='4:67,83.5 4:67.1,83.3'},
[38255]={[0]='Maximillian of Northshire',[1]=''},
[38263]={[0]='Ithis Moonwarden',[1]='201:76.4,48.4 201:76.4,48.5 201:76.5,48.3'},
[38269]={[0]="Zen'Aliri",[1]='201:55.7,60.7'},
[38270]={[0]='Nolen Tacker',[1]='201:55,60.4 201:55,60.6'},
[38274]={[0]='Garl Stormclaw',[1]='201:70.1,77.4 201:70.6,75.6 201:71,76.7'},
[38275]={[0]='Gremix',[1]='201:43.2,41.6 201:43.3,41'},
[38276]={[0]='Tara',[1]='201:43.2,41.7 201:43.3,41'},
[38277]={[0]='Doreen',[1]='201:43.2,41.7 201:43.3,41'},
[38293]={[0]='Junior Inspector',[1]='HA 381:45.05,56.42 471:76.00,57.74'},
[38294]={[0]='Elder Clearwater',[1]='504:17.2,94.8 504:30.3,44.1 504:30.5,43.9 504:48.4,41.3 504:48.5,41.3 504:77,89.1 504:51.3,66.1 504:51.4,65.4 504:51.4,67.4 504:51.7,67.6 504:52.1,65.4 504:52.1,66.5 504:52.2,66 504:52.5,67.6 504:52.6,65.7 504:52.7,65 504:53.2,66.6'},
[38295]={[0]='Junior Detective',[1]='HA 480:64.42,70.31 382:64.30,37.55 362:44.22,55.86'},
[38300]={[0]='Spitescale Wavethrasher',[1]='4:67.3,70.6 4:67.9,74.1 4:68.4,70.8 4:68.4,71.7 4:68.4,72.7 4:68.5,74.9 4:69.1,71.8 4:69.3,71.3 4:69.3,72.9 4:69.4,70.1 4:69.5,70.6 4:69.6,71.9 4:69.6,72.9 4:69.7,69.4 4:69.7,69.5'},
[38306]={[0]="Zar'jira",[1]='4:68.5,71.7 4:68.6,71.4'},
[38314]={[0]='Muyoh',[1]='607:50.3,40.4 607:50.3,40.5'},
[38316]={[0]='Ormus the Penitent',[1]='604:39.4,21.6 604:40.1,21.4 604:40.1,21.5'},
[38323]={[0]='General Hawthorne',[1]='607:49.9,49.6'},
[38325]={[0]='Marion Sutton',[1]='HA'},
[38328]={[0]='Roka',[1]='HA 321:57,61'},
[38343]={[0]='Maximillian of Northshire',[1]=''},
[38378]={[0]='Commander Walpole',[1]='607:29.8,9'},
[38379]={[0]='Commander Singleton',[1]='607:38.8,11.4 607:38.8,11.5'},
[38380]={[0]='Janice Mattingly',[1]='607:35,9.5'},
[38381]={[0]='Brett "Coins" McQuid',[1]='544:42.7,16.3 544:43.7,25.2 544:45.2,65.5 544:52.2,73.2'},
[38383]={[0]='Nibb Spindlegear',[1]='607:39,11.4 607:39,11.5'},
[38387]={[0]='Sassy Hardwrench',[1]='544:37.3,42 544:42.5,16.5 544:42.6,16.4 544:43.7,25.3 544:45.2,64.9'},
[38432]={[0]='Megs Dreadshredder',[1]='544:28.6,76.2 544:43.7,25.3 544:52.2,73.1'},
[38440]={[0]='Tortunga',[1]='4:67.9,89 4:68.8,88.6'},
[38441]={[0]='Ace',[1]='544:42.6,16.3 544:52.2,73.1 544:54.2,17.2 544:57,37.1'},
[38442]={[0]='Morakki',[1]='4:67.9,74.1'},
[38502]={[0]='Nablya',[1]='201:83.3,46'},
[38504]={[0]="Un'Goro Examinant",[1]='201:53.9,62.4 201:53.9,62.5'},
[38517]={[0]='Slinky Sharpshiv',[1]='544:42.5,16.5 544:45.1,65.5 544:53.7,34.9'},
[38534]={[0]='Megs Dreadshredder',[1]='161:51.3,29.9'},
[38535]={[0]='Kelsey Steelspark',[1]='161:51.2,29.9'},
[38539]={[0]='King Genn Greymane',[1]='611:32.38,57.01'},
[38560]={[0]='Spitescale Flag Bunny',[1]=''},
[38578]={[0]='Flinn',[1]='161:40.2,77.1'},
[38606]={[0]='Lady Jaina Proudmoore',[1]='604:38.4,20.1 604:38.4,20.7 604:39,20.1 604:39,20.5 604:39,21 604:39.1,20.4 604:39.4,21.5 604:39.7,20.4 604:39.7,20.9'},
[38607]={[0]='Muradin Bronzebeard',[1]='604:39,20.7 604:39.3,20.6 604:39.4,20.2 604:39.4,20.3 604:39.4,21.5 604:39.9,20.8'},
[38608]={[0]='Uther the Lightbringer',[1]='604:39,18.6'},
[38609]={[0]='Lady Sylvanas Windrunner',[1]='604:38.4,20'},
[38611]={[0]='Lorna Crowley',[1]='611:38.58,60.19'},
[38619]={[0]='Admiral Aubrey',[1]='607:69.2,49.1'},
[38620]={[0]='Thomas Paxton',[1]='607:67,46.6'},
[38621]={[0]='Jeffrey Long',[1]='607:64.9,46.1'},
[38622]={[0]='Captain Fisher',[1]=''},
[38623]={[0]='Dockmaster Lewis',[1]='607:71,50'},
[38647]={[0]='Izzy',[1]='544:42.6,16.4 544:45.8,65.4 544:54,17 544:56.4,71.7 544:56.5,71.9 544:56.9,35.3'},
[38703]={[0]='Megs Dreadshredder',[1]='161:71.9,45.4'},
[38704]={[0]='Kelsey Steelspark',[1]='161:72.2,45.2'},
[38706]={[0]='Zeke Bootscuff',[1]='161:55.7,60.8'},
[38738]={[0]='Coach Crosscheck',[1]='544:27.8,74.5 544:42.6,16.4 544:45.5,65.2 544:51.8,47 544:54.4,17 544:54.5,17'},
[38804]={[0]='Tolliver Houndstooth',[1]='607:66.9,46.7'},
[38849]={[0]='Megs Dreadshredder',[1]='161:44.6,52.6'},
[38871]={[0]='Corporal Teegan',[1]='607:56.1,42.7'},
[38873]={[0]='Goucho',[1]='607:56.2,42.6'},
[38876]={[0]='Hannah Bridgewater',[1]='607:56.2,42.7'},
[38878]={[0]='Mangled Body',[1]='607:61.9,42.1'},
[38895]={[0]='Lilian Voss',[1]='20:30.3,69.1'},
[38910]={[0]='Lilian Voss',[1]='20:32.3,65.2 20:32.7,65.7'},
[38911]={[0]='Xavier the Huntsman',[1]='20:31.5,65.6'},
[38912]={[0]='Ferocious Jungle Vine',[1]='607:56.2,42.7'},
[38917]={[0]='Alysra',[1]='606:48.43,18.97'},
[38922]={[0]='Examiner Andoren Dawnrise',[1]='161:33.3,77'},
[38925]={[0]='Sedrick Calston',[1]='20:44.7,53.7'},
[38927]={[0]='Mazoga',[1]='161:42.3,23.9'},
[38928]={[0]='Sassy Hardwrench',[1]='544:72.9,57'},
[38935]={[0]='Thrall',[1]='544:36.8,43.2 544:42.1,17.4 544:42.1,17.5'},
[38966]={[0]="Vol'jin",[1]='4:68.8,88.6'},
[38977]={[0]='Apothecary Jerrod',[1]='20:61.6,34.6'},
[38978]={[0]='Apprentice Crispin',[1]='20:61.6,34.4 20:61.6,34.5'},
[38986]={[0]='Ambassador Gaines',[1]='607:50,49.5'},
[39003]={[0]='Sam Trawley',[1]='607:49.8,50.4 607:49.8,50.5'},
[39007]={[0]="Tora'jin",[1]='4:68.4,87.7 4:68.5,87.7'},
[39034]={[0]='Dr. Dealwell',[1]='161:51.8,28'},
[39055]={[0]='Gavan Grayfeather',[1]='301:78.9,39.8 301:79.1,39.2 301:79.7,38.9'},
[39059]={[0]='Kelsey Steelspark',[1]='161:50,82.9'},
[39062]={[0]='Darkspear Jailor',[1]='4:65.6,83.8 4:67.4,84.2 4:67.5,84.2'},
[39065]={[0]='Aggra',[1]='544:36.3,43.3 544:36.5,43.3 544:42.2,17.3'},
[39066]={[0]='Kilag Gorefang',[1]='544:33.8,38.8 544:42.2,17.3'},
[39083]={[0]='Commander Roberts',[1]='607:49.1,66.9'},
[39084]={[0]='Mizzy Pistonhammer',[1]='607:49.4,67.5 607:49.5,67.5'},
[39085]={[0]='Logan Talonstrike',[1]='607:49.2,67.8'},
[39116]={[0]='Apolos',[1]='382:49,28.4 382:49.2,29.8 382:49.3,29.4 382:49.3,31 382:49.6,29.8 382:49.9,29.2 382:50,28.4 382:58.4,71.3'},
[39118]={[0]='General Twinbraid',[1]='607:43.5,78.3'},
[39144]={[0]='Alto Stonespire',[1]='141:35.5,30.2'},
[39154]={[0]='Hurlston Stonesthrow',[1]='607:43.4,78.3 607:43.5,78.3'},
[39155]={[0]='Marley Twinbraid',[1]='607:47.2,88.5'},
[39157]={[0]='Lost Bloodtalon Hatchling',[1]='4:59.4,90.1 4:60.4,89.4 4:60.4,89.8 4:60.4,91.4 4:60.5,89.6 4:61,88.9 4:61,91.2 4:61.4,91.8 4:61.5,91.9 4:61.6,89.8 4:61.6,90.8'},
[39178]={[0]='Driz Plunkbow',[1]='161:52.25,28.07'},
[39188]={[0]='Marley Twinbraid',[1]='607:49.3,86.7'},
[39199]={[0]='Assistant Greely',[1]=''},
[39206]={[0]='Acrypha',[1]='4:42.51,69.04'},
[39214]={[0]='Karranisha',[1]='4:42.9,69.3'},
[39218]={[0]="Bael'dun Survivor",[1]='607:49.4,86.9'},
[39220]={[0]="Wounded Bael'dun Officer",[1]='607:49.6,87.1'},
[39226]={[0]='Farseer Gadra',[1]='615:56.02,13.69'},
[39256]={[0]='Kalen Trueshot',[1]='81:71.8,45.4 81:71.8,45.6'},
[39270]={[0]='Injured Razor Hill Grunt',[1]='4:57.91,45.13'},
[39283]={[0]='Seer Bahura',[1]='321:46.3,6.2 321:52.1,72.4 321:52.1,73.2 321:52.1,73.6 321:52.5,74 321:52.7,72.8'},
[39322]={[0]='Horton Gimbleheart',[1]='607:68.6,49'},
[39323]={[0]='Thonk',[1]='4:49.59,40.17',[2]='On top of tower'},
[39324]={[0]="Zen'Taji",[1]='4:35.85,41.37'},
[39325]={[0]='Grandmatron Tekla',[1]='4:40.49,35.36'},
[39326]={[0]='Raggaran',[1]='4:42.70,49.91'},
[39341]={[0]='Mine Cart',[1]='544:56.3,27.4 544:56.3,27.5'},
[39377]={[0]='Konu Runetotem',[1]='121:41.4,15.4 121:41.4,15.5'},
[39379]={[0]='Gor the Enforcer',[1]='4:45,14.7'},
[39380]={[0]='Shin Stonepillar',[1]='4:44.9,14.8'},
[39406]={[0]='Instructor Devoran',[1]='606:90.15,56.38'},
[39407]={[0]='Ysondre',[1]='121:41.4,15.4 121:81.6,42.4 121:81.6,42.5'},
[39413]={[0]='Instructor Mylva',[1]='606:89.58,59.09'},
[39423]={[0]='Gail Nozzywig',[1]='4:53.10,43.14'},
[39427]={[0]='Jadi Falaryn',[1]='606:35.75,19.67'},
[39429]={[0]='Oomla Whitehorn',[1]='606:35.69,19.43'},
[39432]={[0]='Takrik Ragehowl',[1]='606:28.4,30 606:28.5,29.9 606:30.1,31.7'},
[39433]={[0]='Ian Duran',[1]='606:30.12,31.29'},
[39434]={[0]='Rio Duran',[1]='606:28.17,29.88'},
[39435]={[0]='Royce Duskwhisper',[1]='606:28.62,30.20 606:28.29,29.98'},
[39442]={[0]='Condenna the Pitiless',[1]='606:76.94,62.04'},
[39451]={[0]='Instructor Cargall',[1]='606:77.05,62.15'},
[39508]={[0]='Captain Anton',[1]='301:75.3,44.3 301:75.3,44.5 301:75.7,44.3 301:76.1,44.8'},
[39509]={[0]='Aronen',[1]='604:40.1,21.4 604:40.1,21.5 604:40.1,21.7 604:40.7,21.1 604:40.7,21.3'},
[39590]={[0]='Spiketooth',[1]='4:58.8,23.1'},
[39604]={[0]="Vek'nag",[1]='4:56.3,20.2 4:56.5,20.2'},
[39605]={[0]='Garrosh Hellscream',[1]='321:48.2,70.6'},
[39609]={[0]="Kor'kron Loyalist",[1]='4:57.7,9.7'},
[39621]={[0]='Elementalist Ortell',[1]='606:71.92,58.07'},
[39622]={[0]="Spirit of Lo'Gosh",[1]=''},
[39627]={[0]='Spirit of Goldrinn',[1]='606:32.35,37.16'},
[39638]={[0]="Azsh'ir Patroller",[1]='615:42,68 H:100062281,100062282'},
[39640]={[0]='Kristoff Manheim',[1]='606:27.25,40.80',[2]="Inside cave Gar'gol's Hovel"},
[39653]={[0]='Silvia',[1]='121:56.9,54.9'},
[39656]={[0]='Orhan Ogreblade',[1]='121:51.9,48.1'},
[39667]={[0]='Adarrah',[1]='610:53.44,43.02'},
[39679]={[0]='Corla, Herald of Twilight',[1]=''},
[39697]={[0]='Nato Raintree',[1]='607:49.2,82.4'},
[39698]={[0]='Karsh Steelbender',[1]=''},
[39700]={[0]='Beauty',[1]=''},
[39705]={[0]='Ascendant Lord Obsidius',[1]=''},
[39723]={[0]='Tambre',[1]='121:32.6,45.6'},
[39725]={[0]='Adella',[1]='121:77.23,56.48'},
[39840]={[0]="Swar'jan",[1]='121:51.9,46.6'},
[39847]={[0]='Chief Spirithorn',[1]='121:74.6,42.9'},
[39857]={[0]='Malfurion Stormrage',[1]='606:47.73,35.51'},
[39858]={[0]='Arch Druid Hamuul Runetotem',[1]='606:27.11,62.65'},
[39865]={[0]='Emissary Windsong',[1]='241:45.47,44.84'},
[39869]={[0]='Windspeaker Tamila',[1]='606:47.65,35.51'},
[39875]={[0]='Earthmender Duarn',[1]='615:49.24,42.57'},
[39876]={[0]='Felora Firewreath',[1]='615:49.42,42.71 615:49.58,42.13'},
[39877]={[0]='Toshe Chaosrender',[1]='615:55.54,12.53'},
[39878]={[0]='Caretaker Movra',[1]='615:49.13,41.96'},
[39881]={[0]='Wavespeaker Valoren',[1]='615:49.02,57.02 615:49.41,57.46 615:49.45,57.50 615:49.56,57.41 615:49.46,57.59'},
[39882]={[0]='The Great Sambino',[1]='615:41.29,34.23'},
[39883]={[0]='Adarrah',[1]='610:57.12,28.78'},
[39884]={[0]='Captain Samir',[1]='610:57.34,28.90'},
[39887]={[0]='Captain Taylor',[1]='610:44.73,22.58'},
[39893]={[0]='Jawn Highmesa',[1]='121:74.6,42.9'},
[39894]={[0]='Gombana',[1]='121:52.2,48.1'},
[39895]={[0]='Kanati Greycloud',[1]='61:11.1,11.3'},
[39896]={[0]='Feral Scar Yeti',[1]='121:55.6,57 H:100008705,100055166,100055167'},
[39908]={[0]='Brann Bronzebeard',[1]='759:56.2,4.1 759:56.2,4.7 759:56.2,41.4 759:56.2,42.1 759:56.2,43.3 759:56.2,44.3 759:56.2,44.9'},
[39918]={[0]='Clacksnap Pincer',[1]='610:49.42 H:100053053'},
[39925]={[0]='Anren Shadowseeker',[1]='606:64.01,22.65'},
[39927]={[0]='Laina Nightsky',[1]='606:18.98,40.94'},
[39928]={[0]='Matoclaw',[1]='606:19.03,37.01'},
[39930]={[0]='Mylune',[1]='606:19.22,37.89'},
[39932]={[0]='Keeper Taldros',[1]='606:13.65,32.79'},
[39933]={[0]='Tyrus Blackhorn',[1]='606:22.26,44.92'},
[39946]={[0]='Caryssia Moonhunter',[1]='121:86.1,45.2'},
[39963]={[0]='Motega Firemane',[1]='61:10.5,8.4 61:10.6,8.6'},
[39992]={[0]='Rendow',[1]='121:88.4,44.4 121:88.4,44.5 121:88.5,44.4 121:88.5,44.5'},
[40027]={[0]='Fizzle Brassbolts',[1]='61:76,74.6'},
[40028]={[0]='Pozzik',[1]='61:76,74.6'},
[40032]={[0]='Telaron Windflight',[1]='121:50.7,17.1'},
[40035]={[0]='Erina Willowborn',[1]='121:51.1,17.8'},
[40052]={[0]='Estulan',[1]='121:57,55.4 121:57,55.5'},
[40078]={[0]='Handler Tessina',[1]='121:57.1,53.8'},
[40082]={[0]='Skycaller Vrakthris',[1]='61:90.1,53.1'},
[40093]={[0]='Subjugated Inferno Lord',[1]='Near606'},
[40096]={[0]='Scout Larandia',[1]='606:44.50,18.86'},
[40105]={[0]='Erunak Stonespeaker',[1]='610:46.33,46.92'},
[40109]={[0]='Prospector Gunstan',[1]='161:40.1,76.9'},
[40129]={[0]='Lost Apprentice',[1]='121:65.9,62.8'},
[40131]={[0]='Sensiria',[1]='121:65.9,62.8'},
[40132]={[0]='Vestia Moonspear',[1]='121:57.2,55'},
[40139]={[0]='Captain Saynna Stormrunner',[1]='606:56.76,18.83',[2]='In Hyjal Barrow Dens'},
[40178]={[0]='Alysra',[1]='606:52.13,17.42'},
[40192]={[0]='Vanira',[1]='504:44.6,62.3 504:44.6,62.9 610:63.9,59.7 615:51.3,63'},
--[40220]={[0]='Mysterious Device',[1]='141:66.7,47.1 39:55.1,49.8 488:35.9,47.4 488:35.9,47.5 488:79.3,49.2 496:16.2,60.6 495:25.8,62.1 495:35.4,82.4 495:35.4,82.5 42:37.6,43.6 492:60.2,59.9 492:60.4,21.9 492:60.5,22 492:72.2,39.5 24:60.9,21.5 43:36.6,51.2 491:31.1,42.8 465:26.4,60.7 465:55,38.3 465:55.4,63.9 465:55.5,63.9 477:55.2,38 477:55.3,71.4 477:72.2,40.8 486:79.8,33.7 493:22.7,52.1 493:49.7,74.2 689:31.7,28.3'},
[40221]={[0]='Toshe Chaosrender',[1]='615:64.07,42.29'},
[40224]={[0]='Rage Scar Yeti',[1]='121:53.2,31.8 H:100055166,100055167'},
[40226]={[0]='Pratt McGrubben',[1]='121:45.34,41.26'},
[40227]={[0]='Felice',[1]='615:41.13,34.26'},
[40276]={[0]='Sabreclaw Skitterer',[1]='610:52,40 H:100054345'},
[40278]={[0]='Tholo Whitehoof',[1]='606:64.06,22.49'},
[40289]={[0]='Ysera',[1]='606:62.05,24.92'},
[40331]={[0]='Rayne Feathersong',[1]='606:27.06,63.01'},
[40341]={[0]='Tortolla',[1]='606:24.66,55.68'},
[40344]={[0]='Nyse',[1]='141:41.9,73.8'},
[40345]={[0]='Thyssiana',[1]='141:41.9,73.9'},
[40369]={[0]='Falfindel Waywarder',[1]='121:77.2,56.5'},
[40398]={[0]='Spirit of Farseer Gadra',[1]='614:72.8937.35'},	-- this technically could be Near
[40429]={[0]='Sanctum Guardian Xerestrasza',[1]='609:68.1,55.2 609:68.3,54.3 609:68.3,54.5 609:68.3,55.7 609:68.3,56.2 609:68.4,54.1 609:68.4,54.2 609:68.4,55.1 609:68.4,55.4 609:68.4,55.7 609:68.4,55.8 609:68.4,56.6 609:68.5,56.7 609:68.6,54.1 609:68.6,55.3 609:68.6,56.5 609:68.6,56.7 609:68.7,53.7 609:68.7,57 609:68.8,54.4 609:68.8,55.8 609:68.9,55 609:68.9,55.6 609:69,55.6 609:69.1,54.2 609:69.1,54.9 609:69.1,55.7 609:69.2,55 609:69.3,53.4 609:69.5,54.2 609:69.5,55.1 609:69.6,55 609:69.6,55.7 609:69.6,55.8 609:70,55.3 609:70.2,55.3 609:70.2,55.6 609:70.5,55 609:70.6,54.9 609:70.6,55.2 609:70.6,56.3 609:70.7,54.1 609:70.7,55.1 609:71,55.6 609:71.5,54.9 609:72,55.1 609:72.6,55.1 609:74,54.6 609:74.1,53.4 609:74.2,54'},
[40475]={[0]='Jinky Twizzlefixxit',[1]='61:76.5,73.7'},
[40487]={[0]='Razzeric',[1]='61:77.1,74.5 61:77.2,74.4'},
[40510]={[0]="Fathom-Lord Zin'jatar",[1]='615:67.2,49.6 H:100054614'},
[40552]={[0]='Leora',[1]='381:36.61,47.85'},
[40553]={[0]='Fidelio',[1]='41:55.47,50.42'},
[40554]={[0]='Rizzle Brassbolts',[1]='61:78,73.4 61:78,73.5'},
[40556]={[0]='Zamek',[1]='61:78.1,73.6'},
[40578]={[0]='Farden Talonshrike',[1]='606:37.22,56.18'},
[40580]={[0]='Gus Rustflutter',[1]='161:42.4,24.3 161:42.5,24.2'},
[40589]={[0]='Dirge Quikcleave',[1]='161:52.4,29 161:52.5,29'},
[40591]={[0]='Drag Master Miglen',[1]='61:78.1,73.2'},
[40595]={[0]='Rugfizzle',[1]='61:78.2,73.6'},
[40619]={[0]='Commander Jarod Shadowsong',[1]='606:95.35,51.32'},
[40639]={[0]='Engineer Hexascrub',[1]='615:48.99,49.20'},
[40640]={[0]="Lady Naz'jar",[1]='615:39.42,58.97'},
[40641]={[0]='Divemaster Birmingham',[1]='615:48.99,49.12'},
[40642]={[0]='Captain Taylor',[1]='615:49.16,56.99'},
[40643]={[0]='Admiral Dvorek',[1]='615:49.18,56.95'},
[40644]={[0]='Levia Dreamwaker',[1]='615:49.69,57.15'},
[40645]={[0]='Jorlan Trueblade',[1]='615:56.98,80.55'},
[40690]={[0]='Captain Taylor',[1]='610:45.02,23.52'},
[40707]={[0]='Southsea Rowboat',[1]=''},
[40712]={[0]="Mazoga's Spirit",[1]='686:56.7,89.4 686:56.7,89.5 686:56.9,88.1 686:57.5,89.2'},
[40726]={[0]='Mazzer Stripscrew',[1]='61:78.1,73.2 61:78.9,75.7'},
[40727]={[0]='Griznak',[1]='61:78.2,73.6 61:78.8,75.9'},
[40737]={[0]='Captain Taylor',[1]='610:44.4,24.8'},
[40772]={[0]='Commander Jarod Shadowsong',[1]='606:72.22,74.69'},
[40773]={[0]='Cenarius',[1]='606:71.92,74.09'},
--[40793]={[0]='Ragnaros',[1]='606:49.9,76.8'},
[40809]={[0]='Tak',[1]='9:47.4,58.7 9:47.5,58.7'},
[40816]={[0]='Aronus',[1]='606:72.23,73.94'},
[40825]={[0]='Erunak Stonespeaker',[1]=''},
[40833]={[0]='Tiala Whitemane',[1]='606:63.25,21.52'},
[40834]={[0]='Jordan Olafson',[1]='606:26.25,41.91'},
[40837]={[0]='Yargra Blackscar',[1]='606:26.31,41.95'},
[40855]={[0]='Slitherfin Eel',[1]='610:45.2,19.7 K:27729'},
[40879]={[0]='Boog the "Gear Whisperer"',[1]='81:72.5,61.4 81:72.5,61.5'},
[40881]={[0]='Minx',[1]='81:70.8,62.9'},
[40885]={[0]='Wizzle Brassbolts',[1]='61:91.6,78.7'},
[40888]={[0]='Synge',[1]='61:91.7,79.2'},
[40894]={[0]='Gnombus the X-Terminator',[1]='43:35.3,71.2'},
[40895]={[0]='Professor Xakxak Gyromate',[1]='43:35.4,71.2'},
[40896]={[0]='Lord Fallowmere',[1]='81:59.5,56.9'},
[40897]={[0]='Northwatch Captain Kosak',[1]='81:59.4,56.9 81:59.5,56.9'},
[40898]={[0]='Alithia Fallowmere',[1]='81:59,56.4 81:59,56.5'},
[40899]={[0]='Arcanist Valdurian',[1]='81:58.7,56'},
[40900]={[0]='Neophyte Starcrest',[1]='81:58.7,56'},
[40901]={[0]='Blastgineer Fuzzwhistle',[1]='81:73.3,56.6'},
[40902]={[0]='Chief Blastgineer Bombgutz',[1]='43:49.9,65.7 81:66.2,63'},
[40903]={[0]='Spy-Mistress Anara',[1]='81:65.8,63.3'},
[40905]={[0]='Windshear Overseer',[1]='81:72.2,62 H:100055181'},
[40907]={[0]='Clarissa',[1]='81:66.1,64.1'},
[40908]={[0]='Alice',[1]='81:58.5,55.3'},
[40913]={[0]='Handler Jesana',[1]='121:77,56.6'},
[40916]={[0]='Captain Vilethorn',[1]='615:39.1,78.6 615:39.7,54 615:51.2,63'},
[40917]={[0]='Legionnaire Nazgrim',[1]='615:39.1,78.6 615:39.6,54 615:51.2,63'},
[40918]={[0]='Fiasco Sizzlegrin',[1]='615:39.5,54.7 615:51.7,62.5 615:53.9,67.1'},
[40919]={[0]='Wavespeaker Tulra',[1]='615:29.5,78.9 615:39.1,78.6 615:40.6,75.1 615:51.6,62.7'},
[40920]={[0]='Elendri Goldenbrow',[1]='615:39.6,53.8 615:51.3,62.4 615:51.3,62.5'},
[40921]={[0]='Bloodguard Toldrek',[1]='615:50.3,79'},
[40926]={[0]='Kilag Gorefang',[1]='81:74.4,47.6'},
[40950]={[0]='Captain Tharran',[1]='27:53.71,52.19'},
[40951]={[0]='Quartermaster Glynna',[1]='27:53.70,52.10'},
[40957]={[0]='Warsong Stockpile',[1]='81:71.4,47.8 81:71.5,47.8 81:71.9,49.7 81:72.3,48.7 81:72.9,51.3 81:73.2,48.1 81:73.2,48.8 81:73.4,50.1 81:73.6,48.4 81:73.8,49.2 81:74,50.1 81:74.4,50.7 81:74.5,50.8 81:74.6,48.9 81:75,50.3'},
[40973]={[0]='Sentinel Heliana',[1]='81:72.5,61.4 81:72.5,61.5'},
[40978]={[0]='Fathom-Stalker Azjentus',[1]='615:40.56,75.28'},
[40983]={[0]='Mack Fearsen',[1]='610:57.30,29.29'},
[40987]={[0]='Gnash',[1]='610:54,50 H:100062138'},
[40997]={[0]='Skylord Omnuron',[1]='606:43.54,45.88',[2]='On top floor'},
[41003]={[0]='Morthis Whisperwing',[1]='606:44.1,46'},
[41005]={[0]='Choluna',[1]='606:44.44,46.23'},
[41006]={[0]='Thisalee Crow',[1]='606:42.18,45.46'},
[41017]={[0]='Gilblin Collector',[1]='610:53.8,52.6 H:100055186'},
[41023]={[0]="Overlord Krom'gar",[1]='81:66.2,63.7'},
[41049]={[0]="Fathom-Lord Zin'jatar",[1]='615:36.43,78.68'},
[41050]={[0]="Sira'kess Tide Priestess",[1]='615:38.99,58.60'},
[41054]={[0]="Ol' Irongoat",[1]='81:58.8,56'},
[41058]={[0]='Spirit of Tony Two-Tusk',[1]=''},
[41060]={[0]='Ajamon Ghostcaller',[1]='61:96.8,72.4 61:96.9,72.5'},
[41068]={[0]='Mysterious Winged Spirit',[1]='606:40.35,44.32'},
[41071]={[0]='Huntress Illiona',[1]='81:66.2,54.6'},
[41074]={[0]='Mountaineer Grugelm',[1]='40:50,79.3'},
[41075]={[0]='Mountaineer Rharen',[1]='40:50,79.3'},
[41086]={[0]='Forba Slabchisel',[1]='40:57.4,71.7 40:57.5,71.7'},
[41124]={[0]='Okrilla',[1]='19:40.4,11.7 19:40.5,11.7'},
[41125]={[0]='Master Aitokk',[1]='19:42.6,13.9'},
[41128]={[0]='Dunlor Marblebeard',[1]='40:57.8,71.5'},
[41129]={[0]='Surveyor Thurdan',[1]='40:57.4,71.5 40:57.5,71.4 40:57.5,71.5'},
[41133]={[0]='Rofilian Dane',[1]='19:59.4,3.2 19:59.5,3.4 19:59.5,3.5'},
[41134]={[0]="Tak'arili",[1]='19:53.1,80.3 19:62.2,1.4 19:62.2,1.5'},
[41140]={[0]='Burok',[1]='4:53.09,43.58'},
[41159]={[0]='Watcher Wazzik',[1]='19:54.3,50 19:54.4,50.5'},
[41167]={[0]='Torrention',[1]='40:47.8,65.4 H:100055243'},
[41183]={[0]='Gilblingle',[1]='610:51.6,52 H:100054639'},
[41184]={[0]='Riznek',[1]='61:88.6,54.9'},
[41190]={[0]='Crazzle Sprysprocket',[1]='61:91.4,57.7'},
[41204]={[0]='Khan Ablinh',[1]='61:91.3,53.7'},
[41205]={[0]='Khan Blizh',[1]='61:86.8,51.6 61:86.9,51.4'},
--[41209]={[0]='Earthen Ring Emissary',[1]='382:69.5,41.7 382:69.8,42.6 382:69.8,43.5 382:69.8,44.5 321:51.4,72.6 321:51.8,72.4 321:51.9,73 321:52,73.6 321:52.5,73 362:38.6,58.6 480:74.6,79.5 480:74.7,79.2'},
--[41210]={[0]='Earthen Ring Emissary',[1]='301:62.2,75.9 301:62.4,75.2 301:62.5,75.1 301:62.6,75.6 341:30.1,60.9 341:30.3,61.5 341:30.5,61.4 341:30.8,61.7 341:30.8,62.8 381:41.2,39.6 381:41.3,39.4'},
[41227]={[0]="Azsh'ir Infantry",[1]='615:37,83 H:100062281,100062282'},
[41229]={[0]='Force Commander Valen',[1]='81:71,79.7'},
[41233]={[0]='Scout Commander Barus',[1]='81:48.4,51.8'},
[41239]={[0]='Thrall',[1]='477:60.4,24 477:60.5,24'},
[41248]={[0]='Moanah Stormhoof',[1]='610:46.05,46.85'},
[41252]={[0]='Rendel Firetongue',[1]='610:46.62,46.73'},
[41263]={[0]='Gavan Grayfeather',[1]='477:60.4,23.9 477:60.5,23.8'},
[41265]={[0]='Salt-Flop',[1]='19:73.1,47.4 19:73.1,47.5'},
[41276]={[0]='Steeltoe McGee',[1]='81:72.1,76'},
[41277]={[0]='Lieutenant Paulson',[1]='81:72.1,76'},
[41278]={[0]='"Cookie" McWeaksauce',[1]='81:70.9,79.7'},
[41282]={[0]='Corporal Wocard',[1]='81:72.1,76'},
[41297]={[0]='Karl Boran',[1]='40:11.2,57.8'},
[41298]={[0]='Slamp Wobblecog',[1]='27:62.51,53.70'},
[41307]={[0]='First Mate Snellig',[1]='40:15.2,29.4 40:15.2,29.5'},
[41308]={[0]='Aviana',[1]='606:44.34,47.98'},
[41324]={[0]='Private Pollard',[1]='610:63.98,59.80'},
[41340]={[0]='Private Pollard',[1]='610:63.98,59.80'},
[41341]={[0]='Erunak Stonespeaker',[1]='610:63.86,59.94'},
[41344]={[0]='Rendel Firetongue',[1]='610:64.21,59.89'},
[41347]={[0]='Moanah Stormhoof',[1]='610:63.89,59.39'},
[41350]={[0]='Ton Windbow',[1]='81:72.7,81.1'},
[41354]={[0]='Neptool',[1]='19:71,59.9'},
[41363]={[0]='Delber Cranktoggle',[1]='27:56.83,47.10'},
[41381]={[0]='Nordu',[1]='606:27.40,55.63'},
[41392]={[0]='Quentin',[1]='61:46.4,57.9'},
[41402]={[0]='Abandoned Bloodwash Crate',[1]='19:60.6,62.9 19:61.5,63 19:62.9,64.6 19:63,64.4'},
[41411]={[0]='Prospector Whelgar',[1]='40:38.9,39.3 40:38.9,39.5'},
[41412]={[0]='Ormer Ironbraid',[1]='40:38.7,39.4 40:38.7,39.5'},
[41413]={[0]='Merrin Rockweaver',[1]='40:38.8,39.7'},
[41415]={[0]='Shilah Slabchisel',[1]='40:26.9,26.2'},
[41421]={[0]='Rau Cliffrunner',[1]='61:46.8,56'},
[41433]={[0]='James Halloran',[1]='40:26.8,26.7'},
[41434]={[0]='"Goblin" Pump Controller',[1]='81:53.5,42.5 81:53.6,42.4'},
[41435]={[0]='Fradd Swiftgear',[1]='40:26.8,26'},
[41441]={[0]='Scout Mistress Yvonia',[1]='81:48.4,51.9 81:48.5,51.9'},
[41444]={[0]='Brienna Starglow',[1]='61:46.8,56.1'},
[41446]={[0]='Thalia Amberhide',[1]='61:46.3,57.8'},
[41456]={[0]="Lady Sira'kess",[1]='615:33.11,77.89'},
[41457]={[0]='Executioner Verathress',[1]='615:57.16,85.20'},
[41476]={[0]="Naz'jar Honor Guard",[1]='615:46.36,78.58'},
--[41480]={[0]='Arch Druid Hamuul Runetotem',[1]='606:19.6,37.8'},
[41482]={[0]="Master Thal'darah",[1]='81:39.9,33.4 81:39.9,33.5'},
[41486]={[0]="Elder Sareth'na",[1]='81:39.6,30.8'},
[41487]={[0]='Hierophant Malyk',[1]='81:33.1,59.6'},
[41488]={[0]='Sentinel Mistress Geleneth',[1]='81:39.6,30.8'},
[41492]={[0]='Captain Irontree',[1]='606:57.12,55.95'},
[41497]={[0]='Logram',[1]='606:56.84,56.02'},
[41498]={[0]='Garunda Mountainpeak',[1]='606:64.27,53.60'},
[41503]={[0]='Rethiel the Greenwarden',[1]='40:56.4,40.2 40:56.4,40.8 40:56.5,40.3 40:56.5,40.6'},
[41504]={[0]='Tortolla',[1]='606:41.88,60.79'},
[41507]={[0]='Niden',[1]='606:42.24,60.57'},
[41530]={[0]='Warden Azjakir',[1]='610:60,80.8 610:60,81.5 610:60.1,80.4 610:60.5,80.9'},
[41531]={[0]='Earthmender Duarn',[1]='615:51.63,52.22'},
[41535]={[0]='Engineer Hexascrub',[1]='615:56.93,80.49'},
[41540]={[0]='Captain Taylor',[1]='615:62.67,49.88'},
[41541]={[0]='Admiral Dvorek',[1]='615:62.71,49.94'},
[41578]={[0]='Sergeant Flinthammer',[1]='27:70.41,48.92'},
[41598]={[0]='Captain Taylor',[1]='614:42.76,37.95'},
[41600]={[0]='Erunak Stonespeaker',[1]='614:42.69,37.91'},
[41612]={[0]='Huntress Iczelia',[1]='40:56.4,39.9 40:56.5,39.9'},
[41615]={[0]='Ferilon Leafborn',[1]='40:56.4,39.9 40:56.5,39.9'},
[41618]={[0]='Erunak Stonespeaker',[1]='610:38.8,31.7'},
[41621]={[0]='Commander Thorak',[1]='4:55.8,12.3'},
[41636]={[0]='Legionnaire Nazgrim',[1]='614:42.7,37.8'},
[41638]={[0]='Houndmaster Jonathan',[1]='81:32.3,60.5 81:32.4,60 81:32.7,61 81:33.1,59.6'},
[41639]={[0]='Wavespeaker Tulra',[1]='614:42.73,37.92'},
[41640]={[0]='Wavespeaker Valoren',[1]='614:52.60,27.82'},
[41652]={[0]='Twilight Champion',[1]='614:31.6,59.2 H:100057102,100057118'},
[41657]={[0]='Twilight Candidate',[1]='614:30,59 H:100057102,100057118'},
[41662]={[0]='Captain Glovaal',[1]='614:54.44,72.91'},
[41663]={[0]='Captain "Jewels" Verne',[1]='614:51.4,61.4 614:51.4,61.5 614:51.5,61.4 614:51.5,61.5'},
[41664]={[0]='Salsbury the "Help"',[1]='81:33.1,59.6'},
[41665]={[0]='Jorlan Trueblade',[1]='614:55.61,72.99'},
[41666]={[0]='Engineer Hexascrub',[1]='614:55.50,72.90'},
[41667]={[0]='Lieutenant "Foxy" Topper',[1]='614:55.46,72.97'},
[41668]={[0]='Bloodguard Toldrek',[1]='614:51.5,60.8'},
[41669]={[0]='Fiasco Sizzlegrin',[1]='614:51.4,60.9 614:51.5,60.9'},
[41670]={[0]='Sergeant Gertrude',[1]='614:51.4,60.9 614:51.5,60.9'},
[41678]={[0]='Blood Guard Aldo Rockrain',[1]='43:49.9,65.7'},
[41711]={[0]='Legionnaire Nazgrim',[1]='610:39,32'},
[41750]={[0]='Legionnaire Nazgrim',[1]='610:38.9,31.7 610:39.5,31.3'},
[41769]={[0]='Legionnaire Nazgrim',[1]='610:39.4,30.7 610:39.5,30.7 610:39.6,30.3'},
[41770]={[0]='Fiasco Sizzlegrin',[1]='615:50.3,79'},
[41786]={[0]='Sergeant Bahrum',[1]='27:82.86,48.40'},
[41802]={[0]='Wavespeaker Valoren',[1]='615:62.60,49.56 615:62.69,50.53'},
[41804]={[0]='Khurgorn Singefeather',[1]='27:82.64,48.29'},
[41810]={[0]='Legionnaire Nazgrim',[1]='615:60.2,63.6'},
[41811]={[0]='Captain Vilethorn',[1]='615:60.2,63.7'},
[41813]={[0]='Wavespeaker Tulra',[1]='615:60.2,63.6 615:60.3,63.4 615:60.5,63.4 615:60.5,63.5'},
[41853]={[0]='Commander Stonebreaker',[1]='27:78.25,20.51'},
[41863]={[0]='Gurrok',[1]='610:63.9,59.9'},
[41885]={[0]='Gurrok',[1]='610:63.9,59.8'},
[41908]={[0]='Orako',[1]='614:42.9,51'},
[41910]={[0]='Humphrey Digsong',[1]='614:47.36,49.76'},
[41925]={[0]='Coldlight Hunter',[1]='614:46,60 H:100056571,100056812'},
[41926]={[0]='Coldlight Oracle',[1]='614:46,60 H:100056571,100056812'},
[41937]={[0]='Marshal Paltrow',[1]='81:62,67.8 H:100056474'},
[41944]={[0]='Galen Trollbane',[1]='16:13,36.1'},
[41949]={[0]='Dark Ranger Alina',[1]='16:13.3,35.8'},
[41966]={[0]='Deathstalker Maudria',[1]='16:13.4,34.1 16:13.4,34.5 16:13.5,33.9 16:13.5,34.7'},
[41983]={[0]='Apprentice Kryten',[1]='16:13.1,69.3 16:13.2,69.6'},
[41984]={[0]='Clarissa',[1]='9:48.9,78.3 362:46.4,58.4 362:47,58.2 504:31.1,48.6 504:31.7,48.9 614:42.7,37.8'},
[41990]={[0]='Scout Utvoch',[1]='81:67.1,64.4 81:67.1,64.5'},
[41991]={[0]='Sergeant Dontrag',[1]='81:67.1,64.4 81:67.1,64.5'},
[41992]={[0]='Blastgineer Igore',[1]='81:67.1,64.4 81:67.1,64.5'},
[42023]={[0]='Subjugator Devo',[1]='81:71.1,91.2'},
[42028]={[0]="Krom'gar Quartermaster",[1]='81:65.9,64.1'},
[42033]={[0]='Jibbly Rakit',[1]='81:52.9,39.2'},
[42039]={[0]='High Chieftain Cliffwalker',[1]='81:45.1,32.8 81:45.4,33.5 81:45.6,34.1'},
[42047]={[0]='Masha Cliffwalker',[1]='81:45.1,32.8'},
[42050]={[0]='General Grebo',[1]='81:45.1,32.7'},
[42074]={[0]='Fathom-Stalker Azjentus',[1]='615:46.22,79.56'},
[42076]={[0]="Lady Naz'jar",[1]='615:29.02,78.51'},
[42077]={[0]="Lady Naz'jar",[1]='615:33.13,75.87'},
[42088]={[0]='Goutgut',[1]='16:12.9,34.1'},
[42091]={[0]='Orthus Cliffwalker',[1]='81:39.7,46.4'},
[42106]={[0]="Overlord Krom'gar",[1]='81:45.6,34.1'},
[42115]={[0]='Hellscream Seadog',[1]='614:57,74 K:26105'},
[42129]={[0]='Moira Thaurissan',[1]='341:39.80,57.30'},
[42130]={[0]="Gor'mul",[1]='16:67.8,34.7'},
[42160]={[0]='Thargas Anvilmar',[1]='40:49.4,17.3 40:49.5,17.3'},
[42197]={[0]="L'ghorek",[1]='614:38.75,44.82'},
[42223]={[0]='Irradiated Technician',[1]='27:38.7,33.4 27:38.7,33.6 27:39.1,32.4 27:39.5,34.5 27:39.6,31.4 27:40,33.8 27:40.2,31.7 27:40.5,31.1 27:40.5,31.5 27:40.6,33.7 27:41.3,33.2 27:41.8,31.1 27:41.8,32.5 27:41.9,31.7 27:42.1,33.9 27:43.5,33.5'},
[42224]={[0]='Repaired Mechano-Tank',[1]='27:38.9,33.4 27:39.2,33.9 27:39.5,34.2 27:39.8,32.1 27:39.9,31.2 27:39.9,33.3 27:40.6,33 27:40.9,31.7 27:41.2,30.6'},
[42256]={[0]='Marshal McCree',[1]='30:81.85,66.05'},
[42262]={[0]='Leyan Steelson',[1]='19:60.1,13.4 19:60.2,13.5'},
[42264]={[0]='Buttonwillow McKittrick',[1]='19:60.4,13.8'},
[42288]={[0]='Robby Flay',[1]='301:50.56,71.87'},
[42298]={[0]='Kasim Sharim',[1]='19:62.3,26.2 19:62.6,26.3'},
[42299]={[0]='Watcher Grimeo',[1]='19:55.12,49.58'},
[42308]={[0]='Lieutenant Horatio Laine',[1]='39:56.3,47.6 39:60.1,19.2 39:60.1,19.5'},
[42317]={[0]='High Tinker Mekkatorque',[1]='27:33.7,36.4 27:33.7,36.5'},
[42323]={[0]='"Doc" Cogspin',[1]='27:33.9,34.8'},
[42324]={[0]='Drill Sergeant Steamcrank',[1]='27:34.2,37.4 27:34.3,37.6'},
[42331]={[0]='Bipsi Frostflinger',[1]='27:34.4,35.1 27:34.5,35.1'},
[42333]={[0]='High Priestess Azil',[1]=''},
[42344]={[0]='Rohan Sunveil',[1]='19:49.8,71.5'},
[42348]={[0]='Elijah Dawnflight',[1]='19:47.2,69.1'},
[42349]={[0]='Mayor Charlton Connisport',[1]='19:46.36,87.18'},
[42352]={[0]='Cenarion Observer Shayana',[1]='19:43.9,87.8 19:44,87.1 19:44.4,86.1 19:44.9,86.2 19:45.1,86.5 19:45.4,88.1 19:45.8,88.3 19:46,88.5 19:46.1,86.5 19:46.2,85.1 19:46.4,86.2 19:46.5,85.4 19:46.5,85.6 19:47.2,88.2 19:47.2,89 19:47.3,87.2 19:47.5,88.6 19:47.6,88.4'},
[42353]={[0]='Jarvi Shadowstep',[1]='27:37.4,44'},
[42366]={[0]='Kelsey Steelspark',[1]='27:33.4,36.8 27:33.5,36.8'},
[42396]={[0]='Nevin Twistwrench',[1]='27:33.9,38.6'},
[42405]={[0]='Two-Shoed Lou',[1]='39:49.7,19.4 39:49.7,19.5'},
[42410]={[0]='Legionnaire Nazgrim',[1]='613:64.5,68.7'},
[42411]={[0]='Captain Taylor',[1]='613:69.61,75.34'},
[42425]={[0]='Captain Alpert',[1]='39:42.1,64 39:42.2,64.5'},
[42428]={[0]='Devout Follower',[1]='768:46.1,39.4 768:46.1,39.7 768:46.1,40 768:46.1,40.5 768:46.2,37.6 768:46.2,40.7 768:46.2,41.5 768:46.3,33.6 768:46.3,34.4 768:46.3,34.7 768:46.3,34.8 768:46.3,37.1 768:46.3,38.8 768:46.3,41.7 768:46.4,33.3 768:46.4,36.4 768:46.4,37.6 768:46.4,42.6 768:46.4,43.5 768:46.5,34.7 768:46.5,35.9 768:46.5,36.7 768:46.5,37.4 768:46.5,37.5 768:46.5,37.8 768:46.5,38.5 768:46.5,39.1 768:46.5,40.4 768:46.5,40.9 768:46.5,41.3 768:46.5,41.5 768:46.5,42.8 768:46.6,35.5 768:47.1,32.9 768:47.2,33.2 768:47.3,31.2 768:47.3,32.2 768:47.3,34.1 768:47.3,34.2 768:47.3,34.5 768:47.4,30.4 768:47.4,31.4 768:47.4,31.6 768:47.5,31.8 768:47.5,32.5 768:47.5,33 768:47.5,34.3 768:47.5,34.5 768:47.5,37.2 768:47.7,30.6 768:47.8,31.4 768:47.9,30 768:48,29.4 768:48,30.2 768:48.1,29.4 768:48.4,27.3 768:48.4,28.4 768:48.5,27.2 768:48.5,28.8 768:48.5,29.5 768:48.5,30.5 768:48.7,28.4 768:48.9,27.5 768:51.2,43.2 768:51.9,37.9 768:52.1,39.4 768:52.2,34.9 768:52.2,38 768:52.2,40.8 768:52.2,43.8 768:52.3,36.3 768:52.3,38.9 768:52.3,41.6 768:52.4,36.2 768:52.4,36.9 768:52.4,37.3 768:52.4,39.5 768:52.4,40 768:52.4,41.1 768:52.4,42.5 768:52.5,35.7 768:52.6,36.7 768:52.6,38 768:52.6,41.4 768:52.6,43.6 768:52.7,35.3 768:52.7,38.6 768:52.8,38.3 768:52.9,36 768:52.9,42.8 768:53,37.3 768:53,39.6 768:53,41.6 768:53.1,35.4 768:53.1,40.7 768:53.3,39.4 768:53.3,40.1 768:53.3,42.8 768:53.4,41.5 768:53.5,36.1 768:53.5,38.8 768:53.5,40.8 768:53.6,36.2 768:53.6,37.4 768:53.6,38.1 768:53.6,38.4 768:53.6,40 768:53.6,40.4 768:53.6,40.9 768:53.6,41.9 768:53.8,41.8 768:54.1,42.5 768:54.5,40.6 768:54.5,41.5 768:54.6,39.2 768:54.6,45.1 768:54.7,39.8'},
[42443]={[0]='King Varian Wrynn',[1]=''},
[42464]={[0]='Grognard',[1]='26:77.4,80'},
[42465]={[0]='Therazane',[1]='640:56.34,12.15 640:56.29,13.31 640:56.13,12.91'},
[42466]={[0]='Terrath the Steady',[1]='640:39.94,19.36'},
[42467]={[0]='Diamant the Patient',[1]='640:56.51,42.65'},
[42469]={[0]='Kor the Immovable',[1]='640:34.18,34.29'},
[42472]={[0]='Gorsik the Tumultuous',[1]='640:72.22,53.99'},
[42489]={[0]='Captain Tread Sparknozzle',[1]='27:33.5,36.7'},
[42491]={[0]='Hinkles Fastblast',[1]='27:33.5,36.8'},
[42497]={[0]='Mama Celeste',[1]='39:49.5,19.2'},
[42498]={[0]='Jimb "Candles" McHannigan',[1]='39:49.7,19.4 39:49.7,19.5'},
[42506]={[0]='Marogg',[1]='321[1]:56.53,62.49'},
[42553]={[0]='Engineer Grindspark',[1]='27:34.3,34.7'},
[42558]={[0]='Lieutenant Horatio Laine',[1]='39:49.7,19.4 39:49.7,19.6'},
[42563]={[0]='Toxic Pool',[1]=''},
[42573]={[0]='Earthcaller Yevaa',[1]='640:49.49,53.35'},
[42574]={[0]='Initiate Goldmine',[1]='640:46.53,57.29'},
[42575]={[0]='Hope Saldean',[1]='39:56.9,47.1'},
[42600]={[0]='Cairne Bloodhoof',[1]=''},
[42611]={[0]='Tock Sprysprocket',[1]='27:33.8,34.1'},
[42612]={[0]='Malcom Fendelson',[1]='26:78,78.2 26:78,78.5'},
[42613]={[0]='Elder Torntusk',[1]='26:78.1,81.5 26:78.2,81.4'},
[42614]={[0]='Terrath the Steady',[1]='640:64.13,36.88'},
[42618]={[0]='Voldreka',[1]='4:64.9,83.3 4:65.1,83.9'},
[42622]={[0]='Eliza Darkgrin',[1]='26:67.7,66.5'},
[42624]={[0]='Kotonga',[1]='26:67.8,66.4 26:67.8,66.5'},
[42630]={[0]='Corporal Fizzwhistle',[1]='27:33.4,39.2 27:33.5,39.3'},
[42637]={[0]='Sauranok the Mystic',[1]='321:48.1,71.1 321:48.3,71.7'},
[42640]={[0]='Captain Krazz',[1]='181:60.1,50.4 181:60.1,50.5'},
[42641]={[0]='Warlord Krogg',[1]='181:60.1,50.4 181:60.1,50.5'},
[42642]={[0]='Primal Torntusk',[1]='26:67.8,66.4 26:67.8,66.5'},
[42643]={[0]='Fleep',[1]='181:54.5,51.1'},
[42645]={[0]='Captured Demolitionist',[1]='27:32,48.7 27:32.9,49.8 27:33.2,53.1 27:33.4,51.3 27:33.4,51.5 27:33.6,51.9 27:34.1,53.5 27:34.2,53.4 27:34.4,50.5 27:34.5,50.4 27:34.5,50.5 27:34.8,51.8 27:35.7,50.6 27:36,51.8 27:36.2,50.2 27:36.8,51'},
[42651]={[0]='Thoralius the Wise',[1]='39:42.9,65'},
[42672]={[0]='Foreman Glibbs',[1]='181:26.2,78.8'},
[42677]={[0]='Moonbrook Thug',[1]='39:42.4,69.4 H:100058117'},
[42684]={[0]='Stormcaller Mylra',[1]='640:62.38,47.73 640:62.17,46.64 640:61.87,45.04 640:61.53,44.00 640:62.05,37.59 640:63.95,45.86 640:64.33,49.31 640:65.05,52.76 640:62.46,53.13',[2]='Flying around on a gunship'},
[42708]={[0]='Jessup McCree',[1]='27:33.1,48.7'},
[42730]={[0]='Earthcaller Torunscar',[1]='640:46.1,45.7'},
[42731]={[0]='Earthmender Norsala',[1]='640:46.16,45.74'},
[42736]={[0]='Lashtail Hatchling',[1]=''},
[42750]={[0]='Marshal Gryan Stoutmantle',[1]=''},
[42752]={[0]='Scout Galiaan',[1]='382:70.4,47 605:69.9,79.7 605:70.4,79.1 615:51.1,63.2 614:42.6,37.7'},
[42790]={[0]='Bloodlord Mandokir',[1]='37:38.4,48.6 37:38.5,48.7 37:47.2,10.6'},
[42805]={[0]='Commander Cragfist',[1]='341:21.4,75.7 341:21.4,76.6 341:21.4,78.3 341:21.6,75.4 341:21.6,78.5 341:21.7,76.3 341:22,76.9 341:22.4,77.5 341:22.5,77.4 341:22.5,77.7 341:22.8,79.9 341:22.9,78.6 341:23.4,80.5 341:23.9,81.1 341:24.5,81.7 341:25.6,82.9 341:26.8,83.8 341:28,83.1 341:54.6,33.4 341:54.7,33.5'},
[42811]={[0]='Surkhan',[1]='37:63.3,38.8'},
[42812]={[0]="Priestess Hu'rala",[1]='37:63.4,39'},
[42813]={[0]="Kil'karil",[1]='37:63.2,39.9'},
[42814]={[0]='Skeezy Whillzap',[1]='37:62.7,40.3 37:63.4,41.1 37:63.5,41.2 37:63.7,39.8'},
[42896]={[0]='Apothecary Surlis',[1]='26:31.9,58.4 26:31.9,58.5'},
[42898]={[0]='Darkcleric Marnal',[1]='26:31.9,58.4 26:31.9,58.5'},
[42899]={[0]='Quartz Stonetender',[1]='640:56.52,41.05'},
[42928]={[0]='Muradin Bronzebeard',[1]='341:39.21,56.06'},
[42933]={[0]='Ciara Deepstone',[1]='27:49.91,44.98'},
[42936]={[0]='Sentinel Cordressa Briarbow',[1]='381:43.91,76.16'},
[42938]={[0]='Kurtok the Slayer',[1]='30:56.8,41.1 30:57.1,40.4'},
[42940]={[0]='Northshire Vineyards Fire Trigger',[1]=''},
[42968]={[0]='Krennan Aranas',[1]='41:55.23,89.19'},
[42978]={[0]='Admiral Stonefist',[1]='700:82.5,49.9'},
[42983]={[0]='Bartlett the Brave',[1]='30:41.72,64.64'},
[43006]={[0]='Rhyanda',[1]='41:58.39,35.54'},
[43008]={[0]='Raven Hollister',[1]='765:70.5,48.9 504:43.7,48.6 504:43.7,49.8 504:49.3,31 504:49.5,31.9 504:49.5,32.7 614:52.6,27.8'},
[43009]={[0]='Alsudar the Bastion',[1]='480:80.4,37.2 480:80.4,37.5 480:80.9,37.4 480:81.1,37.8 480:81.6,36.9 480:81.7,38.3'},
[43010]={[0]='Delios Silverblade',[1]='462:39.3,20.2'},
[43062]={[0]='Bort',[1]='321:51,56.7 321:51.1,55.4 321:51.2,56.2 321:51.6,56.4 321:51.7,56.5'},
[43063]={[0]='Cromula',[1]='43:49.5,67.1 43:50.7,67.1'},
[43065]={[0]='Maruut Stonebinder',[1]='640:49.62,52.94'},
[43071]={[0]='Crag Rockcrusher',[1]='640:27.92,68.71'},
[43082]={[0]='First Mate Moody',[1]='640:60.80,38.99 640:61.33,38.33 640:62.25,38.03 640:64.10,46.81 640:64.64,51.41',[2]='In the main cabin on a gunship'},
[43095]={[0]='Sassy Hardwrench',[1]='673:34.7,29.4 673:34.8,29.5'},
[43096]={[0]='Flem Gizzix',[1]='673:33.7,29.2'},
[43097]={[0]='Mixmaster Jasper',[1]='673:35.1,27.6'},
[43098]={[0]='Chabal',[1]='673:34.6,27.9'},
[43099]={[0]='Stone Guard Towhide',[1]='673:46.3,28.1 673:46.5,28.1'},
[43108]={[0]='Kerr Ironsight',[1]='26:66.3,44.3'},
[43109]={[0]='Dron Blastbrew',[1]='26:66.3,44.3'},
[43116]={[0]='Pebble',[1]='Near640'},
[43124]={[0]='Anette Williams',[1]='20:58.9,51.9'},
[43156]={[0]='Fraggar Thundermantle',[1]='26:63.8,60'},
[43157]={[0]='Doran Steelwing',[1]='26:63.9,59.8'},
[43158]={[0]='Mercurial Ooze',[1]='640:69.95,60.09 H:100060816'},
[43160]={[0]='Earthbreaker Dolomite',[1]='640:28.21,69.62'},
[43168]={[0]='Gravel Longslab',[1]='640:24.52,62.41'},
[43169]={[0]='Clay Mudaxle',[1]='640:24.74,62.18'},
[43184]={[0]='John J. Keeshan',[1]='36:26.2,40.5 36:26.3,40'},
[43187]={[0]='Ornak',[1]='700:78.9,51.8'},
[43190]={[0]='Zaela',[1]='700:73.7,53.9 700:74.3,53.4 700:76.6,49.5'},
[43191]={[0]='Gregor',[1]='700:76.5,49.5'},
[43193]={[0]='Warlord Krogg',[1]='700:82.5,49.9'},
[43194]={[0]='Foreman Oslow',[1]='36:29.6,44.4 36:29.6,44.5'},
[43200]={[0]='Gilda Cloudcaller',[1]='26:30.7,47.1'},
[43221]={[0]='Colonel Troteman',[1]='36:28.3,41 36:28.7,40.8'},
[43239]={[0]='Razgar',[1]='321[1]:65.69,41.08'},
[43257]={[0]='High Priestess Jeklik',[1]='37:78.2,44'},
[43270]={[0]='Messner',[1]='36:47.4,41.8 36:47.5,41.8'},
[43272]={[0]='Jorgensen',[1]='36:33.7,11.8'},
[43274]={[0]='Krakauer',[1]='36:26,10.5 36:26.1,10.4'},
[43275]={[0]='Danforth',[1]='36:28.2,17.1'},
[43278]={[0]='Ashley Blank',[1]='30:48.55,42.57'},
[43298]={[0]='Wildhammer Lookout',[1]='26:34.4,67.9 26:34.5,68.1'},
[43299]={[0]='Deathstalker Lookout',[1]='26:35.4,68.6 26:35.6,68.4 26:35.6,68.5'},
[43300]={[0]='Messner',[1]=''},
[43302]={[0]='Danforth',[1]=''},
[43303]={[0]='Krakauer',[1]=''},
[43305]={[0]='Jorgensen',[1]=''},
[43319]={[0]='Earthmender Deepvein',[1]='640:24.61,62.18'},
[43323]={[0]='High Priest Venoxis',[1]='37:84,36.7'},
[43344]={[0]='Berracite',[1]='640:34.08,35.23 640:34.56,34.48 640:34.51,33.31'},
[43395]={[0]='Windspeaker Lorvarius',[1]='640:71.79,47.59'},
[43397]={[0]='Seer Kormo',[1]='640:49.68,52.94'},
[43442]={[0]='Ruberick',[1]='640:68.47,26.36'},
[43453]={[0]='Tobias Mistmantle',[1]='34:77.4,36.2 34:79,44.3'},
[43454]={[0]='"Good-Boy" Bruce',[1]='673:41.6,61.2 H:100059143'},
[43455]={[0]='Saripal Smolderbrew',[1]='27:35.7,65.4 27:35.7,65.5'},
[43458]={[0]='John J. Keeshan',[1]='36:52.5,55.3 36:52.6,55.5'},
[43459]={[0]='Messner',[1]='36:52.4,55.4 36:52.4,55.5 36:52.5,55.4 36:52.5,55.5'},
[43461]={[0]='Krakauer',[1]='36:52.4,55.3 36:52.4,55.5 36:52.5,55.3 36:52.5,55.5'},
[43462]={[0]='Danforth',[1]='36:52.4,55.4 36:52.4,55.5 36:52.5,55.4 36:52.6,55.5'},
[43496]={[0]='Darkblaze',[1]='36:58.3,55.4 36:58.3,55.6 36:58.5,55.5 36:58.9,55.1'},
[43504]={[0]='Yancey Grillsen',[1]='673:43.8,56.4 673:43.8,56.5'},
[43508]={[0]='Brubaker',[1]='36:53,67.7'},
[43556]={[0]='"Dead-Eye" Drederick McGumm',[1]='673:46.3,93.4 673:46.4,93.5 673:46.5,94.6 673:46.6,93.4 673:46.8,94.3'},
[43581]={[0]='Zaela',[1]='700:76.6,49.6'},
[43589]={[0]='Munitions Dump',[1]=''},
[43590]={[0]='Blackrock Tower',[1]=''},
[43607]={[0]='Danforth',[1]='36:77.6,65.6 36:77.8,65'},
[43611]={[0]='John J. Keeshan',[1]='36:77.4,65.8 36:77.6,65.6 36:77.7,65.4'},
[43693]={[0]='Darlene Stokx',[1]='301:77.4,67.4 301:77.4,67.6 301:77.5,67.4 301:77.5,67.5'},
[43727]={[0]='Lorna Crowley',[1]='545:41.7,36.6 611:41.7,36.6'},
[43730]={[0]='Oliver Harris',[1]='34:18.4,57.7 34:18.5,57.7'},
[43731]={[0]='Sister Elsington',[1]='34:19.8,57.4 34:19.9,57.8'},
[43733]={[0]='Colonel Troteman',[1]='36:60.6,36.4 36:60.6,36.6 36:77.3,65.9'},
[43738]={[0]='Apprentice Fess',[1]='34:44.8,67.5 34:44.9,67.3'},
--[43776]={[0]='Zizo Seasizzle',[1]='181:53.1,50.4 181:53.1,50.5'},
[43778]={[0]='Foe Reaper 5000',[1]=''},
[43792]={[0]='Therazane',[1]='640:49.74,53.30'},
[43795]={[0]='Aponi Brightmane',[1]='362:63.2,79.8'},
[43804]={[0]='Gorsik the Tumultuous',[1]='640:57.35,12.53 640:59.36,14.24'},
[43805]={[0]='Felsen the Enduring',[1]='640:56.07,14.38'},
[43806]={[0]='Terrath the Steady',[1]='640:54.6,14.3 640:55.4,13.1 640:55.5,13.1 640:56.5,13.4 640:56.6,14.1'},
[43809]={[0]='Earthcaller Torunscar',[1]='640:56.06,13.46'},
[43818]={[0]='Maruut Stonebinder',[1]='640:49.6,53'},
[43835]={[0]='Earthcaller Torunscar',[1]='640:49.27,52.80'},
[43837]={[0]='High Priestess Lorthuna',[1]='640:49.4,52.8 640:49.8,52.7'},
[43849]={[0]='Garley Lightrider',[1]='673:42,73.6'},
[43861]={[0]='Sven Yorgen',[1]='34:18.4,57.9 34:18.5,58'},
[43870]={[0]='Seer Beryl',[1]='362:75.4,28.5 362:75.6,28'},
[43881]={[0]='Delano Morisett',[1]='362:25.3,14.1 362:25.4,14.7 362:25.8,14.7'},
[43884]={[0]='Osborn Obnoticus',[1]='37:47.2,10.6'},
[43885]={[0]='Emerine Junis',[1]='37:19.2,40.7 37:47.6,10.4 37:47.6,10.5 37:56.5,20.3'},
[43886]={[0]='Berrin Burnquill',[1]='37:47.9,12 37:56.5,20.3'},
[43897]={[0]='Pyrium Lodestone',[1]='640:22.68,52.02'},
[43898]={[0]='Flint Oremantle',[1]='640:22.76,52.10'},
[43943]={[0]='Garrosh Hellscream',[1]='700:74.8,53.1'},
[43991]={[0]='Zaldaan',[1]='464:49.7,49.2'},
[44010]={[0]='Stormcaller Mylra',[1]='640:64.47,82.13'},
[44017]={[0]='Priestess Thaalia',[1]='37:53.4,66.7'},
[44018]={[0]='Wulfred Harrys',[1]='37:53.3,66.3'},
[44019]={[0]='Livingston Marshal',[1]='37:53.2,66.8'},
[44021]={[0]='Ghaliri',[1]='37:52.7,66.8'},
[44024]={[0]='Artesh',[1]='700:73.8,53.9'},
[44025]={[0]='Therazane',[1]='640:63.32,25.03'},
[44036]={[0]='Skymaster Brightdawn',[1]='462:44,70'},
[44042]={[0]='Ornak',[1]='700:74.3,53.3'},
[44043]={[0]='Kinnel',[1]='37:53,66.3 37:53.2,66.8'},
[44080]={[0]='Boden the Imposing',[1]='640:62.61,26.92'},
[44082]={[0]='Bronwyn Hewstrike',[1]='673:55.2,42.5 673:55.3,42.4'},
[44083]={[0]='Linzi Hewstrike',[1]='673:55.3,42.1'},
[44084]={[0]='Maywiki',[1]='673:55.7,42.3'},
[44099]={[0]='Dask "The Flask" Gobfizzle',[1]='673:55.3,42'},
[44100]={[0]='Goris',[1]='673:54.8,42.5 673:55.1,41.8'},
[44112]={[0]='Airwyn Bantamflax',[1]='673:42.4,73.1 673:42.5,73.1'},
[44143]={[0]='Slate Quicksand',[1]='640:27.59,44.84'},
[44169]={[0]='Zaela',[1]='700:75.3,54.8'},
[44200]={[0]='Scout Dorli',[1]='35:25.4,17.8 35:25.5,17.8'},
[44204]={[0]='Stonefather Oremantle',[1]='640:28.00,68.64'},
[44216]={[0]='Bovaal Whitehorn',[1]='680:69.3,11.6 680:69.4,11.4 680:69.4,12.5 680:69.5,12.7 680:69.9,11.4 680:69.9,11.5'},
[44217]={[0]='Stone Guard Kurjack',[1]='680:67.8,10.4 680:68.2,13.8 680:68.3,13.2 680:68.4,11.4 680:68.4,11.5 680:68.5,11.4 680:68.5,11.5 680:68.7,12.5 680:69.6,11.5 680:69.7,11.4'},
[44222]={[0]='Seer Galekk',[1]='640:64.4,82.2 640:64.5,82.2'},
[44238]={[0]='Harrison Jones',[1]='301:85.81,25.95'},
[44247]={[0]='Wulf Hansreim',[1]='301:79.1,70.4 301:79.1,71'},
[44293]={[0]='Anduin Wrynn',[1]='Near301'},
[44345]={[0]='Cannary Caskshot',[1]='35:34.9,49'},
[44365]={[0]='Lady Sylvanas Windrunner',[1]='21:44.9,41.7 21:57.4,10.1 21:57.5,10.1'},
[44372]={[0]='Avalanchion',[1]='640:47,89.4'},
[44374]={[0]='Sherm',[1]='161:33.3,76.9'},
[44375]={[0]='Zeya',[1]='688:47.4,12 688:48.2,12.7 688:48.3,12.3 688:48.4,13.5 688:48.5,12.4 688:48.6,13.3 688:48.7,13.5'},
[44387]={[0]='Flaming Eradicator',[1]='688:31.1,67.5 688:31.2,65.7 688:31.4,66.5 688:31.5,66.4 688:31.5,66.5 688:32.2,67.9 688:32.4,68.5 688:32.5,65.7 688:32.5,67 688:32.5,68.4'},
[44395]={[0]='Celestine of the Harvest',[1]='301:57.6,24.9'},
[44402]={[0]='Auld Stonespire',[1]='761:67.4,65.8 761:67.5,65.9 761:67.4,82.2 761:67.4,82.5 761:67.8,82.4 761:68,82.5 761:68.5,82.4 761:68.5,82.7 761:69.5,83'},
[44415]={[0]='Spirit of Agamaggan',[1]='761:47.5,45.7 761:19.9,33 761:19.9,33.6 761:20,32.4 761:20.4,31.2 761:20.5,33.5 761:20.7,33 761:21,30.3 761:21.1,31.8 761:21.2,31.2'},
[44441]={[0]='Highlord Tirion Fordring',[1]='22:42,14.9'},
[44445]={[0]='Krastinovian Disciple',[1]='22:63.3,32.4 22:63.3,32.5 22:63.7,32.7 22:64.4,34.3 22:64.4,34.5 22:64.5,33.4 22:64.5,34.4 22:64.6,35'},
[44451]={[0]='Lady Sylvanas Windrunner',[1]='22:49,63.7'},
[44452]={[0]='Koltira Deathweaver',[1]='22:45.3,72.6 22:45.4,72.4 22:47,63.8 22:47.7,65.1'},
[44453]={[0]='Thassarian',[1]='22:39.8,69.5 22:39.9,69.4 22:41,70.4 22:41,70.5 22:45.3,72.6'},
[44454]={[0]='Field Agent Kaartish',[1]='22:49.3,54.8'},
[44456]={[0]='Adrine Towhide',[1]='22:48.9,54.8'},
[44457]={[0]='Selyria Groenveld',[1]='22:48.6,54.9'},
[44458]={[0]='Del Gahrron',[1]='22:50.6,52.5'},
[44462]={[0]='Jearl Donald',[1]='22:46.9,63.6 22:47.3,64.5'},
[44466]={[0]='Lindsay Ravensun',[1]='22:40.7,52.1 22:47.6,65.4 22:47.6,65.5 22:49,63.7'},
[44467]={[0]='Lang Loosegrip',[1]='22:40,69.3 22:41.2,70.2'},
[44471]={[0]='Lurid',[1]='22:41,70.4 22:41,70.5'},
[44472]={[0]='Kelly Dumah',[1]='22:48.4,32 22:48.5,32.1'},
[44484]={[0]='Flesh-Cobbled Brute',[1]='22:61.6,34.6 22:61.7,36.8 22:61.9,34.1 22:62.7,32.4 22:62.7,32.5 22:63.3,37.4 22:63.3,37.6 22:63.9,37.7 22:64.1,37.1'},
[44485]={[0]='Flesh-Cobbled Ripper',[1]='22:62,33.3 22:62,33.5 22:62.5,36.3 22:64.1,37.1 22:64.1,38.1 22:64.7,35.3 22:64.7,36'},
[44486]={[0]='Unholy Corpuscle',[1]='22:62.1,37.4 22:62.5,37.5 22:63.2,35.9 22:63.4,37 22:63.5,35.7 22:63.6,37 22:64.6,38.4 22:65,38.7 22:65.6,40.4 22:65.7,42.6 22:66,41.2'},
[44490]={[0]='Captain Taylor',[1]='614:69.75,34.42'},
[44540]={[0]='Legionnaire Nazgrim',[1]='614:69.7,34.4 614:69.7,34.5'},
[44556]={[0]='Murd Doc',[1]='691:62.4,34.9 691:62.7,34.6 691:63.1,33.6 691:63.2,32.9 691:63.4,32.1 691:63.5,31.5'},
[44560]={[0]='B.E Barechus',[1]='691:63.9,47.4 691:64,47.7 691:64.4,45.8 691:64.7,47.7 691:65,46.2 691:65.2,47.4 691:65.5,47.5 691:65.8,47 691:66,48.6 691:66.3,46.1 691:66.5,47'},
[44561]={[0]='Face',[1]='691:23.2,38.4 691:23.4,38.6 691:23.7,38.9 691:23.9,40.8 691:24.2,39.6 691:24.6,39.6 691:25,39.1'},
[44563]={[0]='Hann Ibal',[1]='691:34,19.3 691:34.4,19.7 691:34.6,19.4 691:34.8,19.7 691:35.3,20.6 691:35.5,20.3 691:35.5,20.9'},
[44615]={[0]='Grand Executor Mortuus',[1]='21:57.4,10.2 21:57.5,10.1'},
[44618]={[0]='Rusted Skystrider',[1]='35:78.4,76.7 35:78.5,76.4 35:78.5,76.5'},
[44637]={[0]='Dark Ranger Velonara',[1]='762:38.7,31.1 762:75.8,79.3 762:75.9,80.4 762:76,80.7'},
[44640]={[0]='High Warlord Cromush',[1]='21:44.8,40.6 21:57.2,10.5 21:57.3,10.4 21:57.5,10'},
[44660]={[0]='Dark Ranger Velonara',[1]='762:65.2,73.7 762:20.1,14.2 762:20.1,14.9 762:20.1,15.5 762:20.4,16.5 762:20.4,17.9 762:20.5,16 762:20.6,15.4'},
[44690]={[0]='Dark Ranger Velonara',[1]='762:67,33.3 762:60.6,93.9'},
[44706]={[0]='Dark Ranger Velonara',[1]='762:32.7,55.9 762:49.1,86.9'},
[44725]={[0]='Sunwalker Atohmo',[1]='321:45.2,53.4 321:45.2,53.5 321:45.5,53'},
[44726]={[0]='Shalla Whiteleaf',[1]='321:44.9,51.6 321:45,51.4'},
[44728]={[0]='Joseph the Awakened',[1]='762:38.7,31.1 762:75.8,78.7 762:75.8,79.9 762:76,80.5'},
[44735]={[0]='Seer Liwatha',[1]='321:45.4,53.4 321:45.4,53.5 321:45.5,53.4 321:45.5,53.6'},
[44738]={[0]='Joseph the Awakened',[1]='762:65.2,73.8'},
[44741]={[0]='Joseph the Crazed',[1]='762:63.38,94.15'},	-- TODO:  Make map: 762[3]
[44746]={[0]='Joseph the Insane',[1]='762:32.7,54.1 762:47.9,73.5 762:48.9,72 762:48.9,73.2 762:48.9,73.5 762:48.9,74.7 762:48.9,75.6 762:49.5,74.1'},
[44749]={[0]='Supply Sergeant Graves',[1]='301:33.10,39.50'},
[44778]={[0]='Apothecary Witherbloom',[1]='21:56.7,9.2'},
[44784]={[0]="High Apothecary Shana T'veen",[1]='21:56.3,8.4 21:56.3,8.5'},
[44789]={[0]='Deathstalker Commander Belmont',[1]='21:58,9'},
[44799]={[0]='Explorer Mowi',[1]='640:47.31,51.40'},
[44800]={[0]='Dominic',[1]='762:66.8,77.1 762:44.3,64.3 762:44.3,64.9 762:45,66.7 762:45.2,63.7 762:45.2,64.8 762:45.2,66 762:45.5,65.8 762:45.5,67 762:45.6,65.2'},
[44802]={[0]='Prospector Brewer',[1]='640:47.32,51.36'},
[44804]={[0]='Dominic',[1]='762:66.91,83.75'},	-- TODO:  Make map: 762[3]
[44805]={[0]='Dominic',[1]='762:32.7,52.8 762:48.3,64.2 762:48.8,64.3 762:48.9,67.5 762:49.1,65.4 762:49.1,66.1 762:49.1,66.7 762:49.5,64.8 762:49.6,64.1'},
[44806]={[0]='Fargo Flintlocke',[1]='301:34.77,38.22'},
[44807]={[0]='Farmer Wollerton',[1]='301:52.00,5.81'},
[44818]={[0]="Reliquary Jes'ca Darksun",[1]='640:51.28,50.00'},
[44823]={[0]='Examiner Rowe',[1]='640:51.29,50.05'},
[44833]={[0]='Adarrah',[1]='161:30.49,65.51'},
[44837]={[0]='Koristrasza',[1]='760:48.9,30.6 760:49.1,30.4 760:24.4,23.1 760:24.4,23.9 760:24.9,23.3 760:25,23.8 760:25.4,24.6 760:25.6,23.2 760:25.6,23.6'},
[44853]={[0]='Branzlit',[1]='321:48.4,83.3 321:48.5,83.2'},
[44859]={[0]='Safety Warden Pipsy',[1]='35:82.9,63.4 35:82.9,64'},
[44860]={[0]='Harrison Jones',[1]='720:64.38,22.33'},
[44870]={[0]='Ando Blastenheimer',[1]='35:58.4,29.1 35:58.6,29.1 35:58.8,29.5'},
[44871]={[0]='Grunt Grimful',[1]='321:53.3,74.3 321:53.3,74.5 321:53.7,74.1 321:54,73.4'},
[44905]={[0]='Del Gahrron',[1]='22:42.2,14.9 22:42.6,14.9'},
[44906]={[0]='Skitterweb Matriarch',[1]='21:36,8.8'},
[44912]={[0]='Apothecary Wormcrud',[1]='21:44.7,20.9'},
[44916]={[0]='Admiral Hatchet',[1]='21:44.1,21.4 21:45.8,41.9'},
[44917]={[0]='Warlord Torok',[1]='21:44.1,21.4 21:45.7,42'},
[44927]={[0]='Rohaku Stonehoof',[1]='9:46.2,82.4 9:46.2,82.5'},
[44929]={[0]="Tran'rek",[1]='686:58,88.3 686:58.1,88.9'},
[44945]={[0]='Pyrite Stonetender',[1]='640:55.36,14.16'},
[44951]={[0]='Agatha',[1]=''},
[44968]={[0]='Ricket',[1]='640:61.38,26.17'},
[44969]={[0]='Furgus Warpwood',[1]='699:10.2,38 699:10.2,38.5 699:10.6,37.3 699:10.6,38.2 699:10.7,38.5 699:11.5,37.1 699:11.5,37.7 699:11.9,39.6 699:12.3,38.5'},
[44971]={[0]="\"Ambassador\" Dagg'thol",[1]='699:6.8,37.9 699:7,36.4 699:7,36.7 699:7.5,36.9 699:7.6,36.4'},
[44973]={[0]='Ruberick',[1]='640:59.60,14.04'},
[44978]={[0]='Sesebi',[1]='321:34.4,67.8 321:34.7,68.5 321:35,67.4 321:35,67.6'},
[44991]={[0]='Estulan',[1]='699:88.9,45.9 699:89,44.4 699:89.1,46.5 699:89.4,45.1 699:89.5,45.6 699:89.6,44.4 699:90.1,45.2 699:90.5,44.2 699:91,45.2 699:91.1,45.5 699:91.6,45.4 699:91.8,46.9 699:92,45.6'},
[44999]={[0]="Shen'dralar Watcher",[1]='699:86.1,54.4 699:86.2,52.5 699:86.2,54.5 699:86.4,50.2 699:86.4,50.8 699:86.4,52.1 699:86.5,50 699:86.5,54.8 699:86.6,50.8 699:86.7,51.9 699:86.8,53.6 699:87,52.6 699:87.6,52.5 699:87.9,51.7 699:88.4,50 699:88.4,50.5 699:88.5,50.3 699:88.5,50.5'},
[45009]={[0]='King Magni Bronzebeard',[1]='341:40,55'},
[45012]={[0]='Durnt Brightfalcon',[1]='22:50.4,52.6'},
[45013]={[0]='Damion Steel',[1]='22:49.3,53.2'},
[45040]={[0]='Druid of the Talon',[1]='699:71.4,90.9'},
[45042]={[0]='Thrall',[1]='737:33.36,50.18'},
[45043]={[0]='Peak Grindstone',[1]='640:20.71,61.58'},
[45046]={[0]='Garrosh Hellscream',[1]=''},
[45052]={[0]='Stonemaul Ogre',[1]='699:71.3,91.2 699:71.3,93.2 699:71.4,92.4 699:71.6,92.4 699:71.6,92.5 699:71.9,91.2'},
[45098]={[0]='Opengut Behemoth',[1]='22:38.8,55.3'},
[45107]={[0]='Eva Sarkhoff',[1]='763[1]:46.20,51.84 22:69.06,73.00>763'},
[45108]={[0]='Lucien Sarkhoff',[1]='763[1]:47.32,51.76 22:69.06,73.00>763'},
[45109]={[0]='Weldon Barov',[1]='763[1]:46.03,58.48 22:69.06,73.00>763'},
[45110]={[0]='Alexi Barov',[1]='763[1]:47.30,58.41 22:69.06,73.00>763'},
[45129]={[0]='Lurid',[1]='22:39.4,70.6 22:39.6,70.4 22:39.6,70.5'},
[45137]={[0]='Shadow-Walker Zuru',[1]='321:35.4,69.2 321:35.4,69.8 321:35.5,69.2 321:35.5,69.9'},
[45147]={[0]="Daria L'Rayne",[1]='22:42.2,15 22:42.4,15.5 22:42.5,15.4'},
[45148]={[0]='Morris Vant',[1]='22:44.3,13.6 22:44.5,13.5'},
[45149]={[0]='Outfitter Mendelev',[1]='22:44.8,12.5'},
[45150]={[0]='Bree Ironstock',[1]='22:43.7,17.2'},
[45151]={[0]='High Cleric Alphus',[1]='22:42.1,18.2 22:42.2,18.5'},
[45152]={[0]='Magus Bisp',[1]='22:45.9,18.4 22:45.9,18.5'},
[45155]={[0]='Moldfang',[1]='22:57.5,35.9'},
[45157]={[0]='Lieutenant Myner',[1]='22:43.2,16'},
[45165]={[0]='Thurman Grant',[1]='22:39.8,69.6 22:42.8,84.1 22:53.8,64.7'},
[45167]={[0]='Kurdran Wildhammer',[1]='700:79.09,78.29'},
[45168]={[0]='Fargo Flintlocke',[1]='700:77.01,69.86'},
[45169]={[0]='Lieutenant Emry',[1]='700:76.76,69.83'},
[45170]={[0]='Simon Chandler',[1]='700:79.29,78.53'},
[45171]={[0]='Ephram Hardstone',[1]='700:76.02,79.70'},
[45172]={[0]='Thordun Hammerblow',[1]='700:67.67,65.96'},
[45173]={[0]='Talaa',[1]='700:79.43,77.64'},
[45180]={[0]='Harrison Jones',[1]='720:64.56,28.60'},
[45186]={[0]='Sand Pygmy Corpse',[1]='720:64.63,28.67'},
[45195]={[0]='Bloodfang Stalker',[1]='21:45.2,48.3 21:45.2,51.4 21:45.3,49.2 21:45.8,53.6 21:45.9,53.4 21:46.1,51.4 21:46.2,49.4 21:46.2,49.5 21:46.4,51.5 21:46.4,54.6 21:46.7,52 21:46.8,51 21:46.9,52.6 21:47,45.7 21:47,48.5 21:47,49.5 21:47.3,47 21:47.3,48 21:47.4,53.5 21:47.4,55.2 21:47.5,55.4 21:47.5,55.5 21:47.6,50.4 21:47.7,51 21:47.9,51.6 21:47.9,54.3 21:48.4,53.3 21:48.5,50.1 21:48.5,50.5 21:48.8,52.2 21:48.8,53.7 21:49.3,53.2'},
[45200]={[0]='Crusade Commander Eligor Dawnbringer',[1]='765:47.4,41.2 765:47.5,41.2 765:21.3,80.9 765:22,80.5 765:22.4,79.9 765:22.6,79.7 765:22.7,79.4 765:66.1,85.2 765:66.1,85.9 765:66.4,87.3 765:66.5,87.2'},
[45201]={[0]='Master Craftsman Wilhelm',[1]='765:47.3,41.2 765:23.6,74.4 765:23.9,75 765:24.1,75.6 765:24.1,76.9 765:24.5,76.2 765:24.8,76.8 765:65.6,87.4 765:65.6,87.5'},
[45202]={[0]='Mangy Hyena',[1]='720:65,30 K:27187'},
[45206]={[0]='Crusade Commander Korfax',[1]='765:43.1,13.4 765:43.3,13.7 765:43.3,14.5 765:43.6,13.3 765:43.8,14.5 765:43.9,14.4 765:44.1,15.5 765:44.5,14.4 765:44.7,15'},
[45226]={[0]='Naraat the Earthspeaker',[1]='301:74.54,19.03'},
[45228]={[0]='Master Forteski',[1]='21:55.9,46.4 21:55.9,46.5 21:56.5,46.1 21:57.4,45.2 21:58,44.8'},
[45244]={[0]='Farseer Krogar',[1]='321:18.3,90.8 321:50.3,38.4 321:50.3,38.5 321:50.5,38.1 321:50.5,38.5 321:58.3,43.8'},
[45258]={[0]='Cassia the Slitherqueen',[1]='19:60.6,75.4 H:100010593'},
[45271]={[0]='Montarr',[1]='61:44.4,49.9 61:44.6,50'},
[45277]={[0]='Feralas Sentinel',[1]=''},
[45278]={[0]='Freewind Brave',[1]=''},
[45296]={[0]='Harrison Jones',[1]='720:64.50,28.00',[2]='Down in Chamber of the Stars'},
[45301]={[0]="Korok's Second Head",[1]='611:0,0 H:100060956'},
[45306]={[0]='Chief Surgeon Gashweld',[1]='301:62.4,34.2 301:62.7,33.4 301:63,34.2 301:63.1,34.9 301:63.5,33.7 301:63.5,34.5'},
[45312]={[0]='Deathstalker Commander Belmont',[1]='321:74,7.8 321:75.8,3.8 605:58.6,75.4 605:58.7,77.4 605:59.3,77.8 615:32.7,83.6 615:33.5,70.1'},
[45315]={[0]='Forward Commander Onslaught',[1]=''},
[45320]={[0]='Blood Guard Kang',[1]='321:45.3,10.6 321:48.4,89.4 321:48.4,89.7 321:48.4,90.5 321:48.5,89.4 321:48.5,89.7'},
[45323]={[0]='Packmaster Stonebruiser',[1]='765:47.6,41.6 765:21.4,80.3 765:21.5,80.2 765:21.5,80.5 765:22.7,79.5 765:23,79.3 765:66.3,87.8 765:66.7,88.4 765:66.9,88.6'},
[45328]={[0]='Packmaster Stonebruiser',[1]='765:55.1,31.1 765:55.2,31.6 765:49.4,21 765:49.4,22.3 765:49.5,22.2 765:49.5,22.5 765:49.7,21 765:67.4,81 765:67.6,81.3 765:67.8,82.5 765:67.9,82.4 765:68.2,83.5'},
[45329]={[0]='Crusade Commander Eligor Dawnbringer',[1]='765:43.9,20.5 765:44.4,19.1 765:44.4,20.4 765:44.5,19.2 765:44.5,20.4 765:44.5,20.5 765:45.7,20.4'},
[45330]={[0]='Archmage Angela Dosantos',[1]='765:42.4,12.4 765:42.4,13.1 765:42.7,12.4 765:42.7,13 765:43.2,13.6'},
[45331]={[0]='Master Craftsman Wilhelm',[1]='765:49.2,18.1 765:49.4,19.1 765:49.4,19.7 765:49.5,19.6 765:49.6,18.4 765:49.7,18.7'},
[45332]={[0]='Earthcaller Torunscar',[1]='700:44.04,10.55'},
[45337]={[0]='Tyelis',[1]='321:49,71.7 321:49.1,71'},
[45339]={[0]='Dark Cleric Cecille',[1]='321:48.2,72.8 321:48.3,72.2 321:48.5,72.3 321:48.7,72.8'},
--[45341]={[0]='Earthen Ring Emissary',[1]='341:21.7,90.5 341:62.6,23.5 341:62.7,23.3 341:71,13.8 341:71.3,12.3 341:71.3,13.1 341:71.4,14.8 341:71.5,12.3 341:71.5,13 341:71.8,14.6 341:72,14 341:72.5,13.6 341:72.7,14.5 341:72.9,13.3 341:73.5,13.2 341:73.5,13.5 381:40.3,38 381:40.4,38.7 381:40.9,37.8 381:41,39.4 381:41.4,39.5 381:41.5,40 381:41.6,39.3 471:27.8,41.5 471:53.1,44.7 471:53.4,43.2 471:53.4,44.1 471:53.5,44.2'},
--[45343]={[0]='Earthen Ring Emissary',[1]='382:44.1,35.3 382:62.6,74.2 382:69,43.3 382:69.4,42.1 382:69.4,43.8 382:69.7,42.4 382:69.7,44.8 382:69.8,43.1 382:69.9,43.6 382:70.5,42 382:70.9,44.1 382:77.3,2.2 362:37.8,58.1 362:38.3,58.8 362:38.4,60.3 362:38.5,58.5 362:38.6,59.7 362:38.9,58.2 480:74.4,79.4 480:74.4,80.2 480:74.5,79.6 480:74.7,78.8 480:74.9,78.2'},
[45347]={[0]='Brother Silverhallow',[1]='321:37.4,87.2 321:37.9,87.4 321:37.9,87.5'},
[45362]={[0]='Earthcaller Yevaa',[1]='700:44.20,18.13'},
[45386]={[0]='Earthcaller Yevaa',[1]='700:43.83,11.33'},
[45389]={[0]='Captain Rutsak',[1]=''},
[45391]={[0]='Earthmender Duarn',[1]='700:44.00,11.24'},
[45400]={[0]="Fiona's Caravan",[1]='23:8.9,66.5 23:9,66.4 23:34.9,69.3 23:50.5,20.2 23:53,53.3 23:61.4,42.7 23:61.5,42.6 23:73.7,52'},
[45417]={[0]='Fiona',[1]='23:9,66.4 23:9,66.5 23:28.5,26 23:34.8,69.1 23:50.5,20.2 23:52.9,53.1 23:61.4,42.8 23:61.5,42.8 23:73.8,52.1'},
[45428]={[0]='Gidwin Goldbraids',[1]='23:4.2,36.1'},
[45429]={[0]='Tarenar Sunstrike',[1]='23:9.1,66.5 23:18.3,74.8 23:35.2,68.8'},
[45430]={[0]='Gilneas Camera 01 (Target)',[1]=''},
[45431]={[0]='Gidwin Goldbraids',[1]='23:4.2,36 23:74.3,53.3'},
[45432]={[0]='Initiate Goldmine',[1]='700:44.41,11.56'},
[45442]={[0]='Lakota Windsong',[1]='61:39.1,25.9'},
[45451]={[0]='Argus Highbeacon',[1]='23:28.3,25.9 23:35.7,69.2 23:50.4,20.2 23:50.5,20.3 23:53.9,53.6 23:62.3,42.6 23:73.9,51.7'},
[45460]={[0]='Earthmender Duarn',[1]='613:64.4,68.7 613:64.5,68.7'},
[45462]={[0]='Toshe Chaosrender',[1]='613:69.8,75.2'},
[45474]={[0]='Deathstalker Commander Belmont',[1]=''},
[45482]={[0]='Argent Officer Irizarry',[1]='23:51.6,21.3'},
[45500]={[0]='Urk Gagbaz',[1]='23:35,68.2'},
[45518]={[0]='Lirastrasza',[1]='700:29.30,25.99'},
[45522]={[0]='Velastrasza',[1]='700:29.85,31.28'},
[45525]={[0]='Lady Sylvanas Windrunner',[1]='21:51.8,66.1'},
[45528]={[0]='Calen',[1]='700:29.33,25.97'},
[45530]={[0]='Garrosh Hellscream',[1]='321:32.2,37.8 321:32.7,37.7 321:33.5,37.9'},
[45540]={[0]='Krenk Choplimb',[1]='321:37,87.3 321:37.5,87.3'},
[45562]={[0]='Baleflame',[1]='700:29.80,31.42'},
[45574]={[0]="Vex'tul",[1]='23:52.8,51.4 23:52.8,51.5 23:60.7,43.4'},
[45575]={[0]='Frederick Calston',[1]='23:53.8,54'},
[45617]={[0]='Lady Sylvanas Windrunner',[1]='21:51.9,65.1'},
[45626]={[0]='Daschla',[1]='21:51.9,64.8'},
[45631]={[0]='High Warlord Cromush',[1]='21:51.4,66.2 21:51.4,66.8 21:51.8,65.9 21:52.2,66.8'},
[45658]={[0]='Warlord Zaela',[1]='700:45.3,75.4 700:45.3,75.5'},
[45665]={[0]='Lady Cozwynn',[1]='700:45.3,75.4 700:45.3,75.5'},
[45668]={[0]='Kurdran Wildhammer',[1]='700:43.36,57.35'},
[45669]={[0]='Cassius the White',[1]='700:43.41,57.34'},
[45675]={[0]='Garona Halforcen',[1]='700:36.4,66'},
[45702]={[0]='Erunak Stonespeaker',[1]='301:62.4,75.3 301:62.4,75.5 301:62.5,75.3 301:62.5,75.5'},
[45712]={[0]='Stormcaller Mylra',[1]='341:29.4,59.4 341:29.4,60.3 341:29.4,61.4 341:29.4,61.7 341:29.5,59.3 341:29.9,61.5 341:30,60.4 341:30.2,61 341:30.4,62.5 341:30.5,61.2 341:30.6,60.4 341:30.6,61.5 341:56,30.9'},
[45728]={[0]='Arcane Remnant',[1]='24:32,38 H:100061310'},
[45729]={[0]='Tarenar Sunstrike',[1]='23:27.4,21.3 23:27.7,21.2 23:28.5,26 23:50.4,20.2 23:50.5,20.2 23:61.5,43.2 23:73.8,52 23:75.7,52.3'},
[45730]={[0]='Gidwin Goldbraids',[1]='23:28.4,25.9 23:28.5,26 23:73.8,52.1'},
[45735]={[0]='Gamella Cracklefizz',[1]='23:61.5,43.2'},
[45736]={[0]='Deacon Andaal',[1]='23:61.1,43.6 23:61.2,44.5 23:61.3,42.9 23:61.5,44.5 23:61.9,43.8'},
[45752]={[0]='Ambermill Dimensional Portal',[1]='21:58,69.9'},
[45772]={[0]='General Ammantep',[1]='720:45.2,37.8'},
[45786]={[0]='Trade Baron Silversnap',[1]='38:73.1,14.3 38:73.1,14.8'},
[45796]={[0]='Master Mathias Shaw',[1]='700:36.37,65.95'},
[45799]={[0]='Prince Nadun',[1]='720:45.25,37.96'},
[45816]={[0]='Corpseburner Tim',[1]='23:48.1,23'},
[45817]={[0]='Hierophant Theodora Mulvadania',[1]='704:46.7,65.3 704:46.8,65.9'},
[45818]={[0]='Lexlort',[1]='704:44,77 704:44.3,77.6 704:44.5,76.9 704:44.8,78.2'},
[45820]={[0]="Razal'blade",[1]='704:40.3,67.1 704:40.9,66.4 704:40.9,67.4 704:41,67.5 704:41.5,93.2'},
[45821]={[0]="Thal'trak Proudtusk",[1]='704:35.9,77.5 704:36,77.4 704:36.2,76.2'},
[45823]={[0]='High Executioner Nuzrak',[1]='704:35.4,77.8 704:35.9,77.6 704:36,77.3 704:36.1,78.7 704:36.5,78.5 704:36.6,77 704:36.6,78.4'},
[45824]={[0]='Thunderheart',[1]='704:51.3,52.2 704:51.3,53.2'},
[45826]={[0]='Kirkian Dawnshield',[1]='23:50.1,19.6'},
[45828]={[0]='Argent Apothecary Judkins',[1]='23:17.8,27.9'},
[45831]={[0]='Crusader Kevin Frost',[1]='23:27.6,20.9'},
[45839]={[0]='Galamav the Marksman',[1]='704:36.3,74.1 704:36.4,75.4 704:36.4,75.5 704:36.5,75.5 704:36.6,74.9'},
[45840]={[0]='Warlord Goretooth',[1]='704:58.1,22.4 704:58.1,22.5 704:58.5,23 704:58.6,21.9'},
[45849]={[0]='Tinkee Steamboil',[1]='704:36.8,80.5 704:36.9,79.3 704:37.2,79.9'},
[45850]={[0]='Maxwort Uberglint',[1]='704:36.1,80.9 704:36.2,80.3'},
[45867]={[0]='Omasum Blighthoof',[1]='23:25.2,20 H:100061378'},
[45868]={[0]='Karthis Darkrune',[1]='23:29.6,19.8 H:100061378'},
[45874]={[0]='Schnottz Scout',[1]='720:63.44,32.49'},
[45878]={[0]='Lord Godfrey',[1]=''},
[45879]={[0]='Lord Walden',[1]=''},
[45880]={[0]='Baron Ashbury',[1]=''},
[45888]={[0]='Mayara Brightwing',[1]='704:46.8,65.3 704:46.8,65.9'},
[45890]={[0]='Marshal Maxwell',[1]='704:58.1,22.4 704:58.1,22.5 704:58.5,21.9 704:58.6,22.9'},
[45891]={[0]='Oralius',[1]='704:36.2,74.3 704:36.4,75.4 704:36.4,75.5 704:36.5,75.5 704:36.6,74.8'},
[45892]={[0]='Jalinda Sprig',[1]='704:36,77.4 704:36,77.5 704:36.2,76.2'},
[45894]={[0]='Prospector Seymour',[1]='704:40.3,67.1 704:40.9,66.4 704:40.9,67.3 704:41,67.5 704:41.5,93.2'},
[45896]={[0]='Marsh Crocolisk',[1]='21:47.4,77.6 H:100061505'},
[45898]={[0]='Kevin Dawson',[1]='704:44.2,77 704:44.3,77.6 704:44.5,77 704:44.5,77.6 704:44.8,78.6'},
[45899]={[0]='Mountaineer Orfus',[1]='704:50.9,52.8 704:51.3,52.2'},
[45903]={[0]='Morgan',[1]='704:35.4,77.8 704:35.9,77.6 704:35.9,78.7 704:36,77.4 704:36.6,78.1 704:36.7,77.1'},
--[45945]={[0]='Earthen Ring Emissary',[1]='301:62.3,75.5 301:62.4,75.2 301:62.5,75.3 301:62.5,75.5'},
--[45946]={[0]='Earthen Ring Emissary',[1]='341:29.1,61.1 341:29.3,60.3 341:29.4,62.3 341:29.7,59.9 341:29.8,59.4 341:29.9,62.7 341:30.4,61.4 341:30.4,61.5 341:30.5,61.7 341:30.6,61.4 341:31.1,62.5 341:55.9,30.9'},
[45948]={[0]='Crazy Larry',[1]='38:83.9,40'},
[45966]={[0]='Nevin Twistwrench',[1]='27:25.8,31.9'},
[45982]={[0]='Gralok',[1]='700:70.2,43.3'},
[45983]={[0]='Fergus Gearchum',[1]='700:70.3,43.3 700:70.3,43.5'},
[46003]={[0]='Prophet Hadassi',[1]='720:40.00,40.55'},
[46010]={[0]='Brono Goodgroove',[1]='38:73.6,9.3 38:73.6,9.7'},
[46071]={[0]='Lord Itharius',[1]='38:69.47,54.52'},
[46077]={[0]='Lord Itharius',[1]='687:49.9,15.2 687:50,16.4 687:50,16.9 687:50,18.1 687:50,19.3'},
[46089]={[0]="Rok'tar",[1]='700:78.2,62.4 700:78.2,62.5'},
[46090]={[0]='Juice Gnugat',[1]='700:78.4,62.6'},
[46124]={[0]='Lady Sylvanas Windrunner',[1]='21:45.3,84.5 21:45.4,84.4'},
[46125]={[0]='High Warlord Cromush',[1]='21:45.4,84.4 21:45.4,84.5 21:45.5,84.4'},
[46126]={[0]='Turquoise Scarab',[1]='720:63.6,32.6 K:27627'},
[46127]={[0]='Sapphire Scarab',[1]='720:66.6,27.6 K:27627'},
[46128]={[0]='Emerald Scarab',[1]='720:65.6,32.8 K:27627'},
[46129]={[0]='Amethyst Scarab',[1]='720:64.2,27.2 K:27627'},
[46134]={[0]='High Commander Kamses',[1]='720:58.88,46.07'},
[46135]={[0]='High Priest Amet',[1]='720:54.18,41.88',[2]='Inside the dam'},
[46136]={[0]='Vizier Tanotep',[1]='720:56.62,54.93 720:56.73,53.84 720:56.49,53.26 720:56.28,53.53 720:55.98,53.96'},
[46143]={[0]='Flynn Dunwald',[1]='700:45.92,65.43'},
[46172]={[0]='Baba Bogbrew',[1]='38:69.1,76.4 38:69.1,76.5'},
[46174]={[0]='Cayden Dunwald',[1]='700:45.78,71.73 700:47.88,74.55'},
[46175]={[0]='Eoin Dunwald',[1]='700:53.07,74.59 700:52.89,74.56 700:52.97,74.26 700:52.89,74.09 700:52.70,74.06 700:52.86,74.31 700:53.22,74.10'},
[46176]={[0]='Donnelly Dunwald',[1]='700:46.50,59.44 700:46.57,59.12 700:46.25,58.73 700:45.96,58.65'},
[46177]={[0]='Keely Dunwald',[1]='700:45.91,65.49'},
[46182]={[0]='Pierre Fishflay',[1]='38:74.2,12.5 38:74.3,12.3'},
[46233]={[0]='Olga Runesworn',[1]='692:64.2,72.4 692:64.2,72.7 692:64.7,72.7 692:64.8,72.2'},
[46234]={[0]='Lead Prospector Durdin',[1]='692:64.1,72.4 692:64.1,72.6 692:64.6,72.4 692:64.8,72.7'},
[46235]={[0]='Lidia Sunglow',[1]='692:64.1,72.6 692:64.2,72.4 692:65,72.7'},
[46236]={[0]="High Examiner Tae'thelan Bloodwatcher",[1]='692:64.1,72.6 692:64.2,72.4 692:64.7,72.8 692:64.8,72.4'},
[46241]={[0]='Aoren Sunglow',[1]='692:64.2,72.4 692:64.2,72.5 692:64.7,72.6 692:64.8,72.4'},
[46242]={[0]='Earthcaller Yevaa',[1]='700:37.48,88.64'},
[46243]={[0]='Initiate Goldmine',[1]='700:37.56,88.73'},
[46247]={[0]='Kand Sandseeker',[1]='692:64.2,72.4 692:64.2,72.5 692:64.7,72.6 692:64.8,72.4'},
[46255]={[0]='Technician Braggle',[1]='27:29.5,37.7'},
[46268]={[0]='Survivor',[1]='27:27,32.5 27:27.1,31.3 27:27.1,31.8 27:27.6,33 27:27.8,31.1 27:28,32.3 27:28.1,33.5 27:28.1,35 27:28.1,35.6 27:28.9,31.4 27:28.9,33 27:29.1,31.9'},
[46274]={[0]='Gaffer Coilspring',[1]='27:28,37.7'},
[46313]={[0]='Narkrall Rakeclaw',[1]='700:54.8,44.1'},
[46318]={[0]='Harkkan',[1]='700:55.1,43.5'},
[46319]={[0]='Griff',[1]='700:53.9,43.3'},
[46323]={[0]='Garona Halforcen',[1]='700:53.3,42.8'},
[46324]={[0]='Mallia',[1]='700:53.3,42.8'},
[46338]={[0]='Budd',[1]='610:55.28,38.92'},
[46339]={[0]="Warden's Game Controller",[1]=''},
[46363]={[0]='Crazed Leper Gnome',[1]='27:26.9,32 27:27,32.5 27:27.1,31.4 27:27.8,34.9 27:27.9,32.2 27:27.9,33.2 27:27.9,33.6 27:28,36.4 27:28.1,31.1 27:28.1,36.6 27:28.8,33.2 27:29.2,32.4'},
[46398]={[0]="Sentinel's Pawn",[1]=''},
[46409]={[0]='Warden Thelwater',[1]='690:21.4,26.3 690:21.4,26.5 690:21.5,26.7 690:21.8,26.2 690:22,29.8 690:22.3,28 690:22.3,28.5 690:22.7,26.4 690:22.7,27.4 690:22.7,28.6 690:22.9,27.7 690:23.8,28.4 690:23.9,28.7 690:24.5,28.9 690:42.4,54.1 690:43.2,54 690:43.8,54 690:44.4,53.4 690:44.4,54.5 690:44.5,53.4 690:44.7,54.7 690:45,53.9'},
[46410]={[0]='Nurse Lillian',[1]='690:50.2,54.8 690:50.4,53.1 690:50.4,54 690:50.6,52.2 690:50.8,54.6 690:50.9,53.4 690:51.2,54 690:52.2,54.1 690:52.2,54.5 690:52.8,54.5 690:53.2,53.3 690:53.3,55.5 690:53.4,54.4 690:53.9,53.3 690:53.9,54.1 690:53.9,55.5 690:54.2,54.6 690:54.5,53.2 690:55.2,54.5 690:55.4,54 690:55.7,54.5 690:55.8,53.4 690:56.4,54 690:56.4,55.8 690:57,54.1 690:57.2,53.3 690:57.4,55.1 690:57.4,55.5 690:57.5,55.2 690:57.6,53.2 690:57.6,53.6 690:57.7,55.5'},
[46413]={[0]='Countess Verrall',[1]='700:27.64,63.86',[2]='Bottom of lake'},
[46417]={[0]='Rifle Commander Coe',[1]='690:49.3,54.6 690:50,54.4 690:50.1,56 690:50.1,57.2 690:50.1,57.8 690:50.1,59 690:50.1,59.6 690:50.1,61.4 690:50.1,62 690:50.5,56.4 690:50.7,54.8'},
[46424]={[0]="Priestess Udum'bra",[1]='687:54.3,79.3'},
[46458]={[0]='Budd',[1]='610:58.41,48.68'},
[46463]={[0]='Budd',[1]='610:58.41,48.67'},
[46475]={[0]='Anchorite Traska',[1]='26:32.2,42.6'},
[46476]={[0]='Tracker Yoro',[1]='26:64,59.9'},
[46496]={[0]='Tahet',[1]='720:58.4,82.9 720:58.5,82.8'},
[46513]={[0]='Initiate Goldmine',[1]='Near700'},
[46583]={[0]='Eoin Dunwald',[1]='700:52.41,70.33'},
[46585]={[0]='Eoin Dunwald',[1]='700:46.1,65.6'},
[46590]={[0]='Crazed Digger',[1]='720:70.4,59.2 H:100062483'},
[46591]={[0]='Colin Thundermar',[1]='700:49.01,29.77'},
[46592]={[0]='Mekgineer Mixeltweed',[1]='720:69.4,58.2 720:69.4,58.5 720:69.6,58.4 720:69.6,58.6 720:69.9,59.5'},
[46603]={[0]='Nomarch Teneth',[1]='720:60.28,38.28'},
[46612]={[0]='Lieutenant Horatio Laine',[1]='756:29.3,26.4 756:29.3,27.6 756:29.4,27.4 756:29.5,27.4 756:29.7,26.3 756:29.8,28 756:29.9,28.5 756:59.3,38.5 756:59.4,37.3 756:59.4,37.5 756:59.6,37.4 756:59.7,37.5 756:60.2,38.5 756:60.4,39.5 756:60.5,38.5 756:60.9,38.2 756:60.9,39.7 756:61.6,38.7 756:62.2,39.6'},
[46623]={[0]='Gomora the Bloodletter',[1]='687:54.5,79.2'},
[46626]={[0]='Donnelly Dunwald',[1]='700:50.48,70.58'},
[46627]={[0]='Eoin Dunwald',[1]='700:50.54,70.81'},
[46628]={[0]='Flynn Dunwald',[1]='700:50.50,70.62'},
[46650]={[0]='Eddie Flofizzle',[1]='17:92.6,38.9'},
[46652]={[0]='Dolph Blastus',[1]='17:65.1,38.3'},
[46653]={[0]='Garyanne Fleezlebop',[1]='17:64.4,38.1'},
[46654]={[0]='Rhea',[1]='17:16,33.4 17:16,33.5 17:18,42.5 17:18.1,42.4 17:21.3,57.8 17:66.4,55.4 17:66.4,55.5 17:66.5,55.4 17:66.5,55.5'},
[46655]={[0]='Rheastrasza',[1]='17:66.4,55.4 17:66.4,55.6 17:66.5,55.4 17:66.5,55.5'},
[46656]={[0]="Jammal'an the Prophet",[1]='687:54.4,78.9 687:54.5,78.9'},
[46657]={[0]="Korok's Second Head",[1]='611:0,0 H:100060956'},
[46660]={[0]='Aidan Summerwind',[1]='17:18.4,41.4 17:18.4,41.5 17:18.5,41.4 17:18.5,41.5'},
[46664]={[0]='Dr. Hieronymus Blam',[1]='17:18,30.5 17:18.3,30.3 17:46.7,56.5 17:46.9,56.4'},
[46671]={[0]='Twilight Rune of Earth',[1]='700:37.42,93.23'},
[46676]={[0]='Joanna Blueheart',[1]='38:68,36.7 38:68.1,36.3 38:68.5,36.5 38:68.6,36.3'},
[46708]={[0]='Suja',[1]='321:56.4,61.2 321:56.4,61.5 321:56.5,61.2 321:56.9,61.5'},
[46717]={[0]='The Hammer of Twilight',[1]='700:45.39,87.97'},
[46750]={[0]='Fusion Core',[1]='720:77.27,63.26'},
[46757]={[0]="High Examiner Tae'thelan Bloodwatcher",[1]='17:52.2,51.2'},
[46758]={[0]='Aoren Sunglow',[1]='17:52.2,51.4 17:52.2,51.5'},
[46759]={[0]='Lidia Sunglow',[1]='17:52.2,51.4 17:52.2,51.5'},
[46760]={[0]='Lead Prospector Durdin',[1]='17:49.2,36.8'},
[46768]={[0]='The Warden',[1]='17:50.3,52.4 17:50.3,52.9 17:50.5,52.2 17:50.5,52.7'},
[46769]={[0]='The Sentinel',[1]='17:50.3,51.2 17:50.3,51.8 17:50.5,51.8'},
[46804]={[0]='Keegan Firebeard',[1]='700:60.16,58.00'},
[46805]={[0]='Iain Firebeard',[1]='700:57.48,58.14'},
[46806]={[0]='Brom Forgehammer',[1]='700:62.60,48.64'},
[46811]={[0]='Duglas Mullan',[1]='700:50.8,60.2'},
[46812]={[0]='Edana Mullan',[1]='700:50.8,60.2'},
[46814]={[0]='Cailin Longfellow',[1]='700:60.42,58.30'},
[46850]={[0]='Mackay Firebeard',[1]='700:62.49,48.41 700:62.55,48.28'},
[46852]={[0]='Eric "The Swift"',[1]='17:20.7,56.1'},
[46853]={[0]='Baelog',[1]='17:20.7,56.1'},
[46854]={[0]='Olaf',[1]='17:20.7,56.1'},
[46855]={[0]='Eric "The Swift"',[1]=''},
[46856]={[0]='Baelog',[1]=''},
[46857]={[0]='Olaf',[1]=''},
[46859]={[0]='Kalaran the Annihilator',[1]='17:23.1,44.2 17:25.1,42.5 17:25.4,39.7 17:25.4,45.2 17:26,40.1 17:26,45.5 17:26.1,44.7 17:26.3,42.8 17:26.3,44.1 17:26.4,41.2 17:26.4,42.2 17:26.5,44.4 17:26.6,42.7 17:26.6,44.8 17:26.7,45.5 17:26.8,42.3 17:26.9,46.7 17:27.1,40.7 17:27.3,40.4 17:27.3,48.1 17:27.5,42 17:27.7,42.9 17:27.7,44.8 17:28.1,40.2 17:28.1,40.5 17:28.1,47.8 17:28.2,46.6 17:28.3,46.1 17:28.5,40.7 17:28.9,40.2 17:29,38.7 17:29.1,46.5 17:29.4,44.7 17:29.4,45.9 17:29.5,41.3 17:29.5,46.7 17:29.8,39.3 17:29.9,45.5 17:30.1,39.8 17:30.2,45.4 17:30.3,44.2 17:30.5,45.9 17:30.5,47.3 17:30.7,40.7 17:30.7,43.1 17:30.8,44.8 17:31,39.4 17:31,44.2 17:31.1,38.2 17:31.1,39.6 17:31.5,39.2 17:31.5,44.5 17:31.6,43.9 17:31.8,43.4 17:32.1,42.3 17:32.2,39.6 17:32.2,40.5 17:32.5,42.1 17:32.7,39.9 17:32.7,40.8 17:32.7,43.7 17:32.8,42.6 17:33.5,37.7 17:33.8,44.7 17:51.6,66.1'},
[46860]={[0]='General Jirakka',[1]='17:15.3,42.8 17:15.6,42.8'},
[46861]={[0]='Nyxondra',[1]='17:6.2,39.3 17:7.5,42.5 17:7.8,35.8 17:7.9,39.5 17:8.3,36.8 17:8.3,38 17:8.4,38.5 17:8.4,40.5 17:8.5,39.3 17:8.7,37.4 17:8.9,43.4 17:9,37.5 17:9.1,43.8 17:9.2,42.4 17:9.3,40.8 17:9.4,35.6 17:9.4,39.9 17:9.5,37.4 17:9.5,40 17:9.5,40.6 17:9.9,37.9 17:9.9,42.2 17:10.1,38.5 17:10.2,36 17:10.5,37.1 17:10.5,38.1 17:10.5,40.7 17:10.6,35.4 17:10.7,40 17:11.2,39.4 17:11.3,41.8 17:11.6,38.3 17:11.6,42.3 17:12.1,38.9 17:12.4,40.1 17:12.5,39.9 17:13.3,36.2 17:82.1,37.4'},
[46872]={[0]='Prince Nadun',[1]='720:59.58,72.02'},
[46873]={[0]='Adarrah',[1]='720:59.70,71.82'},
[46875]={[0]='Budd',[1]='720:59.66,71.99'},
[46883]={[0]='Salhet',[1]='720:59.57,47.33'},
[46889]={[0]='Kagtha',[1]='756:28.3,25 756:28.4,26.3 756:29.1,27.5 756:29.2,25.3 756:29.2,26.4 756:29.2,26.5 756:29.5,26.4 756:29.5,26.7 756:29.5,27.9 756:29.6,25.2 756:29.9,28.5 756:62.3,39.5 756:62.4,39 756:62.4,40.9 756:62.6,38.4 756:62.7,39.5 756:62.7,40.5 756:62.9,39.3 756:63.5,40.9 756:63.7,39.4 756:63.9,39.9 756:63.9,41.8'},
[46902]={[0]='Miss Mayhem',[1]='756:28.1,25.5 756:28.3,26.5 756:28.4,25.4 756:29.2,24.2 756:29.2,26.5 756:29.3,24.9 756:29.3,25.5 756:29.5,25.4 756:29.5,26.7 756:29.6,25.5 756:60.3,38.4 756:60.4,38.9 756:60.4,39.6 756:61.1,39.5 756:61.2,38.5 756:61.3,38.4 756:62,38.4 756:62,38.5 756:62.3,39.8 756:62.5,38.4 756:62.6,38.8 756:63.2,39.6'},
[46906]={[0]='Slinky Sharpshiv',[1]='756:27.9,25.2 756:28.2,27.7 756:28.3,25.8 756:28.4,26.5 756:28.5,25.4 756:28.6,26.4 756:28.9,26.8 756:29.1,27.5 756:29.5,25.5 756:29.6,25.3 756:30,27.7 756:30.2,29 756:57.4,39.8 756:58.1,39.3 756:58.1,39.5 756:58.3,38.4 756:58.7,39.2 756:58.7,39.5 756:59.1,38.4 756:59.5,39.2 756:59.6,39.6'},
[46915]={[0]='Darkflight Soldier',[1]='17:19.1,35.8 17:19.5,33.4 17:19.9,45.2 17:20,51.8 17:20.4,41.8 17:20.4,46.8 17:20.5,42.4 17:20.5,43.6 17:20.7,43 17:20.8,52.3 17:20.9,48.9 17:21.2,46.9 17:21.2,48.3 17:21.4,49.9 17:21.4,50.5 17:21.7,49.7 17:21.9,51.7 17:22,48.7 17:22.1,48.4 17:22.2,37.6 17:22.3,41.1 17:22.3,45.4 17:22.3,47.3 17:22.4,40.4 17:22.4,46.4 17:22.5,47.5 17:22.6,41.8 17:22.6,49.6 17:22.6,51.5 17:22.7,49.3 17:22.9,39.3 17:23,40.4 17:23.2,38.1 17:23.2,40.9 17:23.2,44.4 17:23.2,46.5 17:23.3,45.9 17:23.4,45.1 17:23.5,44.4 17:23.5,46.1 17:23.6,38.9 17:23.6,41.5 17:23.6,45.4 17:23.7,40 17:24.1,41 17:24.1,48.8 17:24.3,46.8 17:24.4,37.9 17:24.4,42.7 17:24.4,50.9 17:24.6,39.9 17:25,41.1 17:25,42.5 17:25,45.2 17:25,46.4 17:25,49.4 17:25.1,47.1 17:25.2,47.6 17:25.2,50.8 17:25.3,41.6 17:25.5,42.3 17:25.5,42.9 17:25.6,41 17:25.6,47.4 17:25.6,48.9 17:25.7,40.3 17:25.7,43.6 17:25.8,46.3 17:26.2,44.5 17:26.3,47.6 17:26.6,38.4 17:26.9,39.3 17:26.9,44.6 17:26.9,53.6 17:27,48.5 17:27.1,41.7 17:27.1,46.2 17:27.1,47.6 17:27.1,49.6 17:27.2,47.3 17:27.3,40.2 17:27.3,44.4 17:27.4,40.6 17:27.4,42.9 17:27.5,40.2 17:27.5,40.5 17:27.5,44.8 17:27.6,44.3 17:27.7,47.1 17:27.8,48.8 17:27.9,37.3 17:27.9,46 17:28,37.5 17:28,41.8 17:28,47.5 17:28.1,39 17:28.3,43.3 17:28.5,48.1 17:29,40.6 17:29.1,38.1 17:29.1,50.7 17:29.2,44 17:29.3,39.6 17:29.3,44.5 17:29.3,45.6 17:29.4,38.9 17:29.4,41.5 17:29.5,38.1 17:29.6,39.4 17:29.8,44.8 17:29.8,45.7 17:29.9,44.4 17:30.1,36.8 17:30.2,39.8 17:30.3,41.2 17:30.3,42.4 17:30.3,43.2 17:30.5,39.3 17:30.5,39.6 17:30.5,41.3 17:30.5,45.1 17:30.6,38.4 17:30.6,44.4 17:30.7,37.4 17:30.7,42.6 17:30.8,41.6 17:31.5,37.9 17:31.6,42.4 17:31.8,36 17:32.1,40.4 17:32.1,40.5 17:32.2,42.7 17:32.3,32.9 17:32.3,36.9 17:32.4,39.1 17:32.5,40.5 17:32.6,39.2 17:32.7,39.8 17:32.9,37.9 17:32.9,43.7 17:33.7,37 17:33.8,38.6 17:34,36.4 17:34.2,39.6 17:34.2,41.3 17:34.2,42.6 17:34.3,38.3 17:34.4,42 17:34.5,41.4 17:34.6,39.4 17:34.6,39.8 17:34.6,43.2 17:34.7,42.1 17:34.8,37.9 17:35.5,39.8 17:35.6,43.1 17:35.7,38.5 17:35.9,42 17:36.4,37.6 17:36.9,37 17:40.9,32.6'},
[46916]={[0]="Nyxondra's Broodling",[1]='17:8,40.8 17:8.1,41.5 17:8.4,40.2 17:8.4,42.5 17:8.8,41.8 17:8.8,42.7 17:9.1,38.3 17:9.1,38.9 17:9.2,44.3 17:9.2,44.5 17:9.3,39.7 17:9.4,36.4 17:9.4,37.4 17:9.4,41.1 17:9.5,36.4 17:9.6,38.2 17:9.6,41.3 17:9.6,41.5 17:9.7,46 17:9.8,46.7 17:10,42.6 17:10.1,34.8 17:10.2,38.7 17:10.2,43.9 17:10.3,39.6 17:10.4,37.3 17:10.7,38.7 17:11,38.2 17:11.1,39.9 17:11.2,41.1 17:11.3,36.9 17:11.4,41.6 17:11.5,40.5 17:11.5,41.6 17:11.6,39.1 17:11.7,36.2 17:11.8,38.4 17:11.8,39.9 17:12.1,36.7 17:12.6,39.3 17:12.7,39.7 17:12.8,36.5 17:12.8,37.5 17:13,36.4'},
[46917]={[0]='Darkflight Flameblade',[1]='17:13,43.4 17:13,43.5 17:13.1,45.2 17:14.3,46.3 17:14.4,42.7 17:14.6,42.7 17:15.4,46.7 17:15.5,46.7 17:17,48 17:17.2,47.4 17:17.4,45.6 17:17.7,44.6 17:18,45.8 17:19.1,46.7 17:19.3,46 17:20.1,44.8 17:21,44 17:21.3,43.3 17:21.9,43.5 17:22.4,43.1 17:22.5,43.4'},
[46920]={[0]='Expedition Member',[1]='720:73.6,72.6 H:100062483'},
[46930]={[0]='Victoria Dolen',[1]='17:20.8,55.8'},
[46935]={[0]='Gurgthock',[1]='700:50.74,58.31'},
[46936]={[0]='Wodin the Troll-Servant',[1]='700:50.7,58.4 700:50.7,58.5'},
[46938]={[0]='Moldarr',[1]='17:16.7,48.8'},
[46972]={[0]='Terrance Storm',[1]='17:20.9,57.4 17:20.9,57.5'},
[46978]={[0]='Harrison Jones',[1]='720:43.98,57.08'},
[46987]={[0]='Vision of Ysera',[1]='606:28.28,29.74'},
[46993]={[0]='Schnottz Air Officer',[1]='720:46.8,58.6 H:100062768'},
[46998]={[0]='Vision of Ysera',[1]='606:27.04,62.64'},
[47002]={[0]='Vision of Ysera',[1]='606:43.80,45.95'},
[47005]={[0]='Adarrah',[1]='720:54.29,35.27'},
[47006]={[0]='Packleader Ivar Bloodfang',[1]='764:55.4,49.4 764:55.6,44.9 764:55.6,45 764:55.6,49.3 764:54.7,65.4 764:55.3,66.1 764:55.4,66 764:56,66.2 764:56.3,66.4 764:56.4,66.6 764:57,66.8 764:57.1,66.9 764:57.2,65.4 764:57.2,66.3 764:57.3,66.3 764:57.4,67.5 764:57.5,66.5 764:57.6,67 764:57.7,66 764:57.8,65.3 764:57.8,65.7 764:57.9,67.6 764:58.1,61.9 764:58.2,64.3 764:58.3,61.3 764:58.3,62.4 764:58.3,63.4 764:58.3,64.3 764:58.3,64.7 764:58.4,63 764:58.5,63.6 764:58.6,62.3 764:58.6,63 764:58.6,65.2 764:58.8,60.4 764:58.8,62.9 764:58.9,58.1 764:58.9,61.1 764:58.9,61.6 764:58.9,64.4 764:59,64.5 764:59.1,61.2 764:59.2,60.2 764:59.5,60.1 764:59.5,64.1 764:59.6,58.8 764:59.6,60.7 764:59.7,64 764:59.9,58.1 764:60.1,57.3 764:60.3,64.6 764:60.3,64.9 764:60.4,67.8 764:60.5,64.8 764:60.5,68.3 764:60.5,68.9 764:60.5,69.1 764:60.7,67.8 764:60.9,66.6 764:60.9,70.2 764:62,70.8 764:62.4,57.8 764:62.5,71 764:62.9,57.4 764:63.1,57.5 764:63.1,57.6 764:63.2,57.4 764:63.3,71.5 764:63.4,58.6 764:63.4,58.8 764:63.7,57.8 764:63.7,57.9 764:63.8,57.3 764:63.8,71.4 764:63.9,71.6 764:64,58.6 764:64.1,71.8 764:64.2,58.5 764:64.2,69.9 764:64.3,60 764:64.3,71.4 764:64.4,57.4 764:64.7,72 764:64.8,70.4 764:64.8,72.6 764:64.9,58.2 764:64.9,58.5 764:65,56.9 764:65,57.4 764:65.2,71.3 764:65.2,71.9 764:65.4,71.4 764:65.8,71.6 764:66,71.3 764:66.1,72 764:66.1,72.5 764:66.3,71.4 764:66.5,71.9 764:66.5,72.4 764:66.8,71.3 764:66.9,71.2 764:67.1,72.5 764:67.1,72.6 764:67.9,71.5 764:26.4,74.6 764:26.4,75.1 764:26.4,75.8 764:26.5,75.7 764:26.6,75.2 764:26.7,74.3 764:26.8,73.4 764:27,71.5 764:27,74.6 764:27.1,71.6 764:27.1,73.8 764:27.2,72.9 764:27.3,71.3 764:27.5,72 764:27.6,70.5 764:27.8,71.2 764:28.2,69.7 764:28.3,69.8 764:29.6,79.8 764:29.7,69 764:29.9,69.6 764:30.2,68.6 764:30.3,71.2 764:30.5,72 764:30.6,68.8 764:30.7,72.8 764:30.8,68.7 764:30.8,74.8 764:30.8,75.7 764:30.9,71.4 764:30.9,72.1 764:30.9,72.9 764:30.9,73.5 764:31.1,69.6 764:31.1,74.7 764:31.4,69.6 764:31.4,70.8 764:31.4,73.6 764:31.5,70.4 764:31.5,72.1 764:31.5,74.6 764:31.6,70 764:31.6,73.6 764:31.7,72 764:31.7,73 764:31.8,71.3 764:31.8,73.7 764:32.1,71.2 764:32.2,69.2 764:32.2,73.1 764:32.6,72.8 764:32.7,73.7 764:32.9,72.1 764:33.1,72.1 764:33.1,73.1 764:33.2,70.5 764:33.2,71.4 764:33.3,70.1 764:33.4,80.3 764:33.4,80.4 764:33.4,80.5 764:33.4,80.6 764:33.5,70.8 764:33.5,80.5 764:33.7,79.7 764:33.7,80.2 764:33.8,70.2 764:33.8,72.5 764:33.8,78.4 764:33.9,71.2 764:33.9,73.1 764:33.9,78.5 764:33.9,78.7 764:34,77.9 764:34.1,77.3 764:34.3,71.7 764:34.3,76.3 764:34.3,76.7 764:34.4,76.1 764:34.5,76.5 764:34.6,76.2 764:34.8,75.6 764:35,76.5 764:35.1,72.9 764:35.1,73.2 764:35.2,73.6 764:35.2,75 764:35.2,75.2 764:35.3,73.8 764:35.5,74.7 764:52.4,57.5 764:52.5,54.2 764:53,53.1 764:53.1,57.7 764:53.8,50.9 764:53.9,52 764:54,52.7 764:54,55.4 764:54,57.6 764:54.4,54.4 764:54.5,58.1 764:54.6,55.6 764:54.8,57.3 764:54.9,54.7 764:55.1,50.4 764:55.2,51.3 764:55.2,53.8 764:55.3,52.7 764:55.5,47 764:55.5,53.8 764:55.6,52.7 764:55.8,47.7 764:55.8,56.9 764:56,51.7 764:56.1,48.9 764:56.2,44.6 764:56.2,54.7 764:56.3,45.7 764:56.3,48 764:56.3,49.9 764:56.4,50.6 764:56.5,48.9 764:56.7,48.8 764:56.8,50.3 764:57,43.6 764:57,46.9 764:57,51.6 764:57.1,54.5 764:57.2,45.7 764:57.2,52.8 764:57.3,41.3 764:57.3,42.6 764:57.3,48.4 764:57.4,42.1 764:57.4,45.4 764:57.4,49.6 764:57.6,48.6 764:57.7,43.5 764:57.7,46.2 764:57.9,47.6 764:58,44.7 764:58.1,45.7 764:58.2,37.4 764:58.2,39.2 764:58.2,42.6 764:58.2,42.9 764:58.2,43.6 764:58.2,46.7 764:58.3,37.4 764:58.3,37.5 764:58.3,39.3 764:58.3,39.8 764:58.3,40.6 764:58.3,41.5 764:58.3,41.9 764:58.4,32.7 764:58.4,38.2 764:58.4,40.3 764:58.4,40.6 764:58.5,40.9 764:58.5,43.3 764:58.5,45.9 764:58.6,39.3 764:58.6,39.6 764:58.6,42 764:58.7,40.7 764:58.7,45 764:58.8,37.8 764:58.8,41.9 764:58.8,42.6 764:58.8,43.9 764:58.9,34.1 764:59,32.9 764:59,39.1 764:59.1,31.8 764:59.1,37.2 764:59.2,35.8 764:59.2,37.5 764:59.3,33.1 764:59.3,36.2 764:59.4,31.4 764:59.4,31.9 764:59.4,34.3 764:59.4,35.1 764:59.4,35.2 764:59.4,36.5 764:59.4,39.9 764:59.5,35 764:59.5,35.6 764:59.5,39.1 764:59.5,39.6 764:59.6,34 764:59.6,34.8 764:59.6,36.4 764:59.6,36.6 764:59.6,37.5 764:59.6,37.9 764:59.6,39.3 764:59.6,40.9 764:59.6,42.3 764:59.8,33.1 764:59.8,36.7 764:59.9,31.7 764:59.9,33.5 764:60.1,31.4 764:60.1,31.5 764:60.1,45.5 764:60.3,31.4 764:60.4,33 764:60.5,31.4 764:60.5,33.3 764:60.6,31.3 764:60.7,31.5 764:60.7,33.1 764:60.7,33.7 764:60.7,33.9 764:60.8,31.5 764:59.3,39.9 764:59.4,39.7 764:59.4,40.5 764:59.6,39.3 764:59.6,39.4 764:59.8,39.5 764:60,40 764:60.3,41.1 764:60.3,41.5 764:60.3,42.9 764:60.4,41.2 764:60.6,42.7 764:60.7,41.4 764:60.8,42.4 764:61.2,42.4 764:56.2,59.4 764:56.3,59.8 764:56.6,59 764:56.7,60 764:56.8,56.9 764:57.2,53.5 764:57.2,55.9 764:57.2,58.2 764:57.3,53.1 764:57.3,54.5 764:57.3,56 764:57.3,56.9 764:57.3,58.3 764:57.3,59.5 764:57.5,60.2 764:57.6,58.6 764:57.7,58.2 764:57.9,56.5 764:57.9,57.2 764:58,55.9 764:58.1,54.9 764:58.1,55.3 764:58.1,56.1 764:58.2,54.1 764:58.2,54.2 764:58.3,53.3 764:58.4,51.7 764:58.4,53.3 764:58.5,54.9 764:58.5,56.5 764:58.6,53.2 764:58.7,53.7 764:58.7,53.8 764:58.7,58.5 764:58.8,55.5 764:58.8,55.6 764:58.9,51.5 764:59,51.7 764:59.1,50.7 764:59.2,49.3 764:59.2,52.9 764:59.3,50.2 764:59.4,48.3 764:59.4,50 764:59.4,51.4 764:59.5,49.5 764:59.5,51.8 764:59.5,53.5 764:59.6,51.6 764:59.7,49.2 764:59.7,50.6 764:59.8,49.9 764:59.8,50.8 764:59.8,52.8 764:60.1,47.4 764:60.2,48.9 764:60.3,46.3 764:60.3,46.4 764:60.3,47.2 764:60.3,48.1 764:60.4,48 764:60.5,48.8 764:60.6,46.7 764:60.6,47.9 764:60.6,48 764:60.6,48.7 764:60.9,46.7 764:60.9,49.5 764:61,54.7 764:61.6,47.3 764:61.6,47.6 764:61.9,47.8 764:45.4,83 764:46,85 764:46.1,84.2 764:46.2,82.6 764:47.2,85.4 764:47.3,83.2 764:47.3,84.2 764:47.4,85.1 764:47.9,84.2 764:48,83.1 764:48.1,83.2 764:48.1,84.5 764:48.2,85.4 764:48.3,84 764:48.3,85.6 764:48.4,85.6 764:48.5,83.5 764:48.5,84.3 764:48.6,82.9 764:48.6,84.9 764:48.8,83.4 764:48.8,85.4 764:48.9,85.7 764:49.1,85.9 764:49.1,86.5 764:49.6,86.2 764:49.7,85.7 764:49.8,85.1 764:49.8,87 764:50.1,83.4 764:50.2,85.1 764:50.2,86.7 764:50.3,84 764:50.4,84 764:50.5,85.5 764:50.5,85.7 764:50.6,84.5 764:50.7,84.6 764:51,83.6 764:51.2,83.2 764:51.2,83.3 764:51.4,83.8 764:51.6,83.2 764:51.6,84.5 764:51.7,83.6 764:51.8,83.3 764:51.8,84.1'},
[47011]={[0]='Amakkar',[1]='17:18.8,42.9'},
[47013]={[0]='Gargal',[1]='17:18.8,42.9'},
[47014]={[0]='Cursed Surveyor',[1]='720:80.4,47.8 H:100062483'},
[47018]={[0]='Jurrix Whitemane',[1]='17:18.8,42.9'},
[47021]={[0]='Amakkar',[1]=''},
[47022]={[0]='Gargal',[1]=''},
[47024]={[0]='Jurrix Whitemane',[1]=''},
[47041]={[0]='Neeka Bloodscar',[1]='38:21.2,51.9'},
[47158]={[0]='Harrison Jones',[1]='720:36.13,15.77'},
[47159]={[0]='Commander Schnottz',[1]='720:24.44,64.08 720:24.46,64.27'},
[47162]={[0]='Glubtok',[1]=''},
[47195]={[0]='Slate Quicksand',[1]='640:30.7,77.8'},
[47202]={[0]='Diseased Vulture',[1]='720:41,70 K:27940'},
[47233]={[0]='Gordul',[1]='321:44.7,61.4 321:44.7,61.5 321:33,64.8 321:33,65.6 321:33.6,64.3 321:33.6,65.1 321:35.2,63.9 321:35.4,64.5'},
[47240]={[0]='Commander Marcus Johnson',[1]='709:73.3,59.3 709:73.4,58.4 709:73.4,59.5 709:73.5,58.4 709:73.5,58.5 709:73.5,60'},
[47246]={[0]='Ureda',[1]='321:48.2,62.1 321:48.4,62.6 321:48.5,62.7 321:50.2,68.9 321:50.2,70.4 321:50.3,70.6 321:50.6,69.4 321:50.9,70.2 321:51.2,71 321:51.2,72.8 321:51.4,72.1 321:51.5,72.7'},
[47250]={[0]='Carvo Blastbolt',[1]='27:27.7,32'},
[47266]={[0]='Jack Rockleg',[1]='28:68.4,53.4 28:68.4,53.5 28:68.5,53.4 28:68.5,53.5'},
[47267]={[0]='Burrian Coalpart',[1]='28:68.4,53.4 28:68.4,53.5 28:68.5,53.4 28:68.5,53.5'},
[47268]={[0]='Prisanne Dustcropper',[1]='28:68.3,53.4 28:68.3,53.5 28:68.7,53.3 28:68.9,53.5'},
[47269]={[0]='Lunk',[1]='28:68.9,53.4 28:68.9,53.5'},
[47280]={[0]='Lunk',[1]=''},
[47293]={[0]='Deathstalker Commander Belmont',[1]='764:55.5,45.3 764:55.6,44.8 764:26.9,61.9 764:27.3,61 764:27.3,62.5 764:27.6,63.1 764:27.9,64.3 764:28,61.3 764:28,64.8 764:28.1,61.9 764:28.2,62.3 764:28.2,63.6 764:28.3,63.3 764:28.4,64.7 764:28.5,62 764:28.5,62.4 764:28.5,62.7 764:28.6,61.4 764:28.6,63.4 764:28.7,64.3 764:28.9,64.6 764:29,64.5 764:29.1,64.4 764:29.5,63.7 764:54.2,65 764:54.3,65.7 764:54.5,65.4 764:55,65.8 764:55.2,65.9 764:55.6,66.1 764:56.3,66.4 764:56.4,66.5 764:56.4,66.7 764:56.5,66.7 764:56.8,66.7 764:57.2,66.3 764:57.3,66.1 764:57.4,64.9 764:57.5,64.3 764:57.5,66.7 764:57.5,67.3 764:57.7,65.4 764:57.8,65.6 764:57.8,65.7 764:58.1,63.1 764:58.1,67.6 764:58.6,63.9 764:58.7,63.6 764:59,64.7 764:59,64.8 764:59.3,60 764:59.3,60.5 764:59.4,59.9 764:59.4,60.5 764:59.5,60.7 764:59.7,58.7 764:59.7,59.5 764:59.7,59.7 764:59.7,64.5 764:59.9,59.1 764:60,58 764:60.1,58 764:60.3,57.4 764:60.4,56.3 764:60.4,69 764:60.5,68.9 764:60.7,67.7 764:60.8,65.1 764:60.8,67.1 764:61,65.9 764:61.2,70.4 764:61.4,70.6 764:62.4,71.2 764:62.6,71.1 764:63,71.5 764:63.6,58.1 764:63.6,71.8 764:64.1,59.7 764:64.3,59.1 764:64.8,58.4 764:64.9,58.5 764:65,57.4 764:65,71.4 764:65.1,58.6 764:65.1,72 764:65.3,58.4 764:65.3,72.5 764:65.4,72 764:65.5,58.8 764:65.6,58.3 764:65.6,71.4 764:65.7,72.2 764:65.8,58.6 764:66,58.4 764:66,72.2 764:66,72.7 764:66.1,59.8 764:66.2,59.5 764:66.4,72.8 764:66.5,58.4 764:66.6,58.1 764:66.6,72.4 764:66.7,58.5 764:66.9,59.5 764:66.9,59.6 764:66.9,72.8 764:67,59.2 764:67.2,72.5 764:67.7,72.3 764:67.8,72.9 764:28.7,69.5 764:31.8,72.5 764:31.9,71.6 764:32.4,70.2 764:32.5,69.6 764:32.7,71.2 764:32.8,72.1 764:33.9,75.9 764:34.3,70.9 764:34.4,72.8 764:34.5,71.9 764:34.8,75.8 764:34.9,73.8 764:35,74.9 764:53.6,49.9 764:53.6,51.2 764:54.3,53.6 764:55,50.7 764:55,55.3 764:55.2,49.3 764:55.2,49.7 764:55.3,51.7 764:55.5,48.8 764:56.1,47.4 764:56.5,48.8 764:56.8,46.4 764:56.8,46.5 764:56.8,47.5 764:57.2,42.6 764:57.3,42 764:57.3,44.4 764:57.3,45.7 764:57.4,43.7 764:57.4,44.6 764:57.5,47.3 764:57.6,43.8 764:57.7,42.5 764:58,40.6 764:58,41.6 764:58.1,39.9 764:58.1,41.6 764:58.2,42.9 764:58.3,38.8 764:58.3,39.3 764:58.3,40 764:58.3,43.5 764:58.3,45.9 764:58.4,33.6 764:58.4,38.2 764:58.4,40.7 764:58.4,45.2 764:58.5,42.6 764:58.6,37.9 764:58.6,38.1 764:58.6,39.7 764:58.6,42.2 764:58.7,41.7 764:58.7,43.6 764:58.8,33.7 764:58.8,41.2 764:58.9,36.6 764:58.9,40.6 764:59,38.5 764:59.1,31.9 764:59.1,35.9 764:59.1,39.5 764:59.3,31.4 764:59.3,31.6 764:59.3,32.7 764:59.3,34.7 764:59.3,34.9 764:59.3,38.9 764:59.4,31.4 764:59.4,34.3 764:59.4,36.3 764:59.4,37.2 764:59.5,33.6 764:59.5,34.7 764:59.5,36 764:59.5,38.5 764:59.6,32.5 764:59.6,34.2 764:59.6,36.4 764:59.6,36.6 764:59.6,36.7 764:59.6,37.9 764:59.6,38.3 764:59.6,39.5 764:59.6,40.7 764:59.8,31.4 764:59.8,32 764:59.8,33.4 764:59.8,35.3 764:60,31.4 764:60,31.5 764:60.5,32.5 764:60.5,34.8 764:60.6,31.5 764:60.6,32.8 764:60.7,31.6 764:60.9,31.4 764:60.9,33.5 764:59.4,39.7 764:59.5,39.5 764:59.6,39.2 764:59.6,40.6 764:59.9,39.5 764:59.9,41.6 764:60.4,42.7 764:60.7,41.3 764:60.8,41.9 764:60.9,42.7 764:60.9,42.9 764:61.2,42.3 764:54.4,54.8 764:55.4,56 764:56.6,56.3 764:57,58.2 764:57.2,57.2 764:57.2,59.2 764:57.3,56.5 764:57.3,57.6 764:57.3,59.4 764:57.3,59.5 764:57.4,54.7 764:57.4,56.2 764:57.5,58.6 764:57.6,56.7 764:57.6,58.2 764:57.7,56.6 764:57.8,57.5 764:57.8,59.3 764:57.8,59.6 764:57.9,55.3 764:57.9,55.5 764:58,56.4 764:58,61.5 764:58.2,54.4 764:58.2,55.1 764:58.3,52.3 764:58.3,53 764:58.3,54.2 764:58.3,60.9 764:58.4,52.8 764:58.5,55.5 764:58.5,60.3 764:58.7,53.4 764:58.7,53.6 764:58.7,54.1 764:58.7,55.6 764:58.7,56.8 764:58.7,57.7 764:58.8,54.9 764:58.9,53.1 764:58.9,54.5 764:59,50.8 764:59,51.8 764:59,61 764:59.1,47.5 764:59.1,50.2 764:59.1,61.7 764:59.2,50.8 764:59.2,52.2 764:59.3,46.9 764:59.3,49 764:59.3,49.8 764:59.4,57.8 764:59.5,48.2 764:59.5,50.2 764:59.5,51.5 764:59.5,52.6 764:59.5,53.7 764:59.6,47.4 764:59.6,50.3 764:59.6,50.6 764:59.7,48.7 764:59.7,50.6 764:59.7,51.9 764:59.8,45.3 764:59.8,57 764:59.9,47.9 764:60,48.6 764:60.1,56.1 764:60.3,45.7 764:60.3,47.4 764:60.3,55.1 764:60.4,45.6 764:60.5,45.6 764:60.5,49 764:60.6,49.8 764:60.7,47.9 764:60.8,46.6 764:60.9,48 764:61,47.2 764:61.2,46.2 764:61.6,46.4 764:61.6,49.2 764:62.1,47.5 764:62.6,48.6 764:62.7,47.5'},
[47296]={[0]='Helix Gearbreaker',[1]=''},
[47317]={[0]='Keeland Doyle',[1]='700:61.48,67.42'},
[47318]={[0]='Mack',[1]='720:49.67,39.11'},
[47332]={[0]='Lunk',[1]=''},
[47341]={[0]='Arcanist Delaris',[1]='182:41.9,72'},
[47366]={[0]='Impsy',[1]='182:41.9,72'},
[47374]={[0]='Patch',[1]=''},
[47383]={[0]='Brivelthwerp',[1]='61:69.9,85.1'},
[47393]={[0]='Mountain-Lord Rendan',[1]='28:39.3,67.8 28:39.4,67.2 28:39.5,67.2 28:39.5,67.8 28:40.8,51.8'},
[47417]={[0]='Zaela',[1]='700:54.4,43.8'},
[47429]={[0]='Lunk',[1]='28:38.9,26 28:39.2,26.6 28:39.7,68'},
[47432]={[0]='Apothecary Underhill',[1]='24:29.2,63.9'},
[47440]={[0]='Agnes Flimshale',[1]='28:38.9,68.9 28:39.1,68.4'},
[47471]={[0]="Pao'ka Swiftmountain",[1]='61:12.8,34'},
[47492]={[0]='Patch',[1]='700:27.4,36.8'},
[47493]={[0]='Warlord Krogg',[1]='700:29.3,52.4 700:29.3,52.5 700:29.6,41'},
[47551]={[0]='Spider-Handler Sarus',[1]='24:33.2,73.6'},
[47554]={[0]='Captain Keyton',[1]='24:33.3,73.4 24:33.3,73.5'},
[47556]={[0]='Drizle',[1]='182:60.6,9.5 182:64.1,10.4'},
[47571]={[0]='Belloc Brightblade',[1]='321:49,70.7'},
[47580]={[0]='Lakota Windsong',[1]='61:30.4,49.2 61:30.5,49.2'},
[47592]={[0]='Master Mathias Shaw',[1]='700:25.99,38.79'},
[47603]={[0]='Alexstrasza the Life-Binder',[1]='700:21.77,57.09'},
[47605]={[0]='Calen',[1]='700:22.13,56.55'},
[47611]={[0]='Highbank Lieutenant',[1]='Near700'},
[47617]={[0]='Farlus Wildheart',[1]='182:44.1,61.8'},
[47626]={[0]='Admiral Ripsnarl',[1]=''},
[47670]={[0]='Belloc Brightblade',[1]='720:24.37,64.55'},
[47671]={[0]='Zaela',[1]='700:36.4,38.1 700:36.5,38.1'},
[47681]={[0]='Dumass',[1]='24:36,70.8 24:36.6,70.3'},
[47684]={[0]='King Phaoris',[1]='720:54.91,32.72'},
[47692]={[0]='Altsoba Ragetotem',[1]='182:41.3,50'},
[47696]={[0]='Kelnir Leafsong',[1]='182:41.3,50'},
[47709]={[0]='Sun Acolyte',[1]='720:52.9,27.6 720:53,27.2'},
[47715]={[0]='Sun Priest Asaris',[1]='720:52.98,27.70'},
[47723]={[0]='Rotgrum',[1]='700:36.7,38'},
[47739]={[0]='"Captain" Cookie',[1]=''},
[47745]={[0]='Magatha Grimtotem',[1]='61:50.1,62.6'},
[47751]={[0]='Buunu',[1]='700:36.4,38.1 700:36.5,38.1'},
[47759]={[0]='Muckgill',[1]='24:32.6,78 H:100063090'},
[47779]={[0]='Mouton Flamestar',[1]='29:17,51.5 29:17.1,51.3'},
[47781]={[0]='Warden Stillwater',[1]='24:36.2,61.2'},
[47789]={[0]='Clerk Horrace Whitesteed',[1]='24:38.6,62.6 H:100063250'},
[47811]={[0]='John J. Keeshan',[1]='29:17.3,52.1 29:17.4,52.5'},
[47843]={[0]='Huntress Selura',[1]='182:43.5,28.2'},
[47869]={[0]='Johnny Awesome',[1]='24:40.3,59.4'},
[47899]={[0]='Flesh-Shaper Arnauld',[1]='24:36.3,60.3'},
[47900]={[0]='Master Apothecary Lydon',[1]='24:36.6,61.2 24:40.3,59.4'},
[47902]={[0]='Lirastrasza',[1]='700:59.07,69.80'},
[47904]={[0]='Velastrasza',[1]='700:59.02,69.81'},
[47905]={[0]='Baleflame',[1]='700:44.91,90.90'},
[47923]={[0]='Feronas Sindweller',[1]='182:45.6,20.2'},
[47931]={[0]='Denmother Ulrica',[1]='182:61.8,26.7'},
[47940]={[0]='Commander Schnottz',[1]='720:24.40,64.09'},
[47959]={[0]='Prince Nadun',[1]='720:55.02,34.04'},
[47967]={[0]='Prolific Writer',[1]='720:21.85,64.03'},
[47972]={[0]='Commander Schnottz',[1]='720:22.51,63.18'},
[47991]={[0]='Earthcaller Yevaa',[1]='700:48.40,14.56'},
[48001]={[0]='Thelaron Direneedle',[1]='29:45.4,46.2 29:45.5,46.2'},
[48010]={[0]='Low Shaman Blundy',[1]='700:49.78,29.17'},
[48012]={[0]='Sergeant Mehat',[1]='720:58.97,46.13'},
[48013]={[0]='Fanny Thundermar',[1]='700:49.79,29.28'},
[48014]={[0]='Nivvet Channelock',[1]='700:49.14,29.31'},
[48020]={[0]='Master Apothecary Lydon',[1]=''},
[48021]={[0]='Johnny Awesome',[1]=''},
[48022]={[0]='Salhet',[1]='Near720'},
[48032]={[0]='Seedling Protector',[1]=''},
[48033]={[0]='Stebben Oreknuckle',[1]='29:46.7,44.2'},
[48034]={[0]='Harrison Jones',[1]='720:63.90,33.85'},
[48038]={[0]='Ironwood Buzzer',[1]='182:47.4,29.3 182:47.7,27.4 182:48,28.4 182:48,30.2 182:48.1,28.8 182:48.1,30.5 182:48.1,31.7 182:48.8,31 182:48.9,28.4 182:49.1,28.7 182:49.2,30.1 182:49.5,29.3 182:49.9,27.8 182:49.9,30.5 182:50.2,30.3 182:50.4,31.9 182:50.5,31.3 182:50.5,31.5 182:50.8,28.4 182:50.8,28.5'},
[48039]={[0]='Commander Stevens',[1]='708:51.4,49.4 708:51.4,49.5 708:51.5,49.4 708:51.5,49.6'},
[48042]={[0]='Sapling Protector',[1]=''},
[48044]={[0]='Flourishing Protector',[1]=''},
[48046]={[0]='Ella Forgehammer',[1]='700:62.56,48.59'},
[48051]={[0]='Thrall',[1]='737:33.38,50.35'},
[48053]={[0]='Bahrum Forgehammer',[1]='700:63.15,47.61'},
[48059]={[0]='Earthcaller Yevaa',[1]='700:48.70,16.63'},
[48061]={[0]='2nd Lieutenant Wansworth',[1]='708:51.4,49.4 708:51.4,49.5 708:51.5,49.4 708:51.5,49.6'},
[48062]={[0]='Staff Sergeant Lazgar',[1]='708:51.4,49 708:51.4,49.6 708:51.5,49.1 708:51.5,49.7'},
[48066]={[0]='Sergeant Parker',[1]='708:50.9,49.6 708:51,49.4'},
[48069]={[0]='Commander Zanoth',[1]='708:50.6,50.5 708:50.9,49.2 708:50.9,49.7'},
[48070]={[0]='Drillmaster Razgoth',[1]='708:51.4,49 708:51.4,49.6 708:51.5,49.1 708:51.5,49.7'},
[48071]={[0]='Private Garnoth',[1]='708:51.3,49.1 708:51.4,49.6 708:51.5,49.1 708:51.5,49.7'},
[48074]={[0]='Marshal Fallows',[1]='708:51.4,49.4 708:51.4,49.5 708:51.5,49 708:51.5,49.5'},
[48082]={[0]='Harrison Jones',[1]='720:54.64,41.79'},
[48085]={[0]='Quartermaster Kaoshin',[1]='29:45.3,51.3 29:45.3,51.6 29:45.6,51.9'},
[48099]={[0]='Worgmistress Othana',[1]='29:39.2,55.4 29:39.2,56.1 29:39.2,56.5'},
[48100]={[0]='Voodooist Timan',[1]='29:45.1,52.5 29:45.3,52.4'},
[48109]={[0]='John J. Keeshan',[1]='29:46.4,45.9 29:46.5,45.9'},
[48110]={[0]='Colonel Troteman',[1]='29:46.3,45.9'},
[48126]={[0]='Isural Forestsworn',[1]='182:43.9,28.1'},
[48127]={[0]='Darla Drilldozer',[1]='182:56.3,8.2'},
[48129]={[0]='Helcular',[1]='24:49.1,66.3'},
[48133]={[0]="General Thorg'izog",[1]='29:30.7,33.8'},
[48162]={[0]='Harrison Jones',[1]='720:23.55,60.25'},
[48173]={[0]='Colin Thundermar',[1]='700:49,29.7'},
[48174]={[0]='Nivvet Channelock',[1]='700:49.1,29.4'},
[48175]={[0]='Low Shaman Blundy',[1]='700:49.7,29.2'},
[48186]={[0]='Harrison Jones',[1]='720:27.03,7.56'},
[48203]={[0]='Sullah',[1]='720:26.62,8.03'},
[48208]={[0]='The Rattle of Bones',[1]='61:43.3,43.4'},
[48218]={[0]='Kingslayer Orkus',[1]='24:49.4,74.2 24:49.5,74.3 24:50.1,74.5'},
[48237]={[0]='Salhet',[1]='720:56.92,62.43'},
[48250]={[0]='Lieutenant Farnsworth',[1]='709:74.4,59.1 709:74.4,60.1 709:74.6,59.7 709:74.7,59.4'},
[48254]={[0]='Sergeant Gray',[1]='709:73,61.5 709:73.1,60.2 709:73.1,60.9 709:73.5,60.9'},
[48255]={[0]='Camp Coordinator Brack',[1]='709:73.7,57.8'},
[48264]={[0]='Golluck Rockfist',[1]='700:44.1,10.6'},
[48265]={[0]='Lauriel Trueblade',[1]='700:44.08,10.54'},
[48292]={[0]='Acride',[1]='29:82,31.6'},
[48306]={[0]='John J. Keeshan',[1]='29:73.4,67.2 29:73.6,67.1'},
[48307]={[0]='Colonel Troteman',[1]='29:73.5,67.1'},
[48312]={[0]="High Warlock Xi'lun",[1]='29:69.4,43.2 29:69.6,43 29:70.4,47 29:70.5,47.1'},
[48314]={[0]='Dragon-Lord Neeralak',[1]='29:69.4,43.3 29:69.5,43.3 29:70.2,47.2'},
[48316]={[0]="General Thorg'izog",[1]='29:66.3,40.9 29:66.5,40.6'},
[48319]={[0]='Angry Blight Slime',[1]='24:47.9,71.2 24:48.4,72.3 24:48.4,73 24:48.7,71.3 24:48.7,72.4 24:48.7,72.5'},
[48322]={[0]='Chet the Slime-Breeder',[1]='24:47.9,72.5'},
[48333]={[0]='Foreman Pikwik',[1]='182:54.7,18.4'},
[48339]={[0]='Elessa Starbreeze',[1]='182:44,27.9'},
[48346]={[0]='John J. Keeshan',[1]=''},
[48349]={[0]='Hurak Wildhorn',[1]='182:44,27.9'},
[48358]={[0]='Commander Larmash',[1]='709:53.7,80.4 709:53.7,80.5'},
[48360]={[0]='3rd Officer Kronkar',[1]='709:55.2,81.1 709:55.5,80.6'},
[48361]={[0]='Private Sarlosk',[1]='709:55.6,78.4 709:55.7,78.6'},
[48363]={[0]='Captain Prug',[1]='709:54.4,79.4 709:54.4,79.6 709:54.5,79.7 709:55,79.2'},
[48364]={[0]='Keegan Firebeard',[1]='700:54.39,16.75'},
[48365]={[0]='Kurdran Wildhammer',[1]='700:54.76,17.37 700:54.88,17.17'},
[48366]={[0]='Russell Brower',[1]='700:54.60,17.54'},
[48367]={[0]='Lachlan MacGraff',[1]='700:54.33,16.75'},
[48368]={[0]='Grundy MacGraff',[1]='700:54.3,16.8'},
[48428]={[0]='Myzerian',[1]='720:40,22 H:100063700'},
[48431]={[0]='Sullah',[1]='720:29.61,21.85'},
[48459]={[0]='Tender Puregrove',[1]='182:43.3,30.4 182:43.3,30.5'},
[48461]={[0]='Ferli',[1]='182:64.1,10.4'},
[48469]={[0]='Fez Hobnob',[1]='182:44.2,28'},
[48470]={[0]='Kingslayer Orkus',[1]=''},
[48472]={[0]='Colin Thundermar',[1]='700:38.12,34.49'},
[48491]={[0]='James Hallow',[1]='182:44.3,28.1'},
[48492]={[0]='Lyros Swiftwind',[1]='182:61.8,26.7'},
[48493]={[0]='Alton Redding',[1]='182:56.8,18.4 182:56.8,18.5'},
[48501]={[0]='Sun Prophet Tumet',[1]='720:67.34,42.79'},
[48503]={[0]='Kingslayer Orkus',[1]=''},
[48528]={[0]='Harrison Jones',[1]='720:36.15,20.26',[2]='In the Chamber of the Moon'},
[48530]={[0]='Fanny Thundermar',[1]='700:54.74,17.95'},
[48545]={[0]='High Warlord Cromush',[1]='24:57,46.5 24:57.1,46.3'},
[48558]={[0]='Harrison Jones',[1]='720:39.00,23.24',[2]='In the Chamber of the Moon'},
[48559]={[0]='Ariok',[1]='29:17.4,51.7 29:17.5,51.7'},
[48564]={[0]='King Phaoris',[1]='720:52.02,65.46'},
[48565]={[0]='Ariok',[1]='29:54.6,24.4 29:54.7,24.6'},
[48567]={[0]='Ariok',[1]=''},
[48568]={[0]='Eitrigg',[1]='29:44.6,44.4 29:44.6,44.5'},
[48569]={[0]='Eitrigg',[1]='29:54.6,24.4 29:54.6,24.5'},
[48621]={[0]='Sullah',[1]='720:42.16,25.92'},
--[48640]={[0]='Enormous Gyreworm Bunny',[1]='301:54.2,83.9 301:54.7,84.5 301:63.4,72.3 465:56.8,62.7 545:63.3,83 700:46,72 700:46.7,72.9 700:47.3,73.8 640:64.6,82.2'},
[48658]={[0]='Kaldorei Spirit',[1]='281:50.7,54.9'},
[48659]={[0]="Quel'dorei Spirit",[1]='281:50.8,55'},
[48660]={[0]="Sin'dorei Spirit",[1]='281:50.7,55.1'},
[48698]={[0]='Harrison Jones',[1]='720:41.35,5.56'},
[48704]={[0]='Gek Nozzlerocket',[1]='23:73.8,53.1'},
[48722]={[0]='Burndl',[1]='281:65.3,46.1'},
[48723]={[0]='Tanrir',[1]='281:65.3,46.1'},
[48731]={[0]='Hargoth Dimblaze',[1]=''},
[48732]={[0]='Stormcaller Jalara',[1]=''},
[48733]={[0]='Earthmender Duarn',[1]=''},
[48734]={[0]='Stormcaller Mylra',[1]=''},
[48736]={[0]='Genn Greymane',[1]='381:48.13,14.43'},
[48761]={[0]='Salhet',[1]='720:67.23,42.90'},
[48764]={[0]='Telarius Voidstrider',[1]='42:52.4,30.8 H:100064450'},
[48797]={[0]="Gim'hila",[1]='673:39,68.5 673:39.3,68.3 673:39.4,69.7 673:39.5,69.5 673:39.6,68.4 673:39.7,69.4'},
[48808]={[0]='Corporal Jeyne',[1]='673:40.6,68.2'},
[48878]={[0]='Stormpike Soldier',[1]='24:48.3,46.5 24:48.4,45.1 24:48.4,45.7 24:48.5,45.5 24:48.7,45.4 24:49.2,49 24:49.4,46.9 24:49.4,48.2 24:49.5,48.1 24:49.5,49.1 24:49.8,43.9 24:50.2,46.3 24:50.3,45.4 24:50.4,46.9 24:50.5,46.1 24:50.5,46.6'},
[48880]={[0]='Captain Iceheart',[1]='24:49.4,46.4 24:49.4,46.8 24:49.5,45.9 24:49.5,47'},
[48922]={[0]='Instructor Rufus',[1]='24:44.4,49.1 24:44.5,49'},
[48923]={[0]='Drill Sergeant Magnus',[1]='24:43.4,49.8 24:43.5,49.9'},
[48924]={[0]='Captain Crudbeard',[1]='24:44.1,50.4 24:44.1,50.5'},
[48965]={[0]='Deez Rocksnitch',[1]='281:59.8,49.7'},
[48993]={[0]='Captain Krazz',[1]='700:77.6,16.7'},
[49000]={[0]='Patch',[1]='700:82.1,80'},
[49002]={[0]='Ticker',[1]='700:81.9,80.3'},
[49020]={[0]='Fargo Flintlocke',[1]='700:78.82,76.90'},
[49022]={[0]='Lieutenant Fawkes',[1]='700:80.96,79.40'},
[49035]={[0]='Lilith',[1]=''},
[49044]={[0]='Agatha',[1]='20:29.43,70.94'},
[49116]={[0]='Stormpike Engineer',[1]='24:39,50.5 24:39.4,48.1 24:39.4,48.9 24:39.7,49.6 24:40,47.3 24:40,48.4 24:40.4,48.6 24:40.6,48.5 24:40.8,47.9 24:40.9,47.4 24:41.5,47.4 24:41.5,47.5'},
[49151]={[0]='Harrison Jones',[1]='720:33.33,19.66'},
[49201]={[0]='Nils Beerot',[1]='24:60.1,63.7'},
[49203]={[0]='Harrison Jones',[1]='720:32.59,30.66'},
[49204]={[0]='Brann Bronzebeard',[1]='720:32.59,30.89'},
[49230]={[0]='Marshal Redpath',[1]='20:30.8,69.2 20:30.8,69.5'},
[49231]={[0]='Valdred Moray',[1]='20:29.4,69.6 20:29.5,69.6'},
[49240]={[0]="Captain Ironhill's Ghost",[1]='24:61.8,84.5 24:62,84'},
[49243]={[0]='Captain Jekyll',[1]='24:60,63.3 24:60.3,63.5'},
[49248]={[0]='Brann Bronzebeard',[1]='720:44.85,67.32'},
[49252]={[0]='Fargo Flintlocke',[1]='700:81.04,79.34'},
[49264]={[0]='Bloodvenom',[1]='24:66.4,60.4 24:66.4,60.5 24:66.5,60.4 24:66.5,60.5'},
[49265]={[0]='Teracula',[1]='24:67.4,60.2 24:67.4,60.5 24:67.5,60.4 24:67.5,60.5'},
[49266]={[0]='Infernus',[1]='24:68,63.1 24:68.5,62.8'},
[49268]={[0]='D-1000',[1]='24:70.2,61.3'},
[49340]={[0]='Scarlet Corpse',[1]='20:30.5,64.7 20:31.3,62.4 20:31.3,62.5 20:31.3,64 20:31.7,65.5 20:31.8,64.5 20:32,62.1 20:32,63.4 20:32,63.5 20:32.6,62.5 20:32.7,61.3 20:33.2,61.8 20:33.2,65.6 20:33.3,63.8 20:33.3,64.5 20:33.6,63.1 20:33.6,65.9 20:33.8,62.1 20:33.8,65.1 20:34.1,63.8'},
[49345]={[0]='Salhet',[1]='720:52.94,65.51'},
[49351]={[0]='Brann Bronzebeard',[1]='720:44.85,67.32'},
[49358]={[0]='Kurdran Wildhammer',[1]='700:55.25,17.32'},
[49374]={[0]='Lachlan MacGraff',[1]='700:55.21,17.31'},
[49378]={[0]='Patch',[1]='700:77.1,75.5 700:77.1,76.7 700:77.3,74.6 700:77.4,74.3 700:77.4,78.1 700:77.5,73.9 700:77.5,78.4 700:77.6,78.7 700:77.7,73.4 700:78.2,79.9 700:78.4,72 700:78.6,80.4 700:78.7,71.5 700:79.1,71 700:79.1,80.7 700:79.6,70.5 700:79.9,80.8 700:80.2,70.1 700:80.5,80.7 700:80.6,70 700:81.1,80.4 700:81.5,70.3 700:82,70.6 700:82.2,79.5 700:82.3,79.4 700:82.6,71.3 700:82.7,78.9 700:83.1,72.1 700:83.1,78.2 700:83.3,72.6 700:83.4,77.4 700:83.5,73.2 700:83.5,77.5 700:83.7,73.9 700:83.7,76.5 700:83.8,74.5 700:83.8,76'},
[49379]={[0]='Ticker',[1]='700:77.1,75.6 700:77.1,76.7 700:77.3,74.6 700:77.4,74.3 700:77.4,78 700:77.5,78.4 700:77.6,73.7 700:77.6,78.6 700:77.9,73 700:78,79.6 700:78.2,72.4 700:78.6,80.4 700:78.7,71.5 700:78.9,71.3 700:79.2,80.7 700:79.5,70.6 700:80.3,70.1 700:80.4,80.7 700:81,80.5 700:81.1,80.4 700:81.3,70.2 700:81.5,70.3 700:81.9,70.6 700:82.2,79.5 700:82.3,79.4 700:82.6,71.3 700:82.6,79 700:83,78.4 700:83.2,72.4 700:83.3,72.6 700:83.4,77.4 700:83.5,73.2 700:83.6,76.9 700:83.8,74.4 700:83.8,74.5 700:83.8,76'},
[49386]={[0]='Craw MacGraw',[1]='700:48.61,30.68'},
[49387]={[0]='Grot Deathblow',[1]='700:53.9,42.1'},
[49396]={[0]='Jez Goodgrub',[1]='281:56,28.2'},
[49399]={[0]='Remma Curtainfire',[1]='281:45.6,41.6'},
[49400]={[0]='Marcy Curtainfire',[1]='281:46.3,42.4 281:46.3,42.5'},
[49402]={[0]='Sana Curtainfire',[1]='281:48.1,40.6'},
[49407]={[0]='Rinno Curtainfire',[1]='281:45.8,41'},
[49408]={[0]='Farah Tamina',[1]='720:26.9,7.4 720:26.9,7.5'},
[49417]={[0]='Lirastrasza',[1]='700:14.87,16.34'},
[49422]={[0]='Rotbrain Berserker',[1]='20:35,67.2 20:36.2,67.5 20:36.3,66.9 20:36.6,69.1 20:36.7,66.4 20:36.7,66.5 20:37,67.7 20:37.5,68.3 20:37.5,69.3 20:37.6,67.3 20:37.8,69.8'},
[49424]={[0]='Marshal Redpath',[1]='20:36.3,68.7 20:36.6,68.6 20:36.7,68.3'},
[49425]={[0]='Darnell',[1]='20:35.7,62.2'},
[49436]={[0]='Francis Morcott',[1]='281:55.9,28.2'},
[49439]={[0]='Brett the Bomber',[1]='700:77.7,16.7'},
[49441]={[0]='Flashbang Rothman',[1]='700:77.7,16.7'},
[49444]={[0]='Finkle Einhorn',[1]='606:42.65,28.14'},
[49476]={[0]='Finkle Einhorn',[1]='753:32.3,66.1 753:33,66.4 753:33,66.5 753:68.9,55.4 753:68.9,55.6'},
[49479]={[0]='Dentaria Silverglade',[1]='41:57.20,33.27'},
[49480]={[0]='Tarindrella',[1]='41:56.07,26.29',[2]='In cave'},
[49523]={[0]='Weathered Nomad',[1]='720:41.36,5.57'},
[49537]={[0]='Jeb Guthrie',[1]='281:56,28.2'},
[49635]={[0]='War-Mage Erallier',[1]='673:41.5,74.3'},
[49636]={[0]='Arcanist Arman',[1]='673:41.7,74'},
[49687]={[0]='Brazie the Botanist',[1]='24:33.6,49.3'},
[49810]={[0]='Calen',[1]='700:14.15,15.47'},
[49856]={[0]='Lord Raymond George',[1]='23:76.1,51'},
[49920]={[0]='Colt Carbine',[1]='17:91.2,37.2 17:91.3,37.7 17:91.5,38'},
[49941]={[0]='Brann Bronzebeard',[1]='759:46.9,45.6 759:47,44.7 759:47.2,44.1 759:47.6,44.4 759:47.6,44.6'},
[49943]={[0]='Itesh',[1]='769[1]:54.48,15.83 720:76.75,84.45>769'},
[50038]={[0]='Captain Hadan',[1]='747:31.69,16.14 720:60.52,64.19>747'},
[50044]={[0]='Hell-Hoot',[1]='281:52.1,34 281:52.3,34.5 281:52.4,33.3 281:52.4,36.4 281:52.4,36.6 281:52.5,33.5 281:52.6,32.9 281:52.6,34.8 281:52.7,36.8 281:52.7,37.7 281:52.8,32.4 281:53,36.4'},
[50048]={[0]='Earthwarden Yrsa',[1]='768:53.61,94.92'},
[50049]={[0]='Jack Bauden',[1]='301:37.18,56.26',[2]='In basement'},
[50082]={[0]='Skylord Omnuron',[1]='606:43.55,45.89'},
[50263]={[0]='Jadrag the Slicer',[1]='281:61.9,74.6'},
[50270]={[0]='Captain Taylor',[1]='767:49.9,89.7'},
[50272]={[0]='Legionnaire Nazgrim',[1]='767:49.9,89.1 767:49.9,89.7 767:50,90.9 767:50,91.5'},
[50366]={[0]='Nymn',[1]='281:59.6,50.5 281:59.7,50.4'},
[50367]={[0]='Friz Groundspin',[1]='181:50.7,74'},
[50371]={[0]='Captain Broderick',[1]='611:57.94,75.53'},
[50385]={[0]='Farseer Tooranu',[1]='757:18.85,55.67'},
[50387]={[0]='Baleflame',[1]='757:19.83,52.49'},
[50390]={[0]='Velastrasza',[1]='757:19.24,55.46'},
[50401]={[0]='Titan Mechanism',[1]='720:45.57,57.76'},
[50432]={[0]='Deva Marie',[1]='30:48.2,42.2 41:57.9,35.7 382:65.7,45.5 382:65.9,45.4 301:55.4,56 301:55.7,55.1 301:55.7,55.7 301:55.9,56.7 301:85.5,31.9 301:85.7,32.6 615:55.6,12.8 614:51.5,60.9'},
[50480]={[0]='Isabel Jones',[1]='301:63.77,61.53'},
[50482]={[0]='Marith Lazuria',[1]='321:25.1,90.1 321:71.4,36.3 321:71.8,36.7 321:71.9,36.1 321:72.4,35.4 321:72.5,36.2'},
[50587]={[0]="Okril'lon Mage",[1]='261:53.28,33.50'},
[50588]={[0]='Nethergarde Mage',[1]='261:53.57,33.35'},
[50601]={[0]='Snevik the Blade',[1]='27:62.55,53.80'},
[50622]={[0]='Malkar',[1]='700:54,42'},
[50631]={[0]='Prospector Drugan',[1]='27:76.19,53.04'},
[50690]={[0]='Tarelvir',[1]='381:37.7,80.1 381:37.7,80.7'},
[51287]={[0]='Colonel Karzag',[1]='709:53.8,80.4 709:54.3,80.7 709:54.5,80.2 709:54.5,80.8'},
[51288]={[0]='Major Marsden',[1]='709:74.4,60.2 709:74.4,60.8 709:74.5,60.2 709:74.5,60.8'},
[51574]={[0]='Northern Stranglethorn Vale Flame Warden',[1]='HM 37:52.05,63.55'},
[51575]={[0]='Azshara Flame Keeper',[1]='HM 181:60.79,53.48'},
[51582]={[0]='Northern Stranglethorn Vale Flame Keeper',[1]='HM 37:40.59,50.94'},
[51585]={[0]='Badlands Flame Warden',[1]='HM 17:19.00,56.18'},
[51586]={[0]='Southern Barrens Flame Warden',[1]='HM 607:48.33,72.23'},
[51587]={[0]='Southern Barrens Flame Keeper',[1]='HM 607:40.85,67.79'},
[51588]={[0]='Stonetalon Mountains Flame Warden',[1]='HM 81:49.30,51.33'},
[51602]={[0]='Swamp of Sorrows Flame Warden',[1]='HM 38:70.25,15.73'},
[51603]={[0]='Blasted Lands Flame Keeper',[1]='HM 19:46.23,13.78'},
[51604]={[0]='Western Plaguelands Flame Keeper',[1]='HM 22:29.17,57.35'},
[51606]={[0]="Un'Goro Flame Warden",[1]='HM 201:59.86,63.24'},
[51607]={[0]="Un'Goro Flame Keeper",[1]='HM 201:56.32,66.34'},
[51650]={[0]='Twilight Highlands Flame Warden',[1]='HM 700:47.26,28.97'},
[51651]={[0]='Twilight Highlands Flame Keeper',[1]='HM 700:53.13,46.18'},
[51652]={[0]='Uldum Flame Keeper',[1]='HM 720:53.15,34.53'},
[51653]={[0]='Uldum Flame Warden',[1]='HM 720:53.59,31.85'},
[51682]={[0]='Hyjal Flame Guardian',[1]='HM 606:62.82,22.72'},
[51697]={[0]="Vashj'ir Flame Guardian",[1]='HM 615:49.35,42.00'},
[51698]={[0]='Deepholm Flame Guardian',[1]='HM 640:49.40,51.32'},
[51988]={[0]='Orphan Matron Nightingale',[1]='301:56.32,53.99'},
[52122]={[0]='Druid of the Flame',[1]='795:70.2,40.6'},
[52135]={[0]='Malfurion Stormrage',[1]='795:47.01,91.38'},
[52207]={[0]='Nagala Whipshank',[1]='11:47.4,39.6'},
[52281]={[0]='Livingston Marshal',[1]='37:52.88,67.35 37:52.58,66.51 37:53.16,65.87'},
[52382]={[0]='Ziradormi',[1]='321:48.8,70.4'},
[52408]={[0]='Coridormi',[1]='301:49.6,86.6'},
[52444]={[0]='Thisalee Crow',[1]='795:42.52,59.69'},
[52467]={[0]='Rayne Feathersong',[1]='795:48.54,86.25'},
[52477]={[0]='Tholo Whitehoof',[1]='795:36.01,59.01'},
[52478]={[0]='Anren Shadowseeker',[1]='795:35.79,59.38'},
[52488]={[0]='Elderlimb',[1]='795:43.80,88.96'},
[52489]={[0]='Avrilla',[1]='795:50.64,87.26'},
[52490]={[0]='Skylord Omnuron',[1]='795:43.04,80.58'},
[52491]={[0]='Morthis Whisperwing',[1]='795:34.50.56.23'},
[52492]={[0]='Choluna',[1]='795:36.29,56.35'},
[52493]={[0]='Captain Saynna Stormrunner',[1]='795:47.55,90.54'},
[52494]={[0]='Marin Bladewing',[1]='795:64.88,67.25'},
[52654]={[0]='Bwemba',[1]='301:25.93,29.29'},
[52657]={[0]='Nahari Cloudchaser',[1]='362:35.6,53.8'},
[52669]={[0]='Matoclaw',[1]='606:27.17,62.56'},
[52671]={[0]='Mylune',[1]='606:27.10,62.02'},
[52793]={[0]='Ysera',[1]='606:60.31,29.86'},
[52823]={[0]='Theresa Barkskin',[1]='795:52.99,90.91'},
[52824]={[0]='General Taldris Moonfall',[1]='795:45.58,85.81'},
[52838]={[0]='Arch Druid Hamuul Runetotem',[1]='606:27.08,54.48'},
[52844]={[0]='Captain Saynna Stormrunner',[1]='606:26.80,62.15'},
[52845]={[0]='Malfurion Stormrage',[1]='606:27.36,55.23'},
[52906]={[0]='Elderlimb',[1]='606:26.00,61.28'},
[52921]={[0]='Deldren Ravenelm',[1]='795:66.09,63.97'},
[52986]={[0]="Dorda'en Nightweaver",[1]='606:27.53,62.50'},
[53056]={[0]='Shalis Darkhunter',[1]='795:57.48,49.46'},
[53073]={[0]='Captain Soren Moonfall',[1]='606:27.49,61.58 606:27.14,61.65 606:26.86,61.77'}, -- some days he wanders, others he is just in another place
[53080]={[0]='Captain Irontree',[1]='795:46.88,89.99'},
[53214]={[0]='Damek Bloombeard',[1]='795:46.91,90.00'},
[53233]={[0]='Anren Shadowseeker',[1]='795:51.89,30.98'},
[53259]={[0]='Arthorn Windsong',[1]='795:34.30,56.43'},
[53310]={[0]='Molten Firelord',[1]='795:50,50'},
[53352]={[0]='Commander Sharp',[1]='301:26.22,29.27'},
[53365]={[0]='General Taldris Moonfall',[1]='795:50,86'},
[53385]={[0]='Malfurion Stormrage',[1]='795:47.14,90.42'},
[53519]={[0]='Aggra',[1]='720:34.26,77.56'},
[53524]={[0]='Cyclonas',[1]='720:47.65,88.91'},
[53652]={[0]='Aggra',[1]='614:69.81,34.19'},
[53677]={[0]='Hydrius',[1]='614:69.54,34.30'},
[53738]={[0]='Aggra',[1]='640:56.52,12.50'},
[53881]={[0]='Ayla Shadowstorm',[1]='795:44.08,86.34'},
[53882]={[0]='Varlan Highbough',[1]='795:44.42,88.81'},
[53925]={[0]='Aggra',[1]='795:51.45,25.79'},
[54004]={[0]='Jaga',[1]='321[1]:48.13,46.86'},
[54014]={[0]='Aggra',[1]='795:49.60,31.77'},
[54117]={[0]='Vin',[1]='301:58.89,52.73'},
[54168]={[0]='Thrall',[1]='606:60.22,29.83'},
[54312]={[0]='Aggra',[1]='606:60.22,30.12'},
[54313]={[0]='Thrall',[1]='606:60.63,31.46'},
[54314]={[0]='Alysra',[1]='606:49.10,19.58'},
[500001]={[0]='Admiral Dvorek',[1]='615:39.12,78.71 A:40643'},
[500002]={[0]='Captain Taylor',[1]='615:39.08,78.53 A:40642'},
[500003]={[0]='Wavespeaker Valoren',[1]='615:49.22,57.01 A:39881'},
[500004]={[0]='Wavespeaker Valoren',[1]='615:39.23,78.63 A:39881'},
[500005]={[0]='Wavespeaker Valoren',[1]='615:29.55,78.93 A:39881'},
[500006]={[0]='Human Orphan',[1]='HC 341:33.29,48.01 A:14305'},
[500007]={[0]='Human Orphan',[1]='HC 39:57.65,53.10 A:14305'},
[500008]={[0]='Human Orphan',[1]='HC 301:48.99,89.74 A:14305'},
[500009]={[0]='Wolvar Orphan',[1]='HC 488:71.68,39.58 A:33532'},
[500010]={[0]='Wolvar Orphan',[1]='HC 490:50.70,44.45 A:33532'},
[500011]={[0]='Wolvar Orphan',[1]='HC 488:59.80,54.23 A:33532'},
[500012]={[0]='Wolvar Orphan',[1]='HC 493:27.09,58.75 A:33532'},
[500013]={[0]='Draenei Orphan',[1]='HC 478:39.73,64.56 A:22818'},
[500014]={[0]='Draenei Orphan',[1]='HC 161:59.79,57.40 A:22818'},
[500015]={[0]='Spirit of Goldrinn',[1]='Near606 A:39627'},
[500016]={[0]='Tholo Whitehoof',[1]='795:51.54,85.50 A:52477'},
[500017]={[0]='Anren Shadowseeker',[1]='795:66.03,66.08 A:52478'},
[500018]={[0]='Tholo Whitehoof',[1]='795:66.23,66.10 A:52477'},
[502079]={[0]='Ilthalaine',[1]='41:58.13,38.94 A:2079'},
[502080]={[0]='Denalan',[1]='41:43.93,44.19 A:2080'},	-- TODO: Determine if the original stuff with him can be given to the second location.  I know "The Shimmering Frond" and "Timberling Sprouts" can go to both.  If the early stuff needs to be done at the original dude, I think it would be best to alias the second one and just make other quests be able to be turned in to either one.
[503515]={[0]='Corithras Moonrage',[1]='41:41.05,45.56 A:3515',[2]='Wanders a bit around here'},
[514305]={[0]='Human Orphan',[1]='HC 381:43.16,78.05 A:14305',[2]='Down stairs underground'},
[522818]={[0]='Draenei Orphan',[1]='HC 478:39.73,64.56 A:22818'},
[526221]={[0]='Earthen Ring Elder',[1]='HM 321[1]:47.24,37.87 362:21.21,24.06 382:66.89,13.51 480:68.68,42.91 A:26221'}, -- Horde version since Blizzard really is doing some odd things
[526935]={[0]='Sasha',[1]='490:64.94,43.42 A:26935'},
[528518]={[0]='Stefan Vadu',[1]='496:28.38,44.85 A:28518'},
[533532]={[0]='Wolvar Orphan',[1]='HC 488:46.85,59.37 A:33532'},
[535120]={[0]='FBoK Bank Teller',[1]='605:29.65,71.93 A:35120'},
[539433]={[0]='Ian Duran',[1]='606:28.22,29.76 A:39433'},
[539627]={[0]='Spirit of Goldrinn',[1]='606:29.64,29.27 A:39627'},
[539858]={[0]='Arch Druid Hamuul Runetotem',[1]='606:19.54,37.82 A:39858'},
[539877]={[0]='Toshe Chaosrender',[1]='615:53.28,33.09 A:39877'},
[539881]={[0]='Wavespeaker Valoren',[1]='615:40.59,75.04 A:39881'},
[540639]={[0]='Engineer Hexascrub',[1]='615:32.91,69.24 A:40639'},
[540642]={[0]='Captain Taylor',[1]='615:33.23,68.35 A:40642'},
[540643]={[0]='Admiral Dvorek',[1]='615:33.00,67.55 615:33.00,67.70 615:32.99,67.89 A:40643'},
[540645]={[0]='Jorlan Trueblade',[1]='615:56.59,80.25 A:40645',[2]='At surface'},
[540772]={[0]='Commander Jarod Shadowsong',[1]='606:72.08,74.02 A:40772'},
[541006]={[0]='Thisalee Crow',[1]='606:32.78,70.75 A:41006'},
[541600]={[0]='Erunak Stonespeaker',[1]='614:42.69,37.91 A:41600'},
[542076]={[0]="Lady Naz'jar",[1]='615:46.39,79.05 A:42076'},
[542077]={[0]="Lady Naz'jar",[1]='615:33.13,75.87 A:42077'},
[542466]={[0]='Terrath the Steady',[1]='640:33.11,24.11 A:42466'},
[544293]={[0]='Anduin Wrynn',[1]='301:80.27,62.12 A:44293',[2]='Up on third floor'},
[544806]={[0]='Fargo Flintlocke',[1]='301:26.13,47.29 A:44806'},
[545172]={[0]='Thordun Hammerblow',[1]='700:79.22,78.29 A:45172'},
[546804]={[0]='Keegan Firebeard',[1]='700:60.18,57.83 A:46804'},
[549020]={[0]='Fargo Flintlocke',[1]='700:78.92,76.65 A:49020'},
[549480]={[0]='Tarindrella',[1]='Near41 A:49080',[2]='In cave'},
[552477]={[0]='Tholo Whitehoof',[1]='795:41.57,61.32 A:52477',[2]='In Molten Flow cave'},
[552478]={[0]='Anren Shadowseeker',[1]='795:51.30,85.81 A:52478'},
[552823]={[0]='Theresa Barkskin',[1]='795:57.73,49.51 A:52823'},
[552838]={[0]='Arch Druid Hamuul Runetotem',[1]='606:27.11,62.81 A:52838'},
[552845]={[0]='Malfurion Stormrage',[1]='606:27.02,62.69 A:52845'},
[553073]={[0]='Captain Soren Moonfall',[1]='606:27.49,61.58 A:53073'},
[553080]={[0]='Captain Irontree',[1]='795:45.60,86.22 A:53080'},
[553738]={[0]='Aggra',[1]='640:64.05,46.09 A:53738'},
[1000033]={[0]='Locked Chest',[1]='39:26,17'},
[1000034]={[0]='Old Jug',[1]='39:40.7,17.1'},
[1000035]={[0]="Captain's Footlocker",[1]='39:26,47.7'},
[1000036]={[0]='Broken Barrel',[1]='39:40.4,47.9 39:40.5,47.9'},
[1000055]={[0]='A half-eaten body',[1]='30:72.6,60.5 30:72.7,60.3'},
[1000056]={[0]="Rolf's corpse",[1]='30:79.7,55.4 30:79.8,55.6'},
[1000061]={[0]='A Weathered Grave',[1]='34:17.7,29.2'},
[1000068]={[0]='Wanted Poster',[1]='30:24.55,74.68'},
[1000256]={[0]='Wanted!',[1]=''},
[1000259]={[0]='Half-buried Barrel',[1]='40:13.9,34.9'},
[1000261]={[0]='Damaged Crate',[1]='40:13.4,41.4 40:13.4,41.5 40:13.5,41.4 40:13.5,41.5'},
[1000270]={[0]='Unguarded Thunder Ale Barrel',[1]='27:47.7,52.7 27:54.8,51'},
[1002059]={[0]='A Dwarven Corpse',[1]='27:87.63,50.14'},
[1002076]={[0]='Bubbling Cauldron',[1]='37:38.4,48.6 37:38.5,48.7 689:32.2,27.7'},
[1002083]={[0]='Bloodsail Correspondence',[1]='673:41.2,61.2 689:27.3,69.6'},
[1002656]={[0]='Waterlogged Letter',[1]='16:44.3,92.9 H:100004433'},
[1002688]={[0]='Keystone',[1]='16:30,59.8'},
[1002701]={[0]='Iridescent Shards',[1]='16:79.8,31.6 16:84.3,30.9'},
[1002702]={[0]='Stone of Inner Binding',[1]='16:30,59'},
[1002713]={[0]='Wanted Board',[1]='16:40.2,49'},
[1002908]={[0]='Sealed Supply Crate',[1]='9:53.4,48.3 9:53.6,48.4'},
[1003972]={[0]='WANTED',[1]='11:68.3,71.3'},
[1004141]={[0]='Control Console',[1]='11:50.3,25.7'},
[1006089]={[0]='Eye of Twilight',[1]='606:27.18,35.22'},
[1006093]={[0]='Outhouse Hideout',[1]='606:88.26,58.56'},
[1006098]={[0]='Twilight Cauldron',[1]='606:28.43,36.38'},
[1006104]={[0]='The Twilight Apocrypha',[1]='606:25.81,41.66',[2]="In cave Gar'gol's Hovel"},
[1006599]={[0]='Codex of Shadows',[1]='606:31.28,77.08'},
[1006751]={[0]='Strange Fruited Plant',[1]='41:57.64,63.01'},
[1006752]={[0]='Strange Fronded Plant',[1]='41:37.17,25.33'},
[1007125]={[0]='Bounty Board',[1]='30:74.04,73.32'},
[1007126]={[0]='Westfall Deed',[1]='30:24.78,95.26'},
[1007510]={[0]='Sprouted Frond',[1]='41:43.94,44.04 41:43.91,43.99 41:43.95,44.08'},	-- TODO: Determine what the locs are when turned in at original dude.  because turned it at 2nd dude only keeps them there.
[1007923]={[0]="Denalan's Planter",[1]='41:59.84,59.86'},
[1008590]={[0]='Pile of Explosives',[1]='301:50.19,42.64',[2]='In catacombs'},
[1008599]={[0]="Maziel's Journal",[1]='640:67.20,70.18'},
[1009503]={[0]="Hero's Call Board",[1]='301:62.91,71.54'},
[1009508]={[0]="Warchief's Command Board",[1]='321[1]:66.42,49.29'}, -- Orgrimmar
[1009686]={[0]="Hero's Call Board",[1]='301:62.28,29.93'},
[1009961]={[0]='Eye of Twilight',[1]='700:57.94,33.50'},
[1010712]={[0]="Hero's Call Board",[1]='341:25.56,69.62'},
[1010713]={[0]="Hero's Call Board",[1]='381:44.93,49.88'},
[1010714]={[0]="Hero's Call Board",[1]='471:55.30,47.33'},
[1010751]={[0]='Pure Twilight Egg',[1]='606:59.15,83.87'},
[1011374]={[0]='Alliance Bonfire',[1]='HM 37:51.7,63.1'},
[1011375]={[0]='Horde Bonfire',[1]='HM 37:40.70,51.80'},
[1011376]={[0]='Alliance Bonfire',[1]='HM 17:18.6,55.8'},
[1011377]={[0]='Alliance Bonfire',[1]='HM 607:48.27,72.46'},
[1011378]={[0]='Horde Bonfire',[1]='HM 607:40.71,67.35'},
[1011379]={[0]='Alliance Bonfire',[1]='HM 201:59.78,62.90'},
[1011380]={[0]='Alliance Bonfire',[1]='HM 38:70.1,14.2'},
[1011381]={[0]='Horde Bonfire',[1]='HM 19:46.31,14.13'},
[1011382]={[0]='Horde Bonfire',[1]='HM 22:29.09,56.60'},
[1011383]={[0]='Horde Bonfire',[1]='HM 181:60.45,53.57'},
[1011384]={[0]='Horde Bonfire',[1]='HM 201:56.50,65.85'},
[1011385]={[0]='Alliance Bonfire',[1]='HM 81:49.50,51.14'},
[1011481]={[0]='Alliance Bonfire',[1]='HM 700:47.15,28.32'},
[1011482]={[0]='Horde Bonfire',[1]='HM 700:53.27,46.37'},
[1011485]={[0]='Alliance Bonfire',[1]='HM 720:53,32'},
[1011486]={[0]='Horde Bonfire',[1]='HM 720:52.98,34.58'},
[1011576]={[0]='Earthen Ring Bonfire',[1]='HM 606:62.78,22.99'},
[1011579]={[0]='Earthen Ring Bonfire',[1]='HM 615:49.29,41.91'},
[1011580]={[0]='Earthen Ring Bonfire',[1]='HM 640:49.41,51.43'},
[1011708]={[0]="Hero's Call Board",[1]='504:37.55,62.97'},
[1020985]={[0]='Loose Dirt',[1]='141:55.4,26 141:55.5,26'},
[1020992]={[0]='Black Shield',[1]='141:29.6,48.5'},
[1021042]={[0]='Theramore Guard Badge',[1]='141:29.8,48.2'},
[1024776]={[0]="Yuriv's Tombstone",[1]='21:44.2,42.6'},
[1025489]={[0]='Wanted Poster',[1]='30:24.57,78.22'},
[1032569]={[0]="Galen's Strongbox",[1]='38:47.9,39.9'},
[1035251]={[0]="Karnitol's Chest",[1]='101:36.1,30.4 101:36.1,30.5'},
[1049846]={[0]='Wanted: Thaelis the Hungerer',[1]='462:48.17,46.29'}, -- was 1180918
[1056487]={[0]='Horde Bonfire',[1]='HM 21:49.62,38.60'},
[1056492]={[0]='Alliance Bonfire',[1]='HM 39:45.1,62.48'},
[1056842]={[0]='Alliance Bonfire',[1]='HM 16:44.58,46.1'},
[1056844]={[0]='Alliance Bonfire',[1]='HM 43:86.77,41.51'},
[1056845]={[0]='Alliance Bonfire',[1]='HM 464:44.7,52.5'},
[1056847]={[0]='Alliance Bonfire',[1]='HM 475:41.8,65.9'},
[1056848]={[0]='Alliance Bonfire',[1]='HM 19:55.2,15.3'},
[1056849]={[0]='Alliance Bonfire',[1]='HM 476:55.8,68.7'},
[1056850]={[0]='Alliance Bonfire',[1]='HM 29:68.5,59.8'},
[1056851]={[0]='Alliance Bonfire',[1]='HM 42:48.92,22.58'},
[1056852]={[0]='Alliance Bonfire',[1]='HM 101:65.89,16.93'},
[1056853]={[0]='Alliance Bonfire',[1]='HM 27:53.8,44.7'},
[1056854]={[0]='Alliance Bonfire',[1]='HM 34:73.2,55.1'},
[1056855]={[0]='Alliance Bonfire',[1]='HM 141:62.04,40.41 '},
[1056856]={[0]='Alliance Bonfire',[1]='HM 30:43.22,62.92'},
[1056857]={[0]='Alliance Bonfire',[1]='HM 121:46.66,43.72'},
[1056858]={[0]='Alliance Bonfire',[1]='HM 465:51.9,58.5'},
[1056860]={[0]='Alliance Bonfire',[1]='HM 35:32.32,40.2'},
[1056861]={[0]='Alliance Bonfire',[1]='HM 477:49.6,69.9'},
[1056862]={[0]='Alliance Bonfire',[1]='HM 36:24.6,54'},
[1056863]={[0]='Alliance Bonfire',[1]='HM 473:39.6,54.3'},
[1056864]={[0]='Alliance Bonfire',[1]='HM 41:54.7,52.7'},
[1056865]={[0]='Alliance Bonfire',[1]='HM 478:54.2,55.4'},
[1056866]={[0]='Alliance Bonfire',[1]='HM 26:14.47,49.81'},
[1056867]={[0]='Alliance Bonfire',[1]='HM 22:43.6,82.4'},
[1056868]={[0]='Alliance Bonfire',[1]='HM 40:13.2,47.4'},
[1056869]={[0]='Alliance Bonfire',[1]='HM 467:68.5,52.2'},
[1056870]={[0]='Alliance Bonfire',[1]='HM 479:31,62.8'},
[1056871]={[0]='Alliance Bonfire',[1]='HM 261:60.4,33.14'},
[1056872]={[0]='Alliance Bonfire',[1]='HM 673:51.7,67.2'},
[1056873]={[0]='Alliance Bonfire',[1]='HM 161:52.64,30.07'},
[1056874]={[0]='Alliance Bonfire',[1]='HM 281:61.38,47.17'},
[1056875]={[0]='Horde Bonfire',[1]='HM 16:69.15,42.83'},
[1056876]={[0]='Horde Bonfire',[1]='HM 43:51.58,66.66'},
[1056877]={[0]='Horde Bonfire',[1]='HM 479:32.29,68.26'},
[1056878]={[0]='Horde Bonfire',[1]='HM 261:50.86,41.80'},
[1056879]={[0]='Horde Bonfire',[1]='HM 673:50.50,70.69'},
[1056880]={[0]='Horde Bonfire',[1]='HM 161:49.81,28.17'},
[1056881]={[0]='Horde Bonfire',[1]='HM 281:58.05,47.24'},
[1056882]={[0]='Horde Bonfire',[1]='HM 17:24.05,37.08'},
[1056883]={[0]='Horde Bonfire',[1]='HM 475:50.01,59.00'},
[1056884]={[0]='Horde Bonfire',[1]='HM 29:51.45,29.11'},
[1056885]={[0]='Horde Bonfire',[1]='HM 101:26.19,77.29'},
[1056886]={[0]='Horde Bonfire',[1]='HM 4:51.98,47.19'},
[1056887]={[0]='Horde Bonfire',[1]='HM 141:33.26,30.71'},
[1056888]={[0]='Horde Bonfire',[1]='HM 462:46.38,50.35'},
[1056889]={[0]='Horde Bonfire',[1]='HM 121:72.45,47.57'},
[1056890]={[0]='Horde Bonfire',[1]='HM 463:47.12,25.97'},
[1056891]={[0]='Horde Bonfire',[1]='HM 465:57.16,41.82'},
[1056892]={[0]='Horde Bonfire',[1]='HM 24:54.56,49.85'},
[1056893]={[0]='Horde Bonfire',[1]='HM 9:51.93,59.46'},
[1056894]={[0]='Horde Bonfire',[1]='HM 477:51.07,34.02'},
[1056895]={[0]='Horde Bonfire',[1]='HM 473:33.49,30.32'},
[1056896]={[0]='Horde Bonfire',[1]='HM 81:52.99,62.27'},
[1056897]={[0]='Horde Bonfire',[1]='HM 38:76.70,14.12'},
[1056898]={[0]='Horde Bonfire',[1]='HM 478:51.94,43.18'},
[1056899]={[0]='Horde Bonfire',[1]='HM 11:49.86,54.39'},
[1056900]={[0]='Horde Bonfire',[1]='HM 26:76.69,74.60'},
[1056902]={[0]='Horde Bonfire',[1]='HM 20:57.04,51.72'},
[1056903]={[0]='Horde Bonfire',[1]='HM 467:35.57,51.75'},
[1057293]={[0]='Heart of the Ancients',[1]='490:36.95,32.35'},
[1062960]={[0]='Alliance Bonfire',[1]='HM 486:55.21,20.18'},
[1062961]={[0]='Horde Bonfire',[1]='HM 486:51.05,11.80'},
[1062962]={[0]='Horde Bonfire',[1]='HM 493:47.30,61.49'},
[1062963]={[0]='Alliance Bonfire',[1]='HM 493:47.9,66.1'},
[1062964]={[0]='Alliance Bonfire',[1]='HM 488:75.07,43.83'},
[1062965]={[0]='Horde Bonfire',[1]='HM 488:38.47,48.19'},
[1062966]={[0]='Alliance Bonfire',[1]='HM 491:57.7,15.7'},
[1062967]={[0]='Horde Bonfire',[1]='HM 491:48.41,13.34'},
[1062969]={[0]='Alliance Bonfire',[1]='HM 490:34.16,60.59'},
[1062970]={[0]='Horde Bonfire',[1]='HM 490:19.13,61.46'},
[1062971]={[0]='Horde Bonfire',[1]='HM 495:40.38,85.59'},
[1062972]={[0]='Alliance Bonfire',[1]='HM 495:41.3,87'},
[1062973]={[0]='Alliance Bonfire',[1]='HM 510:77.60,75.23'},
[1062974]={[0]='Horde Bonfire',[1]='HM 510:80.34,52.70'},
[1062976]={[0]='Horde Bonfire',[1]='HM 496:43.32,71.35'},
[1062977]={[0]='Alliance Bonfire',[1]='HM 496:40.4,61'},
[1112948]={[0]="Intrepid's Locked Strongbox",[1]='40:14.4,24.1 40:14.5,24'},
[1131474]={[0]='The Discs of Norgannon',[1]='692:49.4,34.2 692:49.4,34.7 692:49.5,34.5 692:50,35.7 692:50.3,34.4 692:50.5,34.2 692:50.5,34.6'},
[1138492]={[0]='Shards of Myzrael',[1]='16:57.2,34.7 16:57.3,34.4 16:62.5,33.8'},
[1142151]={[0]='Sealed Barrel',[1]='40:13.7,38.2'},
[1142195]={[0]='Woodpaw Battle Map',[1]='121:71.7,55.9'},
[1142487]={[0]='The Sparklematic 5200',[1]='691:68.4,62.1 691:68.4,62.5 691:68.5,62.4 691:68.5,62.5'},
[1151286]={[0]='Kaldorei Tome of Summoning',[1]='181:59.5,31.2'},
[1152097]={[0]="Belnistrasz's Brazier",[1]='760:46.1,22.2 760:46.5,22.3 760:46.5,23'},
[1161521]={[0]='Research Equipment',[1]='201:38.4,66.1 201:38.5,66.2'},
[1161526]={[0]='Crate of Foodstuffs',[1]='201:68.4,36.4 201:68.4,36.6 201:68.5,36.5 201:68.6,36.4'},
[1164869]={[0]='Spectral Chalice',[1]='704:54.1,27.2'},
[1164885]={[0]='Corrupted Night Dragon',[1]='182:35.1,59 182:40.7,78.3'},
[1164886]={[0]='Corrupted Songflower',[1]='182:34.3,52.2 182:40.1,44.4 182:40.2,56.6 182:46,85.3 182:50.6,14 182:52.9,87.8 182:55.8,10.4 182:63.3,22.6 182:63.9,6.1'},
[1164887]={[0]='Corrupted Windblossom',[1]='182:36.6,61.9 182:39,59.1 182:50,80'},
[1164888]={[0]='Corrupted Whipper Root',[1]='182:34,60.3 182:40.2,85.2'},
[1164955]={[0]='Northern Crystal Pylon',[1]='201:56.4,12.4 201:56.6,12.4'},
[1164956]={[0]='Western Crystal Pylon',[1]='201:23.4,50 201:23.5,50.1 201:23.7,59'},
[1164957]={[0]='Eastern Crystal Pylon',[1]='201:77.3,50'},
[1171939]={[0]='Corrupted Songflower',[1]='182:45.9,85.3'},
[1173327]={[0]='Corrupted Windblossom',[1]='182:55.2,23.3'},
[1174594]={[0]='Corrupted Songflower',[1]='182:63.3,22.5'},
[1174596]={[0]='Corrupted Songflower',[1]='182:55.8,10.4'},
[1174597]={[0]='Corrupted Songflower',[1]='182:50.6,14'},
[1174598]={[0]='Corrupted Songflower',[1]='182:34.3,52.2 182:50,73.3'},
[1174604]={[0]='Corrupted Windblossom',[1]='182:39,59'},
[1174684]={[0]='Corrupted Night Dragon',[1]='182:35.1,59'},
[1174686]={[0]='Corrupted Whipper Root',[1]='182:34.1,60.3'},
[1174708]={[0]='Corrupted Windblossom',[1]='182:36.6,61.9'},
[1174709]={[0]='Corrupted Windblossom',[1]='182:44.8,41.7'},
[1174712]={[0]='Corrupted Songflower',[1]='182:40.2,56.6'},
[1175084]={[0]='The Sparklematic 5200',[1]='691:63.3,67.4 691:63.3,67.7 691:63.5,67.4 691:63.6,67.9'},
[1175085]={[0]='The Sparklematic 5200',[1]='691:65.2,58 691:65.7,58.1 691:66,58.6'},
[1176091]={[0]='Deadwood Cauldron',[1]='182:59.7,8.2 182:60.2,5.9'},
[1176392]={[0]='Scourge Cauldron',[1]='22:62.4,58.4 22:62.4,58.7 22:62.6,58.6 22:62.9,58.4'},
[1177544]={[0]="Joseph's Chest",[1]='23:32.2,83.4 23:32.2,83.5'},
[1179485]={[0]='Broken Trap',[1]='699:26.4,57.3 699:26.4,58.3 699:26.4,58.5 699:26.5,58.5 699:26.6,57.3 699:26.6,58.3'},
[1179517]={[0]="Treasure of the Shen'dralar",[1]='699:70.1,23.4 699:70.1,24.4 699:70.2,24.5 699:70.5,22.9 699:70.5,24.9 699:71.1,23.5'},
[1179551]={[0]="Hydraxis' Coffer",[1]='181:79.2,74.8'},
[1179697]={[0]='Arena Treasure Chest',[1]='673:46.4,26.1 H:100018706'},
[1179880]={[0]="Drakkisath's Brand",[1]='721:33.3,44.7 721:33.4,44.1 721:33.5,44.9 721:33.7,44.3'},
[1180025]={[0]='Mysterious Eastvale Haystack',[1]='30:84.7,64.4'},
[1180055]={[0]='Mysterious Wailing Caverns Chest',[1]='749:42.4,51.5 749:43.1,51.9'},
[1180056]={[0]='Mysterious Tree Stump',[1]='9:35.1,61.6 9:35.8,60.9'},
[1180366]={[0]='Battered Tackle Box',[1]=''},
[1180448]={[0]='Wanted Poster: Deathclasp',[1]='261:51.3,38.2 261:55,35.9'},
[1180503]={[0]='Sandy Cookbook',[1]='261:38,45.3 261:43.4,42 261:43.6,42'},
[1180715]={[0]='Holly Preserver',[1]='301:62.3,69.6 301:62.4,69.4 301:62.5,69.4 341:36.9,70.5 341:37,70.2 321:53.1,76.8'},
[1180743]={[0]='Carefully Wrapped Present',[1]='341:33.4,66 341:33.4,66.5 341:33.5,66 341:33.5,66.5 341:47,59.3 341:63.6,29.9 321:49.3,78.4 321:49.3,78.5 321:49.5,78.3 321:49.5,78.5'},
[1180746]={[0]='Gently Shaken Gift',[1]='341:33.1,64.9 341:33.4,65.9 341:33.4,66.5 341:33.5,66 341:33.5,66.5 341:47,59.3 341:63.6,29.9 321:49.1,78.2 321:49.2,78.5 321:49.5,78.2'},
[1180747]={[0]='Gaily Wrapped Present',[1]='341:33.4,66.1 341:33.4,66.5 341:33.5,66.1 341:33.5,66.5 341:47,59.3 341:63.6,29.9 321:49.4,78.3 321:49.4,78.5 321:49.5,78.5 321:49.6,78.2'},
[1180748]={[0]='Ticking Present',[1]='341:33.4,66.2 341:33.4,66.6 341:33.5,66.2 341:33.6,66.5 341:47,59.3 341:63.6,29.9 321:49.2,77.6 321:49.3,77.4 321:49.5,77.6'},
[1180793]={[0]='Festive Gift',[1]='341:33.4,66 341:33.4,66.5 341:33.5,66.5 341:33.6,66 341:47,59.3 341:63.6,29.9 321:49.4,77.4 321:49.4,77.6 321:49.5,77.4 321:49.6,77.7'},
--[1180918]={[0]='Wanted: Thaelis the Hungerer',[1]='462:48.17,46.29'},
[1181011]={[0]="Magister Duskwither's Journal",[1]='462:69.2,52.1'},
[1181147]={[0]='Wanted Poster',[1]='463:48.3,31.6'},
[1181150]={[0]='Dusty Journal',[1]='463:79.6,17.7'},
[1181153]={[0]="Wanted Poster: Kel'gash the Wicked",[1]='463:72.2,31.2'},
[1181638]={[0]='Wanted Poster',[1]='465:28,60.3'},
[1181698]={[0]='Voidstone',[1]='463:42.7,19.4 463:43.4,16.9 463:43.8,15.5 463:44.2,15.1'},
[1181748]={[0]='Blood Crystal',[1]='464:50.4,11.7 464:50.5,11.6'},
[1181756]={[0]='Battered Ancient Book',[1]='476:61.2,41.8'},
[1181758]={[0]='Mound of Dirt',[1]='476:61.2,49.4 476:61.2,49.6'},
[1181889]={[0]='Wanted Poster',[1]='476:55.2,59.1'},
[1182032]={[0]="Galaen's Journal",[1]='476:37.6,61.3'},
[1182115]={[0]='Wanted Poster',[1]='467:79.1,64.8'},
[1182165]={[0]='Wanted Poster',[1]='467:32,49.4 467:32,49.5'},
[1182392]={[0]='Garadar Bulletin Board',[1]='477:55.7,37.9'},
[1182393]={[0]='Telaar Bulletin Board',[1]='477:54.68,70.74'},
[1182549]={[0]='Fel Orc Plans',[1]='478:67.9,53.4 478:67.9,53.5'},
[1182587]={[0]='Wanted Poster',[1]='478:57.59,54.70'},
[1182588]={[0]='Wanted Poster',[1]='478:49.8,45.2'},
[1182947]={[0]='The Codex of Blood',[1]=''},
[1183284]={[0]='Wanted Poster',[1]='467:41.74,27.27'},
[1183770]={[0]="B'naar Control Console",[1]='479:23.2,68.1'},
[1183811]={[0]='Wanted Poster',[1]='479:32.1,64.7'},
[1183877]={[0]='Ethereal Transporter Control Panel',[1]=''},
[1184300]={[0]='Necromantic Focus',[1]='479:60.3,78'},
[1184660]={[0]='Wanted Poster',[1]='475:51.9,57.8'},
[1184825]={[0]="Lashh'an Tome",[1]='475:34.3,77.3 475:34.4,77.8 475:34.5,77.7 475:35.7,79.1'},
[1184945]={[0]='Wanted Poster',[1]='473:30.4,30.9 473:30.5,30.8'},
[1184946]={[0]='Wanted Poster',[1]='473:38.3,54'},
[1185035]={[0]='Wanted Poster',[1]='475:36.6,67.3'},
[1185126]={[0]='Crystal Prison',[1]='473:51.4,72.8 473:51.5,72.7'},
[1185165]={[0]='Legion Communicator',[1]='475:73.3,40.1'},
[1185166]={[0]='Wanted Poster',[1]='465:61.2,80.6'},
[1186426]={[0]='Wanted Poster',[1]='141:41.8,73'},
[1186585]={[0]='Dragonskin Scroll',[1]='491:76,19.8'},
[1186887]={[0]="Large Jack-o'-Lantern",[1]='27:46.4,52.1 30:42.4,66 30:42.5,65.7 4:52.6,42.4 4:52.6,42.5 20:61,52.7 462:47.6,46.4'},
[1187236]={[0]='Winter Veil Gift',[1]='341:33.4,66 341:33.4,66.5 341:33.5,66 341:33.5,66.5 341:47,59.3 341:63.6,29.9 321:49.4,77.4 321:49.4,77.5 321:49.5,77.4 321:49.5,77.5'},
[1187273]={[0]='Suspicious Hoofprint',[1]='141:29.7,47.6'},
[1187565]={[0]='Elder Atkanok',[1]='486:54.64,35.85'},
[1187851]={[0]='Cultist Shrine',[1]='486:57.56,69.13'},
[1187905]={[0]='Massive Glowing Egg',[1]='486:48.5,59.1'},
[1188085]={[0]='Plagued Grain',[1]='486:56.81,55.56'},
[1188261]={[0]='Battered Journal',[1]='490:64.29,19.76'},
[1188364]={[0]='Wrecked Crab Trap',[1]='488:47.70,80.01'},
[1188418]={[0]='Wanted!',[1]='488:37.6,46.5 488:37.7,46.4'},
[1188419]={[0]="Elder Mana'loa",[1]='488:36.64,64.97'},
[1188649]={[0]='Wanted Poster',[1]='488:77,62.8'},
[1188667]={[0]='Amberseed',[1]='490:31.80,59.55'},
[1189303]={[0]='Candy Bucket',[1]='30:43.7,66'},
[1189311]={[0]='Flesh-bound Tome',[1]='488:78.62,52.29'},
[1190020]={[0]='Wanted!',[1]='488:77.34,51.43'},
[1190034]={[0]='Candy Bucket',[1]='41:55.7,59.8'},
[1190036]={[0]='Candy Bucket',[1]='27:47.4,52.4'},
[1190037]={[0]='Candy Bucket',[1]='464:48.5,49.2'},
[1190038]={[0]='Candy Bucket',[1]='381:67.2,15.9 381:67.5,15.5 381:67.5,16.8'},
[1190039]={[0]='Candy Bucket',[1]='341:18.6,51.4 341:18.7,51.5 341:54.1,29.3'},
[1190040]={[0]='Candy Bucket',[1]='301:24.9,40 301:60.4,75.2 301:60.6,75.1'},
[1190041]={[0]='Candy Bucket',[1]='471:59.2,18.9 471:59.3,18.3'},
[1190042]={[0]='Candy Bucket',[1]='42:37,44.1'},
[1190043]={[0]='Candy Bucket',[1]='35:35.4,48.4 35:35.5,48.4 35:35.5,48.5'},
[1190044]={[0]='Candy Bucket',[1]='40:10.8,60.9'},
[1190046]={[0]='Candy Bucket',[1]='36:27,45'},
[1190047]={[0]='Candy Bucket',[1]='39:52.9,53.6'},
[1190048]={[0]='Candy Bucket',[1]='34:73.8,44.3'},
[1190052]={[0]='Candy Bucket',[1]='141:66.6,45.3'},
[1190053]={[0]='Candy Bucket',[1]='121:30.9,43.4'},
[1190055]={[0]='Candy Bucket',[1]='465:54.3,63.6'},
[1190056]={[0]='Candy Bucket',[1]='465:23.4,36.4 465:23.4,36.5 465:23.5,36.4'},
[1190057]={[0]='Candy Bucket',[1]='467:67.2,49'},
[1190058]={[0]='Candy Bucket',[1]='467:41.9,26.2'},
[1190059]={[0]='Candy Bucket',[1]='478:56.6,53.2'},
[1190060]={[0]='Candy Bucket',[1]='477:54.2,75.8'},
[1190061]={[0]='Candy Bucket',[1]='475:35.8,63.8'},
[1190062]={[0]='Candy Bucket',[1]='475:61,68.1'},
[1190063]={[0]='Candy Bucket',[1]='473:37.1,58.2'},
[1190064]={[0]='Candy Bucket',[1]='4:51.5,41.7'},
[1190065]={[0]='Candy Bucket',[1]='9:46.6,61'},
[1190066]={[0]='Candy Bucket',[1]='20:61.7,52.1'},
[1190067]={[0]='Candy Bucket',[1]='462:48.2,47.8'},
[1190068]={[0]='Candy Bucket',[1]='462:43.7,71.1'},
[1190069]={[0]='Candy Bucket',[1]='321:54.3,68.4 321:54.4,68.5 321:58.4,45.5'},
[1190070]={[0]='Candy Bucket',[1]='362:45.5,64.6 362:45.7,64.3'},
[1190071]={[0]='Candy Bucket',[1]='382:67.7,37.8'},
[1190072]={[0]='Candy Bucket',[1]='480:79.5,57.7'},
[1190073]={[0]='Candy Bucket',[1]='480:67.8,73.2'},
[1190074]={[0]='Candy Bucket',[1]='21:43.2,41.4'},
[1190075]={[0]='Candy Bucket',[1]='463:48.7,32'},
[1190076]={[0]='Candy Bucket',[1]=''},
[1190077]={[0]='Candy Bucket',[1]=''},
[1190078]={[0]='Candy Bucket',[1]='24:62.8,19'},
[1190079]={[0]='Candy Bucket',[1]='43:74,60.7'},
[1190080]={[0]='Candy Bucket',[1]='81:47.4,62.1 81:47.5,62'},
[1190081]={[0]='Candy Bucket',[1]='61:46.1,51.4 61:46.1,51.5'},
[1190082]={[0]='Candy Bucket',[1]='16:73.8,32.6'},
[1190083]={[0]='Candy Bucket',[1]='101:24.1,68.3'},
[1190084]={[0]='Candy Bucket',[1]='689:31.4,29.6 689:31.5,29.7'},
[1190085]={[0]='Candy Bucket',[1]='141:36.8,32.4'},
[1190086]={[0]='Candy Bucket',[1]='38:45.1,56.5 38:45.2,56.4'},
[1190087]={[0]='Candy Bucket',[1]='17:3,46.1'},
[1190088]={[0]='Candy Bucket',[1]='121:74.8,45.1'},
[1190089]={[0]='Candy Bucket',[1]='26:78.3,81.3'},
[1190090]={[0]='Candy Bucket',[1]='465:56.7,37.5 465:56.8,37.4'},
[1190091]={[0]='Candy Bucket',[1]='465:26.9,59.6'},
[1190096]={[0]='Candy Bucket',[1]='467:30.7,50.9'},
[1190097]={[0]='Candy Bucket',[1]='478:48.7,45.2'},
[1190098]={[0]='Candy Bucket',[1]='477:56.7,34.6'},
[1190099]={[0]='Candy Bucket',[1]='475:53.4,55.5'},
[1190100]={[0]='Candy Bucket',[1]='475:76.2,60.3'},
[1190101]={[0]='Candy Bucket',[1]='473:30.3,27.8'},
[1190102]={[0]='Candy Bucket',[1]=''},
[1190103]={[0]='Candy Bucket',[1]='689:27.1,77.3'},
[1190104]={[0]='Candy Bucket',[1]='141:41.9,74.1'},
[1190105]={[0]='Candy Bucket',[1]='161:52.5,27.9'},
[1190106]={[0]='Candy Bucket',[1]='281:61.3,38.8'},
[1190107]={[0]='Candy Bucket',[1]='261:51.9,39.1'},
[1190108]={[0]='Candy Bucket',[1]='23:75.8,52.3'},
[1190109]={[0]='Candy Bucket',[1]='467:78.5,62.9'},
[1190110]={[0]='Candy Bucket',[1]='481:28,49.1'},
[1190111]={[0]='Candy Bucket',[1]='481:56.2,81.8'},
[1190112]={[0]='Candy Bucket',[1]='475:62.9,38.3'},
[1190113]={[0]='Candy Bucket',[1]='479:32,64.4 479:32.1,64.5'},
[1190114]={[0]='Candy Bucket',[1]='479:43.4,36.1'},
[1190535]={[0]="Zim'Abwa",[1]='496:36.7,72.4 496:36.7,72.5'},
[1190602]={[0]="Zim'Torga",[1]='496:59.4,57.2 496:59.6,57.3'},
[1190657]={[0]="Zim'Rhuk",[1]='496:59.2,44.7 496:59.3,44.1 496:59.5,44.7 496:59.6,44.1'},
[1190768]={[0]='Timeworn Coffer',[1]='493:32.1,90 493:80.4,55.8 493:80.5,55.9'},
[1190777]={[0]="Artruis's Phylactery",[1]='493:72.1,57.4 493:72.1,57.5'},
[1190917]={[0]='Abandoned Mail',[1]='502:55.2,46.2'},
[1190936]={[0]='Plague Cauldron',[1]='502:55.8,51.1 502:56.1,52.1'},
[1191728]={[0]='Wanted!',[1]='496:32.27,75.67'}, -- TODO: Remap to ID 1060656
[1191760]={[0]="Inventor's Library Console",[1]='495:37.4,46.8 495:37.5,46.8'},
[1191761]={[0]='Prototype Console',[1]='495:37.6,46.8'},
[1191766]={[0]='Orders From Drakuru',[1]='496:34.94,83.90'}, -- TODO Remap to ID 1060694
[1191880]={[0]='Candy Bucket',[1]='490:20.9,64.7'},
[1191881]={[0]='Candy Bucket',[1]='490:65.4,47'},
[1192018]={[0]='Candy Bucket',[1]='493:26.7,59.2'},
[1192060]={[0]="Fjorn's Anvil",[1]='495:77.1,62.8'},
[1192071]={[0]="Fjorn's Anvil",[1]='495:63.2,62.9'},
[1192072]={[0]='Harpoon Crate',[1]='495:24,61.7'},
[1192078]={[0]="Hodir's Horn",[1]='495:64,64.7 495:64.1,64.4'},
[1192079]={[0]="Hodir's Spear",[1]='495:64.6,61.7 495:65,60.9 495:65.4,60.4'},
[1192080]={[0]="Hodir's Helm",[1]='495:64.2,59.4 495:64.2,59.6 495:64.5,59.4 495:64.5,59.6'},
[1192524]={[0]='Arngrim the Insatiable',[1]='495:67.4,60'},
[1192833]={[0]="Bridenbrad's Possessions",[1]='492:79.8,30.9'},
[1193195]={[0]='Pulsing Crystal',[1]='492:54,87.3'},
[1193400]={[0]='Saronite Bomb Stack',[1]='492:54.4,86.2'},
[1194065]={[0]='Candy Bucket',[1]='491:25.4,59.8'},
[1194066]={[0]='Candy Bucket',[1]='488:60.1,53.5'},
[1194067]={[0]='Candy Bucket',[1]='488:48.2,74.7'},
[1194068]={[0]='Candy Bucket',[1]='486:78.4,49.2'},
[1194069]={[0]='Candy Bucket',[1]='495:41.1,85.9'},
[1194070]={[0]='Candy Bucket',[1]='495:30.9,37.2'},
[1194071]={[0]='Candy Bucket',[1]='504:48.3,40.6'},
[1194072]={[0]='Candy Bucket',[1]='504:38.2,60.3'},
[1194074]={[0]='Candy Bucket',[1]='491:52,66.2'},
[1194075]={[0]='Candy Bucket',[1]='491:79.3,30.6'},
[1194076]={[0]='Candy Bucket',[1]='486:76.7,37.4'},
[1194078]={[0]='Candy Bucket',[1]='488:37.8,46.5'},
[1194081]={[0]='Candy Bucket',[1]='504:66.7,29.9'},
[1194084]={[0]='Candy Bucket',[1]='486:49.7,10.1'},
[1194105]={[0]='Buzzbox 413',[1]='42:53.3,19.6'},
[1194119]={[0]='Candy Bucket',[1]='495:37.1,49.6'},
[1194122]={[0]='Buzzbox 723',[1]='42:54.2,29.3'},
[1194378]={[0]="Stolen Explorers' League Document",[1]='35:41.3,39.1'},
[1194387]={[0]="Stolen Explorers' League Document",[1]='35:36.8,61.2'},
[1194388]={[0]="Stolen Explorers' League Document",[1]='35:61.6,73.1'},
[1194389]={[0]="Stolen Explorers' League Document",[1]='35:68.1,66'},
[1194390]={[0]="Stolen Explorers' League Document",[1]='35:73.1,35.9'},
[1194391]={[0]="Stolen Explorers' League Document",[1]='35:53.8,38.1'},
[1194555]={[0]='Archivum Console',[1]='529:15.6,89.3'},
[1194714]={[0]='Disgusting Workbench',[1]='42:57.4,33.8'},
[1195134]={[0]='The Bomb',[1]='43:46.3,61.3'},
[1195431]={[0]='Headquarters Radio',[1]='181:20.3,70.3'},
[1195433]={[0]='Ancient Tablets',[1]='101:69.3,29.2'},
[1195435]={[0]='Weapons Cabinet',[1]='181:20.1,70'},
[1195438]={[0]='Cup of Elune',[1]='101:77,18.2'},
[1195445]={[0]='Ancient Vortex Runestone',[1]='101:74.8,13.3'},
[1195497]={[0]="Elune's Brazier",[1]='101:78.7,23.2'},
[1195517]={[0]="Elune's Handmaiden",[1]='101:75.9,26.6'},
[1195600]={[0]='Smouldering Stone',[1]='101:69.2,21.5'},
[1195642]={[0]='Naga Power Stone',[1]='181:59,71.9'},
[1195676]={[0]='Secret Lab Squawkbox',[1]='181:43.8,77.3'},
[1196393]={[0]='Broken Relic',[1]='750:38.2,58.1'},
[1196394]={[0]='Crate of Mandrake Essence',[1]='679:32.77,66.40'}, -- transform to 1065322
[1196832]={[0]='Upper Scrying Stone',[1]='181:49.5,28.7'},
[1196833]={[0]='Lower Scrying Stone',[1]='181:53,29'},
[1201578]={[0]='Wrenchmen Recruitment Poster',[1]='181:55.2,51.9 181:56.1,48.3 181:57,50.1'},
[1201742]={[0]='Runeforge',[1]=''},
[1202135]={[0]="Dadanga's Grave",[1]='201:45.4,7.8'},
[1202264]={[0]="Ringo's Sack",[1]='201:53.1,51.9'},
[1202335]={[0]="Paxton's Field Cannon",[1]='607:67,46.6'},
[1202407]={[0]="Sandscraper's Chest",[1]='161:41.8,57.4'},
[1202474]={[0]='Antediluvean Chest',[1]='161:37.7,78.9 720:37.8,84 720:84.4,43.2'},
[1202598]={[0]='Big Nasty Plunger',[1]='607:40.4,77.8'},
[1202613]={[0]='Platform Control Panel',[1]='544:51.4,13.1'},
[1202714]={[0]='Enormous Skull',[1]='615:40.49,75.47'},
[1202759]={[0]='Sunken Horde Chest',[1]='610:57.86,35.10'},
[1202859]={[0]='Half-buried Footlocker',[1]='610:46.53,47.38'},
[1202871]={[0]='Sunken Crate',[1]='610:49.67,40.89'},
[1202916]={[0]='Sandy Mound',[1]='610:55.11,54.98'},
[1202975]={[0]='Submerged Outhouse',[1]='61:79.6,75.1'},
[1203128]={[0]='Broken Bottle',[1]='610:56.42,30.08'},
[1203134]={[0]='Empty Pedestal',[1]='121:65.9,62.8'},
[1203140]={[0]='Broken Prong',[1]='615:40.4,75.4'},
[1203186]={[0]='STAY OUT!',[1]='81:65,49.4 81:65,49.5'},
[1203301]={[0]='Naga Tridents',[1]='610:60.39,69.83'},
[1203305]={[0]='Crucible of Nazsharin',[1]='615:57.26,89.93'},
[1203395]={[0]='Alliance S.E.A.L. Equipment',[1]='610:38.9,26.9'},
[1203733]={[0]='Bounty Board',[1]='30:74,72.3'},
[1203755]={[0]='Wrenchmen Recruitment Poster',[1]='181:52.3,50.2'},
[1204050]={[0]='Foebreaker Blueprints',[1]='181:53.4,47.4'},
[1204274]={[0]="Captain's Log",[1]='640:53.59,73.79'},
[1204344]={[0]='Wanted!',[1]='36:16,64.4 36:16.1,64.6 36:16.3,65.5'},
[1204351]={[0]='Ettin Control Orb',[1]='36:18,18.4 36:18,18.5'},
[1204406]={[0]='Half-Buried Bottle',[1]='673:48.5,80.9 673:50.2,75.9 673:54.2,65.4 673:54.2,65.5 673:57,54.4 673:57,54.5 673:62.4,46.7 673:62.5,46.7'},
[1204450]={[0]="Captain Stillwater's Charts",[1]='673:50.3,91.4'},
[1204578]={[0]='Barrel of Doublerum',[1]='673:40.7,73.3'},
[1204817]={[0]='Lightforged Rod',[1]='34:23.4,35.4'},
[1204824]={[0]='Lightforged Arch',[1]='34:20.3,27.4'},
[1204825]={[0]='Lightforged Crest',[1]='34:18,25.5'},
[1204959]={[0]='Gigantic Painite Cluster',[1]='640:66.45,20.61'},
[1205134]={[0]="Forgemaster's Log",[1]='640:63.72,55.40'},
[1205143]={[0]='Abandoned Outhouse',[1]='21:53.9,13'},
[1205258]={[0]='Broken Weapons Crate',[1]='22:53.8,80.4 22:53.8,80.5'},
[1205266]={[0]='Elaborate Disc',[1]='720:64.85,29.57'},
[1205332]={[0]='Wanted Poster',[1]='141:37.4,31.5 141:37.5,31.6'},
[1205350]={[0]='Horde Communication Panel',[1]='21:59.2,34.3'},
[1205540]={[0]='Decrepit Skeleton',[1]='720:65.17,33.80'},
[1205874]={[0]='Sand-Covered Hieroglyphs',[1]='720:39.64,45.42'},
[1205875]={[0]="Crusader's Flare",[1]='23:77.4,79.3 23:77.5,79.3 23:77.5,79.5'},
[1206109]={[0]="Warchief's Command Board",[1]='321:45.6,5.9 321:49.4,76.7 321:49.8,76.4 321:49.8,76.6'},
[1206116]={[0]="Warchief's Command Board",[1]='321:66.2,49.5 321:66.4,49.2 321:66.5,49.1 321:66.7,49.5'},
[1206293]={[0]='A. I. D.A. Terminal',[1]='720:74.14,64.44'},
[1206335]={[0]='Stone Slab',[1]='17:50.3,54.4 17:50.3,54.5'},
[1206336]={[0]='Marble Slab',[1]='17:48.1,50.9'},
[1206374]={[0]='Trove of the Watchers',[1]='17:50.3,53.2'},
[1206504]={[0]="Rhea's Final Note",[1]='17:18.8,30.2'},
[1206585]={[0]='Totem of Ruumbo',[1]='182:51.4,83.7 182:51.5,83.7'},
[1206944]={[0]='Shovel',[1]='24:39.7,63.1'},
[1207104]={[0]='Master Control Pump',[1]='182:60.4,22.3 182:60.5,22.2'},
[1207125]={[0]='Crate of Left Over Supplies',[1]='29:54.7,24.4 29:54.7,24.5 29:73.6,67.2 29:73.6,67.5'},
[1207179]={[0]='Winterfall Cauldron',[1]='281:24.4,47.6 281:24.5,47.7'},
[1207279]={[0]="Warchief's Command Board",[1]='24:56.6,47 24:59.9,63.4 24:59.9,63.5'},
[1207291]={[0]='Echo Three',[1]='281:67,55.1'},
[1207303]={[0]='Adventure Board',[1]='29:17,51.6'},
[1207304]={[0]='Adventure Board',[1]='29:72.9,65.3'},
[1207320]={[0]="Hero's Call Board",[1]='341:25.3,68.4 341:25.3,69.1 341:25.8,69.4 341:25.9,69.7 341:26.3,70.5 341:26.5,70.1 341:62.5,30.7'},
[1207321]={[0]="Hero's Call Board",[1]='381:44.7,49.4'}, -- remap to 1010713
[1207322]={[0]="Hero's Call Board",[1]='471:55.2,47.4'}, -- remap to 1010714
[1207323]={[0]="Warchief's Command Board",[1]='362:42,58.6 362:42.4,57.2 362:42.4,57.7 362:42.5,57.3 362:42.5,57.9'},
[1207324]={[0]="Warchief's Command Board",[1]='382:65.3,49.8 382:65.4,49.4 382:65.9,49.7 382:66,49.4 382:66.5,49.9'},
[1207325]={[0]="Warchief's Command Board",[1]='480:62.3,60.3 480:62.3,60.5 480:62.5,60.2 480:62.5,60.6'},
[1207406]={[0]='Strange Fountain',[1]='767:50.4,42.7 767:50.8,42.4 767:50.8,42.8 767:51.1,43.4 767:51.2,43.5 767:51.5,43.4'},
[1207407]={[0]='Broken Pillar',[1]='768:60.4,70.8 768:60.5,70.4 768:60.7,71.3 768:60.7,71.4 768:60.7,71.5'},
[1207408]={[0]='Magical Brazier',[1]='769:62.1,31.7 720:76.75,84.45>769'},
[1207409]={[0]="Tol'vir Grave",[1]='747:31.5,24.1 720:60.52,64.19>747'},
[1207410]={[0]='Large Stone Obelisk',[1]='759:48.4,60.8 759:48.6,60.9'},
[1207411]={[0]='Dwarven Bone Pile',[1]='757:26.3,30.9 757:26.6,31.1 757:26.9,29.6 757:26.9,30.5 757:27,29.2 757:27,30.3'},
[1207412]={[0]='Stone Tablet',[1]='753:41.7,69.3'},
[1208535]={[0]='Dried Acorn',[1]='795:69,42'},
[100001307]={[0]='Gold Pickup Schedule',[1]='D:13159 Q:123'},
[100001357]={[0]="Captain Sanders' Treasure Map",[1]='D:515,126 Q:26353'},
[100003082]={[0]="Dargol's Skull",[1]='D:1658 Q:25030'},
[100004433]={[0]='Waterlogged Envelope',[1]='D:1002656 Q:637'},
[100004854]={[0]='Demon Scarred Cloak',[1]='D:3056 Q:770'},
[100005179]={[0]='Moss-Twined Heart',[1]='D:3535 Q:927'},
[100006196]={[0]="Noboru's Cudgel",[1]='D:5477 Q:1392'},
[100008244]={[0]='Flawless Draenethyst Sphere',[1]='Z19 Q:25772'},
[100008623]={[0]='OOX-17/TN Distress Beacon',[1]='D:5470 Q:351'},
[100008704]={[0]='OOX-09/HL Distress Beacon',[1]='D:7995 Q:485'},
[100008705]={[0]='OOX-22/FE Distress Beacon',[1]='D:39896 Q:25475'},
[100009326]={[0]='Grime-Encrusted Ring',[1]='D:6212 Q:2945'},
[100010593]={[0]='Imperfect Draenethyst Fragment',[1]='D:8301,8299,45258 Q:25771'},
[100012842]={[0]='Crudely-Written Log',[1]='D:10738 Q:28471'},
[100014646]={[0]='Goldshire Gift Voucher',[1]='Mailbox Q:5805'},
[100014649]={[0]='Razor Hill Gift Voucher',[1]='Mailbox Q:5843'},
[100016303]={[0]="Ursangous' Paw",[1]='D:12678 Q:23'},
[100016304]={[0]="Shadumbra's Head",[1]='D:12677 Q:24'},
[100016305]={[0]="Sharptalon's Claw",[1]='D:12676 Q:2'},
[100016408]={[0]='Befouled Water Globe',[1]='D:12759 Q:1918'},
[100016782]={[0]='Strange Water Globe',[1]='D:12876 Q:6922'},
[100018356]={[0]='Garona: A Study on Stealth and Treachery',[1]='Z699 Q:7498'},
[100018357]={[0]='Codex of Defense',[1]='Z699 Q:7499'},
[100018358]={[0]="The Arcanist's Cookbook",[1]='Z699 Q:7500'},
[100018359]={[0]='The Light and How to Swing It',[1]='Z699 Q:7501'},
[100018360]={[0]='Harnessing Shadows',[1]='Z699 Q:7502'},
[100018361]={[0]='The Greatest Race of Hunters',[1]='Z699 Q:7503'},
[100018362]={[0]="Holy Bologna: What the Light Won't Tell You",[1]='Z699 Q:7504'},
[100018363]={[0]='Frost Shock and You',[1]='Z699 Q:7505'},
[100018364]={[0]='The Emerald Dream',[1]='Z699 Q:7506'},
[100018628]={[0]='Thorium Brotherhood Contract',[1]='Z704 Q:7604'},
[100018706]={[0]='Arena Master',[1]='D:1179697 Q:7810'},
[100018769]={[0]='Enchanted Thorium Platemail',[1]='Created Q:7649'},
[100018770]={[0]='Enchanted Thorium Platemail',[1]='Created Q:7650'},
[100018771]={[0]='Enchanted Thorium Platemail',[1]='Created Q:7651'},
[100018987]={[0]="Blackhand's Command",[1]='D:9046 Q:7761'},
[100019002]={[0]='Head of Nefarian',[1]='D:11583 Q:7783'},
[100019003]={[0]='Head of Nefarian',[1]='D:11583 Q:7781'},
[100019016]={[0]='Vessel of Rebirth',[1]='D:14347 Q:7785'},	-- TODO: Technically should not be D: since you get it if you have one of two other objects...another thing to think about
[100019018]={[0]='Dormant Wind Kissed Blade',[1]='D:14435 Q:7787'},
[100019228]={[0]='Beasts Deck',[1]='Created Q:7907'},
[100019257]={[0]='Warlords Deck',[1]='Created Q:7928'},
[100019267]={[0]='Elementals Deck',[1]='Created Q:7929'},
[100019277]={[0]='Portals Deck',[1]='Created Q:7927'},
[100019423]={[0]="Sayge's Fortune #23",[1]='Created Q:7937'},
[100019424]={[0]="Sayge's Fortune #24",[1]='Created Q:7938'},
[100019443]={[0]="Sayge's Fortune #25",[1]='Created Q:7944'},
[100019452]={[0]="Sayge's Fortune #27",[1]='Created Q:7945'},
[100019802]={[0]='Heart of Hakkar',[1]='Preowned Q:8183'},
[100020461]={[0]="Brann Bronzebeard's Lost Letter",[1]='D:11732,11730,13136 Q:8308'},
[100020483]={[0]='Tainted Arcane Sliver',[1]='D:15298 Q:8338'},
[100020644]={[0]='Nightmare Engulfed Object',[1]='Preowned Q:8446'},
[100020741]={[0]='Deadwood Ritual Totem',[1]='D:7156,7157,7158 Q:8470'},
[100020765]={[0]='Incriminating Documents',[1]='D:15968 Q:8482'},
[100020941]={[0]='Combat Task Briefing XII',[1]='Z261 Q:8501'},
[100020942]={[0]='Combat Task Briefing III',[1]='Z261 Q:8502'},
[100021220]={[0]='Head of Ossirian the Unscarred',[1]='Z717 Q:8791'},
[100021221]={[0]="Eye of C'Thun",[1]='Z766 Q:8801'},
[100021230]={[0]='Ancient Qiraji Artifact',[1]='Z766 Q:8784'},
[100021248]={[0]='Combat Task Briefing IV',[1]='Z261 Q:8773'},
[100021249]={[0]='Combat Task Briefing V',[1]='Z261 Q:8539'},
[100021250]={[0]='Combat Task Briefing VI',[1]='Z261 Q:8772'},
[100021251]={[0]='Combat Task Briefing VII',[1]='Z261 Q:8687'},
[100021252]={[0]='Combat Task Briefing VIII',[1]='Z261 Q:8774'},
[100021253]={[0]='Combat Task Briefing IX',[1]='Z261 Q:8775'},
[100021255]={[0]='Combat Task Briefing X',[1]='Z261 Q:8776'},
[100021256]={[0]='Combat Task Briefing XI',[1]='Z261 Q:8777'},
[100021749]={[0]='Combat Task Briefing I',[1]='Z261 Q:8770'},
[100021750]={[0]='Combat Task Briefing II',[1]='Z261 Q:8771'},
[100021776]={[0]="Captain Kelisendra's Lost Rutters",[1]='D:15670 Q:8887'},
[100022597]={[0]="The Lady's Necklace",[1]='D:16314 Q:9175'},
[100022727]={[0]='Frame of Atiesh',[1]='Preowned Q:9250'},
[100023228]={[0]="Old Whitebark's Pendant",[1]='D:15409 Q:8474'},
[100023249]={[0]='Amani Invasion Plans',[1]='D:15407 Q:9360'},
[100023338]={[0]='Eroded Leather Case',[1]='D:16857 Q:9373'},
[100023580]={[0]="Avruu's Orb",[1]='Z465 Q:9418'},
[100023678]={[0]='Faintly Glowing Crystal',[1]='Z464 Q:9455'},
[100023759]={[0]='Rune Covered Tablet',[1]='Z464 Q:9514'},
[100023777]={[0]='Diabolical Plans',[1]='Z43 Q:26443'},
[100023797]={[0]='Diabolical Plans',[1]='Z43 Q:26447'},
[100023837]={[0]='Weathered Treasure Map',[1]='Z476 Q:9550'},
[100023850]={[0]="Gurf's Dignity",[1]='Z464 Q:9564'},
[100023870]={[0]='Red Crystal Pendant',[1]='Z476 Q:9576'},
[100023890]={[0]='Ominous Letter',[1]='Z797 Q:9587'},
[100023892]={[0]='Ominous Letter',[1]='Z797 Q:9588'},
[100023900]={[0]="Tzerak's Armor Plate",[1]='Z476 Q:9594'},
[100023910]={[0]='Blood Elf Communication',[1]='Z464 Q:9616'},
[100024132]={[0]='A Letter from the Admiral',[1]='Z464 Q:9672'},
[100024330]={[0]='Drain Schematics',[1]='Z467 Q:9731'},
[100024367]={[0]='Orders from Lady Vashj',[1]='Z727 Q:9764'},
[100024407]={[0]='Uncatalogued Species',[1]='Z467 Q:9875'},
[100024414]={[0]='Blood Elf Plans',[1]='Z464 Q:9798'},
[100024483]={[0]='Withered Basidium',[1]='Z467 Q:9827'},
[100024484]={[0]='Withered Basidium',[1]='Z467 Q:9828'},
[100024504]={[0]='Howling Wind',[1]='Z477 Q:9861'},
[100024558]={[0]='Murkblood Invasion Plans',[1]='Z477 Q:9872'},
[100024559]={[0]='Murkblood Invasion Plans',[1]='Z477 Q:9871'},
[100025459]={[0]="\"Count\" Ungula's Mandible",[1]='Z467 Q:9911'},
[100028552]={[0]='A Mysterious Tome',[1]='Z465 Q:10229'},
[100029233]={[0]="Dathric's Blade",[1]='Z479 Q:10182'},
[100029234]={[0]="Belmara's Tome",[1]='Z479 Q:10305'},
[100029235]={[0]="Luminrath's Mantle",[1]='Z479 Q:10306'},
[100029236]={[0]="Cohlien's Cap",[1]='Z479 Q:10307'},
[100029476]={[0]='Crimson Crystal Shard',[1]='Z465 Q:10134'},
[100029588]={[0]='Burning Legion Missive',[1]='Z465 Q:10395'},
[100029590]={[0]='Burning Legion Missive',[1]='Z465 Q:10393'},
[100030431]={[0]='Thunderlord Clan Artifact',[1]='Z475 Q:10524'},
[100030579]={[0]='Illidari-Bane Shard',[1]='Z473 Q:10623'},
[100030756]={[0]='Illidari-Bane Shard',[1]='Z473 Q:10621'},
[100031120]={[0]='Meeting Note',[1]='Z475 Q:10719'},
[100031239]={[0]='Primed Key Mold',[1]='Z473 Q:10754'},
[100031241]={[0]='Primed Key Mold',[1]='Z473 Q:10755'},
[100031345]={[0]="The Journal of Val'zareq",[1]='Z473 Q:10793'},
[100031363]={[0]="Gorgrom's Favor",[1]='Z475 Q:10797'},
[100031384]={[0]='Damaged Mask',[1]='Z475 Q:10810'},
[100031489]={[0]='Orb of the Grishna',[1]='Z475 Q:10825'},
[100031707]={[0]='Cabal Orders',[1]='Z478 Q:10880'},
[100031890]={[0]='Blessings Deck',[1]='Created Q:10938'},
[100031891]={[0]='Storms Deck',[1]='Created Q:10939'},
[100031907]={[0]='Furies Deck',[1]='Created Q:10940'},
[100031914]={[0]='Lunacy Deck',[1]='Created Q:10941'},
[100032385]={[0]="Magtheridon's Head",[1]='Z779 Q:11002'},
[100032386]={[0]="Magtheridon's Head",[1]='Z779 Q:11003'},
[100032405]={[0]='Verdant Sphere',[1]='Z3845 Q:11007'},	-- TODO: Get "The Eye" converted properly
[100032523]={[0]="Ishaal's Almanac",[1]='D:23066 Q:11021'},
[100032621]={[0]='Partially Digested Hand',[1]='D:23267 Q:11041'},
[100032726]={[0]='Murkblood Escape Plans',[1]='D:23286,23324 Q:11081'},
[100033102]={[0]="Blood of Zul'jin",[1]='Z781 Q:11178'},
[100033289]={[0]='Gjalerbron Attack Plans',[1]='Z491 Q:11237'},
[100033314]={[0]='Vrykul Scroll of Ascension',[1]='Z491 Q:11249'},
[100033345]={[0]='Vrykul Scroll of Ascension',[1]='Z491 Q:11260'},
[100033347]={[0]='Gjalerbron Attack Plans',[1]='Z491 Q:11266'},
[100033961]={[0]='Scourge Device',[1]='Z491 Q:11395'},
[100033962]={[0]='Scourge Device',[1]='Z491 Q:11398'},
[100034090]={[0]="Mezhen's Writings",[1]='Z491 Q:11452'},
[100034091]={[0]="Mezhen's Writings",[1]='Z491 Q:11453'},
[100034469]={[0]='Strange Engine Part',[1]='Z467 Q:11531'},
[100034777]={[0]="Ith'rix's Hardened Carapace",[1]='Z486 Q:11632'},
[100034815]={[0]='Vial of Fresh Blood',[1]='Z486 Q:11654'},
[100034984]={[0]='The Ultrasonic Screwdriver',[1]='Z486 Q:11729'},
[100035648]={[0]='Scintillating Fragment',[1]='Z486 Q:11941'},
[100035723]={[0]='Shards of Ahune',[1]='Z728 Q:11972'},
[100036742]={[0]="Goramosh's Strange Device",[1]='Z488 Q:12055'},
[100036744]={[0]='Flesh-Bound Tome',[1]='Z488 Q:12057'},
[100036746]={[0]="Goramosh's Strange Device",[1]='Z488 Q:12059'},
[100036756]={[0]="Captain Malin's Letter",[1]='Z488 Q:12067'},
[100036780]={[0]="Lieutenant Ta'zinni's Letter",[1]='Z488 Q:12085'},
[100036855]={[0]='Emblazoned Battle Horn',[1]='Z488 Q:12146'},
[100036856]={[0]='Emblazoned Battle Horn',[1]='Z488 Q:12147'},
[100036940]={[0]="Mikhail's Journal",[1]='D:27546 Q:12105'},
[100036958]={[0]='The Favor of Zangus',[1]='Z488 Q:12168'},
[100037163]={[0]='Rogues Deck',[1]='Created Q:12517'},
[100037164]={[0]='Swords Deck',[1]='Created Q:12798'},
[100037432]={[0]="Torturer's Rod",[1]='Z488 Q:12271'},
[100037830]={[0]="Mikhail's Journal",[1]='Z490 Q:12423'},
[100037833]={[0]='Ruby Brooch',[1]='Z488 Q:12419'},
[100038280]={[0]="Direbrew's Dire Brew",[1]='Z704 Q:12491'},
[100038281]={[0]="Direbrew's Dire Brew",[1]='Z704 Q:12492'},
[100038321]={[0]='Strange Mojo',[1]='Z496 Q:12507'},
[100038567]={[0]='Maraudine Prisoner Manifest',[1]='Z101 Q:14330'},
[100038660]={[0]='Unliving Choker',[1]='D:28519 Q:12631'},
[100038673]={[0]='Writhing Choker',[1]='D:28519 Q:12633'},
[100040666]={[0]='Note from the Grand Admiral',[1]='Z492 Q:12839'},
[100041267]={[0]='SCRAP-E Access Card',[1]='Z495 Q:12888'},
[100041556]={[0]='Slag Covered Metal',[1]='Z495 Q:12922'},
[100042203]={[0]='Dark Armor Plate',[1]='Z495 Q:12979'},
[100042772]={[0]="Dr. Terrible's \"Building a Better Flesh Giant\"",[1]='Z492 Q:13043'},
[100043039]={[0]='Rogues Deck',[1]='Created Q:12517'},
[100043242]={[0]='Jagged Shard',[1]='Z492 Q:13136'},
[100043297]={[0]='Damaged Necklace',[1]='Z492 Q:13148'},
[100043512]={[0]='Ooze-Covered Fungus',[1]='Z522 Q:13204'},
[100044148]={[0]='Mages Deck',[1]='Created Q:12518'},
[100044158]={[0]='Demons Deck',[1]='Created Q:13311'},
[100044259]={[0]='Prisms Deck',[1]='Created Q:13324'},
[100044276]={[0]='Chaos Deck',[1]='Created Q:13325'},
[100044294]={[0]='Undeath Deck',[1]='Created Q:13327'},
[100044326]={[0]='Nobles Deck',[1]='Created Q:13326'},
[100044569]={[0]='Key to the Focusing Iris',[1]='Z535 Q:13372'},
[100044577]={[0]='Heroic Key to the Focusing Iris',[1]='Z535 Q:13375'},
[100044725]={[0]='Everfrost Chip',[1]='Z495 Q:13420'},
[100044927]={[0]="Corruptor's Master Key",[1]='Z42 Q:13557'},
[100044979]={[0]="Overseer's Orders",[1]='Z42 Q:13506'},
[100045506]={[0]='Archivum Data Disc',[1]='Z529 Q:13604'},
[100045857]={[0]='Archivum Data Disc',[1]='Z529 Q:13817'},
[100046004]={[0]='Sealed Vial of Poison',[1]='Z504 Q:13845'},
[100046052]={[0]='Reply-Code Alpha',[1]='Z529 Q:13631'},
[100046053]={[0]='Reply-Code Alpha',[1]='Z529 Q:13819'},
[100046128]={[0]='Troll Charm',[1]='Z43 Q:13868'},
[100046318]={[0]="Hellscream's Missive",[1]='Z42 Q:13591'},
[100046875]={[0]='Riding Training Pamphlet',[1]='Mailbox Q:14079'},
[100046876]={[0]='Riding Training Pamphlet',[1]='Mailbox Q:14085'},
[100046882]={[0]='Riding Training Pamphlet',[1]='Mailbox Q:14081'},
[100046884]={[0]='Riding Training Pamphlet',[1]='Mailbox Q:14087'},
[100046955]={[0]='Kraken Tooth',[1]='Z492 Q:14095'},
[100047039]={[0]="Scout's Orders",[1]='Z181 Q:14127'},
[100048679]={[0]='Waterlogged Recipe',[1]='Z504 Q:14203'},
[100049010]={[0]='Burning Blade Ear',[1]='Z101 Q:14232'},
[100049200]={[0]='Infernal Power Core',[1]='Z101 Q:14344'},
[100049203]={[0]='Burning Blade Ear',[1]='Z101 Q:14362'},
[100049220]={[0]='Infernal Power Core',[1]='Z101 Q:14376'},
[100049643]={[0]='Head of Onyxia',[1]='Z718 Q:24429'},
[100049644]={[0]='Head of Onyxia',[1]='Z718 Q:24428'},
[100049667]={[0]='Waterlogged Recipe',[1]='Z504 Q:24431'},
[100049676]={[0]='Kvaldir Attack Plans',[1]='Z492 Q:24442'},
[100049776]={[0]='Roadway Plans',[1]='Z607 Q:24518'},
[100049932]={[0]='Carved Boar Idol',[1]='Z607 Q:24606'},
[100050320]={[0]='Faded Lovely Greeting Card',[1]='Z764 Q:14483,24745'},
[100050379]={[0]='Battered Hilt',[1]='Z601 Q:14443'},
[100050380]={[0]='Battered Hilt',[1]='Z601 Q:24554'},
[100051315]={[0]='Sealed Chest',[1]='Z604 Q:24914'},
[100052079]={[0]='A Scarlet Letter',[1]='D:1535 Q:24979'},
[100052197]={[0]='Figurine - Demon Panther',[1]='Z640 Q:25047'},
[100053053]={[0]='Tattered Treasure Map',[1]='D:39918 Q:25377'},
[100054345]={[0]='Crumpled Treasure Map',[1]='D:40276 Q:25467'},
[100054614]={[0]='Luminescent Pearl',[1]='D:40510 Q:25442'},
[100054639]={[0]='Waterlogged Journal',[1]='D:41183 Q:25503'},
[100055166]={[0]='Pristine Yeti Hide',[1]='D:5296,5297,5299,39896,40224 Q:25451'},
[100055167]={[0]='Perfect Yeti Hide',[1]='D:5296,5297,5299,39896,40224 Q:25454'},
[100055181]={[0]='Illegible Orc Letter',[1]='D:40905 Q:25647'},
[100055186]={[0]="Lady La-La's Necklace",[1]='D:41017 Q:25419'},
[100055243]={[0]='Floodsurge Core',[1]='D:41167 Q:25736'},
[100056474]={[0]='Orders from Base Camp',[1]='D:41937 Q:26016'},
[100056571]={[0]='Enormous Eel Egg',[1]='D:41925,41926 Q:26019'},
[100056812]={[0]='Enormous Eel Egg',[1]='D:41925,41926 Q:26090'},
[100057102]={[0]='Twilight Cage Key',[1]='D:41652,41657 Q:26144'},
[100057118]={[0]='Twilight Cage Key',[1]='D:41652,41657 Q:26149'},
[100057935]={[0]='Harvest Watcher Heart',[1]='D:114 Q:26252'},
[100058117]={[0]='Red Bandana',[1]='D:42677 Q:26296'},
[100058491]={[0]="Disfigured Mosh'Ogg Hand",[1]='D:1142,1144 Q:26407'},
[100058898]={[0]='Dirt-Stained Scroll',[1]='D:430,445,446 Q:26519'},
[100059143]={[0]='Weather-Beaten Coin',[1]='D:43454 Q:26617'},
[100060816]={[0]="Maziel's Research",[1]='D:43158 Q:27100'},
[100060956]={[0]="Korok's Second Head",[1]='D:45301,46657 Q:27322'},
[100061310]={[0]='Arcane Remnant',[1]='D:45728 Q:27480'},
--[100061322]={[0]='Piece of Rope',[1]='Z720 D:45765'},
[100061378]={[0]="The Baroness' Missive",[1]='D:45867,45868 Q:27551'},
[100061505]={[0]='Partially Digested Head',[1]='D:45896 Q:27574'},
[100062021]={[0]='Volcanic Deck',[1]='Created Q:27664'},
[100062044]={[0]='Tsunami Deck',[1]='Created Q:27666'},
[100062045]={[0]='Hurricane Deck',[1]='Created Q:27665'},
[100062046]={[0]='Earthquake Deck',[1]='Created Q:27667'},
[100062056]={[0]='Forged Documents',[1]='Created Q:27675'},
[100062138]={[0]="Gnash's Head",[1]='D:40987 Q:27687'},
[100062281]={[0]='Ancient Elven Etching',[1]='D:39638,41227 Q:27716'},
[100062282]={[0]='Ancient Elven Etching',[1]='D:39638,41227 Q:27717'},
[100062483]={[0]='A.I.D.A. Communicator',[1]='D:46590,46920,47014 Q:27760'},
[100062768]={[0]='Efficient Excavations',[1]='D:46993 Q:27925,28132'},
[100062933]={[0]="Chambermaid Pillaclencher's Pillow",[1]='Z28'},
[100063090]={[0]="Muckgill's Flipper",[1]='D:47759 Q:28154'},
[100063250]={[0]='The Battle for Hillsbrad',[1]='D:47789 Q:28196'},
[100063276]={[0]='Forged Documents',[1]='Created Q:27686'},
[100063686]={[0]='Daggerspine Attack Plans',[1]='D:2368,2369,2370,2371 Q:28356'},
[100063700]={[0]="Myzerian's Head",[1]='D:48428 Q:28376'},
[100064450]={[0]='Writings of the Dark Herald',[1]='D:48764 Q:28529'},
[100065894]={[0]='Figurine - Dream Owl',[1]='Z708 Q:28777'},
[100065895]={[0]='Figurine - King of Boars',[1]='Z720 Q:28778'},
[100065896]={[0]='Figurine - Jeweled Serpent',[1]='Z720 Q:28775'},
[100065897]={[0]='Figurine - Earthen Guardian',[1]='Z720 Q:28776'},
	}
end
